Добро пожаловать в SQL Manager for Oracle!

EMS SQL Manager for Oracle - это высокопроизводительная программа для разработки и администрирования баз данных Oracle. SQL Manager for Oracle работает с любыми версиями Oracle, начиная с версии 8.1.7 и поддерживает все новейшие возможности сервера Oracle и типы данных, включая сжатые таблицы, таблицы OLAP, read-only и read-write таблицы; комбинированные триггеры, триггеры с конструкцией FOLLOWS и другие. Программа включает в себя множество инструментов, таких как отладчик PL/SQL кода; Визуальный конструктор баз данных, который позволяет быстро создавать базы данных Oracle; Дизайнер запросов для построения сложных SQL запросов к Oracle, инструмент сбора статистики баз данных для наблюдения за работой сервера Oracle, менеджер прав пользователей для управления безопасностью Oracle и множество других полезных инструментов для эффективного администрирования Oracle. Современный и удобный графический интерфейс, а также грамотная система мастеров настроек предельно просты и будут понятны даже начинающему пользователю.

Для получения дополнительной информации посетите сайт: http://www.sqlmanager.net/

Ключевые особенности

  • Поддержка последних версий Oracle
  • Быстрая навигация и управление базами данных
  • Мощные инструменты для легкой и удобной работы с сервером Oracle
  • Удобные мастера для выполнения административных задач Oracle
  • Элементарное управление всеми объектами Oracle (включая создание/изменение/редактирование)
  • Эффективное управление параметрами безопасности
  • Эффективные инструменты управления данными
  • Великолепные графические и текстовые инструменты для построения запросов
  • Впечатляющие возможности импорта и экспорта данных
  • Мощный визуальный конструктор баз данных
  • Конструктор отчетов с понятным мастером создания отчетов
  • Соединение при помощи переадресации локальных портов через SSH туннель
  • Поддержка Unicode
  • Современный графический интерфейс пользователя
  • Другие функциональные особенности

Информация по продукту

Домашняя страница: | http://www.sqlmanager.net/en/products/oracle/manager
Служба поддержки: | http://www.sqlmanager.net/support
Регистрация: | http://www.sqlmanager.net/en/products/oracle/manager/buy


Hовости

Версия | Дата выпуска
SQL Manager for Oracle 3.6.2 | 21 февраля 2022

Что нового в SQL Manager for Oracle?

1. Реализована поддержка баз данных 21с.

2. Добавлена возможность выделения цветом БД и вкладок ее инструментов для удобства различия.

3. Улучшена работа Дерева зависимостей при большом количестве объектов.

4. Ассистент SQL не сохранял размер и состояние. Исправлено.

5. В некоторых случаях не работали настройки скрытия определенных типов объектов в проводнике баз данных. Исправлено.

6. Другие исправления и улучшения.

Смотрите также:

Предыдущие версии


Системные требования

  • Microsoft Windows XP, Microsoft Windows Server 2003, Microsoft Windows Server 2008, Microsoft Windows Server 2008 R2, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8/8.1, Microsoft Windows 10
  • 512 Мб RAM (рекомендуется 1 Гб и более)
  • 200 Мб свободного пространства на жестком диске для установки программы
  • Клиент для Oracle Database 8.1.7 или выше
  • Возможность соединения с локальным или удаленным сервером Oracle версии 8.1.7 и выше


Сравнительная таблица характеристик

Бесплатная Lite версия SQL Manager for Oracle не включает все особенности Full версии и имеет ограничение числа баз данных, которые могут быть зарегистрированы. Некоторые функции и инструменты в Lite версии недоступны.

Полная сравнительная таблица характеристик представлена ниже.

Важно: Если у вас установлена Lite версия программы, то Вы можете активировать все возможности Full версии. Эти возможности будут доступны для работы в течение тридцати дней.

Для получения более подробной информации об активации смотрите на странице Активация режима полной версии.

 | Full version | Lite version
Поддержка последних версий Oracle
Поддержка всех версий сервера, начиная с 8.1.7 по 21с | + | +
Поддержка сжатых таблиц, таблиц OLAP, таблиц read-only и read-write, виртуальных столбцов | + | +
Поддержка невидимых индексов | + | +
Поддержка комбинированных триггеров (COMPOUND TRIGGER), триггеров с конструкцией FOLLOWS | + | +
Простое и эффективное управление правами пользователей для объектов, включая права для отдельных столбцов | + | +
Поддержка Unicode | + | +
Быстрая навигация и управление базами данных
Соединение с несколькими базами данных одновременно | + | +
Соединение при помощи переадресации локальных портов через SSH-туннель | + | -
Выбор схем, которые нужно показывать для базы данных | + | +
Создание "проектов" для работы только с выбранными объектами базы данных | + | +
Создание пользовательских закладок быстрого доступа для любого узла дерева базы данных | + | +
Возможность работы с несколькими выбранными объектами одновременно | + | +
Группировка/разгруппировка зарегистрированных баз данных | + | +
Менеджер регистраций баз данных для быстрого добавления регистрации новых БД и удаления регистрации несуществующих БД | + | -
Мощные инструменты для легкой и удобной работы с сервером Oracle
Отладчик PL/SQL кода для пошаговой отладки кода анонимных блоков, процедур, функций, пакетов, триггеров, объектов | + | -
Статистика баз данных для сбора статистических данных: статистика системы, сессий, статистика по хранилищу данных, ожидаемым событиям, защелкам | + | -
Информация о базе данных для получения данных об экземплярах БД и параметрах NLS | + | +
Извлечение метаданных в текстовые файлы или в редактор сценариев SQL | + | +
Мощный модуль печати метаданных для создания настраиваемых отчетов о метаданных | + | -
HTML-генератор отчетов для быстрого создания подробных отчетов о Вашей базе данных | + | -
Client Checker для проверки правильности настроек клиента и получения общей информации о настройках | + | +
Инструмент сравнения баз данных, который позволяет получить скрипт для синхронизации структуры баз данных | + | -
Инструмент для быстрого поиска по метаданным БД для создания различных условий поиска и просматривания результатов | + | -
Менеджер служб сервера для проверки статуса сервиса сервера Oracle и для запуска/остановки сервиса | + | -
Удобные мастера для выполнения административных задач Oracle
Резервное копирование базы данных | + | -
Восстановление базы данных | + | -
Сбор и обработка статистической информации для оптимизатора | + | -
Перекомпиляция неправильных объектов | + | -
Включение/выключение ограничений | + | -
Усечение таблиц или кластеризация данных | + | -
Элементарное управление всеми объектами Oracle (включая создание/изменение/редактирование)
Управление таблицами и всеми их подобъектами: полями, первичными, уникальными и внешними ключами, индексами, триггерами и проверочными ограничениями | + | +
Управление представлениями и всеми их подобъектами: полями, триггерами, первичными, уникальными и внешними ключами | + | +
Управление процедурами, функциями, последовательностями, пакетами и телами пакетов | + | +
Управление пользователями, ролями, профилями, группами потребителей ресурсов и ресурсными планами | + | +
Управление схемными триггерами и триггерами БД, кластерами, синонимами, ссылками на базу, материализованными представлениями и журналами материализованных представлений | + | +
Управление объектными типами и типами коллекций, телами объектных типов, библиотеками | + | +
Управление исходниками Ява классов, ресурсами и классами | + | +
Управление индексными типами, операторами, размерностями | + | +
Управление контекстами, директориями, табличными пространствами, сегментами отката, группами журналов отката | + | +
Управление заданиями | + | -
Копирование объектов баз данных | + | +
Возможность просмотра зависимостей между объектами базы данных | + | +
Эффективное управление параметрами безопасности
Функциональный менеджер для управления пользователями, их группами и их привилегиями | + | +
Менеджер настроек прав пользователей, отображающий все права для объектов базы данных в форме таблицы | + | +
Возможность управления правами на объект непосредственно в редакторе объекта | + | +
Эффективные инструменты управления данными
Мощный редактор BLOB-полей с различными режимами просмотра данных | + | -
Целый набор эффективных инструментов, например, для группировки, быстрого поиска и фильтрации данных | + | +
Отображение данных и работа с двумя связанными таблицами одновременно | + | -
Отображение таблиц и карточек в удобном для пользователя виде | + | -
Возможность копировать и вставлять выбранные записи | + | -
Усовершенствованная система печати | + | -
Великолепные графические и текстовые инструменты для построения запросов
Дизайнер запросов для построения сложных SQL-запросов даже без знаний синтаксиса | + | -
Многооконный редактор SQL с функцией автозавершения кода, подсветкой синтаксиса и отладчиком PL/SQL кода | + | -
Выполнение больших скриптов SQL | + | +
Возможность представления планов запросов в виде диаграммы | + | -
Форматтер SQL | + | -
Избранные запросы (возможность сохранения часто используемых запросов) | + | +
Возможность форматировать DML и DDL | + | -
Впечатляющие возможности импорта и экспорта данных
Экспорт данных в наиболее популярные форматы: MS Excel, MS Word, MS Access, HTML, PDF, TXT, CSV, DBF, XML, ODF и др. | + | -
Импорт данных из MS Excel, MS Access, DBF, XML, ODF, TXT и CSV | + | -
Экспорт данных в сценарий SQL в виде операторов INSERT с возможностью выбора СУБД назначения | + | -
Мощный визуальный конструктор баз данных
Создание диаграммы существующей БД с помощью инструмента обратного проектирования | + | -
Создание нескольких страниц для разделения одной диаграммы на различные предметные области | + | -
Навигация по диаграмме с использованием панели предварительного просмотра | + | -
Возможности создания, редактирования и удаления таблиц и их полей, визуального установления отношений между таблицами | + | -
Возможность добавления комментариев к диаграмме | + | -
Вывод диаграммы на печать или сохранение ее в виде изображения | + | -
Два типа аннотаций для диаграмм (IDEF1x и IE) | + | -
Широкие возможности настройки внешнего вида конструктора | + | -
Конструктор отчетов с понятным мастером создания отчетов
Мастер создания отчетов позволяет создавать отчеты всего за пару шагов | + | -
Управление отчетами аналогично управлению объектами базы данных: доступ к отчетам осуществляется напрямую из дерева Проводника БД | + | -
Современный графический интерфейс пользователя
Эффективная система мастеров | + | +
Улучшенный проводник баз данных для более простого управления объектами Oracle | + | +
Возможность работы в многооконном режиме или в режиме плавающих окон | + | +
Новая панель инструментов для легкого переключения между окнами по принципу панели задач Windows | + | +
Навигационная панель c "горячими клавишами" для большинства окон программы | + | +
Возможность сохранения всех настроек программы | + | +
Настраиваемые панели инструментов для всех окон приложения | + | +
Полностью настраиваемый интерфейс программы | + | +
Локализуемый пользовательский интерфейс | + | +
Другие функциональные особенности
Клавиатурные шаблоны | + | +
Список запланированных действий "To-do" | + | +


Установка

Установка программы SQL Manager for Oracle

  • загрузите установочный файл программы со страницы загрузки,
  • разархивируйте полученный файл в нужную директорию (например, c:\unzipped),
  • откройте файл OraManagerFullSetup.exe и следуйте инструкциям мастера установки,
  • после завершения процесса установки найдите ярлыки программы в Пуск->Программы->EMS.

Часто задаваемые вопросы по установке ПО

Обновление программы

  • загрузите установочный файл программы со страницы загрузки сайта,
  • разархивируйте полученный файл в нужную директорию (например, c:\unzipped),
  • закройте программу SQL Manager for Oracle, если она запущена,
  • откройте файл OraManagerFullSetup.exe и следуйте инструкциям мастера обновления.


Приобретение

Чтобы упростить процесс приобретения наших продуктов, мы заключили контракт с Интернет-регистратором Digital River. Процедура совершения покупки через Digital River защищена безопасным соединением и делает процесс оплаты быстрым и безопасным.

Если Вы заказали программное обеспечение компании EMS в Интернет и хотели бы посмотреть информацию о Вашем заказе, или же если у Вас возникли вопросы, касающиеся приобретения наших продуктов, оплаты или процедуры доставки, пожалуйста, обратитесь в Customer Care Center.

Пожалуйста, учтите, что все наши программные продукты доставляются только электронными средствами (Electronic Software Delivery). Сделав заказ, Вы сможете немедленно скачать регистрационные ключи или пароли и ссылки на архивы полных версий программ. Также Вы получите копию регистрационных ключей или паролей по электронной почте.

Если при оформлении Вы не получили регистрационный ключ в течение двух часов, обратитесь в службу поддержки по этому адресу sales@sqlmanager.net.

Если Вы являетесь зарегистрированным пользователем, то при возникновении проблем или вопросов при использовании нашего программного обеспечения обращайтесь в службу поддержки.

Описание продукта | MyCommerce/Digital River
EMS SQL Manager for Oracle (Бизнес версия) + 3 года сопровождения | Купить!
EMS SQL Manager for Oracle (Бизнес версия) + 2 года сопровождения
EMS SQL Manager for Oracle (Бизнес версия) + 1 год сопровождения
EMS SQL Manager for Oracle (Некоммерческая версия) + 3 года сопровождения
EMS SQL Manager for Oracle (Некоммерческая версия) + 2 года сопровождения
EMS SQL Manager for Oracle (Некоммерческая версия) + 1 год сопровождения
EMS SQL Manager for Oracle (Пробная версия) | Загрузить!
EMS SQL Manager for Oracle Lite | Загрузить!

Программа EMS по Сопровождению ПО - это выгодная для клиента комплексная программа, включающая в себя техническую поддержку, обновления ПО и много других преимуществ. Имея действующую подписку на Сопровождение ПО, Вы автоматически получаете последние версии программ EMS сразу после их выпуска без дополнительных затрат. Это позволит Вам и Вашей компании идти в ногу с новейшими разработками в области программного обеспечения, пользоваться улучшенными версиями программ и проще отслеживать имеющиеся у Вас лицензии на ПО. Как участник Программы EMS по Сопровождению ПО, Вы имеете право получать:

  • Техническую поддержку опытных специалистов
  • Консультации по вопросам работы ПО
  • Бесплатные обновления и релизы с улучшениями ПО в течение подписки на Сопровождение ПО
  • Доступ к персональной учетной записи клиента EMS
  • Мгновенное возобновление подписки на Сопровождение ПО в режиме онлайн
  • Эксклюзивные заблаговременные уведомления о специальных предложениях
  • Эксклюзивные предложения ТОЛЬКО для владельцев подписки на Сопровождение ПО

Подробнее об услуге сопровождения читайте на странице http://sqlmanager.net/ru/support/faq/maintenance


Регистрация

Если Вы не зарегистрировали свою копию программы SQL Manager for Oracle, то Вы можете сделать это, нажав кнопку Register Now в окне, открывающемся при выборе пункта главного меню программы Help | About.

Welcome to SQL Manager - About

В появившемся окне укажите регистрационное имя - в поле Registration name, и ключ - в поле Registration Key.

Welcome to SQL Manager - Register product

Чтобы зарегистрировать только что приобретенную копию программы необходимо выполнить следующие действия:

  • получить уведомительное письмо с регистрационной информацией из Softkey!
  • ввести Registration Name и Registration Key из этого письма.
  • убедиться, что регистрация прошла успешно. Для этого необходимо открыть окно About SQL Manager for Oracle, выбрав пункт главного меню Help | About. В этом окне должны отображаться введенные вами Registration Name и Registration Key.

После введения правильного регистрационного ключа появляется информационное окно, сообщающее о том, что Вы имеете право пользоваться программой.

Программа EMS по Сопровождению ПО - это выгодная для клиента комплексная программа, включающая в себя техническую поддержку, обновления ПО и много других преимуществ. Имея действующую подписку на Сопровождение ПО, Вы автоматически получаете последние версии программ EMS сразу после их выпуска без дополнительных затрат. Это позволит Вам и Вашей компании идти в ногу с новейшими разработками в области программного обеспечения, пользоваться улучшенными версиями программ и проще отслеживать имеющиеся у Вас лицензии на ПО. Как участник Программы EMS по Сопровождению ПО, Вы имеете право получать:

  • Техническую поддержку опытных специалистов
  • Консультации по вопросам работы ПО
  • Бесплатные обновления и релизы с улучшениями ПО в течение подписки на Сопровождение ПО
  • Доступ к персональной учетной записи клиента EMS
  • Мгновенное возобновление подписки на Сопровождение ПО в режиме онлайн
  • Эксклюзивные заблаговременные уведомления о специальных предложениях
  • Эксклюзивные предложения ТОЛЬКО для владельцев подписки на Сопровождение ПО

Если Вы приобрели продукт в комплекте с подпиской на Сопровождение, подписка будет автоматически активирована после ввода регистрационного ключа в регистрационный диалог программы. Если же Вы приобрели подписку на Сопровождение отдельно, просто откройте регистрационный диалог программы и введите полученные Вами регистрационное имя и ключ.

После введения правильного регистрационного ключа появляется информационное окно, сообщающее о том, что Вы имеете право пользоваться программой.

Смотрите также:

Приобретение


Предыдущие версии

SQL Manager for Oracle | Версия 3.6.1 | 19 января 2021
SQL Manager for Oracle | Версия 3.6 | 6 июня 2019
SQL Manager for Oracle | Версия 3.5 | 26 ноября 2018
SQL Manager for Oracle | Версия 3.4.1 | 27 июля 2017
SQL Manager for Oracle | Версия 3.4 | 26 января 2017
SQL Manager for Oracle | Версия 3.3 | 9 июня 2015
SQL Manager for Oracle | Версия 3.2 | 23 декабря 2013
SQL Manager for Oracle | Версия 3.1.0.1 | 15 июля 2013
SQL Manager for Oracle | Версия 3.0.0.1 | 21 марта 2012
SQL Manager 2011 for Oracle | Версия 2.6.0.1 | 4 июля 2011
SQL Manager 2010 for Oracle | Версия 2.5.0.1 | 2 августа 2010
SQL Manager 2010 for Oracle | Версия 2.4.0.1 | 28 января 2010
SQL Manager 2008 for Oracle | Версия 2.3.0.1 | 27 июля 2009
SQL Manager 2008 for Oracle | Версия 2.2.0.1 | 18 декабря 2008
SQL Manager 2008 for Oracle | Версия 2.1.0.1 | 6 октября 2008
SQL Manager 2008 for Oracle | Версия 2.0.0.1 | 25 августа 2008
SQL Manager 2007 for Oracle | Версия 1.5.0.1 | 19 ноября 2007
SQL Manager 2007 for Oracle | Версия 1.4.0.1 | 17 августа 2007
SQL Manager 2007 for Oracle | Версия 1.3.0.1 | 6 июня 2007
SQL Manager 2007 for Oracle | Версия 1.2.0.1 | 26 марта 2007
SQL Manager 2007 for Oracle | Версия 1.1.0.1 | 26 января 2007
SQL Manager 2005 for Oracle | Версия 1.0.0.1 | 5 декабря 2006

Версия 3.6.1

1. В файл настроек не сохранялись Избранные объекты. Исправлено.

2. В Помощнике SQL некорректно отображалось содержимое папок Избранных объектов. Исправлено.

3. При сбросе всех настроек не сбрасывалась цветовая тема приложения. Исправлено.

4. В диалоге проверки клиента не поддерживалась территория RUSSIA переменной NLS_LANG. Исправлено.

5. В мастере регистрации БД было невозможно зарегистрировать базу при отсутствии доступных хоумов. Исправлено.

6. На вкладке DDL ролей не отображались привилегии на объекты. Исправлено.

7. При экспорте данных запроса из редактора запросов терялась часть условия запроса, что приводило к ошибкам. Исправлено.

8. Другие исправления и улучшения.

Версия 3.6

  1. Обновлены иконки в программе.
  2. Добавлена поддержка темной визуальной темы.

dark schema news

  3. Добавлена поддержка Amazon RDS for Oracle.
  4. Добавлена поддержка сервера версии 18C.
  5. Улучшена поддержка мониторов с высоким разрешением и систем с увеличенным размером шрифта.
  6. Реализована поддержка юникода для имен объектов.
  7. Реализован механизм быстрого добавления объектов в Избранные через контекстное меню.
  8. Добавлена возможность перемещения БД в дереве объектов.
  9. Исправлены различные ошибки программы.
  10. Улучшения в интерфейсе и удобстве работы с программой.

Версия 3.5

  1. Добавлена поддержка последней версией сервера Oracle 18C.
  2. Реализовано отображение статистики частоты переключения журналов повторного выполнения.
  3. Добавлена возможность автоматического распознавания типа бинарных данных в BLOB-полях и открытия соответствующего редактора для просмотра данных BLOB.
  4. Добавлена возможность удобного сохранения и восстановления SQL запросов со всех закладок в один файл.
  5. Добавлена возможность редактирования планировщика заданий другими владельцами.
  6. Мастер сравнения БД. При синхронизации представления создавались без ключевого слова FORCE, и как следствие, не все представления могли попасть на целевую БД. Исправлено.
  7. Мастер сравнения БД. Исправлена ошибка при сравнении материализованных представлений.
  8. Мастер сравнения БД. Исправлена ошибка сброса выбранных схем целевой базы при загрузке шаблона.
  9. При редактировании тела пакета с именем в нижнем регистре без кавычек в результирующий скрипт имя попадало в нижнем регистре с кавычками. Исправлено.
  10. Исправлена ошибка при показе данных невалидного представления.
  11. Другие исправления и улучшения.

Версия 3.4.1

  1. Data frame. Появилась возможность быстрого добавления значений в фильтр данных с помощью кнопки Shift.
  2. Для материализованных представлений добавлена опция "Reduced precision".
  3. Улучшен механизм поиска объектов в VDBD.
  4. Теперь при выполнении хранимых процедур значения параметров по умолчанию подставляются в форму автоматически.
  5. При отображении данных типа XMLData выдавалась ошибка ORA-30757. Исправлено.
  6. Исправлена ошибка запуска программы на системах с Бретонской локалью.
  7. В некоторых случаях некорректно работала автонастройка ширины колонок. Исправлено.
  8. Исправлены ошибки редактирования секций в редакторе индексов. Исправлено.
  9. При создании нового объекта не применялось правило для внешних ключей. Исправлено.
  10. В редакторе триггеров не было возможности сбросить установленное значение "Follow trigger". Исправлено.
  11. Исправлены ошибки редактирования окна планировщика.
  12. Исправлены ошибки редактирования планировщика расписаний.
  13. В редакторе SQL некорректно работала кнопка "Yes to all" для подтверждения замены текста. Исправлено.
  14. Множество других улучшений и исправлений.

Версия 3.4

  1. Существенно улучшен механизм получения зависимостей объектов, а также скорость работы инструментов Extract Database, Compare Database, Dependency Tree и SQL Script.
  2. Добавлена возможность просмотра содержимого PDF данных в редакторе BLOB данных.
  3. Текст информационных сообщений и сообщений об ошибках в диалоговых окнах можно теперь копировать с помощью Ctrl+C.
  4. Исправлена ошибка «Out of memory» при извлечении больших объемов данных в Extract Database.
  5. При выполнении DDL операторов информация, отображенная в национальных кодировках, теряется в случае кодировки соединения UTF-8. Исправлено.
  6. Исправлены ошибки отображения Code Folding в скрипте.
  7. Неверно отображались многострочные комментарии (/* */). Исправлено.
  8. Исправлены ошибки при работе с отчетами.
  9. Множество других исправлений и улучшений.

Версия 3.3

  1. Изменена модель работы с буферами данных. Память выделяется только под реальные данные, записанные в таблице, а не исходя из их определения. Это привело к существенной экономии оперативной памяти.
  2. Доработан механизм фильтрации схем, с которыми работает пользователь. Теперь все редакторы, сервисы и инструменты работают только с тем набором схем, которые указаны в фильтре схем в регистрации БД.
  3. Compare Databases. Механизм выстраивания объектов по зависимостям существенно улучшен и ускорен. Появилась возможность сравнивать только объекты схем, игнорировать объекты схемы PUBLIC, игнорировать хранилище параметров объектов.
  4. Extract Database. Механизм выстраивания объектов в соответствии с зависимостями переработан и существенно улучшен.
  5. Duplicate Table. Появилась возможность выбирать подобъекты.
  6. Базы, соединение с которыми осуществляется посредством SSH, теперь помечаются специальным значком с замочком.
  7. Появилась возможность одновременного выполнения нескольких запросов в Query data, разделенных ";", и одновременного отображения их наборов данных.
  8. Текущая схема в дереве объектов теперь помечается жирным шрифтом.
  9. Исправлен разбор запроса в Design query в случае большого числа ANSI операций соединения.
  10. Исправлены множественные ошибки конструктора визуализации БД, связанные с групповым редактированием (удалением, перемещением…)
  11. Export Data. Экспорт больших наборов данных завершался ошибкой "Out of memory". Исправлено.
  12. Множественный запуск DB Comparer завершался ошибкой "Out of memory". Исправлено.
  13. Query data. В режиме асинхронного выполнения долгого запроса с заданным таймаутом происходило прерывание запроса с закрытием набора данных, даже если запрос укладывался в заданный таймаут. Исправлено.
  14. Исправлены множественные интерфейсные ошибки в случае редактирования Storage Data для разделов таблицы.
  15. Некорректная работа с кодировкой БД ISO8859-5. Исправлено.
  16. Другие улучшения и исправления

Версия 3.2

  1. Поддержка новой возможности Oracle 12c: Использование последовательностей в редакторах полей. Поддержка автоинкрементных полей.
  2. Поддержка новой возможности Oracle 12c: Опция DEFAULT ON NULL в редакторах столбцов.
  3. Поддержка новой возможности Oracle 12c: Размер полей типа varсhar до 32767 байтов.
  4. Поддержка новой возможности Oracle 12c: PL/SQL подпрограммы в WITH … SELECT запросах.
  5. Поддержка новой возможности Oracle 12c: Усовершенствован механизм партиционирования (секционирования):
  • Перемещение партиций онлайн (без размонтирования БД)
  • Удаление и очистка нескольких партиций за раз
  • Разделение и слияние партиций
  6. Поддержка новой возможности Oracle 12c: Назначение и аннулирование ролей программным модулям.
  7. Поддержка новой возможности Oracle 12c: Поддержка лимитов при загрузке данных в таблицах и представлениях.
  8. Поддержка новой возможности Oracle 12c: Поддержка опции в последовательностях KEEP … SESSION.
  9. Мастер извлечения баз данных. Добавлена опция удаления существующих записей («Delete existing records»).
  10. Роли (Role editor). Поддержка опции IDENTIFIED USING.
  11. Отчеты HTML. Алгоритм работы существенно оптимизирован, HTML отчеты строятся теперь значительно быстрее.
  12. При соединении через SSH, если SID и псевдоним в tnsnames.ora отличались, возникала ошибка при соединении ORA-12514. Исправлено.
  13. При сохранении диаграммы визуального конструктора баз данных в картинку она обрезалась. Исправлено.
  14. Исправлены множественные ошибки при работе в режиме «Schema Restriction», из-за которых с сервера запрашивался весь диапазон схем, несмотря на ограничения, заданные в «Schema Restriction».
  15. При открытии больших таблиц происходило прерывание запроса по таймауту 4 секунды, несмотря на настройку таймаута. Исправлено.
  16. Множество улучшений и исправлений.

Версия 3.1.0.1

  1. Отладчик PL/SQL кода. Существенно переработан механизм работы, исправлено большое число ошибок. Настройки внешнего вида теперь "запоминаются".
  2. Перекомпиляция поврежденных объектов. Существенно переработан, ускорен и расширен механизм работы. Появилась возможность определения неправильных зависимостей и перекомпиляции как единичных проблемных объектов, так и целиком всех зависимостей.
  3. В Extract Database появилась опция "Calculate dependencies", которая анализирует зависимости и выстраивает объекты в порядке использования.
  4. При включении в Настройках отображения данных (Data Options) опции «Использовать разделенное подключение для всех просмотрщиков данных» возникала ошибка AV (Access Violation) при любом запуске/перезапуске текущего соединения (Например, SQL Редактор, SQL скрипт, Настройки Регистрации БД). Исправлено.
  5. При включенной опции "Schema restriction" для PUBLIC и Current в Редакторе Операторов возникала ошибка AV. Исправлено.
  6. Исправлено неверное двойное взятие в кавычки типа DATE при импорте данных из CSV.
  7. При закрытии нескольких редакторов через контекстное меню панели окон (Close All) и параллельном открытии редактора другого объекта, закрытие ненужных для работы редакторов останавливалось. Исправлено.
  8. Data Manipulation | Export Data. Решена проблема "Failed: Out of Memory" при экспорте данных таблицы с большим количеством строк.
  9. Проводник баз данных. После удаления любого объекта не через Проводник баз данных (DB Explorer), было возможно открытие этого объекта в Проводнике баз данных. Исправлено.
  10. При создании таблицы и кластера с одним именем последующее открытие таблицы добавляло к ее столбцам столбцы кластера; при открытии кластера к столбцам кластера добавлялись столбцы таблицы. Исправлено.
  11. При включенной опции "Sort by aliases" в дереве объектов сортировались поля таблиц. Исправлено.
  12. Множество улучшений и исправлений.

Версия 3.0.0.1

  1. Добавлен инструмент сравнения баз данных (Database Comparer), который позволяет получить скрипт для синхронизации структуры баз данных.
  2. Добавлен инструмент для быстрого поиска по метаданным БД. Он позволяет задавать различные условия поиска и просматривать результаты.
  3. Визуальный конструктор баз данных.
  • Добавлены операции отмены 'Undo' и возврата 'Redo'.
  • Добавлены инструменты для форматирования объектов диаграммы: изменение шрифтов, цветов и т.д.
  4. Отчеты HTML. Теперь возможно задать визуальный стиль отчета.
  5. Добавлен Менеджер регистраций баз данных (Database Registration Manager), который позволяет быстро добавить регистрации новых БД и удалить регистрации несуществующих БД.
  6. Менеджер служб сервера (Instance Manager). Позволяет проверять статус сервиса PostgreSQL сервера и запускать/останавливать сервис.
  7. Появилась возможность задавать сочетания клавиш не только для команд редактора SQL, но и для некоторых других команд (Environment Options | Global Shortcuts).
  8. SQL Formatter позволяет теперь форматировать выражения DDL.
  9. Удобное переключение между окнами по Ctrl+Tab.
  10. Появилась возможность копировать объекты в другую базу данных с помощью операции перемещения (drag-and-drop) в Проводнике БД.
  11. Теперь при создании подключения к базе данных можно задавать строку подключения (Connection string) вручную.
  12. Опция сохранения/восстановления положения (Save And Restore layout) теперь позволяет сохранять ширину столбцов при перевыполнении запросов в Редакторе SQL и Конструкторе запросов.
  13. Добавлена возможность устанавливать размер шрифта только в DataGrid.
  14. Прочие улучшения и исправления.

Версия 2.6.0.1

  1. SQL Редактор и SQL скрипт.
  • Добавлена возможность установки таймаута при выполнении запросов.
  • При включенной опции “ Асинхронное выполнение запроса ” отменить запрос было невозможно. При выполнении длительных запросов, редактор зависал. Исправлено.
  2. Добавлена возможность обнаружения ресурсоемких запросов, выполнение которых может занять длительное (более 10 секунд) время.
  3. Теперь при пустом списке Oracle Home (клиент не установлен/не настроен) выдается предупреждение.
  4. Теперь для нового создаваемого поля в таблице при задании строкового типа, по умолчанию выставляется размер 10.
  5. Появилась возможность выбирать “мульти-вставку” (multi-insert) при экспорте данных в виде SQL скрипта (при условии, что данная вставка поддерживается сервером).
  6. При изменении исходного кода «Тело как объект» терялось пользовательское форматирование. Исправлено.
  7. При выборе опции “Конвертировать имена созданных объектов в верхний регистр”, взятие в кавычки имен идентификаторов было невозможным. Исправлено.
  8. Если имя поля начиналось с цифры, при экспорте данных возникала ошибка. Исправлено.
  9. Если при использовании опции “Редактировать параметры локального именования” ни одна база данных не была зарегистрирована, возникала ошибка AV (Access Violation). Исправлено.
  10. При попытке создания контрольной точки восстановления «Flashback» возникала ошибка “Недопустимый идентификатор или невозможно открыть адресный файл”. Исправлено.
  11. При дублировании таблицы с заменой схемы размещения, ошибочно менялось табличное пространство. Исправлено.
  12. Конструктор запросов. При разборе запросов типа “Insert As Select” возникала ошибка доступа. Исправлено.
  13. Создание процедур. После нажатия “Компилировать” в опции “ Конвертировать имена созданных объектов в верхний регистр” возникала ошибка AV. Исправлено.
  14. Теперь возможно выполнение запросов, в которых присутствуют строковые значения с символами “ ’ ” (апостроф).
  15. В поле varchar(4000) было невозможным вставить строки с 1000 и более символами. Исправлено.
  16. При выборе опции "Автоинкремент" для редактирования ранее созданного поля, метаданные автоинкремента не создавались. Исправлено.
  17. При создании ключа игнорировалось значение, вводимое в поле “Табличное пространство”. Исправлено.
  18. При выполнении запросов вида “select cast (fieldname as varchar(100)) from tablename” появлялись лишние записи в гриде. Исправлено.
  19. Не отображались объекты, находящиеся в данном табличном пространстве. Исправлено.
  20. Другие незначительные исправления и улучшения.

Версия 2.5.0.1

  • Новый объект Queue.
  • Новый объект Queue Table.
  • TKProf Wizard, мастер для работы с TKProf программы для обработки файлов трассировки.
  • Мастер резервного копирования базы данных: Добавлена возможность задать расписание создания резервной копии.
  • Дизайнер запросов : В заголовке окна пишется имя файла, если таковой был открыт
  • Убраны все запросы “Alter session set …” для пользователя Normal, что иногда приводило к ORA-01031: insufficient privileges.
  • Увеличена скорость работы с деревом объектов. Оптимизирована работа пользователя Normal.
  • Редактор выполнения скриптов: Добавлена поддержка разделителя “/” для всех объектов.
  • Редактор локальных параметров именования (Local Naming) добавлен в главное меню программы
  • Включенный мониторинг SQL запросов в файл может стать причиной падения производительности. Добавлено напоминание об этом мониторинге.
  • Добавлена возможность менять пароль для пользователя Normal.
  • Работа с двумя зарегистрированными базами данных с одинаковым ServiceName, c включенной опцией Schema Restriction приводило к ошибке “ SQL command not properly ended”, а иногда к краху всех профилей. Исправлено.
  • При импорте данных из поля типа CHAR(1) со значением ' ' (один пробел) это поле импортировалось как пустое. Исправлено.
  • Дизайнер запросов (Design query): При нажатии Clear тип запроса не сбрасывается на “Select”. Исправлено.
  • Редактор типов массивов (Array Types Editor): Не заполнялся список объектов для быстрого переключения. Исправлено.
  • После полного обновления базы данных, отключения её и закрытия SQL Manager for Oracle появлялась ошибка. Исправлено.
  • Под пользователем Normal после перехода на закладку Permission появлялась ошибка ORA-00942. Исправлено.
  • Материализованные представления (Materialized View). При создании материализованного представления к DDL описанию добавляется лишняя «;». При этом создается таблица в той же схеме и появляется ошибка. Исправлено.
  • При удалении материализованного представления, редактор которого запущен, генерировалось DDL несуществующего материализованного представления. Исправлено.
  • При редактировании функции появлялась ошибка “There is an error in input of field…”. Исправлено.
  • При попытке подключиться через SSH появлялась ошибка ORA-01031: insufficient privileges. Исправлено.
  • При включенной опции “Скрывать схемы, если они пусты” скрывалась текущая схема пользователя, если в ней не было объектов. Исправлено.
  • Редактор табличных пространств (Tablespace editor): Если не заходить на закладку Files, то в DDL файлы данных не показываются. Исправлено.

Версия 2.4.0.1

  1. Предупреждения базы данных:
  • добавлены новые события для мониторинга.
  • добавлено описание каждого события и указание проблемных объектов.
  2. Проверка клиента Oracle:
  • изменен алгоритм поиска оракл-хоумов (в частности, поддерживаются INSTANT_CLIENT и XE_CLIENTS)
  • выводятся найденные ошибки и указания по исправлению (в том числе проблем с NLS_LANG)
  3. Дерево зависимостей: Улучшен механизм построения дерева зависимостей, дерево строится существенно быстрее.
  4. Появилась возможность включать\отключать триггеры через контекстное меню объекта в проводнике баз данных.
  5. Мастер регистрации баз данных: В выпадающий список “Connect Using”, добавлен пункт, указывающий на то, что подключение будет осуществляться через переменную TNS_ADMIN.
  6. Настройки окружения:
  • добавлена опция “Quote low case identifiers” указывающая на то, следует ли заключать в кавычки идентификаторы с символами в нижнем регистре.
  • добавлена опции “Autocreation options” для автоматического создания синонимов при создании нового объекта.
  7. Редактор полей. Появилась возможность сымитировать автоинкрементное поле, путем создания соответствующего триггера и последовательности (Sequences).
  8. Перекомпиляция поврежденных объектов. Добавлены синонимы в список доступных объектов.
  9. Compile With Debug Info. Для PL/SQL объектов в выпадающее меню добавлена задача (Tasks) - “Compile With Debug Info”.
  10. Задания планировщика / Редактор окон планировщика:
  • после создания нового метаобъекта, до обновления коллекции, не запускался его редактор. Исправлено.
  • не работало удаление нескольких выделенных метаобъектов. Исправлено.
  11. Программы планировщика. Enable/Disable были перепутаны скрипты. Исправлено.
  12. После выгрузки отчета HTML, при обновлении любой коллекции появлялось "Not enough available timer". Исправлено.
  13. Редактор триггеров. Невозможно было задавать список полей, для которых будет срабатывать триггер. Исправлено.
  14. Экспорт данных в виде SQL скрипта из Визуального конструктора запросов.Столбец ROWID попадал в DDL таблицы. Исправлено.
  15. Экспорт данных в виде SQL скрипта из представления. Имена схем и таблиц неправильно заключались в кавычки. Исправлено.
  16. Мастер создания HTML отчетов. Не работала гиперссылка, если в имени объекта есть символ “#”. Исправлено.
  17. Мастер создания HTML отчетов - Indices (в отчете) - не отмечались флажком Unique индексы (столбец Unique). Исправлено.
  18. Визуальный конструктор баз данных - Create table. Если не была явно указана схема, то в рабочей области таблица создавалась без столбцов. Исправлено.
  19. Ошибки в асинхронном режиме, связанные с неправильным показом количества отображенных записей, работой с фильтром и сортировкой. Исправлено.
  20. При отключенном парсинге, выполнение в SQL Script пустого скрипта приводило к ошибке. Исправлено.
  21. Не работали сочетания клавиш управления макросами. Исправлено.

Версия 2.3.0.1

  1. Добавлены новые объекты Oracle 10g: Schedule Job Classes, Schedule Jobs, Schedule Window Group, Schedule Windows, Schedule schedules, Schedule programs, Schedule chains.
  2. Улучшение производительности:
  • Улучшено синтаксический разбор SQL выражений в Редакторе SQL скриптов.
  • Теперь не происходит автоматического обновления подобъектов таблиц и представлений при включенной опции "Refresh on connect".
  • Улучшена производительность вкладки Dependecies редакторов объектов.
  3. Проводник баз данных:
  • SQL ассистент автоматически скрывается для повышения производительности.
  • Добавленные именованные закладки в дереве объектов сворачивались после перезапуска программы. Исправлено.
  • Добавлена возможность использовать drag-n-drop объектов между группами БД.
  4. Редактор запросов:
  • Содержимое может быть сохранено в кодировке ANSI и UNICODE.
  • При включенной опции Asynchronous query execution не показывались ошибки неверного синтаксиса запросов. Исправлено.
  • Если выполнить запрос при включенной опции Asynchronous query execution, затем выключить ее и выполнить запрос повторно программа выдавала ошибку Access Violation. Исправлено.
  5. Материализованные представления. Добавлена возможность создания и редактирования партиций.
  6. Дизайнер запросов :
  • В режиме "Select", созданное вручную поле в меню "Selection", исчезало после загрузки сохраненной диаграммы. Исправлено.
  • В режиме "Update", команда "Delete Current Row" удаляла поле только из графического представления, запрос не менялся. Исправлено.
  • При переходе с вкладки "Edit", содержащей запрос с подзапросом, на вкладку "Builder" программа выдавала ошибку "ORA-00942: table or view does not exist". Исправлено.
  7. Даже при включенной опции "Login prompt before connection", задаваемой при Установке параметров регистрации, пароль хранился в реестре. Исправлено.
  8. Шаблоны клавиатуры. Отключенные шаблоны при перезапуске становились активными. Исправлено.

Версия 2.2.0.1

  1. Добавлен Мастер создания баз данных с возможностью создавать Standby Database.
  2. Добавлена поддержка Unicode в DDL.
  3. В Редакторе SQL и сценариях SQL теперь возможно использование макросов.
  4. Мастер регистрации баз данных. Возможность подключения к базам данных, которые отсутствуют в TNS-файле.
  5. Конструктор запросов. Возможность создавать запросы как в стандарте Oracle, так и в ANSI-92 SQL.
  6. Проводник БД.
  • Улучшенный диалог поиска объектов.
  • Добавлена возможность менять порядок хостов путем перетаскивания их мышкой.
  • На панели инструментов поиска добавлена кнопка переключения режима поиска.
  • При двойном щелчке по папке объектов, она раскрывается или сворачивается.
  • При закрытии программы сохраняется информация о последней рабочей базе, и при повторном запуске эта база автоматически выбирается в дереве.
  7. Регистрационная информация баз данных. Для журналов метаданных и Редактора SQL теперь есть возможность задать и сохранять данные в кодировке Unicode или ANSI.
  8. Редактор SQL.
  • В качестве имени запроса можно было задать имя уже существующего запроса. Исправлено.
  • Исправлено несколько ошибок, связанных с некорректным применением подсветки SQL кода (использование алиасов в запросах UPDATE : SET :; многострочные комментарии и т.д.)
  • Если при сохранении содержимого в файл указать кодировку, отличную от Unicode, при последующем сохранении кодировка сбрасывалась в Unicode.
  9. Редактор SQL, план запроса. Не было полос прокрутки. Исправлено.
  10. Сетка данных.
  • Теперь цвет курсора меняется, если сетка данных неактивна.
  • Изменение принципа работы в асинхронном режиме – использование отдельного подключения для каждой сетки данных позволяет производить выборку данных без потери возможности одновременного использования остальных функций программы.
  11. Вкладка Data | BLOB View. Добавлена вкладка XML для просмотра содержимого BLOB поля в виде XML.
  12. Извлечение базы данных, экспорт в сценарии SQL.
  • Сейчас сценарий создается сразу в выбранной кодировке символов, что значительно уменьшает время его создания.
  • При извлечении данных внешнего курсора возникала ошибка ORA-00900. Исправлено.
  13. Извлечение базы данных, экспорт. При извлечении запросов с подзапросами возникала ошибка ORA-00900. Исправлено.
  14. Визуальный конструктор баз данных.
  • Теперь таблицы располагаются более плотно при обратном проектировании (reverse engineering).
  • Настройки выравнивания объектов на диаграмме не работали после открытия диаграммы из файла.
  • На некоторых принтерах не печатались иконки полей и таблиц. Исправлено.
  15. Список окон. Добавлена команда закрытия всех окон БД (Close All Database Windows).
  16. Дерево зависимостей. Не работала кнопка Cancel при обновлении дерева. Исправлено.

Другие улучшения и исправления

Наверх

Версия 2.1.0.1

  1. Мастер восстановления таблиц и данных. Мощная утилита, для восстановления данных к конкретной контрольной точке.
  2. Добавлена возможность поиска в метаданных.
  3. Отладчик: реализована возможность удаления значения watch по кнопке Delete.
  4. Табличные пространства - реализован просмотр значения параметра flashback mode.
  5. Редактор SQL: Форматтер усовершенствован для обработки больших и сложных запросов.
  6. Визуальный конструктор баз данных. После реконструирования при попытке редактирования таблицы возникала ошибка “Table is unavailable in database”. Исправлено.
  7. В отладчике сочетанием Ctrl+Del удалялась текущая вкладка. Исправлено.
  8. Ошибка ORA-54016 появлялась на 11G Oracle, если в таблице присутствовал составной DESC и ASC индекс. Исправлено.
  9. DDL таблицы формировался неправильно, в случае если имя ограничения и индекса не совпадали. Исправлено.
  10. При неустановленном клиенте, вызов редактора “Edit Local Naming Parameters” приводил к ошибке Access Violation. Исправлено.
  11. Извлечение метаданных. Если в данных встречался символ " ' ", то скрипт формировался неверный.
  12. При редактировании больших и сложных запросов в редакторе Query data возникала ошибка "List index out of bounds". Исправлено.
  13. Другие исправления и улучшения.

Наверх

Версия 2.0.0.1

  1. Поддержка секционированных таблиц и индексов, а также новые возможности Oracle 11g: системное секционирование и секционирование по внешнему ключу.
  2. Добавлен новый инструмент - PL/SQL Profiler, который позволяет настраивать существующие приложения PL/SQL и идентифицировать критические параметры производительности.
  3. Добавлен новый инструмент - Database Alerts, который позволяет выполнить серию проверок производительности выбранной базы данных и отображает результаты проверки в реальном времени.
  4. Поддержка новых возможностей Oracle 11g: сжатых таблиц, таблиц OLAP, read-only и read-write таблиц, невидимых индексов, комбинированных триггеров, триггеров с конструкцией FOLLOWS, виртуальных столбцов и многих других.
  5. Поддержка Unicode данных в редакторе SQL, конструкторе запросов, в данных таблиц, мастером экспорта/импорта данных.
  6. Большинство Мастеров, включая Мастер экспорта/импорта данных, извлечения, резервного копирования и восстановления базы данных теперь выполняются в фоновом режиме, а вы в это время можете продолжать работать с программой.
  7. Новый улучшенный редактор SQL, аналогичный редактору Visual Studio, с функцией Code Folding, поддержкой Unicode.
  8. Улучшенный Мастер импорта данных позволяет импортировать данные до 10 раз быстрее. Добавилась возможность импорта данных из файлов форматов HTML, XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2008, MS Excel 2008).
  9. В редакторах объектов добавлена закладка Permissions, на которой можно предоставить права на объект пользователям и группам.
  10. В Проводнике БД добавлено меню генерации типовых SQL команд для объектов базы данных (Script to Query data, Script to Clipboard). Теперь вы можете легко получить такие SQL команды как CREATE, ALERT, DROP, SELECT и др. для каждого объекта базы данных.
  11. Теперь вы можете сохранять свои запросы в папках Избранные запросы в Проводнике БД; в этом случае запросы могут храниться либо локально в реестре (и быть доступными только для вас), либо в специальной таблице базы данных (и быть доступными части либо всем пользователям вашей базы).
  12. Улучшенный Мастер экспорта данных теперь работает быстрее. Добавилась возможность выгрузки данных в форматы XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2008, MS Excel 2008).
  13. В меню Options добавлен инструмент Find Option, который позволяет легко найти необходимую опцию среди всех форм настроек программы по слову или фразе, входящей в название опции.
  14. Улучшенная система построения отчетов.
  15. Улучшен Визуальный конструктор базы данных, добавлен новый вид объектов - комментарии. Возможность выбора уровня детализации отображения объектов (отображать только имена объектов, либо поля).
  16. Параметры соединения и загрузки данных, которые влияют на производительность базы данных, перенесены в окно Database Registration information (регистрационная информация базы данных). Теперь эти параметры можно задать индивидуально для каждой базы данных.
  17. Множество других улучшений и исправлений.

Наверх

Версия 1.5.0.1

  1. Добавлена функция PL/SQL Code Debugger в редактор SQL.
  2. Добавлена возможность вывода значения связываемых переменных в журнале SQL Monitor-a.
  3. Добавлена опция "Совет дня".
  4. Выражения типа MERGE INTO... USING ... анализировались некорректно. Исправлено.
  5. При попытке перекомпилировать объекты, содержащие ошибки, возникала ошибка Access Violation. Исправлено.
  6. Если в базе было открыто много объектов, то при добавлении объекта в визуальный конструктор баз данных приложение зависало. Исправлено.
  7. Обновлена польская локализация.
  8. Доработана английская локализация.
  9. Другие исправления и доработки.

Наверх

Версия 1.4.0.1

  1. Реализована возможность Резервного Копирования/Восстановления БД посредством одной из двух стратегий User managed или RMAN.
  2. Перекомпиляция объектов, содержащих ошибки, теперь доступна и для пользователей, не обладающих привилегией SELECT_CATALOG_ROLE.
  3. Ускорен процесс построения дерева зависимостей.
  4. Невозможно было получить набор данных из запросов с префиксом WITH. Исправлено.
  5. При извлечении в SQL скрипт данных поля СLOB как строк, символ ' не экранировался. Исправлено.
  6. Назначение клавиш. Отображались неверные настройки Быстрого кода. Исправлено.
  7. Сочетание клавиш Ctrl+Alt+Q схемы по умолчанию использовалось для показа списка процедур, что делало невозможным ввод символа @ в немецкой раскладке. Исправлено.
  8. При установке опции NotNull в редакторе таблиц генерировался неверный скрипт. Исправлено.
  9. При получении DDL последовательности (Sequence) не учитывалось текущее значение. Исправлено.
  10. Информация о регистрации БД. Запрос на повторное подключение выдавался даже при отсутствии каких-либо изменений. Исправлено.
  11. Другие мелкие исправления и доработки.

Наверх

Версия 1.3.0.1

  1. Добавлена Проверка клиента Oracle для верификации правильности настройки клиента и хоумов (Домашних директорий клиента) при запуске программы. Также доступна в Информации о регистрации БД.
  2. Добавлен Мастер расширенной статистики, предназначенный для сбора, удаления, экспорта, импорта статистики для стоимостного оптимизатора специфических объектов.
  3. Добавлен Мастер усечения, позволяющий усекать данные таблиц и кластеров.
  4. Добавлена Блокировка/Разблокировка ограничений - мастер массовой блокировки и разблокировки различных типов ограничений (для выбранных таблиц).
  5. В Проводнике БД для пакетов (packages) теперь как подобъекты показываются процедуры и функции. Также для пакета в списке Автозавершение кода показываются его процедуры и функции.
  6. Добавлена Перекомпиляция поврежденных объектов - сервис, позволяющий проводить перекомпиляцию всех, либо выбранных типов поврежденных PL/SQL объектов.
  7. Автозавершение кода. Теперь, даже если объекты не были обновлены в дереве объектов в Проводнике БД, они будут отображаться в списке Автозавершение кода (настраивается при помощи соответствующей опции).
  8. Извлечение БД. В генерируемом сценарии операторы создания материализованных представлений выводились неправильно. Исправлено.
  9. При дупликации таблицы в скрипт установки описаний полей не подставлялась схема создаваемой таблицы, и при выполнении возникала ошибка. Исправлено.
  10. Визуальный конструктор БД. После открытия сохраненной диаграммы возникала ошибка ‘Object not found in database’. Исправлено.
  11. В Визуальном конструкторе БД в некоторых случаях не отображались внешние ключи. Исправлено.
  12. Информация о регистрации БД. Значение опции «Откат при отсоединении» не учитывалось при аварийном отсоединении от БД. Исправлено.
  13. При удалении нескольких журналов материализованных представлений из дерева объектов генерировался неверный скрипт. Исправлено.
  14. Исправлена критическая ошибка при создании представлений.
  15. Дерево зависимостей. Из диаграммы для индексов и триггеров было невозможно открыть редактор. Исправлено.
  16. SQL Скрипт. В некоторых случаях парсер сценария неверно определял тип объекта для материализованных представлений, объектных типов, матричных типов (array types) и помещал не в ту ветвь Проводника. Исправлено.
  17. Проводник БД. После отсоединения базы данных список Недавние Объекты оставался активным. Исправлено.
  18. Прочие исправления и доработки.

Наверх

Версия 1.2.0.1

  1. Добавлена форма “Статистика по Базе Данных”. Выдача суммарной статистики по производительности экземпляра, даты последнего сбора статистики по таблицам и индексам. Выдача информации по производительности сессий ввода-вывода, процессорному времени, Глобальным Областям Пользователя, Процентам Попадания (Hit-Ratios), Блокировкам (Locks). Вывод информации по табличным пространствам, сегментам, Глобальной Системной Области, Контрольным файлам, Файлам данных, Сегментам отката. Оценка свободного места в графическом виде. Детальная информация об ожидаемых событиях (wait events), защелках (latches).
  2. Добавлена форма “Информация о Базе Данных”. Содержит общую информацию о текущем экземпляре БД и NLS параметрах. Позволяет просматривать и редактировать конфигурационные параметры экземпляра.
  3. Добавлена поддержка Объектных Таблиц.
  4. Добавлена возможность запуска сбора статистики для отдельной таблицы и схемы.
  5. Исправлен и дополнен механизм проверки уровня доступа к словарю метаданных (иерархические привилегии по ролям, по системным привилегиям).
  6. Печать Метаданных. В отчет по таблице добавлены описания полей.
  7. Конструктор БД. Оптимизирован механизм обновления при обратном проектировании. Добавлена возможность выбора отдельных схем для обратного проектирования.
  8. Добавлена возможность создания и редактирования отчетов в БД для пользователей с ограниченным доступом.
  9. Проводник БД. Добавлена возможность переименовывать Группы Баз Данных.
  10. Редактор SQL. Некорректно работали запросы SELECT с ключевым словом DISTINCT. Исправлено
  11. Не работало переименование отчетов. Исправлено.
  12. При извлечении базы данных пользователем с ограниченным доступом к словарю метаданных возникала ошибка. Исправлено.
  13. При открытии объектов со статусом “invalid” при выбранном стиле окружения “Плавающие окна” возникала ошибка ‘Cant focus a disabled or invisible window’. Исправлено.
  14. Редактор локальных параметров именования. Исправлено несколько ошибок в работе редактора.
  15. Исправлена ошибка с неверным отображением зависимостей для Журналов Материализованных Представлений.
  16. Прочие изменения и улучшения.

Наверх

Версия 1.1.0.1

  1. Полная поддержка Внешних (External) и Index-Organization таблиц.
  2. Объекты, имеющие недействительный статус, теперь отмечены крестиком в Проводнике БД. Недействительным признается пользователь со статусом учетной записи EXPIRED, LOCKED, EXPIRED GRACE, EXPIRED TIMED.
  3. SQL Скрипт.
  • Добавлена возможность выполнения выделенных команд и команд под курсором.
  • Теперь показывается вывод DBMS.
  • При выполнении скрипта из файла, скрипт теперь не загружается в память целиком.
  4. Редактор SQL.
  • Теперь показывается вывод DBMS.
  • При переключении между запросами не сохранялись позиции курсора и прокрутки в окне. Исправлено.
  5. В список доступных типов полей добавлен XMLType.
  6. Окно изменения метаданных. При возникновении ошибки, курсор теперь позиционируется в место, которое вызвало ошибку.
  7. Исправлена ошибка с получением информации о табличных пространствах (Tablespaces) при работе с сервером версии 9.2.
  8. Если списки таблиц и представлений не были загружены в Проводник БД, при первом выполнении запроса в Редакторе SQL выполнение могло происходить долго, если сервер перегружен или используется медленное соединение. Исправлено.
  9. В некоторых случаях при открытии окна Автоматическое завершение кода с последующим вводом символов, окно мерцало. Исправлено.
  10. При закрытии отчетов в некоторых случаях возникали ошибки “Access Violation”. Исправлено.
  11. Исправлена ошибка с получением информации о некоторых объектах пользователем, не имеющим привилегии SELECT_CATALOG_ROLE.
  12. Визуальный Конструктор БД. При удалении внешних ключей не выдавался запрос на подтверждение удаления. Исправлено.
  13. Регистрация баз данных. В списке баз данных отображались базы данных домашней директории (Oracle Home) по умолчанию, вне зависимости от того, какая домашняя директория выбрана. Исправлено.
  14. При создании табличных пространств (tablespaces) на сервере версий 8 или 9 параметр Minimum Extent Size (размер минимального приращения) в некоторых случаях игнорировался. Исправлено.
  15. Прочие исправления и доработки.

Наверх

Версия 1.0.0.1

Basic features:

  • Быстрая навигация и управление базами данных
  • Элементарное управление всеми объектами Oracle (включая создание/изменение/удаление)
  • Эффективные инструменты манипулирования данными
  • Впечатляющие возможности импорта и экспорта данных
  • Эффективное управление параметрами безопасности
  • Великолепные графические и текстовые инструменты для построения запросов
  • Конструктор отчетов с понятным мастером создания отчетов
  • Мощный визуальный конструктор баз данных
  • Поддержка последних версий Oracle
  • Современный графический интерфейс пользователя

и прочее...

Наверх

Смотрите также:

Новости


Часто задаваемые вопросы

Содержание

Что такое EMS SQL Manager for Oracle?

В чем основные отличия между стандартной и Lite версиями EMS SQL Manager for Oracle?

Что мне необходимо для начала работы с EMS SQL Manager for Oracle?

Чем отличаются функции Импорт/Экспорт в SQL Manager for Oracle от утилит Data Export/Import for Oracle?

В чем различие между модулем Конструктора Запросов в SQL Manager for Oracle и утилитой SQL Query for Oracle?

Чем отличается встроенная в SQL Manager for Oracle функция "Извлечь Метаданные" от утилиты DB Extract for Oracle?

Не могу модифицировать DDL. Почему?

Я не могу настроить соединение с сервером Oracle через SSH. Какие параметры необходимо задать в диалоге Database Registration Info?

При создании объектов базы данных, символы в их именах автоматически заменяются на символы верхнего регистра. Как мне это исправить?

Как я могу создать отчет?

Мне нужно внести некоторые изменения в объекты моей тестовой базы данных, а затем те же изменения проделать и в основной. Есть ли в SQL Manager for Oracle какие-либо специальные инструменты для этого?

Я пытаюсь экспортировать таблицу, но поля TEXT не экспортируются.

Чем отличаются функции “Extract Database” и “Export As SQL Script”?

Как мне изменить директорию, в которую будут сохраняться экспортированные данные?

Как мне настроить форматы данных в сетке данных?

В:

Что такое EMS SQL Manager for Oracle?

О:

EMS SQL Manager for Oracle - это высокопроизводительная программа для разработки и администрирования баз данных Oracle. Простой и удобный графический интерфейс позволяет быстро и просто создавать и редактировать все объекты баз данных Oracle, визуально проектировать базы данных Oracle, выполнять сценарии SQL, импортировать и экспортировать базы данных Oracle и использовать другие службы, которые сделают Вашу работу с Oracle приятной и легкой.

В:

В чем основные отличия между стандартной и Lite версиями EMS SQL Manager for Oracle?

О:

Эти версии продукта SQL Manager for Oracle отличаются функциональностью и стоимостью. Вы можете сравнить характеристики всех версий на странице с Таблицей характеристик, а зарегистрировать SQL Manager for Oracle - на странице Покупки.

В:

Что мне необходимо для начала работы с EMS SQL Manager for Oracle?

О:

Прежде всего, Вы должны иметь возможность подключиться к локальному или удаленному серверу Oracle. Кроме того, Вам нужен компьютер, удовлетворяющий системным требованиям SQL Manager for Oracle: Windows NT4/2000/XP, Pentium II 300, 64 Mb RAM или выше.

В:

Чем отличаются функции Импорт/Экспорт в SQL Manager for Oracle от утилит Data Export/Import for Oracle?

О:

Утилиты Data Export/Import for Oracle включают в себя несколько дополнительных возможностей, не поддерживаемых SQL Manager Oracle, например:

экспорт/импорт данных из/в нескольких таблиц сразу;

экспорт/импорт данных из/в таблиц, выбранных из различных баз данных на одном хосте;

консольная утилита для экспорта/импорта с использованием файла конфигурации, содержащего все настройки.

В:

В чем различие между модулем Конструктора Запросов в SQL Manager for Oracle и утилитой SQL Query for Oracle?

О:

Во-первых, EMS SQL Query for Oracle работает гораздо быстрее, так как это отдельное приложение. Кроме того, EMS SQL Query for Oracle предлагает дополнительные функции для построения запросов, например:

функция хранения истории запросов, позволяющая произвести "откат" к любому отредактированному запросу;

удобный интерфейса для более легкой и эффективной работы.

В:

Чем отличается встроенная в SQL Manager for Oracle функция "Извлечь Метаданные" от утилиты DB Extract for Oracle?

О:

DB Extract for Oracle включает в себя некоторые дополнительные функции, которые недоступны в SQL Manager for Oracle, например:

извлечение метаданных из различных баз данных, расположенных на одном сервере;

консольное приложение для упрощения процесса извлечения;

большая скорость работы.

В:

Не могу модифицировать DDL. Почему?

О:

Закладка DDL во всех редакторах объектов имеет параметр "read only". Она отображает структуру объекта в виде SQL-текста и операции, которые Вы выполняете с объектом на других закладках редакторов. Для редактирования этого текста, необходимо скопировать его в буфер обмена и отредактировать его с помощью Редактора сценариев SQL.

В:

Я не могу настроить соединение с сервером Oracle через SSH. Какие параметры необходимо задать в диалоге Database Registration Info?

О:

Вам необходимо ввести следующие данные:

В разделе Connection:

User name – имя пользователя на сервере Oracle.

Password - пароль пользователя на сервере Oracle.

В разделе SSH Tunneling:

SSH host - хост, где запущен сервер SSH.

SSH port - порт, где запущен сервер SSH.

SSH user name – имя пользователя на сервере Linux. (Пользователь сервера Linux. Это не имя пользователя сервера Oracle)

SSH password - пароль пользователя сервера Linux.

Для того, чтобы настроить соединение с сервером Oracle, установленном на ОС Windows, необходимо отключить переадресацию порта сервера Oracle, добавив записи 'USE_SHARED_SOCKET = TRUE' в реестр Windows, в ветвь реестра HKLM\Software\Oracle. Кроме того, соединение через SSH должно быть установлено методом локального именования (с помощью tnsnames.ora).

В:

При создании объектов базы данных символы в их именах автоматически заменяются на символы верхнего регистра. Как мне это исправить?

О:

Вам нужно отключить параметр “Convert created object's names to upper case” в диалоге "Настройки окружения/Environment Options".

В:

Как я могу создать отчет?

О:

Для создания отчета Вы можете использовать Мастер Создания Отчетов (нажмите Create → Report на панели инструментов) или Конструктор отчетов (выберите пункт меню Tools → Report Designer). Для создания простейшего отчета на основе запроса, Вам нужно выбрать пункт Master Data на втором шаге мастера и дважды щелкнуть на нем, чтобы задать запрос для вашего отчета. После этого необходимо задать дополнительные параметры на оставшихся шагах и нажать Finish.

В:

Мне нужно внести некоторые изменения в объекты моей тестовой базы данных, а затем те же изменения применить и в основной базе. Есть ли в SQL Manager for Oracle какие-либо специальные инструменты для этого?

О:

Диалог "Database Registration Info" содержит закладку "Протокол/Log", в которой Вы можете разрешить протоколирование всех изменений метаданных в базе данных, а также протоколирование выражений SQL, выполняемых в Редакторе SQL.

В:

Я пытаюсь экспортировать таблицу, но поля TEXT не экспортируются.

О:

Поля типов BLOB, CLOB, NCLOB, BFILE, LONG, LONG ROW, а также XML по умолчанию не экспортируются. Необходимо вручную выбрать поля для экспорта в закладке "Поля/Fields".

В:

Чем отличаются функции “Extract Database” и “Export As SQL Script”?

О:

Функция Export As SQL Script предназначена для экспорта табличных данных, которые будут вставлены в другую базу данных, отличную от сервера Oracle (DB2, InterBase, SQL Server, MySQL, PostgreSQL). Функция Extract Database используется для копирования данных в таблицы на сервере Oracle.

В:

Как мне изменить директорию, в которую будут сохраняться экспортированные данные?

О:

Для смены директории выполните следующие действия:

Щелкните правой клавишей мыши на необходимой базе данных в Проводнике БД и во всплывающем меню выберите пункт "Database Registration Info..." (этот пункт вы можете найти также в основном меню "Database"). Откроется окно регистрационной информации базы данных.

Перейдите в раздел “Directories".

В секции "Default Directory for Export Data" вы можете выбрать каталог для экспорта данных.

В:

Как мне настроить форматы данных в сетке данных?

О:

Настроить все отображаемые форматы (integer, float, date, time и date/time) можно в окне Environment Options на закладке Grid/Color & Formats.


Сопутствующие продукты

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for MySQL объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for MySQL EMS SQL Manager for MySQL – это мощный графический инструмент для разработки и администрирования серверов баз данных MySQL. Простой и удобный графический интерфейс позволяет быстро и просто создавать и редактировать объекты баз данных MySQL, визуально проектировать сами базы данных, выполнять сценарии MySQL и использовать другие службы, которые сделают Вашу работу с MySQL приятной и легкой.
dataexport | Data Export for MySQL EMS Data Export for MySQL – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных MySQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for MySQL располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for MySQL EMS Data Import for MySQL - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных MySQL.
datapump | Data Pump for MySQL EMS Data Pump™ for MySQL – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных MySQL®. Теперь перенос данных при помощи Data Pump for MySQL стал настолько прост, насколько это возможно!
datagenerator | Data Generator for MySQL EMS Data Generator for MySQL – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных MySQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом
dbcomparer | DB Comparer for MySQL EMS DB Comparer™ for MySQL – это мощное приложение, предназначенное для сравнения баз данных MySQL®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for MySQL EMS DB Extract™ for MySQL – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract™ for MySQL позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for MySQL EMS SQL Query for MySQL - это утилита для быстрого и простого построения SQL запросов к базам данных MySQL®. Используйте визуальное построение запросов вкупе с непосредственным редактированием текста запросов. Простой и удобный графический интерфейс позволяет соединяться с базами данных, выбирать таблицы и поля запроса, устанавливать критерии отбора и группировки и многое другое.
datacomparer | Data Comparer for MySQL EMS Data Comparer™ for MySQL – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for MySQL Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

Microsoft SQL Server

 | SQL Management Studio for SQL Server SQL Management Studio - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for SQL Server объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | EMS SQL Backup for SQL Server EMS SQL Backup for SQL Server - это простой в использовании и одновременно мощный инструмент для выполнения задач резервного копирования и восстановления на всем множестве SQL серверов Вашего предприятия. EMS SQL Backup может выполнять и другие задачи по регулярному обслуживанию SQL сервера, такие как обновление статистики, реиндексация, усечение БД, проверка целостности БД и др.
sqladmin | SQL Administrator for SQL Server EMS SQL Administrator for SQL Server - это набор инструментов для эффективного администрирования SQL Server. Продукт содержит почти полный набор средств, необходимых для администрирования SQL Server. Программа предназначена для работы администраторов баз данных и позволяет выполнять задачи по администрированию максимально просто, быстро и эффективно.
 | SQL Manager for SQL Server EMS SQL Manager for SQL Server – это мощный инструмент для разработки и администрирования Microsoft SQL Server и MSDE. При помощи EMS SQL Manager for SQL Server Вы можете быстро и очень просто создавать и редактировать объекты баз данных, запускать сценарии SQL, управлять настройками пользователей, создавать визуальные SQL-запросы, а также эффективно работать с метаданными и выполнять многое другое.
dataexport | Data Export for SQL Server EMS Data Export for SQL Server – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Microsoft SQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for SQL Server располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for SQL Server EMS Data Import for SQL Server - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных SQL Server.
datapump | Data Pump for SQL Server EMS Data Pump™ for SQL Server – это мощное приложение для переноса баз данных и импортирования таблиц из любых ADO-совместимых источников (например, MS Access или любая другая ADO-совместимая база данных) в базы данных Microsoft™ SQL. Теперь перенос данных при помощи Data Pump for SQL Server стал настолько прост, насколько это возможно!
datagenerator | Data Generator for SQL Server EMS Data Generator™ for SQL Server – это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных Microsoft® SQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for SQL Server EMS DB Comparer™ for SQL Server – это мощное приложение, предназначенное для сравнения баз данных Microsoft® SQL, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for SQL Server EMS DB Extract™ for SQL Server – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract™ for SQL Server позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for SQL Server EMS SQL Query™ for SQL Server – это специализированная утилита для простого и быстрого создания запросов к базам данных Microsoft® SQL. SQL Query™ for SQL Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for SQL Server EMS Data Comparer™ for SQL Server – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for SQL Server Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматически сравниваемый сценарий для их устранения.
 | Наверх

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for PostgreSQL объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for PostgreSQL EMS PostgreSQL Manager™ – это мощный графический инструмент для разработки и администрирования серверов баз данных PostgreSQL. PostgreSQL Manager позволяет быстро и легко создавать и редактировать объекты баз данных PostgreSQL, выполнять сценарии SQL, визуально проектировать базы данных, создавать запросы SQL, искать, извлекать и распечатывать метаданные, а также многое другое.
dataexport | Data Export for PostgreSQL EMS Data Export for PostgreSQL – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных PostgreSQL в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for PostgreSQL располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for PostgreSQL EMS Data Import for PostgreSQL - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных PostgreSQL.
datapump | Data Pump for PostgreSQL EMS Data Pump™ for PostgreSQL – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных PostgreSQL®. Теперь перенос данных при помощи Data Pump for PostgreSQL стал настолько прост, насколько это возможно!
datagenerator | Data Generator for PostgreSQL EMS Data Generator™ for PostgreSQL – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных Microsoft® SQL. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for PostgreSQL EMS DB Comparer™ for PostgreSQL – это мощное приложение, предназначенное для сравнения баз данных PostgreSQL®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for PostgreSQL EMS DB Extract™ for PostgreSQL – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for PostgreSQL позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for PostgreSQL EMS SQL Query™ for PostgreSQL – это специализированная утилита для простого и быстрого создания запросов к базам данных PostgreSQL®. SQL Query for PostgreSQL позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for PostgreSQL EMS Data Comparer™ for PostgreSQL – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for PostgreSQL Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for InterBase/Firebird EMS SQL Manager™ for InterBase/Firebird – это мощный графический инструмент для разработки и администрирования серверов баз данных InterBase/Firebird®. Простой и понятный интерфейс упрощает работу с объектами базы данных, позволяет управлять данными, создавать запросы SQL. Богатый инструментарий пакета включает в себя такие приложения как Visual Database Designer, Stored Procedure Debugger, Graphical Plan Analyzer. А Export Data и Import Data позволяют быстро выполнять функции импорта/экспорта в большинство популярных офисных форматов.
dataexport | Data Export for InterBase/Firebird EMS Data Export for InterBase/Firebird – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Interbase/Firebird в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for InterBase/Firebird располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for InterBase/Firebird EMS Data Import for InterBase/Firebird - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных InterBase/Firebird.
datapump | Data Pump for InterBase/Firebird EMS Data Pump™ for InterBase/Firebird – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных InterBase/Firebird®. Теперь перенос данных при помощи Data Pump for InterBase/Firebird стал настолько прост, насколько это возможно!
datagenerator | Data Generator for InterBase/Firebird EMS Data Generator™ for InterBase/Firebird – это мощная утилита для мгновенной генерации тестовых данных для различных таблиц баз данных InterBase/Firebird ®. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for InterBase/Firebird EMS DB Comparer™ for InterBase/Firebird – это мощное приложение, предназначенное для сравнения баз данных InterBase/Firebird®, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий. Полностью настраиваемые параметры сравнения баз данных и другие полезные функции сделают Вашу работу с нашим продуктом максимально комфортной.
extract | DB Extract for InterBase/Firebird EMS DB Extract for InterBase/Firebird – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for InterBase/Firebird позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for InterBase/Firebird EMS SQL Query for InterBase/Firebird™ – это специализированная утилита для простого и быстрого создания запросов к базам данных InterBase/Firebird®. SQL Query for InterBase/Firebird позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for InterBase/Firebird EMS Data Comparer™ for InterBase/Firebird – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer™ for InterBase/Firebird Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle - это комплексное решение для администрирования и разработки баз данных. С компонентами, которые предназначены для решения важнейших задач управления базами данных, SQL Studio обеспечит вас незаменимыми инструментами для администрирования баз данных и управления их объектами, осуществления миграции, сравнения и извлечения баз, а так же импорта, экспорта и сравнения данных. SQL Studio for Oracle объединяет все эти средства в единую мощную и удобную рабочую среду, чтобы сделать Вашу работу продуктивной как никогда ранее!
 | SQL Manager for Oracle EMS SQL Manager™ for Oracle – это мощный графический инструмент для разработки и администрирования серверов баз данных Oracle. Простой и удобный графический интерфейс позволяет быстро и легко создавать и редактировать объекты баз данных Oracle, визуально проектировать сами базы данных, выполнять сценарии Oracle и использовать другие службы, которые сделают Вашу работу с Oracle приятной и легкой.
dataexport | Data Export for Oracle EMS Data Export for Oracle – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных Oracle в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for Oracle располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for Oracle EMS Data Import 2007 for Oracle - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных Oracle.
datapump | Data Pump for Oracle EMS Data Pump™ for Oracle – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных Oracle®. Теперь перенос данных при помощи Data Pump for Oracle стал настолько прост, насколько это возможно!
datagenerator | Data Generator for Oracle EMS Data Generator™ for Oracle – это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных Oracle. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
dbcomparer | DB Comparer for Oracle EMS DB Comparer for Oracle – это мощное приложение, предназначенное для сравнения баз данных Oracle, обнаружения и устранения различий в их структурах. Вы можете просматривать все обнаруженные различия сравниваемых объектов баз данных, а затем выборочно или полностью устранить их, выполнив автоматически создаваемый сценарий.
extract | DB Extract for Oracle EMS DB Extract for Oracle – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract for Oracle позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for Oracle EMS SQL Query™ for Oracle – это специализированная утилита для простого и быстрого создания запросов к базам данных Oracle. SQL Query™ for Oracle Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
datacomparer | Data Comparer for Oracle EMS Data Comparer for Oracle – мощное и удобное приложение для сравнения и синхронизации Ваших данных. С помощью Data Comparer for Oracle Вы можете отслеживать все различия в сравниваемых таблицах и выполнять автоматический сценарий для их устранения.
 | Наверх

IBM DB2

 | SQL Manager for DB2 EMS SQL Manager 2007 for DB2 – это мощнейший инструмент для разработки и администрирования серверов баз данных DB2. Простой и дружественный графический интерфейс позволяет легко создавать и редактировать объекты DB2, визуально разрабатывать базы данных, запускать скрипты SQL. Многочисленные инструменты, доступные в программе, значительно облегчат вашу работу с базами данных DB2.
dataexport | Data Export for DB2 EMS Data Export for DB2 – это мощный инструмент, предназначенный для быстрого экспорта ваших данных из баз данных DB2 в любой из 20 доступных форматов, включая MS Access, MS Excel, MS Word, HTML, TXT, ODF и другие. Data Export for DB2 располагает удобным мастером настройки для визуальной установки параметров экспорта для каждой таблицы (экспортируемые поля, форматы данных и многое другое).
dataimport | Data Import for DB2 EMS Data Import 2007 for DB2 - это мощная утилита, предназначенная для быстрого импорта данных из файлов MS Excel 97-2007, MS Access, DBF, XML, TXT, CSV, MS Word 2007, ODF и HTML в таблицы базы данных DB2.
datapump | Data Pump for DB2 EMS Data Pump™ for DB2 – это мощный инструмент для переноса баз данных и импорта данных из любых ADO-совместимых источников (например, MS Access, базы данных MS SQL или любых других баз данных с поддержкой ADO) в базы данных IBM®DB2. Теперь перенос данных при помощи Data Pump™ for DB2 стал настолько прост, насколько это возможно!
datagenerator | Data Generator for DB2 EMS Data Generator™ for DB2– это мощное приложение для мгновенной генерации тестовых данных для различных таблиц баз данных DB2. Удобный мастер настройки позволяет определять таблицы и поля для генерируемых данных, задавать диапазоны значений, создавать текстовые и BLOB-поля, а также выполнять другие операции, связанные с генерацией тестовых данных, простым и понятным способом.
extract | DB Extract for DB2 EMS DB Extract for DB2 – это простое, удобное и мощное приложение для создания резервных копий баз данных в форме сценариев SQL. DB Extract позволяет сохранять метаданные всех объектов целиком или выборочно, равно как и данные из таблиц баз данных. При помощи гибких настроек процесса извлечения Вы можете выбирать необходимые объекты и таблицы баз данных, а также легко и просто настраивать многие другие параметры.
query | SQL Query for DB2 EMS SQL Query™ for DB2 – это специализированная утилита для простого и быстрого создания запросов к базам данных IBM®DB2. SQL Query™ for DB2 Server позволяет Вам визуально создавать запросы и одновременно редактировать их текст. Используя дружественный графический интерфейс пользователя, Вы можете соединяться с базами данных, выбирать таблицы и поля для запросов, задавать критерии выделения и многое другое.
 | Наверх

Tools & components

advancedexport | Advanced Data Export Advanced Data Export VCL - это набор компонентов для Borland Delphi и C++ Builder, позволяющий сохранять Ваши данные в самых популярных форматах для дальнейшего просмотра, обработки, распечатки или публикации их в сети Интернет. Вы можете экспортировать данные в MS Access, MS Excel, MS Word (RTF), Open XML Format, Open Document Format (ODF), HTML, XML, PDF, TXT, DBF, CSV и многие другие! Больше не нужно тратить свое время на утомительный процесс перевода данных - Advanced Data Export быстро справится с этой задачей и выдаст результат в желаемом формате.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET - это набор компонентов для Microsoft Visual Studio .NET позволяющий сохранять Ваши данные в самых популярных форматах для дальнейшего просмотра, обработки, распечатки или публикации их в сети Интернет. Вы можете экспортировать данные в MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV и многие другие! Больше не нужно тратить свое время на утомительный процесс перевода данных - Advanced Data Export быстро справится с этой задачей и выдаст результат в желаемом формате.
advancedimport | Advanced Data Import Advanced Data Import VCL - это набор компонентов для Borland Delphi и C++ Builder, позволяющий импортировать данные из большинства популярных офисных форматов напрямую в базу данных. Теперь Вы можете импортировать данные из MS Access, MS Excel, HTML, XML, PDF, TXT, DBF, CSV и ODF. Больше не нужно тратить свое время на утомительный процесс импорта данных, Advanced Data Import быстро выполнит все задачи и предоставит результат в требуемом Вам формате.
pdfgenerator | Advanced PDF Generator Advanced PDF Generator - это набор компонентов, позволяющих предельно просто и быстро создавать PDF-документы из Ваших приложений, написанных на Delphi и C++ Builder. Теперь даже не нужно знать специфику формата PDF, Advanced PDF Generator автоматически создает требуемый документ. Причем Advanced PDF Generator разбивает таблицы на несколько частей для каждой из страниц документа, поддерживает вложенные таблицы, позволяет вставлять изображения в создаваемый PDF-документ и многое другое!
querybuilder | Advanced Query Builder Advanced Query Builder™ – это набор компонентов для Borland® Delphi® и C++ Builder®, специально предназначенный для визуального построения запросов SQL для функций SELECT, INSERT, UPDATE и DELETE. Теперь Вы можете визуально создавать новые запросы к Вашим приложениям либо графически представить уже существующие. В комплект поставки входят компоненты для работы со стандартами SQL, InterBase/Firebird, MySQL, PostgreSQL и другими. Пользователи Query Builder могут создавать объемные и сложные по своей структуре запросы для разных серверов даже без знания синтаксиса SQL.
excelreport | Advanced Excel Report Advanced Excel Report™ - это мощный генератор отчетов в формате MS Excel для Delphi®. Excel Report основан на секционном принципе создания отчетов с использованием шаблонов. Простые и удобные редакторы свойств Advanced Excel Report позволяют моментально создавать подробные отчеты в формате MS Excel. Теперь созданные отчеты могут быть отредактированы, сохранены и просмотрены практически на любом компьютере. Excel Report поддерживает Borland® Delphi® 5-7, 2005-2007 а также MS Office 97 SR-1, 2000-2007.
advancedlocalizer | Advanced Localizer Advanced Localizer™ - это незаменимый пакет компонентов для Borland® Delphi®, позволяющий добавлять языковую поддержку Вашим Delphi® приложениям. Широкие возможности пакета Advanced Localizer позволяют быстро и просто локализовать свойства компонентов каждой формы, создавать языковые файлы с текущими значениями свойств компонентов, управлять файлами локализаций, а также назначать компоненты и их свойства, подлежащие локализации. Язык приложений, использующих Advanced Localizer, может быть переключен на другой непосредственно во время работы без последующего перезапуска приложения. Advanced Localizer также предусматривает возможность написания приложений-потомков, использующих языковые файлы, заданные пользователем.
 | Наверх


Начало работы

Первое что нужно сделать для того, чтобы начать работать с сервером Oracle с помощью программы SQL Manager for Oracle, это зарегистрировать одну или несколько баз данных. Для этого существует специальный инструмент Register Database Wizard. Только после этого можно работать с базой данных – редактировать данные, администрировать и т.д.

Краткая информация по основным операциям, которые можно выполнить в программе приведена в разделе Как....

Перед началом выполнения этих операций прочитайте инструкцию.

  • Выбор стиля окружения и языка программы
  • Первый запуск программы
  • Использование панели рабочего стола
  • Работа с базами данных
  • Работа с объектами баз данных
  • Использование контекстных меню
  • Работа с окнами

Получайте удовольствие от работы с SQL Manager for Oracle!

Смотрите также:

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Работа с данными

Средства импорта и экспорта данных

Инструменты для работы с базой данных

Службы

Инструменты работы с сервером

Настройки

Как...


Выбор стиля окружения и языка программы

При первом запуске SQL Manager for Oracle необходимо выбрать стиль окружения и язык программы. Эти настройки позже можно поменять в Environment Options и Select Program Language.

Getting started - Selecting style and language

Appearance theme

Выберите цветовую схему для программы:

Light - светлая,

Blue - голубая,

Dark - темная.

Bar style for editors

Выбор стиля отображения панелей.

RadioButton Navigation bar - навигационная панель (слева от основного окна редактора),

RadioButton Toolbar - панель инструментов (сверху от основного окна редактора),

RadioButton Both - навигационная панель и панель инструментов.

Program language

Позволяет выбрать язык интерфейса из списка доступных. Язык по умолчанию – английский.

(список доступных языков формируется на основе языковых файлов (*.lng), которые находятся в каталоге, в который установлена программа в директории "Languages").

Смотрите также:

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Первый запуск программы

Так выглядит SQL Manager for Oracle при первом запуске.

Getting started - First time started

Для того, чтобы начать работать с уже существующей базой, необходимо её зарегистрировать.

Нажмите btnRegisterDB Manage existing database(s), чтобы зарегистрировать базу данных с помощью Register Database Wizard.

Смотрите также:

Выбор стиля окружения и языка программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Использование панели рабочего стола

Desktop Panel видна, если не открыто ни одного дочернего окна. На неё вынесены элементы управления, необходимые для начала работы.

Getting started - Using Desktop Panel

Начало работы

  • Manage existing database(s) – регистрирует существующую базу данных.
  • Edit TNS parameters - редактирует локальные параметры именования.
  • Create new table - эта команда доступна, когда есть соединение хотя бы с одной базой данных. Создает таблицу в активной базе используя инструмент New table.
  • Create new database object – создает новый объект базы данных в активной базе. Соответственно, если нет активных соединений, то команда недоступна.

Инструменты базы данных

  • Execute script – открывает редактор Execute Script для выполнения скрипта.
  • Manage permissions – служит для управления правами пользователей. Дает возможность предоставить пользователям права выполнения какого-либо действия с объектом базы данных.
  • Query data – выполняет запрос, открывая его в редакторе запросов.

Справочные материалы

  • SQL Manager help system - открывает данный файл справки.

Ресурсы в сети Интернет

  • SQL Manager home page - ссылка на главную страницу продукта, где можно получить общую информацию о его приобретении, использовании и т.д.
  • SQL Manager on-line documentation - документация по SQL Manager for Oracle на сайте компании. Дублирует справку, прилагающуюся к программе.
  • Support Center – позволяет пользователю получить on-line консультацию по любому интересующему вопросу с помощью системы Support Ticket System. Для получения такой поддержки необходимо зарегистрироваться на сайте.
  • SQL Manager FAQ – в этом разделе сайта пользователю предоставляется список из наиболее часто задаваемых вопросов и ответов на них.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Работа с базами данных

После того, как база зарегистрирована, она появляется в Проводнике баз данных, который располагается в левой части окна.

Getting started - Database navigation

В нем отображаются все зарегистрированные базы данных. Те базы, с которыми в данный момент нет соединения, выделены серым цветом.

Getting started - Database navigation - Disconnected DB

В нижнем окне проводника, которое называется SQL Assistant, отображается содержимое активного элемента.

Getting started - Database navigation - Object status

В нижнем окне проводника, которое называется SQL Assistant, отображается содержимое активного элемента.

Если в проводнике Вы выделили объект, то в SQL Assistant появятся те детали, которые указаны в Environment Options | Tools | DB Explorer | SQL Assistant или в контекстном меню.

Если активна опция Show Database Groups, то представление баз данных имеет иерархическую структуру групп баз данных и самих баз данных. Если эту опцию отключить, то в окне будет отображаться только список баз данных.

Включить опцию Show Database Groups можно двумя способами. В Options | Environment Options | DB Explorer | нажать Show Database Groups, или в контекстном меню базы данных, открывающемся по нажатию правой кнопки мыши на базе данных в проводнике, выбрать пункт Show Database Groups.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с объектами баз данных

Использование контекстных меню

Работа с окнами


Работа с объектами баз данных

Проводник баз данных позволяет получить доступ к любому объекту зарегистрированной базы данных, с которой в данный момент есть соединение.

Двойной щелчок на объекте открывает его в соответствующем редакторе, правой кнопкой вызывается контекстное меню со списком доступных для этого объекта операций. Обновить содержимое соответствующего поддерева можно нажатием клавиши F5 на клавиатуре, или выбрав соответствующий пункт контекстного меню. Таким образом, можно обновлять как всю базу целиком, так и конкретные объекты.

Getting started - Working with database objects

Если Вы хотите использовать проводник для работы с подобъектами (полями, индексами и т.д.) то выберите Show Table Subobjects и/или Show View Subobjects в Environment Options | DB Explorer. Вы также можете включить эту функцию с помощью пункта меню Проводника баз данных btnViewMode View Mode.

Getting started - Working with database objects - View Mode

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Использование контекстных меню

Работа с окнами


Использование контекстных меню

Контекстное меню - это меню, отрывающееся при нажатии правой кнопкой мыши на объекте. Эти меню позволяют упростить работу с базами данных и с их объектами, обеспечивая быстрый доступ к наиболее часто используемым операциям.

Контекстные меню, открывающиеся в проводнике баз данных:

  • Контекстное меню группы баз данных
  • Контекстное меню базы данных
  • Контекстное меню объекта

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Работа с окнами


Контекстное меню группы баз данных

Контекстное меню группы баз данных открывается при нажатии правой кнопкой мыши на группе баз данных в проводнике.

С его помощью можно:

Using context menus - DB Group context menu

  • зарегистрировать базу данных - Register Database,
  • удалить регистрацию группы баз данных - Unregister Database Group,
  • переименовать группу баз данных - Rename Database Group <имя_группы>,
  • Run SQL Plus - запустить утилиту SQL*Plus,
  • TNS Editor - редактировать параметры локального именования.
  • Show Database Groups - показывать базы данных в группах (если эта опция не установлена, то базы данных отображаются одним списком),
  • отсортировать базы данных по именам Sort by Aliases (По умолчанию они расположены в порядке регистрации),
  • Hide Disconnected Databases - эта функция применяется для того, чтобы скрыть неподключенные базы данных,
  • New Tab from Here - создать новую вкладку,
  • Rename Current Tab - переименовать активную вкладку,
  • Delete Current Tab - удалить активную вкладку,
  • Find Object - поиск задаваемого пользователем сочетания букв и цифр в названиях баз данных и объектов.

Смотрите также:

Контекстное меню базы данных

Контекстное меню объекта


Контекстное меню базы данных

Контекстное меню баз данных открывается при нажатии в проводнике на базе данных правой кнопкой мыши.

Контекстное меню базы данных позволяет:

  • подключиться к выбранной базе данных - Connect to Database (для неподключенной базы),
  • отключиться от выбранной базы данных - Disconnect from Database (для подключенной базы),
  • открыть подменю Tasks,
  • зарегистрировать новую базу с помощью Register Database Wizard - Register Database,
  • удалить регистрацию базы данных - Unregister Database,
  • удалить регистрацию группы баз данных - Unregister Database Group,
  • редактировать регистрационную информацию - Database Registration Info,
  • редактировать параметры локального именования - TNS Editor,
  • редактировать параметры профиля - Edit Profile Parameters,
  • показывать базы данных в группах (если эта опция не установлена, то базы данных отображаются одним списком) - Show Database Groups,
  • сортировать базы данных по именам - Sort by Aliases,
  • скрыть неподключенные базы данных - Hide Disconnected Databases,
  • обновить базу данных - Refresh Database,
  • создать новую вкладку - New Tab from Here,
  • переименовать активную вкладку - Rename Current Tab,
  • удалить активную вкладку - Delete Current Tab,
  • поиск задаваемого пользователем сочетания букв и цифр в названиях баз данных и объектов - Find Object.

Using context menus - Database context menu

Подменю Tasks:

  • Database Information - просмотреть информацию о базе данных.
  • Database Statistics - просмотреть статистику базы данных.
  • Gather Statistics - собрать статистику по базе данных, схемам и объектам базы данных,
  • Delete Statistics - удалить статистику,
  • Print metadata - печать метаданных,
  • HTML Report - создать HTML отчет,
  • To-Do List - открыть список задач,
  • Backup Database - создать резервную копию базы данных,
  • Restore database - восстановить базу данных из резервной копии,
  • Job Manager - открыть редактор назначенных заданий,
  • Recompile Invalid Objects - перекомпилировать поврежденные объекты,
  • Enable/Disable Constraints - включить/отключить ограничения.

Смотрите также:

Контекстное меню группы баз данных

Контекстное меню объекта


Контекстное меню объекта

Контекстное меню объекта

Контекстное меню объекта открывается при нажатии в проводнике на любом объекте базы данных правой кнопкой мышки.

Using context menus - Object context menu

С помощью этого меню можно:

  • создать новый объект базы данных - New <объект>,
  • открыть выбранный объект в редакторе - Edit <имя объекта>,
  • переименовать выбранный объект - Rename <имя объекта>,
  • удалить выбранный объект - Drop <имя объекта>,
  • копировать объект с помощью Мастера копирования объектов - Duplicate <"имя объекта">,
  • открыть список действий, которые можно производить с объектом - Tasks,
  • открыть список действий, которые можно производить с данными (этот пункт присутствует в меню, только если в объекте содержатся данные) - Data Manipulation,
  • управлять правами пользователей - Grants for <имя объекта>,
  • копировать SQL скрипт объекта в редактор SQL запросов - Script to Execute query,
  • копировать SQL скрипт объекта в буфер обмена - Script to Clipboard,
  • обновить информацию об объекте - Refresh <имя объекта>,
  • редактировать регистрационную информацию базы данных - Database Registration Info,
  • создать новую вкладку - New Tab from Here,
  • переименовать активную вкладку - Rename Current Tab,
  • удалить активную вкладку - Delete Current Tab,
  • найти элемент базы данных - Find Object.

Смотрите также:

Контекстное меню группы баз данных

Контекстное меню базы данных


Работа с окнами

Переключение между открытыми окнами в SQL Manager for Oracle организовано так же, как и в ОС Windows. По нажатию правой кнопки мыши на значке окна на панели задач программы появляется контекстное меню.

Getting started - Switching windows

Для перехода от одного окна к другому достаточно щелкнуть мышкой на нужном окне, или воспользоваться сочетанием клавиш Ctrl+Tab.

С помощью Environment Options | Windows | Number of open editors is restricted можно задать максимальное число открытых редакторов объектов баз данных. Если количество открытых редакторов превысит заданное число, то программа автоматически будет закрывать ранее открытые редакторы.

Для упрощения работы с окнами, в SQL Manager for Oracle существует специальный пункт в главном меню программы - Windows.

С помощью этого меню Вы можете:

  • Windows List - показать список открытых окон,
  • Cascade - расположить открытые окна каскадом,

Getting started - Windows - Cascade

  • Minimize All - свернуть все окна,
  • Tile Horizontal - расположить все окна одно над другим,

Getting started - Windows - Tile Horizontal

  • Tile Vertical - расположить все окна в один ряд,

Getting started - Windows - Tile Vertical

  • Set Defaults to All Windows - вернуть всем окнам первоначальный размер,
  • Reset All Toolbars and Menus - вернуть настройки всех панелей инструментов и меню к настройкам по умолчанию,
  • Close All - закрыть все окна,
  • из подменю пункта Close выберите тип объектов, которые в данный момент хотите закрыть, (например, если выберите таблицы, то закроются все открытые редакторы таблиц),
  • Previous Window - перейти к следующему окну,
  • Next Window - перейти к предыдущему окну.

Смотрите также:

Выбор стиля окружения и языка программы

Первый запуск программы

Использование панели рабочего стола

Работа с базами данных

Работа с объектами баз данных

Использование контекстных меню


Проводник баз данных

Проводник баз данных (Database Explorer или DB Explorer) - основное навигационное окно для работы с базами данных и объектами баз данных. Имеет иерархическую структуру. Состоит из нескольких окон. Позволяет быстро выполнять практически все операции с базами данных.

Панель инструментов проводника баз данных

Подключение к базе данных

Редактирование регистрационной информации баз данных

Основные операции над объектами

Работа с избранными объектами

Использование вкладок

Выбор нескольких объектов

Недавно использовавшиеся объекты

Поиск объектов

Просмотр информации об объектах в SQL Assistant

Настройка проводника баз данных

Все объекты баз данных разделены по типам и доступны из соответствующих узлов. Для каждого типа отображается количество объектов.

Чтобы показать/скрыть окно проводника используйте команду View | DB Explorer в главном меню или нажмите клавишу F11.

DB Explorer - View

Для того чтобы быстро свернуть содержимое базы данных используйте сочетание клавиш Ctrl+Shift+С.

Базы данных в проводнике объединены в группы.

Вы можете перетаскивать объекты мышкой из одной группы в другую.

Смотрите также:

Начало работы

Управление базами данных

Управление объектами базы данных

Запросы

Работа с данными

Средства импорта и экспорта данных

Инструменты для работы с базой данных

Службы

Инструменты работы с сервером

Настройки

Как...


Регистрационная информация баз данных

Если при регистрировании базы данных Вы допустили ошибку или указали неполную информацию, то Вы можете это исправить при помощи команды Database Registration Info.

Проводник баз данных позволяет редактировать регистрационную информацию баз данных в процессе работы.

Для этого используется пункт контекстного меню Database Registration Info (для подключенных баз данных). По нажатию на него открывается окно редактирования регистрационной информации базы данных.

DB Explorer - Managing database registration info

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных

Администратор регистрации баз данных


Подключение к базе данных

Команда Connect to database неактивна, если установлено подключение с выбранной базой.

Подключить базу данных можно следующим образом:

  • В контекстном меню неподключенной базы данных выбрать пункт Connect to database

DB Explorer - Connecting to databases

  • На панели инструментов проводника выбрать пункт Connect to database

DB Explorer - Connecting to databases - Toolbar

  • выбрать Database | Connect to database в главном меню программы.

  • В проводнике баз данных два раза щелкнуть мышкой по псевдониму базы данных.
  • Использовать сочетание клавиш Ctrl+Shift+С.

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных

Администратор регистрации баз данных


Основные операции над объектами

Проводник баз данных позволяет получить доступ к основным действиям над объектом базы данных с помощью контекстного меню.

Важно: Каждому типу объектов соответствует свое меню.

Основные операции, присутствующие в каждом контекстном меню:

  • создание - New <объект>,
  • редактирование - Edit <"имя объекта">,
  • удаление - Drop <"имя объекта">,
  • переименование - Rename <"имя объекта">,
  • копирование объекта - Duplicate <"имя объекта">,

DB Explorer - Operations with database objects

Чтобы открыть объект в соответствующем редакторе достаточно двойного щелчка мыши на нем в проводнике баз данных.

С помощью операции drag-and-drop Вы можете добавить объекты в Редактор запросов, Дизайнер запросов или в Редактор выполнения скриптов.

DB Explorer - Insert to Editor

Смотрите также:

Управление объектами базы данных

Редактор запросов

Выбор нескольких объектов


Выбор нескольких объектов

Иногда необходимо удалить, копировать или перенести большое количество объектов. Для таких случаев предусмотрена возможность выделения нескольких объектов одновременно.

Для одновременного выделения нескольких объектов необходимо выделить их левой кнопкой мыши, при этом удерживая клавишу Ctrl.

DB Explorer - Selecting multiple objects

Выделенные таким образом объекты можно:

  • редактировать объект - Edit <n> Selected Objects (n - количество выделенных объектов),
  • удалять - Drop Database Objects,
  • помещать в Favorite objects. Для этого действия пункта меню нет, поэтому объекты в Избранные перетаскиваются мышью.

Важно: Если в Favorite objects нет вложенных папок, то поместить туда объекты невозможно.

Смотрите также:

Основные операции над объектами

Управление объектами базы данных

Работа с избранными объектами


Использование вкладок

Чтобы сделать Вашу работу максимально удобной, в SQL Manager for Oracle существует специальный сервис вкладок (Tab-ов). Используйте вкладки для обеспечения быстрого доступа к определенной группе объектов проводника. Это может быть база данных или группа объектов базы данных. Например, Вы можете вынести папку с представлениями на отдельную вкладку, или создать несколько вкладок на каждой из которых будет только одна база данных.

Поместить объект на отдельную вкладку можно с помощью пункта контекстного меню New Tab from Here, который присутствует в контекстном меню каждого объекта. Эта опция доступна, если объект является узлом дерева.

Важно: Если отключить опцию отображения подобъектов таблицы на панели инструментов проводника, то New Tab from Here будет неактивен, так как таблица не является узлом дерева. Если же эта опция включена, (кнопка View Mode | Show Table Subobjects), то пункт меню New Tab from Here активен.

DB Explorer - Using tabs - New tab

В окне проводника баз данных можно отображать вкладки двух видах:

  • в виде иконок на нижней панели проводника,

DB Explorer - Using tabs - View as icons

  • в виде закладок.

DB Explorer - Using tabs - View as tabs

Для перехода от одного вида к другому достаточно потянуть разделитель вверх или вниз.

DB Explorer - Splitter for tabs

Для этой же цели используются пункты Show more Buttons и Show Fewer Buttons всплывающего меню, открывающегося при нажатии на стрелку Configure buttons.

DB Explorer - Using tabs - Add or remove buttons

Для переключения между вкладками достаточно щелкнуть мышью или на иконке, или на закладке.

Переименование вкладок

Для переименования вкладки необходимо перейти на неё и из контекстного меню проводника баз данных выбрать пункт Rename Current Tab.

Удаление вкладок

Для удаления вкладки необходимо перейти на неё и из контекстного меню проводника баз данных выбрать пункт Delete Current Tab.

Список окон

Для отображения списка открытых окон и скрытых процессов существует вкладка проводника баз данных Windows List.

Вкладка Windows List не может быть удалена.

Appendix - Window List

Смотрите также:

Работа с избранными объектами

Работа с окнами

Управление объектами базы данных


Недавно использовавшиеся объекты

Легкий доступ к недавно использовавшимся объектам обеспечивает кнопка btnRecentObjects Recent Objects на панели инструментов проводника. Нажатие на неё открывает список последних, открывавшихся в пределах одной сессии, объектов. То есть, при закрытии SQL Manager for Oracle этот список очищается.

DB Explorer - Recently opened objects

Количество элементов в этом списке можно менять с помощью Options | Environment Options | Tools| DB Explorer | Recent objects count.

Смотрите также:

Управление объектами базы данных

Настройки окружения


Работа с избранными объектами

Используйте инстурмент Favorite objects, если работаете с большой базой, из которой Вам нужны только несколько объектов, к которым постоянно обращаетесь.

Для избранных объектов предусмотрена специальная папка в дереве Проводника баз данных. Самостоятельно её создавать не нужно.

Добавление объектов в избранные

Для того чтобы поместить объекты в избранные объекты необходимо создать вложенную папку внутри папки Favorite objects, выбрав пункт контекстного меню New Sub Folder.

DB Explorer - Managing projects - New Subfolder

В появившемся окне указать имя папки.

В эту папку уже можно помещать объекты. Если в Favorite objects нет вложенных папок, то поместить туда объекты невозможно. Данная операция выполняется с помощью пункта контекстного меню Add Object.

DB Explorer - Managing projects - Adding objects

Далее будет предложено выбрать из имеющихся объектов тот, который необходимо поместить в Избранные объекты.

Объекты разделены по типам, что очень удобно, если база данных большая.

Чтобы поместить объекты в Избранные, можно перетащить его в папку с объектами из дерева.

В Favorite objects помещаются не сами объекты, а их ярлыки, то есть, удалив объект из избранных или даже папку с объектами целиком, информацию Вы не потеряете.

Объект, находящийся в избранных, нельзя переименовать.

Удаление избранных объектов

Объекты можно удалить из Избранных, используя пункт контекстного меню Remove <имя объекта> from Favorite objects.

Также, можно удалять созданные в Favorite objects папки, вместе со всем содержимым.

Смотрите также:

Использование вкладок

Управление объектами базы данных


Поиск объектов

SQL Manager for Oracle позволяет найти в проводнике баз данных объект по его названию. Эта опция используется, если в проводнике отображено большое количество объектов и найти определенный объект достаточно сложно.

Пунктом Find Object контекстного меню проводника или сочетанием клавиш Ctrl + F вызывается стандартное окно поиска, в котором указывается искомое слово.

DB Explorer - Find Object

Панель поиска

DB Explorer - Search Panel

В поле Search введите искомое сочетание символов.

С помощью стрелок управляйте направлением поиска.

Панели инструментов можно настраивать по своему усмотрению, используя функцию Add or Remove Buttons, открывающуюся при нажатии на кнопку More Buttons в правом углу панели.

DB Explorer - Search Panel - Customize

Смотрите также:

Окно поиска


SQL ассистент

В этом окне отображена более подробная информация о выделенном в проводнике баз данных объекте.

DB Explorer - SQL Assistant

Из SQL Assistant можно открывать объекты для редактирования, так же как и из проводника - двойным щелчком мыши на требуемом объекте.

Для некоторых типов объектов SQL Assistant можно настроить. Вы можете выбрать, что будет отображаться в SQL Assistant, когда в проводнике будет выбрана таблица:

  • поля таблицы,- Show Fields,
  • первичные/уникальные ключи - Show Primary/Unique Keys,
  • внешние ключи - Show Foreign Keys,
  • проверки - Show Checks,
  • индексы - Show Indices,
  • триггеры - Show Triggers,
  • суммарная информация о таблице - Show Table Status,
  • SQL скрипт таблицы - Show Definition,
  • описание - Show Description.

Если выбрано представление (View Details):

  • поля - Show Fields,
  • первичные/уникальные ключи - Show Primary/Unique Keys,
  • внешние ключи - Show Foreign Keys,
  • триггеры - Show Triggers,
  • SQL скрипт объекта - Show Definition,
  • описание - Show Description.

Если выбрана процедура (Procedure Details):

  • параметры - Show Parameters,
  • SQL скрипт объекта - Show Definition.

Если выбрана функция (Function Details):

  • параметры - Show Parameters,
  • SQL скрипт объекта - Show Definition.

Для остальных объектов выберите Other Objects' Details:

  • SQL скрипт объекта - Show Definition,
  • описание - Show Description.

Вид настраивается с помощью кнопки btnViewMode View Mode на панели инструментов проводника.

Выберите пункт Tables' Details и в открывшемся меню укажите, что именно будет отображаться в SQL Assistant.

Или в контекстном меню SQL Assistant выберите пункт Tables' Details.

DB Explorer - SQL Assistant - Object details

Смотрите также:

Управление объектами базы данных


Настройка проводника баз данных

Панели инструментов проводника баз данных

Это набор инструментов над окном проводника баз данных. На эту панель вынесены кнопки управления базами данных и настройки проводника.

По умолчанию на основной панели инструментов располагаются следующие кнопки:

  • Create - создать объект,
  • Refresh Database - обновить базу данных,
  • Connect to Database - подключиться к базе данных,
  • Disconnect from Database - отсоединить базу данных,
  • Properties - открыть свойства выделенного объекта,
  • View Mode - настройка проводника,
  • Resent Objects - список недавно использовавшихся объектов,
  • Quick Jump To Database - быстрый переход к базе данных.

Все команды, кроме btnViewMode View Mode, предназначены для работы с базами данных. View Mode отвечает за настройку самого проводника и SQL Assistant.

View Mode позволяет:

  • показать подобъекты таблиц в проводнике баз данных - Show Table Subobjects,
  • показать подобъекты представлений в проводнике баз данных - Show View Subobjects,
  • показать подобъекты пакетов в проводнике баз данных - Show Package Subobjects,
  • показать группы баз данных - Show Database Groups,
  • сортировать базы данных по именам (по умолчанию базы отсортированы внутри сервера по времени подключения) - Sort by Aliases,
  • скрывать неподключенные базы данных Hide Disconnected Databases,
  • настраивать просмотр подобъектов в SQL Assistant.

DB Explorer - Configuring DB Explorer - View Mode

Используйте Options | Environment Options | DB Explorer для доступа к дополнительным настройкам проводника баз данных.

Смотрите также:

Настройка панелей инструментов

Настройки окружения


Избранные запросы

SQL Manager for Oracle позволяет обеспечить быстрый доступ к запросам или некоторым частям запросов с помощью инструмента Favorite Queries.

DB Explorer - Managing Favorite queries

Создать избранный запрос

Чтобы создать избранный запрос необходимо:

  • в проводнике баз данных из контекстного меню группы объектов Favorite Query выбрать пункт New Favorite Query,
  • перетащить выделенный текст запроса в папку iconFavoriteQueries Favorite Query, при этом откроется редактор избранных запросов.

Редактор избранных запросов

Этот редактор открывается только в том случае, если в контекстном меню избранного запроса Вы выбираете пункт Edit Favorite Query. Если откроете запрос двойным щелчком мыши, то он будет открыт в редакторе запросов.

SQL Editor - Favorites editor

С помощью редактора Вы можете создавать и редактировать избранные запросы.

В поле Name укажите имя запроса.

Из раскрывающегося списка Storage выберите место хранения.

В SQL редакторе Вы можете работать с текстом запроса так же как в редакторе запросов.

Важно: Если Вы храните избранные запросы в реестре, то после переустановки операционной системы они могут быть потеряны. Чтобы этого избежать, сохраните соответствующую ветку реестра или используйте базу данных для хранения запросов.

Смотрите также:

Использование вкладок

Редактор избранных запросов


Управление базами данных

SQL Manager for Oracle предоставляет пользователю все необходимые инструменты для создания и управления базами данных.

Вы не сможете работать с базой данных в SQL Manager for Oracle, если не зарегистрируете её.

Создание базы данных

Для упрощения процедуры создания базы данных в SQL Manager for Oracle существует специальный инструмент - Мастер создания баз данных btnCreateDB Create Database Wizard. С его помощью пользователь пошагово создает базу данных

Для создания базы данных необходимо выполнить следующие операции:

  • выбрать пункт Database | Create Database из главного меню программы,
  • задать имя базы, имя сервера, тип авторизации,
  • включить опцию "регистрация после создания" Register After Creating для вызова Register Database Wizard
  • просмотреть и исправить полученный в результате SQL скрипт,

Регистрация базы данных.

Для начала работы в SQL Manager for Oracle с базой данных необходимо её зарегистрировать. Для этого существует специальный инструмент Register Database Wizard. Для запуска мастера:

  • выберите пункт Database | Register Database главного меню программы,
  • или нажмите кнопку btnRegisterDB Register Database на панели инструментов,
  • или выберите пункт Register Database в контекстном меню уже зарегистрированной базы.

С помощью этого инструмента Вы можете выбрать базу данных, задать ее параметры подключения, авторизации и другие опции регистрации.

В проводнике можно объединять базы данных в группы.

Удаление регистрации базы данных и групп баз данных

Если Вы не используете базу данных или группу, то Вы можете воспользоваться функцией Unregister Database - Удалить регистрацию базы данных. Незарегистрированная база не отображается в SQL Manager for Oracle.

Для удаления регистрации вам необходимо проделать следующие операции:

  • выбрать базу или группу, регистрацию которой хотите удалить, (щелкнуть на ней мышкой в проводнике баз данных),
  • выбрать пункт Database | Unregister Database/Database Group главного меню программы, (выбрать пункт Unregister Database/Database Group в контекстном меню базы данных или группы, или нажать кнопку btnUnregisterDB Unregister Database/Database Group на панели инструментов),
  • подтвердить удаление регистрации в появившемся окне.

Подключение к базе данных

Команду btnConnectToDB Connect to Database можно найти в:

  • главном меню программы - Database | Connect to Database,
  • Контекстном меню базы данных.

Для подключения базы данных также можно использовать сочетание клавиш Ctrl+Shift+C или двойной щелчок мыши на имени нужной базы в проводнике.

Отключение от базы данных.

Если сеанс работы с базой данных завершен, то Вы можете отключиться от неё.

Команда btnDisconnectFromDB Disconnect from Database присутствует везде, где есть Connect to Database. Отключиться от базы данных можно также с помощью сочетания клавиш Ctrl+Shift+D.

Смотрите также:

Начало работы

Проводник баз данных

Управление объектами базы данных

Запросы

Работа с данными

Средства импорта и экспорта данных

Инструменты для работы с базой данных

Службы

Инструменты работы с сервером

Настройки

Как...


Мастер создания баз данных

Create Database wizard позволяет создавать базу данных Oracle.

Чтобы открыть Мастер создания баз данных необходимо выбрать пункт Database | btnCreateDB Create Database из главного меню программы, или нажать кнопку btnCreateDB Create Database на панели инструментов.

  • Присвоение имени
  • Задание настроек памяти
  • Задание дополнительных настроек
  • Указание директории базы данных
  • Журналы и хранилище данных
  • Настройка скрипта создания базы данных

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных

Администратор регистрации баз данных


Присвоение имени

На этом шаге Вам необходимо указать основные параметры создаваемой базы данных.

Create Database Wizard - Setting database name

Database name

В этом поле укажите имя базы данных

Идентификатор сервиса задайте в поле SID.

Compatible version

Совместимую версию сервера выберите из этого раскрывающегося списка.

OS specific options

В этом разделе выберите, для какой операционной системы создаете базу данных:

  • Unix
  • Windows

CheckBox Register after creating

Установите этот флажок, если хотите зарегистрировать базу данных сразу после создания.

Нажмите кнопку Next, чтобы перейти к следующему шагу.

Смотрите также:

Присвоение имени

Задание настроек памяти

Задание дополнительных настроек

Указание директорий базы данных

Табличные пространства и журнальные файлы

Настройка скрипта создания базы данных


Задание настроек памяти

На этом шаге Вы можете выбрать шаблон базы данных и указать настройки памяти.

Create Database Wizard - Setting memory parameters

В разделе Database Template выберите шаблон, по которому будет создаваться база данных:

  • OLTP,
  • General purpose,
  • Data warehouse,
  • Standby database (этот шаблон доступен для баз данных, создаваемых для сервера Oracle версии 10 и выше)

Вы можете изменить параметры выбранного шаблона, в окне, открывающемся при нажатии кнопки View/Edit.

Create Database Wizard - Setting memory parameters - Parameters

db_block_size

db_cache_size

db_file_multiblock_read_count

hash_join_enabled

pga_aggregate_target

query_rewrite_enabled

sort_area_size

star_transformation_enabled

undo_retention

В разделе Memory parameters задайте настройки памяти для базы данных:

  • Shared pool,
  • Processes,
  • Java pool,
  • Large pool,
  • PGA,

Если в качестве шаблона Вы выбрали Standby database, то вам необходимо будет задать следующие параметры.

Create Database Wizard - Setting memory parameters - Standby database

Идентификатор сервиса задайте в поле SID.

Системный пароль укажите в поле Sys password.

CheckBox Primary in archivelog

Установите этот флажок, чтобы задать для главной базы режим Archivelog. В этом случае, Вам необходимо будет указать формат журнала архива в поле Log archive format.

Нажмите кнопку Next, чтобы перейти к следующему шагу.

Смотрите также:

Задание настроек памяти

Задание дополнительных настроек

Указание директорий базы данных

Табличные пространства и журнальные файлы

Настройка скрипта создания базы данных


Задание дополнительных настроек

На этом шаге задайте дополнительные настройки базы данных. Этот шаг не отображается, если на предыдущем шаге Вы выбрали шаблон создаваемой базы Standby database.

Create Database Wizard - Defining additional settings

Archive

Noarchivelog mode

Журнальные группы не архивируются и могут быть сразу же повторно использованы сервером Oracle.

Archivelog mode

Журнальная группа должна быть заархивирована, прежде чем её можно будет повторно использовать. Если группа не заархивирована, база данных будет остановлена до тех пор, пока архивирование не будет выполнено.

Если Вы выбрали этот режим, то задайте формат журнального файла в поле Archivelog filename format и место хранения журнального файла в поле Archivelog destination.

Character set - набор символов, использующийся базой данных для хранения данных.

National character set - Набор национальных символов, который будет использоваться для столбцов, обозначенных специальным образом.

Log buffer - размер в байтах буфера журнала.

CPU count - количество процессоров, доступных серверу Oracle.

Нажмите кнопку Next, чтобы перейти к следующему шагу.

Смотрите также:

Присвоение имени

Задание настроек памяти

Указание директорий базы данных

Табличные пространства и журнальные файлы

Настройка скрипта создания базы данных


Указание директорий базы данных

На этом шаге задайте местоположение файлов базы данных и директории.

Create Database Wizard - Defining special directories and filenames

Common directories

Oracle base

Директория базы данных Oracle.

Oracle home

Домашняя директория Oracle.

В полях Init parameters и Server parameters укажите расположение файлов init{SID}.ora и spfile{SID}.ora.

Special directories

В этом разделе укажите директории для User trace, Background trace и Core dumps.

Нажмите кнопку Set defaults, чтобы установить директории по умолчанию.

Важно: Эта секция недоступна для редактирования, если база данных создается на основе шаблона Standby database.

Нажмите кнопку Next, чтобы перейти к следующему шагу.

Смотрите также:

Присвоение имени

Задание настроек памяти

Задание дополнительных настроек

Табличные пространства и журнальные файлы

Настройка скрипта создания базы данных


Табличные пространства и журнальные файлы

На этом шаге Вы можете задавать табличные пространства (Tablespaces) базы данных и файлы журнала повторного выполнения (Redo Logs). Этот шаг не отображается, если на предыдущем шаге Вы выбрали шаблон создаваемой базы Standby database.

Create Database Wizard - Data storage settings

Нажмите кнопку btnRemoveItem, чтобы удалить элемент из списка. С помощью кнопки btnAddItem Вы можете добавить табличное пространство или журнальный файл.

Важно: Вы не можете удалить следующие системные табличные пространства: SYSTEM, UNDO, SYSAUX, TEMP.

При добавлении табличного пространства появляется диалоговое окно Add tablespace.

в этом окне Вы можете указать необходимые параметры создаваемого объекта.

Create Database Wizard - Data storage settings - Add tablespace

В этом окне Вы можете задать необходимые настройки табличного пространства:

  • Tablespace name,
  • File Name,
  • Size (Mb).
  • Dictionary
  • Locally
  • Default storage

Для получения дополнительной информации смотрите Параметры хранения.

При добавлении журнального файла появляется окно Add Redo Log.

Create Database Wizard - Data storage settings - Add redo log

Для создаваемого журнального файла укажите имя и размер файла в полях File Name и File size соответственно.

Важно: В базе данных должно быть не меньше двух журнальных файлов.

Нажмите кнопку Next, чтобы перейти к следующему шагу.

Смотрите также:

Присвоение имени

Задание настроек памяти

Задание дополнительных настроек

Указание директорий базы данных

Журналы и хранилище данных

Настройка скрипта создания базы данных


Настройка скрипта создания базы данных

На заключительном шаге мастера создания базы данных необходимо указать скрипт генерации вариантов, и некоторые дополнительные параметры. Заметим, что этот шаг является различным для создания резервных баз данных.

Create Database Wizard - Creating DB scripts

Выберите директорию скрипта в поле Script directory.

Generation options

Этот раздел недоступен при создании базы по шаблону Standby database.

Run script now

Выберите этот вариант, чтобы создать базу данных немедленно.

Generate scripts

Выберите эту опцию, чтобы генерировать скрипт создания базы данных для использования в будущем.

CheckBox Create sample scheme - создать образец схемы.

CheckBox Create JServer scheme - Создать схемы JServer.

CheckBox Enable database replication - разрешить репликацию данных.

CheckBox Install SQL*Plus Help - Установите справку SQL * Plus.

Если база данных создается по шаблону Standby database, указанном на шаге Задания настроек памяти, то при создании скрипта Вам необходимо будет указать следующие опции:

Create Database Wizard - Creating DB scripts - Standby database

В поле Standby archive destination укажите расположение резервного архива.

В полях Fal server и Fal client укажите адреса компьютеров, в которых будут храниться журналы архивов.

Нажмите кнопку Finish, чтобы сгенерировать скрипт.

Смотрите также:

Присвоение имени

Задание настроек памяти

Задание дополнительных настроек

Указание директорий базы данных

Табличные пространства и журнальные файлы


Мастер регистрации баз данных

Мастер регистрации баз данных позволяет Вам зарегистрировать уже существующую базу данных в SQL Manager for Oracle.

Вызывается мастер командой btnRegisterDB Register Database..., которая присутствует:

  • главном меню программы Database | btnRegisterDB Register Database...,
  • на панели инструментов SQL Manager for Oracle,
  • в контекстном меню баз данных.

вызывается сочетанием клавиш Shift+Alt+R.

Мастер состоит из трех шагов:

  • Установка параметров соединения,
  • Выбор базы данных
  • Установка параметров регистрации.

Смотрите также:

Мастер создания баз данных

Регистрационная информация баз данных

Администратор регистрации баз данных


Установка параметров соединения

На этом шаге необходимо задать параметры соединения с сервером.

Register Database wizard - Setting connection parameters

Connect using

В этом поле указывается хранилище Oracle. Если локально установлено несколько хранилищ, то Вы можете выбрать одно из раскрывающегося списка.

Подключение также может быть установлено через переменную TNS_ADMIN.

Выберите Connection string, если хотите подключиться к базе данных, отсутствующей в TNS файле. В этой строке можно указать непосредственно сервер, порт, сервис, протокол и подключиться к базе данных напрямую без TNS-names файла.

В поле DB group name укажите к какой группе в проводнике баз данных будет принадлежать регистрируемая база данных.

Edit TNS File

Если необходимо, используйте эту кнопку для вызова Редактора локальных имен.

Client Checker...

Вы можете открыть Oracle client checker, нажав на эту кнопку.

CheckBox Если убрать флажок Register a single database то система позволит выбрать и зарегистрировать сразу несколько баз данных, имеющихся на сервере.

В этом случае появляется дополнительный шаг мастера, на котором необходимо выбрать одну или несколько баз данных.

CheckBox Если установлен флажок Use SSH tunneling, то можно использовать SSH туннелирование.

Используйте SSH туннелирование для осуществления обмена данными с сервером по шифрованному каналу. Настройка параметров туннелирования.

Следующий шаг


Настройка SSH туннелирования

На этом шаге Вы можете настроить параметры SSH туннелирования. Этот шаг становится доступным, если на первом шаге Вы установили флажок Use SSH tunneling.

Register Database wizard - Setting connection parameters - SSH

Используйте SSH туннелирование для осуществления обмена данными с сервером по шифрованному каналу.

Если Вы выбрали SSH tunneling, то необходимо указать следующие параметры:

SSH host name - имя машины (IP-адрес), на которой установлен сервер SSH.

SSH port - порт SSH сервера на удаленном хосте (по умолчанию равен 22).

SSH user name - имя пользователя на сервере (пользователь SSH сервера, а не сервера Oracle).

SSH password - пароль пользователя SSH сервера.

CheckBox Use Private Key for authentication

Если установлен флажок Use Private Key for authentication, то в поле SSH key file можно указать ключевой файл для аутентификации.

Следующий шаг


Выбор базы данных

Если на первом шаге Вы не установили флажок Register a single database, то на втором можно выбрать регистрируемую базу данных из списка доступных баз.

Register Database Wizard - Selecting databases

Из списка Available databases выберите базы данных и, с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available , переместите в список выбранных баз - Selected database.

Следующий шаг


Установка параметров регистрации

На этой вкладке задаются общие параметры базы данных.

Также эти опции можно найти на вкладке Options в Регистрационной информации баз данных.

Register Database wizard - Setting specific options - Connect

Из раскрывающегося списка Database name выберите нужную базу данных. Псевдоним, под которым база данных будет отображаться в проводнике, можно указать в поле Database alias.

Если при установке параметров соединения было выбрано подключение Connection string, то будет отображаться поле Connection string.

Нажмите раскрывающийся список btnDropDown в поле Connection string , чтобы открыть диалоговое окно.

Register Database wizard - Setting specific options - Connection string

В этом диалоговом окне укажите необходимые параметры подключения.

Protocol - протокол, который будет использоваться для соединения с базой данных (по умолчанию TCP).

Host - доменное имя или IP-адрес удаленного хоста, или "localhost" для локального сервера.

Port - порт хоста используется для подключения к базе данных (по умолчанию 1521).

Server - Вы должны выбрать тип сервера DEDICATED или SHARED.

Service name - укажите правильное название экземпляра сервера.

Важно: Вы также должны указать псевдоним базы данных, чтобы приступить к регистрации базы.

На вкладке Connect задайте параметры подключения к базе данных.

В разделе Authentication задается способ идентификации пользователя на сервере.

RadioButton Windows Authentication. в этом случае имя и пароль берется автоматически в соответствии с используемой учетной записью домена Windows.

Важно: Этот вид аутентификации поддерживается только серверами версии 9.0 и выше.

RadioButton Server authentication - при этом типе аутентификации программа распознает пользователя по его персональным имени и паролю на сервере.

В этом случае необходимо указать имя пользователя и пароль в полях User name и Password соответственно.

Из раскрывающегося списка Connect as выберите тип связи, которая будет установлена:

  • Normal (по умолчанию),
  • SYSDBA,
  • SYSOPER.

На вкладке General Вы можете указать следующие параметры:

Register Database wizard - Setting specific options - General

Из раскрывающегося списка Font charset выберите кодировку, в которой будут отображаться данные в просмотрщике данных.

CheckBox Statement cached. Установите этот флажок, если необходимо использовать кэшированные операторы. Эта опция доступна для серверов версии 9.2 и больше.

В поле Cache size задайте максимальное число кэшированных операторов.

CheckBox Login prompt before connection - если Вы не хотите хранить пароль, то устанавливайте этот флажок, и каждый раз при подключении SQL Manager будет предлагать ввести имя пользователя и пароль заново.

CheckBox Rollback on disconnect - откатывать транзакции при потере соединения.

CheckBox Autoconnect on startup - при запуске программы SQL Manager for Oracle связь с этой базой данных будет устанавливаться автоматически.

CheckBox Refresh objects on connection - обновлять объекты при подсоединении к базе данных.

На вкладке Logs задайте настройки файлов журналов.

Также эти опции можно найти на вкладке Logs в Регистрационной информации баз данных.

Register Database wizard - Setting specific options - Logs

CheckBox Если Вы хотите вести журнал изменений, происходивших с метаданными, то установите флажок Enable log of metadata changes, и укажите, в какой файл следует записывать изменения.

В поле Log file укажите, в какой файл сохранять статистику.

CheckBox Если же Вы хотите вести статистику по исполнению SQL скриптов, то активируйте функцию Enable log of Query data queries.

В поле Log file укажите, в какой файл сохранять статистику.


Регистрационная информация баз данных

Если при регистрировании базы данных Вы допустили ошибку, или указали неполную информацию, то Вы можете это исправить при помощи команды btnDBRegistrationInfo Database Registration Info.

Проводник баз данных позволяет редактировать регистрационную информацию баз данных в процессе работы.

Для этого используется пункт контекстного меню базы данных btnDBRegistrationInfo Database Registration Info (этот пункт доступен только для подключенных баз данных).

Вся информация содержится на следующих вкладках:

  • Connection - позволяет редактировать настройки подключения базы данных,
  • Options - общие настройки,
  • Display options - настройки отображения,
  • Directories - выбор используемых директорий,
  • Logs - журналы регистрации,
  • SSH tunneling - параметры SSH туннелирования,
  • Data options - настройка отображения данных.
  • Поиск опций - поиск опций, имеющей в названии указанные символы.

С помощью кнопки Test Connect Вы можете проверить, возможно ли установить подключение к базе данных с заданными настройками.

Кнопка Load Connection Info позволяет скопировать все настройки из другой базы данных, которую можно выбрать из раскрывающегося списка, открывающегося по нажатию на кнопку btnMoreButtons.

Смотрите также:

Мастер создания баз данных

Мастер регистрации баз данных

Администратор регистрации баз данных


Настройки подключения

На этой вкладке можно изменить настройки базы данных для подключения к серверу.

Database Registration Info - Editing connection properties

В разделе Authentication задается способ идентификации пользователя на сервере.

RadioButton Windows Authentication. в этом случае имя и пароль берется автоматически в соответствии с используемой учетной записью домена Windows.

Важно: Этот вид аутентификации поддерживается только серверами версии 9.0 и выше.

RadioButton Server authentication - при этом типе аутентификации программа распознает пользователя по его персональным имени и паролю на сервере.

В этом случае необходимо указать имя пользователя и пароль в полях User name и Password соответственно.

Из раскрывающегося списка Connect as выберите тип связи, которая будет установлена:

  • Normal (по умолчанию),
  • SYSDBA,
  • SYSOPER.

Connect using

В этом поле укажите хранилище Oracle. Если их существует несколько, установленных локально, то Вы можете выбрать одно из раскрывающегося списка.

Из раскрывающегося списка Database name выберите нужную базу данных. Псевдоним, под которым база данных будет отображаться в проводнике, можно указать в поле Database alias.

Из раскрывающегося списка Font charset выберите кодировку, в которой будут отображаться данные в просмотрщике данных.

Edit TNS File

Если необходимо, используйте эту кнопку для вызова Редактора локальных имен.

Client Checker...

Вы можете открыть Oracle client checker, нажав на эту кнопку.


Опции общего назначения

На этой вкладке настраиваются общие опции.

Database Registration Info - Setting common database options

CheckBox Login prompt before connection - если Вы не хотите хранить пароль, то устанавливайте этот флажок, и каждый раз при подключении SQL Manager будет предлагать ввести имя пользователя и пароль заново.

CheckBox Autoconnect on startup - при запуске программы SQL Manager for Oracle связь с этой базой данных будет устанавливаться автоматически.

CheckBox Refresh objects on connection - обновлять объекты при подключении к базе данных. Рекомендуется отключать, если в базе данных много объектов.

CheckBox Enable trace - создать журнал трассировки, который позволит просматривать статистические данные сессий, подключений и т.д.

CheckBox Auto commit - автоматически фиксировать транзакции.

CheckBox Hide empty schemas - скрывать схемы, в которых нет объекта.

CheckBox Convert created object's names to upper case - преобразовать все символы в названии созданного объекта к верхнему регистру.

CheckBox Show storage parameters - отображать параметры хранения в DDL объектов.

Из раскрывающегося списка Decimal Separator выберите символ, который будет являться разделителем десятичных разрядов.

CheckBox Schema restriction

Установив этот флажок, Вы сможете скрывать неиспользуемые схемы. Выберите схемы, которые будут доступны. Скрыть схемы Current и PUBLIC невозможно.


Настройки отображения

Настройки отображения объектов базы данных.

Если установить флажок, то выбранный тип объектов будет отображаться в проводнике баз данных.

По умолчанию отображаются все объекты.

CheckBox Use custom color for DB editors

Включите опцию и выберите цвет шрифта, которым будут отображаться вкладки объектов и редакторов выбранной БД.

Database Registration Info - Setting display options

С помощью меню, появляющегося при нажатии кнопки Copy from, выберите одну из зарегистрированных баз данных у которой будет скопирован псевдоним.

Смотрите также:

Управление объектами базы данных

Проводник баз данных


Используемые директории

На этой вкладке указываются директории для хранения внешних данных.

Database Registration Info - Setting default directories

Default directory for Extract Metadata в эту папку по умолчанию будут сохраняться выгруженные с помощью Extract Database Wizard файлы.

Default directory for Export Data - папка, в которую будет производить экспорт данных с помощью Export Data Wizard.

Default directory for Import Data - из этой директории будет импортировать данные с помощью Import Data Wizard

Default directory for HTML Report - директория, которая будет подставляться в Data Export (Import\HTML Report) Wizard по умолчанию.

Default directory for Reports в эту папку сохраняются файлы отчетов, созданные пользователем. При условии, что при создании отчета пользователь указывает в мастере создания отчетов (Create Report Wizard), что этот отчет необходимо сохранить в файл базы данных. По умолчанию SQL Manager for Oracle автоматически создает эту папку в "Мои документы" при первом сохранении отчета.

Default directory for Local Scripts - директория для SQL скриптов, открываемых или сохраняемых в Редакторе запросов и Редакторе скриптов.


Журналы

Metadata changes

Если Вы хотите вести журнал изменений, происходивших с метаданными, то установите флажок Enable log of metadata changes, и укажите, в какой файл следует записывать изменения.

В поле Metadata log file укажите, в какой файл сохранять статистику.

Query Data

Если же Вы хотите вести статистику по исполнению SQL скриптов, то активируйте функцию Enable log of Query Data queries.

В поле Query Data log file укажите, в какой файл сохранять журналы.

Database Registration Info - Setting log options


Параметры SSH туннелирования

На этой вкладке задаются параметры SSH туннелирования.

Database Registration Info - Setting SSH tunnel options

Если установлен флажок Connecting through the security Shell (SSH) tunnel, то соединение с сервером будет осуществляться через шифрованный канал.

  • SSH host name - имя сервера SSH. В случае задания параметров SSH, имя или ip адрес на предыдущем шаге должно указываться относительно машины, на которой установлен SSH сервер. Использование localhost подразумевает что SSH сервер и сервер Oracle запущены на одной машине. Имя SSH сервера задается относительно клиентской машины, на которой запущен SQL Manager for Oracle.
  • SSH port - порт.
  • SSH user name - имя пользователя.
  • SSH password - пароль.

Если установлен флажок Use private Key for authentication, то дополнительно будет использоваться ключевой файл, который можно будет указать в поле SSH key file. Если для использования этого файла нужно ввести пароль, то это можно сделать в появившемся поле.

Смотрите также:

Настройка SSH туннелирования


Настройка отображения данных

На этой вкладке задаются параметры представления данных в просмотрщике данных.

Database Registration Info - Setting data options

В разделе Advanced задаются расширенные свойства.

CheckBox Use separated connection for each data view within database - установите этот флажок, чтобы использовать разделенное подключение для всех просмотрщиков данных. Отключение этой опции рекомендуется, если максимальное позволенное число связей слишком мало.

CheckBox Asynchronous query execution

Используйте опцию чтобы разрешить/запретить выполнение запросов в фоновом режиме (асинхронно). Опция доступна только если установлен флажок Use separated connection for each data view within database.

CheckBox Timeout for query execution

Установите максимально разрешенное время для выполнения запроса. По истечении указанного времени процесс выполнения будет завершен. Задайте значение "-1" для снятия ограничения.

CheckBox Timestamp as string - отображать тип Timestamp в виде строк. display type Timestamp as strings.

Timestamp format - формат отображения Timestamp.

Timestamp with time zone format - формат отображения Timestamp with time zone.

CheckBox Perform data filtration on client in data view - если установлен этот флажок, то отбор данных осуществляется средствами SQL Manager for Oracle. Если не установлен, то используется SQL фильтр при просмотре данных таблиц и представлений. В этом случае фильтрация будет осуществляться на сервере, посредством задания условия WHERE в SQL-запросе.

В разделе Default Grid Mode задайте некоторые параметры просмотрщика данных.

RadioButton Load visible records - загрузить видимые записи. В таблицу загружается только строго определенное количество записей. Автоматические сортировка, фильтрация, суммирование в этом режиме недоступны. Новые строки отображаются при прокручивании.

RadioButton Load all records - загрузить все записи из датасета. В этом случае в таблицу загружаются все данные. Эта опция позволяет при обновлении получать из dataset только измененные строки. При такой загрузке доступны сортировка, фильтрация, суммирование и т.д. Не рекомендуется применять при больших объемах данных.

В счетчике Load visible rows mode if records more than можно задать количество записей таблицы при превышении которого автоматически будут загружаться только видимые записи.

Изменения, внесенные на этой вкладке, не применяются к открытым просмотрщикам данных.

Смотрите также:

Просмотрщик данных


Редактор локальных параметров именования TNS

С помощью инструмента TNS Editor Вы можете редактировать файл конфигурации. В этом файле сетевое имя службы сопоставлено адресам и сетевым протоколам, применяемым при подключении к службе. Файл используется для локального именования (Local naming). Локальный файл идентифицирует и конфигурирует соединение с прослушивающим процессом.

Чтобы открыть редактор выберите пункт iconEditLocalNamigParameters TNS Editor в контекстном меню баз данных, которое открывается при нажатии на базу данных в проводнике.

  • Панели инструментов
  • Просмотр содержимого файла

Смотрите также:

Редактор параметров конфигурации Oracle Net Services


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Local Naming parameters - Using Navigation bar

На панели Connect Using

iconDB Из раскрывающегося списка Вы можете выбрать Oracle Home.

На панели General

iconCopyToClipboard Copy to clipboard - копировать выделенный фрагмент в буфер обмена,

Load from file - загрузить содержимое из файла *.ora,

iconSaveToFile Save - сохранить файл TNS с текущими настройками,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Просмотр содержимого файла

В редакторе Вы можете просмотреть или изменить содержимое TNS файла.

Используя Панели инструментов, Вы можете сохранить файл, скопировать выделенный текст в буфер обмена и загрузить текст из внешнего файла.

Local Naming parameters - File Contents

Смотрите также:

Панели инструментов

Конструктор файла TNS


Основные параметры

На вкладке General задаются основные параметры конфигурации.

На вкладках Client и Server Вы можете задать один набор параметров для клиента и сервера.

Profile parameters - General options

В разделе Tracing задайте настройки трассировки. На вкладках Client и Server Вы можете задать один набор параметров для клиента и сервера.

Из раскрывающегося списка Trace level (DAEMON.TRACE_LEVEL) выберите уровень детализации трассировки:

  • NONE - вывод трассировочной информации не ведется;
  • USER - трассировочная информация генерируется на пользовательском уровне детализации;
  • ADMIN - генерирует трассировочную информацию на уровне администратора;
  • SUPPORT - формирует чрезвычайно подробную трассировочную информацию.

В полях Trace directory (TRACE_DIRECTORY_CLIENT/TRACE_DIRECTORY_SERVER) и Trace filename (TRACE_FILE_CLIENT/TRACE_FILE_SERVER) укажите или выберите с помощью кнопки ExplorerButton путь к файлу трассировки и имя файла трассировки.

CheckBox Client trace file name should be unique

Установите этот флажок, чтобы для каждой клиентской сессии генерировался уникальный файл трассировки.

В разделе Logging установите параметры журналирования.

В поле Log directory (LOG_DIRECTORY_CLIENT/LOG_DIRECTORY_SERVER) с помощью кнопки ExplorerButton укажите каталог для записи журнальных файлов.

В поле Log file name (LOG_FILE_CLIENT/LOG_FILE_SERVER) с помощью кнопки ExplorerButton задайте имя файла журнала.

В разделе Routing задайте параметры маршрутизации.

CheckBox Route the client to a Connection Manager protocol address (USE_CMAN)

Если флажок установлен, то все сеансы Oracle Net Services принудительно будут проводиться через диспетчер соединений Oracle

CheckBox Always use a dedicated server (USE_DEDICATED_SERVER)

С помощью установки этого флажка Вы можете принудительно включить использование выделенных серверных процессов для всех соединений определенного клиента. Если флажок установлен, то любое соединение с удаленной службой Oracle Net Services приводит к порождению нового выделенного серверного процесса.

В счетчике Wait duration for active connection probe (SQLNET.EXPIRE_TIME) укажите время жизни сеансов Oracle Net Services. Измеряется в секундах для Oracle 9i и в минутах для более ранних версий. Отсчет времени начинается в момент открытия соединения. Через указанный интервал времени Oracle Net Services проверяет, активно ли ещё соединение. В случае отрицательного ответа сеанс Oracle Net Services завершается.

Client registration ID (SQLNET.CLIENT_REGISTRATION)

В этом поле можно указать уникальный идентификатор Oracle Net Services для клиентского компьютера. Этот идентификатор передается прослушивающему процессу Oracle Net Services в момент подключения клиента и записывается в журнал аудита Oracle Net Services на сервере. Значением параметра может быть любая буквенно-цифровая строка длиной до 128 символов. Значение по умолчанию не определено.

CheckBox Disable signal handling for Unix (BEQUEATH_DETACH)

С помощью этой опции Вы указываете, что следует применять обработку сигналов Unix для завершения серверных процессов, порожденных Bequeath-соединениями. Если флажок установлен, то ответственность за завершение серверного процесса передается UNIX-процессу init. В этом случае обработка сигналов не применяется. Если флажок не установлен, то завершить серверный процесс, когда тот уже не будет нужен, должен процесс, породивший серверный процесс с помощью Bequeath. В этом случае применяется обработка сигнала.

CheckBox Disable Out-of-Band break messages (DISABLE_OOB)

Флаг задает разрешены ли OOB прерывания. Если флажок установлен, то OOB прерывания запрещены.

Смотрите также:

Параметры именования

Oracle Advanced Security

Утилиты

Просмотр файла


Параметры именования

На вкладке Naming расположены инструменты для задания параметров именования.

Methods (NAMES.DIRECTORY_PATH)

В разделе Methods укажите один или несколько методов именования применяемых Oracle Net Services при попытке разрешения имени сетевой службы.

Используйте кнопки Move all to Selected Move to Selected Move to Available Move all to Available для выбора метода из списка доступных - Available, переноса в список выбранных - Selected и обратно.

Profile parameters - Naming

Preferred Servers (NAMES.PREFERRED_SERVERS)

На этой вкладке задается список серверов Names, которые будут использоваться, если для определения имени сетевой службы выбрана служба Oracle Names.

В списке Address List задается список серверов Names и настройки подключения для каждого сервера.

Для управления списком серверов используйте контекстное меню, которое открывается при нажатии на список правой кнопкой мыши.

Append - добавить сервер,

Insert - скопировать сервер,

Delete - удалить сервер,

Move Up - переместить на строчку выше,

Move Down - переместить на строчку ниже,

Test Address - проверить соединение по указанному адресу.

Для каждого сервера Вы можете указать настройки в окне, отрывающемся при нажатии на раскрывающийся список.

Profile parameters - Naming - Preferred Servers

Из раскрывающегося списка Protocol выберите один из сетевых протоколов.

В поле Host задайте имя сервера, а порт укажите в поле Port.

Oracle Names

Profile parameters - Naming - Oracle Names

Wait duration before disconnection from Names server (NAMES.CONNECT_TIMEOUT)

С помощью этого счетчика укажите период времени (в секундах), в течение которого клиент ожидает соединения с сервером Oracle Names.

Default domain (NAMES.DEFAULT_DOMAIN)

Укажите в поле домен по умолчанию, присоединяемый к именам сетевых служб, в которых отсутствует компонент домена. Данный домен будет добавлен в конец каждого имени сетевой службы, не содержащего точку (.).

Resolution persistence

Wait duration before connection retry (NAMES.INITIAL_RETRY_TIMEOUT)

Период времени (в секундах), в течение которого следует ждать ответа от одного сервера Oracle Names, прежде чем обращаться к следующему серверу имен из списка.

Number of retries per each Names server (NAMES.REQUEST_RETRIES)

Установите количество попыток обращения к определенному серверу Names, которые клиент должен осуществить, прежде чем счесть его недоступным.

Performance

Number of connections to a Names server (NAMES.MAX_OPEN_CONNECTIONS)

Задайте максимальное количество соединений Oracle Names в любой определенный момент времени.

Initial number of preallocated messages (NAMES.MESSAGE_POOL_START_SIZE)

Укажите исходное распределение сообщений в пуле сообщений клиента.

DCE

Profile parameters - Naming - DCE

DCE cell name (NAMES.DCE.PREFIX)

применяется в среде распределенных вычислений (DCE - Distributed Computing Environment) для указания имени ячейки (префикса), используемого при поиске имени.

NIS

Profile parameters - Naming - NIS

NIS map file name (NAMES.NIS.META_MAP)

С помощью кнопки ExplorerButton задайте файл соответствий, определяющий, каким образом атрибуты NIS используются для определения имени сетевой службы.

Смотрите также:

Основные параметры

Oracle Advanced Security

Утилиты

Просмотр файла


Настройка параметров безопасности

На вкладке Oracle Advanced Security Вы можете задать следующие параметры безопасности:

  • Аутентификация
  • Целостность и шифрование
  • Права доступа для TCP/IP
  • SSL

Смотрите также:

Основные параметры

Параметры именования

Утилиты

Просмотр файла


Аутентификация

На вкладке Authentication Вы можете задать параметры аутентификации для сервера Oracle.

Profile parameters - Advanced Security - Authentication

В разделе Methods (SQLNET.AUTHENTICATION_SERVICES) укажите одну или несколько служб, применяемых для идентификации пользователей, подключающихся к базе данных.

Используйте кнопки Move all to Selected Move to Selected Move to Available Move all to Available , чтобы выбрать службы из списка доступных - Available - и перенести в список выбранных - Selected и обратно.

На вкладке Kerberos5 задайте настройки службы аутентификации Kerberos. Данные параметры действуют, только если выбран метод аутентификации Kerberos.

Service name (SQLNET.AUTHENTICATION_KERBEROS5_SERVICE)

В этом поле укажите имя службы Kerberos.

Credential cache file (SQLNET.KERBEROS5_CC_NAME)

Укажите в этом поле полный путь и имя файла кэша удостоверений Kerberos с помощью кнопки ExplorerButton .

Configuration file (SQLNET.KERBEROS5_CONF)

В этом поле необходимо задать полный путь и имя файла конфигурации Kerberos.

Realm translation file (SQLNET.KERBEROS5_REALMS)

Полный путь и имя файла преобразования областей Kerberos задайте в этом поле.

Key table (SQLNET.KERBEROS5_KEYTAB)

Укажите в этом поле полный путь и имя файла соответствия секретных ключей Kerberos

Waiting time before credential expiration (SQLNET.KERBEROS5_CLOCKSKEW)

С помощью этого счетчика задайте количество секунд, в течение которых удостоверение Kerberos считается действительным. По истечении указанного времени удостоверение теряет силу.

CyberSAFE

Profile parameters - Advanced Security - Authentication - CyberSAFE

GSSAPI service (SQLNET.AUTHENTICATION_GSSAPI_SERVICE)

Укажите в этом поле принципал службы CyberSafe.

Принципал (principal) - термин, употребляемый в системах контроля прав доступа для обозначения пользователя или процесса, имеющего учетную запись в данной среде, к которой могут быть применены различные разрешения.

На вкладке Identix задайте настройки дактилоскопической аутентификации Identix.

Важно: Служба не поддерживается в Oracle 9i.

Profile parameters - Advanced Security - Authentication - Identix

Database (SQLNET.IDENTIX_FINGERPRINT_DATABASE)

В случае применения дактилоскопической аутентификации Identix укажите имя сетевой службы для базы данных, содержащей отпечатки пальцев.

Database user (SQLNET.IDENTIX_FINGERPRINT_DATABASE_USER)

Укажите в этом поле имя пользователя, вводимое при подключении к дактилоскопической базе данных для проверки отпечатка.

Database password (SQLNET.IDENTIX_FINGERPRINT_DATABASE_PASSWORD)

Задайте пароль, вводимый при подключении к дактилоскопической базе данных, для проверки отпечатка.

Identix method (SQLNET.IDENTIX_FINGERPRINT_DATABASE_METHOD)

В этом поле укажите тип базы данных для хранения дактилоскопической информации. Имя метода должно быть ORACLE.

На вкладке RADIUS задайте настройки основного и запасного сервера RADIUS.

Profile parameters - Advanced Security - Authentication - RADIUS

В разделе Servers задайте параметры подключения к серверу.

На вкладке Primary задаются настройки основного сервера RADIUS. На вкладке Alternate указываются настройки запасного сервера, который будет задействован в случае недоступности основного сервера.

Host name (SQLNET.RADIUS_AUTHENTICATION/SQLNET.RADIUS_ALTERNATE)

В этом поле укажите имя хоста или числовой адрес.

Port (SQLNET.RADIUS_AUTHENTICATION_PORT/SQLNET.RADIUS_ALTERNATE_PORT)

Номер порта для обращения к серверу задайте в этом поле.

Number of connection retries (SQLNET.RADIUS_AUTHENTICATION_RETRIES/SQLNET.RADIUS_ALTERNATE_RETRIES)

С помощью этого счетчика укажите максимальное количество попыток установления соединения с сервером.

Wait duration before disconnection from server (SQLNET.RADIUS_AUTHENTICATION_TIMEOUT)

Период времени (в секундах), в течение которого следует ждать ответа при попытке соединения с сервером RADIUS. По умолчанию - 5 секунд.

RADIUS secret key file (SQLNET.RADIUS_SECRET)

Используя кнопку ExplorerButton , укажите в этом поле полный путь и имя разделяемого секретного файла RADIUS.

Default keyword (SQLNET.RADIUS_DEFAULT_CHALLENGE_KEYWORD)

Укажите ключевое слово, которое используется для запроса отклика от сервера RADIUS. Ключевое слово по умолчанию - "challenge". Параметр на поддерживается в Oracle 9i.

Interface class name (SQLNET.RADIUS_AUTHENTICATION_INTERFACE)

В этом поле задайте класс Java, который определяет интерфейс для взаимодействия с пользователем в случае, если RADIUS работает в режиме аутентификации с запросом и подтверждением (challenge-response mode).

CheckBox Send accounting (SQLNET.RADIUS_SEND_ACCOUNTING)

Установите этот флажок для включения учета ресурсов RADIUS. Если учет расходования ресурсов включен, то пакеты отсылаются на сервер RADIUS через порт с номером, на единицу превышающим номер порта, указанного в поле Port.

CheckBox Challenge response (SQLNET.RADIUS_CHALLENGE_RESPONSE)

Если флажок установлен, то включена аутентификация RADIUS с запросом и подтверждением.

Смотрите также:

Целостность и шифрование

Целостность и шифрование

SSL


Целостность и шифрование

На вкладке Integrity and Encryption задайте настройки целостности и шифрования.

Настройки задаются для клиента и сервера на соответствующих вкладках.

Profile parameters - Advanced Security - Integrity and Encryption

В разделе Encryption задайте параметры шифрования.

На вкладках Client и Server Вы можете задать одни и те же параметры для клиента и сервера.

Encryption type (SQLNET.ENCRYPTION_CLIENT/SQLNET.ENCRYPTION_SERVER)

Из раскрывающегося списка выберите тип шифрования, который будет применяться при установке нового соединения клиента и сервера.

Типы шифрования:

ACCEPTED

REJECTED

REQUESTED

REQUIRED

Методы шифрования (SQLNET.ENCRYPTION_TYPES_CLIENT/SQLNET.ENCRYPTION_TYPES_SERVER) выбираются из списка доступных методов Available Method.

Методы шифрования:

RC4_40 | 40-битное шифрование RSA RC4
RC4_56 | 56-битное шифрование RSA RC4
RC4_128 | 128-битное шифрование RSA RC4
RC4_256 | 256-битное шифрование RSA RC4
DES | стандартное 56-битное шифрование DES
DES40 | 40-битное шифрование DES
3DES_112 | тройное шифрование DES с двумя ключами (112 бита) (для версии сервера 9 и выше)
3DES_168 | тройное шифрование DES с тремя ключами (168 бита) (для версии сервера 9 и выше)

С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available Вы можете выбрать один или несколько методов, перенеся их из списка доступных - Available в список выбранных - Selected.

Encryption seed (SQLNET.CRYPTO_SEED)

Задайте в поле символьную строку, задаваемую при генерировании криптографических ключей. Строка может представлять собой любую последовательность символов длиной от 10 до 70 знаков.

Integrity

Из раскрывающегося списка Checksum level выберите, каким образом клиент и сервер Oracle устанавливают способ проверки контрольных сумм при осуществлении нового соединения.

  • ACCEPTED - не требуется вычисления контрольных сумм. Совместим с параметрами REJECTED, REQUESTED, REQUIRED.
  • REJECTED - контрольные суммы не поддерживаются. Совместим с параметрами REJECTED, ACCEPTED и REQUESTED.
  • REQUESTED - контрольные суммы вычисляются, но это не обязательно. Совместим с параметрами ACCEPTED, REQUESTED и REQUIRED.
  • REQUIRED - применение контрольных сумм требуется. Без него соединение не устанавливается. Совместим с параметрами ACCEPTED, REQUESTED и REQUIRED.

Methods (SQLNET.CRYPTO_CHECKSUM_TYPES_CLIENT/SQLNET.CRYPTO_CHECKSUM_TYPES_SERVER)

Из списка Available Вы можете выбрать один или несколько алгоритмов вычисления контрольной суммы и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенести их в список выбранных - Selected.

Смотрите также:

Аутентификация

Права доступа для TCP/IP

SSL


Права доступа для TCP/IP

На вкладке TCP/IP Access Rights Вы можете задавать права доступа для сервера Oracle.

Profile parameters - Advanced Security - TCPIP Acess Rights

CheckBox Check access rights for TCP/IP connections (TCP.VALIDNODE_CHECKING)

Если флажок установлен, то параметры, указанные в полях Grant access for и Deny access for, будут применяться для контроля клиентского доступа.

Grant access for (TCP.INVITED_NODES)

Укажите, для каких клиентов доступ к базе данных разрешен. Если один и тот же клиент указан в поле Grant access for и в поле Deny access for, то более высокий приоритет имеет Grant access for.

Deny access for (TCP.EXCLUDED_NODES)

Укажите, для каких клиентов доступ к базе данных запрещен.

CheckBox Preempt delays in buffer flushing within the TCP/IP protocol stack (TCP.NODELAY)

Если флажок установлен, то задержку при сбросе буфера стека протоколов TCP/IP следует исключить.

Смотрите также:

Аутентификация

Целостность и шифрование

SSL


SSL

На вкладке SSL Вы можете задать параметры SSL (Secure Sockets Layer) для сервера Oracle.

Profile parameters - Advanced Security - SSL

В разделе Wallet configuration задайте местоположение накопителей (wallets).

Из раскрывающегося списка Method выберите тип хранения.

Для каждого из типов хранения можно задать дополнительные настройки.

Для Wallets on the file system в поле Directory укажите каталог, в котором будет храниться накопители Oracle.

Для Wallets in the Windows registry задайте регистрационный ключ в поле Registry key.

Для Entrust wallets

В поле Profile задайте путь к файлу *.epf, в поле Inifile - к файлу *.ini.

Certificate revocation checking

Method (SSL_CERT_REVOCATION)

Из списка выберите параметр для отмены проверки сертификата.

Доступные параметры:

  • NONE,
  • REQUESTED,
  • REQUIRED.

В полях CRL file и CRL path с помощью кнопки ExplorerButton задайте имя файла CRL и путь к этому файлу.

Cipher suite configuration (SSL_CIPHER_SUITES)

Выберите из списка один или несколько шифрокомплектов SSL, которые будут поддерживаться.

Используйте кнопки Move all to Selected Move to Selected Move to Available Move all to Available для выбора объекта из списка доступных - Available - и переноса в список выбранных - Selected, и обратно.

Require SSL version (SSL_VERSION)

Из раскрывающегося списка выберите версию SSL, которая должна применяться для SSL зашифрованного соединения Oracle Net Services.

Доступные версии:

  • Any version,
  • 2.0,
  • 3.0.

CheckBox Require client SSL authentication (SSL_CLIENT_AUTHENTICATION)

Установите флажок, если необходимо, чтобы клиент аутентифицировался посредством SSL. Это действует только в случае аутентификации SSL.

CheckBox Require server X.509 name match (SSL_SERVER_DN_MATCH)

Используйте эту опцию, чтобы указать, что отличительное имя (Distinguished Name) сервера базы данных соответствует имени службы. Если флажок установлен, то DN соответствует имени службы.

Смотрите также:

Аутентификация

Целостность и шифрование

Права доступа для TCP/IP


Утилиты

На вкладке Utilities задайте настройки следующих утилит: Oracle Enterprise Manager Daemon, Oracle Names Control utility, TNSPing utility.

Profile parameters - Utilities

Для Oracle Enterprise Manager Daemon Вы можете задать параметры трассировки.

В разделе Tracing задайте настройки трассировки. На вкладках Client и Server Вы можете задать один набор параметров для клиента и сервера.

Из раскрывающегося списка Trace level (DAEMON.TRACE_LEVEL) выберите уровень детализации трассировки.

  • NONE - вывод трассировочной информации не ведется.
  • USER - трассировочная информация генерируется на пользовательском уровне подробности.
  • ADMIN - генерирует трассировочную информацию на уровне администратора.
  • SUPPORT - формирует чрезвычайно подробную трассировочную информацию.

В поле Trace directory (DAEMON.TRACE_DIRECTORY) укажите или выберите с помощью кнопки ExplorerButton путь к файлу трассировки.

В трассировочный файл попадут только записи, соответствующие маске, указанной в поле Trace mask (DAEMON.TRACE_MASK).

Для утилиты Oracle Names Control задайте следующие настройки.

Server password (NAMESCTL.SERVER_PASSWORD)

В этом поле Вы можете задать пароль сервера Names в файле SQLNET.ORA.

CheckBox Encrypt password internally (NAMESCTL.INTERNAL_ENCRYPT_PASSWORD)

Если установлен этот флажок, то утилита Names Control шифрует пароли при отправке их серверу Names.

CheckBox Enable a set of internal undocumented commands (NAMESCTL.INTERNAL_USE)

Установив этот флажок, Вы можете выполнять недокументированные команды утилиты Names Control.

CheckBox Suppress any connection error messages (NAMESCTL.NO_INITIAL_SERVER)

Определяет, будет ли утилита Names Control пытаться подключиться к используемому по умолчанию серверу Names при её первом запуске. Если флажок установлен, то утилита будет подключаться.

CheckBox Run sensitive commands without confirmation (NAMESCTL.NOCONFIRM)

Установите этот флажок, если необходимо, чтобы утилита Names Control запрашивала подтверждение выполнения некоторых команд, таких как STOP, SHUTDOWN, RELOAD и RESTART.

Из раскрывающегося списка Trace level (NAMESCTL.TRACE_LEVEL) выберите уровень детализации трассировочной информации, генерируемой утилитой Names Control.

  • NONE - вывод трассировочной информации не ведется.
  • USER - трассировочная информация генерируется на пользовательском уровне детализации.
  • ADMIN - генерирует трассировочную информацию на уровне администратора.
  • SUPPORT - формирует чрезвычайно подробную трассировочную информацию.

Trace directory (NAMESCTL.TRACE_DIRECTORY)

С помощью кнопки ExplorerButton укажите каталог, в котором будут создаваться файлы трассировки Names Control.

Trace file (NAMESCTL.TRACE_FILE)

С помощью кнопки ExplorerButton задайте имя файла, в который будет записываться трассировочная информация Names Control.

CheckBox Trace file name should be unique (NAMESCTL.TRACE_UNIQUE)

Установите этот флажок, если к именам трассировочных файлов должен добавляться идентификатор процесса.

TNSPing utility

Trace level

Из раскрывающегося списка Trace level (TNSPING.TRACE_LEVEL) выберите уровень детализации трассировочной информации, генерируемой утилитой TNSPing.

  • NONE - вывод трассировочной информации не ведется.
  • USER - трассировочная информация генерируется на пользовательском уровне подробности.
  • ADMIN - генерирует трассировочную информацию на уровне администратора.
  • SUPPORT - формирует чрезвычайно подробную трассировочную информацию.

В поле Trace directory (TNSPING.TRACE_DIRECTORY) укажите или выберите с помощью кнопки ExplorerButton путь к файлу трассировки.

Смотрите также:

Основные параметры

Параметры именования

Oracle Advanced Security

Просмотр файла


Просмотр файла

На вкладке File Contents Вы можете просмотреть содержимое файла SQLNET.ORA Network Configuration file. При необходимости файл можно исправить.

Используйте панель инструментов, чтобы сохранить файл или загрузить информацию из внешнего файла.

Profile parameters - File Contents

Смотрите также:

Основные параметры

Параметры именования

Oracle Advanced Security

Утилиты


Администратор регистрации баз данных

Позволяет быстро зарегистрировать новые базы данных и удалить регистрации несуществующих.

Чтобы открыть Администратор регистрации баз данных, выберите в контекстном меню базы данных пункт Database Registration Manager.

Database Registration Info - Database Registration Manager

В списке отображаются все базы данных, находящиеся на выбранном сервере. Сервер можно выбрать из раскрывающегося списка Host на панели инструментов.

Необходимо отметить флажками базы данных, которые нужно зарегистрировать.

Они будут зарегистрированы автоматически при нажатии iconCommit Apply changes на одной из панелей инструментов.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер регистрации баз данных

Регистрационная информация баз данных


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Database Registration Manager - Using Navigation bar

Oracle home

iconHost Выбрать группу

General

iconRefresh Refresh - обновить список баз данных

iconCommit Apply changes - применить изменения

Check new DB - выбрать базу данных, существующую на сервере, но не зарегистрированную в программе

Uncheck deleted DB - удалить регистрацию удаленной с сервера базы данных

Legend

iconDB Exist on host - база данных указана в TNS-файле,

Removed from host - база данных не существует в TNS-файле.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Управление объектами базы данных

SQL Manager for Oracle предоставляет пользователю набор всех необходимых инструментов для работы с объектами базы данных.

Важно: Для того, чтобы начать работать с объектами, необходимо подключиться к базе данных.

Основные действия с объектами

Создание нового объекта

Для создания объекта схемы используйте:

  • пункт Database | New Object главного меню программы,
  • контекстное меню объекта базы данных,
  • контекстное меню баз данных
  • сочетание клавиш <Ctrl + N>

Копирование

Для копирования объектов существует специальный мастер, потому что объект можно копировать в другую базу данных, а так же с данными или без них.

Для копирования объекта необходимо выбрать пункт Duplicate<тип объекта><имя объекта> в контекстном меню объекта. Если Вы копируете объект таким образом, то Мастер копирования объектов открывается сразу на третьем шаге, так как на первых двух шагах выбирается база данных и объект, а в данном случае это не нужно.

Редактирование объекта

Для открытия объекта базы данных в соответствующем редакторе достаточно двойного щелчка мыши по нему в проводнике баз данных или выбора пункта Edit<тип объекта><имя объекта> в контекстном меню объекта. Также можно использовать сочетание клавиш <Ctrl + О>

Переименование

Для смены имени объекта необходимо:

  • выбрать пункт контекстного меню объекта Rename<тип объекта><имя объекта>,
  • или использовать сочетание клавиш <Ctrl + R>.

Удаление объекта

Для удаления объекта необходимо выбрать пункт Drop<тип объекта><имя объекта> в контекстном меню объекта или использовать сочетание клавиш <Shift + Del>.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Работа с данными

Средства импорта и экспорта данных

Инструменты для работы с базой данных

Службы

Инструменты работы с сервером

Настройки

Как...


Новый объект

С помощью этого инструмента Вы можете выбрать тип создаваемого объекта и запустить соответствующий инструмент для его создания.

Для создания нового объекта выберите Database | iconNewObject New Object... в главном меню программы.

В появившемся окне выберите базу данных, в которой будет создан объект, из раскрывающегося списка Database (в списке отображаются только подключенные базы данных) и тип создаваемого объекта из списка Select the type of object to create.

Выбрав тип объекта, щелкните на нем два раза мышкой или нажмите кнопку OK. После этого открывается редактор для выбранного типа объекта.

Database Objects management - Create New Object

Смотрите также:

Основные операции над объектами

Мастер копирования объекта

Объекты схем

Прочие объекты


Мастер копирования объектов

Для копирования объекта необходимо выбрать пункт Duplicate<тип объекта><имя объекта> в контекстном меню объекта или Database | iconDuplicateObject Duplicate Object... в главном меню программы или перетащить объект в проводнике баз данных.

Одним из этих действий запускается Мастер копирования объектов.

Мастер используется для создания нового объекта базы данных с такими же свойствами, как у копируемого объекта.

Необходимо помнить, что объекты копируются вместе с подобъектами. Например, при копировании таблицы копируются все её поля, внешние ключи, индексы, триггеры и т.д.

Мастер состоит из следующих шагов:

  • Выбор исходной базы данных
  • Выбор объекта
  • Выбор базы данных
  • Изменение описания

Смотрите также:

Новый объект

Объекты схем

Прочие объекты


Выбор исходной базы данных

Из раскрывающегося списка Source database выберите базу данных, в которой содержится исходный объект.

Duplicate Object Wizard - Selecting the source database

Следующий шаг


Выбор объекта

Выберите объект, который необходимо скопировать

Из раскрывающегося списка Schema выберите схему, в которой содержится копируемый объект.

Из раскрывающегося списка Object выберите тип объекта. Из списка, расположенного ниже, выберите объект.

Duplicate Object Wizard - Selecting object to duplicate

Следующий шаг


Выбор базы данных

На этом шаге необходимо выбрать базу данных, в которую Вы хотите поместить новый объект и задать имя этого объекта.

Из раскрывающегося списка Target database выберите базу данных

В поле New object name укажите имя создаваемого объекта.

Если флажок Copy data установлен, то в новый объект будут скопированы все данные, содержащиеся в копируемом.

Если он не установлен, то будет скопирована только структура объекта.

Duplicate Object Wizard - Selecting destination database

Следующий шаг


Выбор подобъектов таблицы

На этом шаге Вы можете указать какие из подобъектов нужно скопировать.

Note: This step is available when duplicating tables only.

Duplicate Object Wizard - Selecting table subobjects

Подобъекты:

  • первичные ключи - Primary Key,
  • внешние ключи - Foreign Keys,
  • ограничения - Checks,
  • индексы - Indices.

Все подобъекты, отмеченного флажком типа будут скопированы.

Также можно изменить название подобъекта один раз нажав на нем мышкой.

Следующий шаг


Изменение описания

При необходимости измените скрипт создания нового объекта в окне New object definition.

Duplicate Object Wizard - Modifying the new object's definition

Для создания объекта нажмите Finish.


Объекты схем

Схема является коллекцией объектов базы данных, принадлежащих одному пользователю. Каждому пользователю принадлежит одна схема, которая создается при регистрации пользователя. Схеме автоматически присваивается имя пользователя. Объектами схемы являются объекты следующих типов:

Таблицы

Представления

Процедуры

Функции

Триггеры

Триггеры базы данных и схемы

Индексы

Пакеты

Тела пакетов

Последовательности

Кластеры

Материализованные представления

Журналы материализованных представлений

Синонимы

Ссылки базы данных

Объектные типы

Тела объектных типов

Типы массивов

Java Sources

Java Classes

Java Resources

Индексные типы

Операторы

Измерения

Очереди

Таблицы очередей

Все объекты схемы отображаются в проводнике баз данных.

Смотрите также:

Новый объект

Мастер копирования объектов

Прочие объекты


Таблицы

Таблицы являются объектами, которые содержат все данные реляционных баз данных. Таблица - это коллекция столбцов. В таблицах данные организованы в виде строк и столбцов, аналогичном электронной таблице. Каждая строка представляет уникальную запись, а каждый столбец представляет поле записи. Например, таблица, содержащая данные о сотрудниках компании, может иметь строку для каждого сотрудника и столбцы, представляющие сведения о сотрудниках (например, его идентификационный номер, имя, адрес, должность и номер домашнего телефона).

Свойства таблиц

  • Таблица может иметь до 1000 столбцов.
  • Таблица может иметь практически неограниченное количество строк.
  • Таблица может иметь столько индексов, сколько имеется перестановок столбцов (и перестановок функций от этих столбцов), но не более 32 столбцов, хотя и в этом случае будут практические ограничения на количество реально создаваемых и сопровождаемых индексов.
  • Нет ограничения на количество таблиц. И в этом случае практические ограничения будут держать количество таблиц в разумных границах. Миллионов таблиц у вас не будет (такое количество сложно создать и поддерживать), но тысячи таблиц поддерживаются элементарно.

Создание таблицы

Для создания таблицы используйте:

  • пункт Database | New Object главного меню программы в окне выбора типа объекта надо выбрать таблицу,
  • контекстное меню объекта базы данных Tables,
  • контекстное меню баз данных,
  • сочетание клавиш <Ctrl + N>.

Редактирование таблицы

Для открытия таблицы в редакторе таблиц достаточно двойного щелчка мыши на таблице в проводнике баз данных. Также можно это сделать, выбрав пункт контекстного меню таблицы Edit Table <имя объекта>.

Удаление таблицы

Для удаления таблицы необходимо на таблице выбрать пункт контекстного меню Drop Table<имя объекта> или использовать сочетание клавиш <Ctrl + Del>

Копирование таблицы

Для копирования объектов существует специальный мастер, потому что объект можно копировать в другую базу данных, а так же с данными или без них.

Для копирования таблицы необходимо выбрать пункт Duplicate Table<имя объекта> в контекстном меню таблицы. Если Вы копируете таблицу таким образом, то Мастер копирования объектов открывается сразу на третьем шаге, так как на первых двух шагах выбирается база данных и объект, а в данном случае это не нужно.


Новая таблица

Инструмент New Table - это режим редактора таблиц, который открывается при создании новой таблицы. С помощью этого инструмента Вы можете создать новую таблицу, задать поля и редактировать описание.

Это окно открывается автоматически при создании таблицы.

Вкладки редактора:

  • Новая таблица
  • Панели инструментов
  • Задание свойств таблицы
  • Задание полей
  • Задание физических атрибутов
  • Задание overflow attributes


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

New table - Using Navigation bar

Database

iconDB выбрать базу данных, в которой надо создавать таблицу.

General

iconCompile компилировать таблицу с текущими свойствами - Compile,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Fields

добавить поле - Add field.

редактировать поле - Edit field.

удалить поле - Delete field.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Query data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Задание свойств таблицы

На вкладке Table задаются основные свойства создаваемой таблицы:

New table - Setting table properties

  • название таблицы укажите в поле Table Name,
  • схема выбирается из раскрывающегося списка Schema,

Таблицы могут быть разных типов. Таблицы разных типов отмечены в проводнике баз данных разными значками.

В разделе Organization выберите тип организации таблицы:

  • Regular - стандартные таблицы базы данных. При добавлении данных используется первое свободное место в сегменте, достаточное для их размещения. При удалении данных из таблицы освободившееся место может повторно использоваться следующими операторами INSERT и UPDATE.
  • Global temporary - временные таблицы. В этих таблицах сохраняются черновые данные на время транзакции или сеанса. При необходимости для этих таблиц выделяются временные экстенты из временного табличного пространства пользователя. Каждый сеанс будет "видеть" только выделенные им самим экстенты и никогда не "увидит" данные, созданные в других сеансах.
  • Clustered - таблицы в кластере. Хранение таблицы в кластере дает два преимущества. Во-первых, несколько таблиц можно хранить вместе. Обычно в блоке хранятся данные только одной таблицы. В кластере же в одном блоке могут храниться данные нескольких таблиц. Во-вторых, все данные, содержащие одно и то же значение ключа кластера, также хранятся вместе. Данные "кластеризованы" вокруг значения ключа кластера. Ключ кластера строится с помощью индекса на основе В*дерева.
  • Index-organized - таблицы, организованные по индексу. Такая таблица хранится в структуре индекса. Это предполагает физическое упорядочение ее строк. Если в обычной таблице данные вставляются в любое свободное место, в таблице, организованной по индексу, хранимые данные отсортированы по первичному ключу.
  • External - внешняя таблица -таблица, которая доступна только для чтения, её метаданные хранятся в базе данных, а данные - вне базы данных.

Если установлен флажок Object table, то таблица является объектной и можно задать ее параметры.

Объектные таблицы - это таблицы, создаваемые на основе объектного типа.

Из раскрывающегося списка Object type owner выберите схему, в которой содержится нужный объектный тип. Сам тип выберите из списка Object type name.

В нижней части формы для каждого типа таблицы задается собственная совокупность параметров.

Для таблиц типа Regular:

Logging - журнализация,

Monitoring - мониторинг,

Partitioning - секционирование.

Для временных таблиц - Global temporary можно задать следующие параметры:

Table properties - Global Temporary

В разделе Duration укажите на какое время сохраняются черновые данные:

Transaction - на время транзакции.

Session - на время сеанса.

В разделе On commit выберите действие, которое будет производиться при успешном завершении транзакции:

Delete rows - удалить строки

Preserve rows - сохранить строки.

Clustered - таблицы в кластере.

Table properties - Clustered

Из раскрывающегося списка Cluster owner выберите схему, в которой содержится нужный кластер. Сам объект выберите из списка Cluster name.

Далее укажите названия столбцов таблицы и названия столбцов кластера в полях Table column name и Cluster column name соответственно.

Index-organized - указывает, что таблица создается как индексированная. Строки данных фактически хранятся в индексе.

Table properties - Index-organized

Название индекса укажите в поле Index name.

PCT threshold - предел. Данные, превосходящие этот предел, будут храниться в дополнительном сегменте.

IOT Primary Constraint - ограничения.

Partitioning - секционирование.

External - внешние таблицы

В этом случае Oracle создает внешнюю таблицу, которая доступна только для чтения, её метаданные хранятся в базе данных, а данные - вне базы данных.

Table properties - External

Type

Из раскрывающегося списка выберите драйвер доступа к внешней таблице. Драйвер доступа - это API, интерпретирующий внешние данные для базы данных. По умолчанию используется драйвер ORACLE_LOADER.

Default directory name (DEFAULT DIRECTORY)

Выберите из раскрывающегося списка объект каталога по умолчанию, соответствующий каталогу файловой системы, в котором могут находиться внешние источники данных. Каталог по умолчанию также может использоваться драйвером доступа для хранения служебных файлов, таких как журналы.

Reject limit (REJECT LIMIT)

Укажите количество ошибок преобразования, которые могут произойти в процессе выполнения запроса внешних данных, прежде чем будет возвращена ошибка Oracle и запрос будет прерван. Значение по умолчанию равно нулю.

В разделе Parallel выберите степень параллельного доступа к объекту:

RadioButton Default - по умолчанию,

RadioButton No parallel - нет параллельного доступа,

RadioButton Parallel - параллельный доступ.

В разделе Parallel options задайте параметры параллельного доступа к объекту.

В счетчике Degree укажите степень параллелизма, который является количеством параллельных потоков.

Instances

Степень параллелизма равна количеству центральных процессоров, доступных на всех экземплярах. Количество экземпляров укажите в поле Instances.

При нажатии на кнопку Access parameters открывается окно, в котором можно настроить параметры доступа

Locations (LOCATION)

В этом разделе укажите один или несколько внешних источников данных. Источник данных может являться файлом, но это не обязательно.

Для добавления в список источника данных нажмите кнопку btnAddItem . Удалить источник данных из списка можно, нажав кнопку btnRemoveItem .


Параметры доступа

При нажатии на кнопку Access parameter при создании внешней таблицы открывается окно, в котором Вы можете настроить параметры доступа.

Подробнее про настройки этих параметров смотрите в разделе Параметры доступа.

Table properties - External - Access parameters - Records

Table properties - External - Access parameters - Fields


Задание полей

Вкладка Fields предназначена для задания полей создаваемой таблицы.

New table - Specifying fields

На этой вкладке отображаются следующие свойства поля:

  • является ли оно ключевым - Key,
  • имя поля - Column Name,
  • тип данных - Data Type,
  • размер поля - Size,
  • масштаб - Scale,
  • допускается нулевое значение или нет - Not Null,
  • значение по умолчанию в поле Default Value.

Двойной щелчок откроет выбранное поле в соответствующем редакторе - Field Editor.


Редактор таблиц

Редактор таблиц - основной инструмент SQL Manager for Oracle для работы с таблицами баз данных. Он позволяет выполнять все операции с таблицей, а также с ее подобъектами.

Table Editor - Managing fields

Чтобы открыть таблицу в редакторе таблиц достаточно двойного щелчка мыши на таблице в проводнике баз данных.

Инструменты редактора таблиц:

  • Панели инструментов
  • Вкладки

Вкладки редактора:

Работа с полями

Управление ключами

Работа с внешними ключами

Установка ограничений

Работа с индексами

Управление триггерами

Просмотр данных

Зависимости объектов

Описание объекта

Просмотр DDL

Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Table Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать таблицу для редактирования.

General

iconProperties открыть окно свойств таблицы - Table properties,

iconSaveToFile сохранить файл с описанием - Save description to file,

iconPrint печатать метаданные таблицы - Print,

просмотр дерева зависимостей - Dependency tree,

iconRefresh обновить содержимое редактируемой таблицы - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconOptions настроить редактор таблиц - Table Editor Option.

Tools (для вкладки Data)

удалить данные из таблицы - Truncate.

iconAddRestorePoint добавить контрольную точку - Add restore point.

Data Management (для вкладки Data)

iconCommit применить транзакцию для данных - Commit transaction,

iconRollback откатить транзакцию - Rollback transaction,

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data.

iconDBExplorer На панели Explorer все подобъекты таблицы отображаются в виде дерева.

При переходе на другие вкладки редактора появляются панели со специальными функциями для каждой вкладки.

Fields (для вкладки Fields )

создать в таблице новое поле - New Field,

редактировать выделенное поле - Edit Field<имя поля>,

удалить выделенное поле Drop field<имя поля>.

Keys (для вкладки Keys)

создать новый ключ - New primary/unique Key,

редактировать существующий ключ - Edit primary/unique Key <имя объекта>,

удалить существующий ключ - Drop primary/unique Key <имя объекта>.

Foreign Keys (для вкладки Foreign Keys)

создать новый ключ - New Foreign Key,

редактировать существующий ключ - Edit Foreign Key <имя объекта>,

удалить существующий ключ - Drop Foreign Key <имя объекта>.

Checks (для вкладки Checks)

создать новое ограничение - New check,

редактировать существующее ограничение - Edit check <имя объекта>,

удалить существующее ограничение - Drop check <имя объекта>.

Indices (для вкладки Indices)

создать новый индекс - New index,

редактировать существующий индекс - Edit index <имя объекта>,

удалить существующий индекс - Drop index <имя объекта>.

Triggers (для вкладки Triggers)

создать новый триггер - New trigger,

редактировать существующий триггер - Edit trigger <имя объекта>,

удалить существующий триггер - Drop trigger <имя объекта>.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Query data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Работа с полями

Вкладка Fields предназначена для работы с полями таблицы.

Поле - область окна или записи, в которой хранится отдельное значение.

Двойной щелчок открывает поле в редакторе полей. Правой кнопкой вызывается контекстное меню поля.

Для каждого поля на этой вкладке можно указывать следующие свойства:

  • имя - Field Name,
  • тип значения - Field Type (для определенных пользователем типов данных в скобках указывается базовый тип, на основе которого создан данный тип),
  • допускается нулевое значение или нет - Not Null,
  • должно ли значение в этом поле быть уникальным или допускаются повторения - Unique,
  • значение по умолчанию - Default Value,
  • краткое текстовое описание поля - Description.

Подробнее про работу с полями.

Table Editor - Managing fields

Контекстное меню поля

С помощью контекстного меню, которое открывается нажатием правой кнопки мыши на поле, Вы можете:

  • Создать новое поле - New Field...,
  • Редактировать выделенное поле - Edit Field <имя объекта>,
  • Переименовать поле - Rename Field <имя объекта>,
  • Удалить поле - Drop Field <имя объекта>,
  • Копировать поле - Duplicate Field,
  • Скопировать список имен полей в буфер обмена - Copy list of field Names to clipboard,
  • Экспортировать список полей в файл - Export List.


Управление ключами

На этой вкладке Вы можете создавать и редактировать ключи таблицы.

Двойной щелчок мыши открывает ключ в редакторе ключей.

Table Editor - Managing keys

На вкладке Foreign Keys содержится следующая информация о внешних ключах:

  • Имя внешнего ключа - Key Name,
  • Поле - Columns,
  • является ли ключ первичным - Primary.
  • Выключен - Disabled.

Контекстное меню ключа

Правой кнопкой вызывается контекстное меню для выделенного ключа.

С помощью этого меню можно:

  • Создать новый ключ - New Primary/Unique Key,
  • Редактировать существующий - Edit Primary/Unique Key<имя объекта>,
  • Удалить ключ - Drop Primary/Unique Key<имя объекта>,
  • Включить ключ - Enable Key<имя объекта>,
  • Выключить ключ - Disable Key<имя объекта>,
  • Включить все - Enable All,
  • Выключить все - Disable All,
  • Экспортировать список ключей в файл - Export List.


Работа с внешними ключами

На этой вкладке Вы можете создавать и редактировать внешние ключи таблицы.

Двойной щелчок мыши открывает ключ в редакторе внешних ключей.

Table Editor - Managing foreign keys

На вкладке Foreign Keys содержится следующая информация о внешних ключах:

  • Имя внешнего ключа - Foreign Key Name,
  • Поле - Columns,
  • Внешняя таблица - Foreign Table,
  • Внешнее поле - Foreign Columns,
  • Действия, выполняемые при удалении - On Delete,
  • Выключен - Disabled.

Контекстное меню внешнего ключа

Правой кнопкой вызывается контекстное меню для выделенного ключа.

С помощью этого меню можно:

  • Создать новый внешний ключ - New Foreign Key,
  • Редактировать существующий - Edit Foreign Key<имя объекта>,
  • Удалить ключ - Drop Foreign Key<имя объекта>,
  • Включить ключ - Enable Foreign Key<имя объекта>,
  • выключить ключ - Disable Foreign Key<имя объекта>,
  • Включить все - Enable All,
  • Выключить все - Disable All,
  • Экспортировать список ключей в файл - Export List.


Установка ограничений

На вкладке Checks Вы можете создавать, просматривать и редактировать ограничения, то есть устанавливать ограничения на значения в столбце.

Двойной щелчок мыши открывает Ограничение в редакторе ограничений.

Ограничение имеет:

  • Имя - Name,
  • Тело Ограничения - Definition,
  • Флажок "отключено" - Disabled - если он установлен, то ограничение неактивно,
  • Описание - Description. Текстовый комментарий к объекту. Это описание вынесено ещё и в нижнюю часть окна, которая называется Description.

Внесенные изменения вступают в силу только при переходе на другую вкладку или при выборе другого объекта.

Table Editor - Managing checks

Контекстное меню ограничения

По нажатию правой кнопкой на ограничении открывается контекстное меню ограничения.

С его помощью можно:

  • Создать новое ограничение - New Check...,
  • Редактировать выделенное ограничение - Edit Check <имя ограничения>,
  • Удалить ограничение - Drop Check <имя ограничения>,
  • Включить ограничение - Enable Check <имя ограничения>,
  • Выключить ограничение - Disable Check <имя ограничения>,
  • Включить все ограничения - Enable All,
  • Выключить все ограничения - Disable All,
  • Экспортировать список объектов в файл - Export List.


Работа с индексами

На вкладке Indices Вы можете создавать, просматривать и редактировать индексы таблицы.

Двойной щелчок мыши открывает индекс в редакторе индексов.

Table Editor - Managing indexes

На этой вкладке содержится следующая информация об индексах таблицы:

  • Имя индекса - Name,
  • Поле - Columns,
  • Тип индекса - Index Type.

Контекстное меню индекса

Правой кнопкой вызывается контекстное меню индекса.

С помощью этого меню можно:

  • Создать новый индекс - New Index,
  • Редактировать существующий индекс - Edit Index<имя индекса>,
  • Удалить индекс - Drop Index<имя индекса>,
  • Копировать индекс - Duplicate Index,
  • Экспортировать список объектов в файл - Export List.


Управление триггерами

На вкладке Triggers Вы можете создавать, просматривать и редактировать триггеры таблицы.

Table Editor - Managing triggers

Двойной щелчок мыши открывает триггер в редакторе триггеров.

Информация об объектах, содержащаяся на этой вкладке:

  • Имя триггера - Name,
  • Применить выбранные свойства для всех строк - For Each Row,
  • Тип триггера - Type,
  • Событие-обновление - Update,
  • Событие-вставка - Insert,
  • Событие-удаление - Delete,
  • Включен или выключен триггер (если флажок установлен, то триггер выключен) - Disabled.

Контекстное меню триггера

По нажатию правой кнопкой на триггер открывается контекстное меню.

С помощью этого меню Вы можете:

  • Создать новый триггер - New Trigger,
  • Редактировать выделенный триггер - Edit Trigger <имя объекта>,
  • Удалить триггер - Drop Trigger <имя объекта>,
  • Копировать триггер - Duplicate Trigger,
  • Включить триггер - Enable Trigger <имя объекта>,
  • Выключить триггер- Disable Trigger <имя объекта>,
  • Включить все триггеры - Enable All,
  • Выключить все триггеры - Disable All,
  • Экспортировать список объектов в файл - Export List.


Управление партициями

На вкладке Partitions Вы можете создавать, просматривать и редактировать партиции. Эта вкладка доступна только для секционированной таблицы.

Table Editor - Managing partitions

Partitions

В этой таблице задайте отдельные партиции. Правой кнопкой мыши вызывается контекстное меню, с помощью которого Вы можете:

Add partition - добавить новую партицию;

Edit partition - редактировать партицию;

Delete partition - удалить выбранную партицию;

Split partition - разбить партицию;

Truncate partition - очистить партицию;

Merge partitions - объединить партиции.

Чтобы объединить несколько партиций, выделите их, удерживая клавишу Shift, и выберите пункт контекстного меню Merge partitions. После этого в открывшемся диалоге задайте имя новой партиции.

Чтобы распределить значения одной партиции на две или более, используйте пункт контекстного меню Split partition. Откроется следующий диалог.

Table Editor - Managing partitions - Splitting partitions

В этом диалоге задайте имена и значения для партиций, на которые разбивается исходная,и нажмите кнопку OK.

Чтобы удалить все строки из секции таблицы, используйте пункт контекстного меню Truncate partition. Очистка секции аналогична удалению секции, но при выполнении этой операции происходит только очищение данных, а не физическое удаление.


Просмотр данных

На этой вкладке Вы можете внести данные в таблицу. Также можно просматривать данные и менять их.

Управление данными осуществляется с помощью панели инструментов и раскрывающегося меню.

Table Editor - Working with table data

Перед изменением данных Вы можете создать контрольную точку, чтобы иметь возможность восстановить текущее состояние данных.

Нажмите кнопку iconAddRestorePoint на одной из панелей управления, чтобы создать контрольную точку.

Параметры контрольной точки задайте в появившемся диалоговом окне.

Appendix - Add Restore Point

Date

В этом поле отображается дата и время создания контрольной точки.

SCN

System Change Number - уникальный номер системного изменения отображается в этом поле.

Name

Имя контрольной точки укажите в этом поле.

Store in

Выберите таблицу, в которою будет сохранена создаваемая контрольная точка:

RadioButton Built-in DBMS restore point table - таблица контрольных точек DBMS. Доступна только при работе с сервером Oracle 10.

RadioButton EMS Manager restore point table - таблица контрольных точек EMS Manager-а.

Смотрите также:

Просмотрщик данных


Параметры доступа

Параметры доступа необходимо указывать при создании или редактировании внешней таблицы.

Инструменты, позволяющие менять значения параметров, располагаются на двух вкладках:

  • Параметры записи
  • Параметры поля


Параметры записи

Параметры доступа необходимы для доступа к внешней таблице.

Table properties - External - Access parameters - Records

Character set (CHARACTERSET)

В этом поле укажите набор символов, используемый в файле данных.

Data endian (DATA IS BIG/LITTLE ENDIAN)

Из этого раскрывающегося списка выберите порядок байтов при передаче данных.

LITTLE - прямой порядок байтов.

BIG - обратный порядок байтов.

String size in (STRING SIZES)

Выберите из этого раскрывающегося списка, в чем будет измеряться длина строки:

BYTES - в байтах,

CHARACTERS - в символах.

Byte order mark (BYTE ORDER MARK)

Из раскрывающегося списка выберите надо ли проверять файл данных на наличие метки порядка следования данных (byte-order mark BOM):

  • UNCHECK - не проверять,
  • CHECK - проверять.

Skip (SKIP)

В этом поле укажите количество записей, которые нужно пропустить в файле данных, прежде чем начать загрузку.

В разделе Record length задайте параметры длины записи

RadioButton Fixed (RECORDS FIXED)

Идентифицирует все записи, как имеющие фиксированную длину в байтах. Размер, определенный для Фиксированных записей должен включать в себя любой символ - разделитель строки, например, newlines.

RadioButton Variable (RECORDS VARIABLE)

Устанавливает, что строка имеет переменную длину и что каждой записи предшествует строка символов, содержащая число байтов строки. Длина строки символов, содержащая число полей указывается в поле Variable, но в это число не включен размер поля счета непосредственно. Размер указывается в байтах, а не в символах.

RadioButton Delimited by (RECORDS DELIMITED BY)

Если выбран этот пункт, то индикатором конца строки служит определенный символ.

В этом поле укажите символ, являющийся обозначением конца строки.

RadioButton Delimited by new line (RECORDS DELIMITED BY NEWLINE)

Укажите, что символ переноса строки используется такой же, как на используемой платформе.

В UNIX - "\n". В Windows NT - "\r\n".

В разделе Files выберите какие типы файлов необходимо создавать для работы с внешними таблицами.

Для каждого типа файла необходимо указать директорию, в которой он хранится - в поле Directory и имя файла - в поле File.

CheckBox Badfile (BADFILE)

Установите этот флажок, если необходимо вести файл, в который будут записываться строки, которые невозможно загрузить из-за ошибки. Таким образом, Вы можете собрать в одном файле все отклоненные данные, чтобы исправить их и загрузить ещё раз.

CheckBox Discard file (DISCARDFILE)

Если указана опция LOAD WHEN, то в файл DISCARDFILE будут записаны все записи, не попавшие в таблицу.

CheckBox Log file (LOGFILE)

Установите этот флажок, если нужно вести файл журнала, в котором будет отображаться информация о подключении к внешнему источнику данных.

Storage

Read size

В этом счетчике задайте размер буфера считывания.

Data cache

Размер кэша данных укажите в этом поле.

Load when (LOAD WHEN)

Укажите в этом поле записи, которые должны быть загружены в базу данных.

Пример:

empid != BLANKS

(dept_id = "SPORTING GOODS" OR dept_id = "SHOES") AND total_sales != 0


Параметры поля

На той вкладке задайте параметры полей.

Table properties - External - Access parameters - Fields

Terminated by (FIELDS TERMINATED BY WHITESPACE)

Если указана конструкция TERMINATED BY WHITESPACE, в строке ищется первое вхождение пробельного символа (табуляции, пробела или перевода строки), после чего разделителем считается все вплоть до следующего непробельного символа. Вместо указанного в списке пробельного символа Вы можете задать любое сочетание символов, которое будет восприниматься как WHITESPACE при работе с данными.

Start / End (ENCLOSED BY AND)

Если установить этот параметр, то с текущей позиции ищется первый разделитель строки. Пробелы при этом не учитываются. Далее, ищется следующий разделитель строки. Всё что между этими двумя разделителями - рассмотренная часть строки.

В поле Start указывается первый разделитель, в поле End - второй.

CheckBox Optionally (OPTIONALLY ENCLOSED BY) этот параметр указывает на то, что разделители Start / End могут или оба присутствовать или оба отсутствовать.

Trim (TRIM)

Для удаления начальных и конечных пробелов и непечатных символов, если они не нужны, используйте одну из функций TRIM.

CheckBox Missing field values are null (MISSING FIELD VALUES ARE NULL)

Установив этот флажок, вы указываете, что если в записи недостаточно данных для всех полей, то эти поля с утерянными данными устанавливаются как NULL.

Reject rows with all null fields (REJECT ROWS WITH ALL NULL)

CheckBox Указывает, что запись не будет загружена, если все зависимые поля в строке пустые.

В разделе Field list (FIELDS) задайте настройки полей в файле данных.

  • имя - Field Name,
  • тип значения - Field Type (для определенных пользователем типов данных в скобках указывается базовый тип, на основе которого создан данный тип),
  • максимальный размер поля - Size,
  • количество байтов от начала записи до начала поля - StartPos,
  • количество байтов или символов до последнего байта в поле - EndPos.

Важно: Параметр Position можно использовать только, если Вы используете параметры StartPos / EndPos.

В нижней части формы задайте специфические параметры для каждого поля.

Задание свойств поля


Управление подобъектами таблицы

К подобъектам таблицы относятся:

Поля

Ключи

Внешние ключи

Ограничения

Создать подобъект

Чтобы добавить подобъект в таблицу необходимо выполнить следующие действия:

  • открыть таблицу в редакторе таблиц. Для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть соответствующую вкладку,
  • в контекстном меню подобъекта выбрать пункт New <тип подобъекта>,
  • в появившемся редакторе укажите требуемые свойства подобъекта.

Копировать подобъект

Для копирования подобъекта необходимо выбрать пункт Duplicate <тип подобъекта><имя подобъекта> в контекстном меню подобъекта. В первом появившемся окне введите имя нового объекта, а во втором укажите копировать ли объект с данными или без них.

Редактировать подобъект

для того чтобы изменить подобъект необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть соответствующую вкладку,
  • в контекстном меню подобъекта выбрать пункт Edit <тип подобъекта><имя объекта>,
  • в появившемся редакторе подобъектов укажите требуемые свойства.

Если в Environment Options на вкладке DB Explorer установлен флажок Show table subobjects, то подобъекты таблицы отображаются в проводнике баз данных. В этом случае для того, чтобы изменить подобъект нужно щелкнуть на нем два раза мышкой в проводнике баз данных. Он автоматически откроется в соответствующем редакторе.

Удалить подобъект

для того чтобы удалить подобъект необходимо:

  • открыть таблицу в редакторе таблиц для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных,
  • открыть нужную вкладку,
  • в контекстном меню подобъекта выбрать пункт Drop <тип подобъекта><имя объекта>,
  • в появившемся окне подтвердить удаление.


Свойства таблиц

В окне Properties Вы можете просматривать и редактировать свойства таблицы.

Вы можете открыть этот инструмент, нажав кнопку Table properties на одной из панелей инструментов. Также, Вы можете открыть это окно, выбрав пункт Table properties в контекстном меню таблицы в проводнике баз данных.

Этот набор свойств является общим для таблиц всех типов, кроме таблиц типа External. Для них существует собственный набор параметров.

Для таблиц, организованных по индексу, также существуют дополнительные свойства.

Tablespace (TABLESPACE)

Из раскрывающегося списка выберите одно из существующих в базе данных табличных пространств, которому будет принадлежать создаваемая или редактируемая таблица.

Buffer pool (BUFFER_POOL)

Выберите тип буферного пула из раскрывающегося списка.

CheckBox Cache (CACHE)

Используйте эту опцию, чтобы указать, как база данных Oracle должна хранить блоки в буферном кэше.

Initial number of transaction (INITRANS)

Размер таблицы транзакций указывается в этом счетчике.

CheckBox Row dependencies (ROWDEPENDENCIES)

Установите флажок, если необходимо активировать отслеживание зависимостей уровней строк.

В разделе Extents задайте настройки экстентов.

Initial extent (INITIAL) - задайте размер начального экстента, выделяемого таблице при создании.

Next extent (NEXT) - размер последующих экстентов указывается в этом поле.

Percent increase (PCTINCREASE) - процент увеличения для следующих экстентов задается с помощью этого счетчика.

Minimum extents (MINEXTENTS) - указывает серверу Oracle, сколько экстентов выделять таблице первоначально.

Maximum extents (MAXEXTENTS) - этот параметр задает верхний предел для количества экстентов, которые могут быть выделены объекту.

Space usage

Percent free (PCTFREE) - указывает, сколько места должно быть зарезервировано в блоке для будущих изменений. Стандартное значение — 10 процентов.

Percent used (PCTUSED) - если параметр Percent free определяет, когда сервер Oracle убирает блок из списка свободных мест, чтобы в него больше не вставлялись строки, то параметр Percent used определяет, когда сервер Oracle снова вернет блок в список свободных мест.

Free lists (FREELISTS) - в этом поле задается количество списков свободных мест, которые могут содержаться в каждой группе списков свободных мест. Минимальное значение и значение по умолчанию для данного параметра - 1.

Groups - задайте в этом счетчике количество групп списков свободных мест.

В разделе Parallel выберите степень параллельного доступа к объекту:

RadioButton Default - по умолчанию,

RadioButton No parallel - нет параллельного доступа,

RadioButton Parallel - параллельный доступ.

В разделе Parallel options задайте параметры параллельного доступа к объекту.

В счетчике Degree укажите степень параллелизма, который является количеством параллельных потоков.

Instances

Степень параллелизма равна количеству центральных процессоров, доступных на всех экземплярах. Количество экземпляров укажите в поле Instances.

Data storage options

Этот раздел доступен только для таблиц, содержащих данные.

CheckBox Compress data (COMPRESS). Установите этот флажок, если хотите сжимать данные в столбцах.

CheckBox Enable row movement (ENABLE ROW MOVEMENT) - с помощью этого флажка укажите, может ли база данных перемещать строки таблицы во время выполнения некоторых операций, таких как сжатие, обновление или секционирование данных.

CheckBox Read-only (READ ONLY). Установив этот флажок, Вы указываете, что таблица будет доступна только для чтения.

Важно: При перемещении строк rowid меняется.

В разделе Compress for задайте параметры сжатия данных.

RadioButton All operation - база данных пытается сжать данные на протяжении всех DML операций таблицы.

RadioButton Direct load operation - база данных пытается сжать данные во время выполнения оператора INSERT.


Таблицы, организованные по индексу

Для таблицы, организованной по индексу можно задать дополнительный сегмент, в который помещаются данные строк организованной по индексу таблицы, когда они становятся слишком большими.

Для этого сегмента на вкладке Overflow Attributes задайте те же самые параметры, что и для основной таблицы на вкладке Physical attributes.

Table properties - Setting overflow attributes

На вкладке Index Organized задайте дополнительные параметры.

New table - Setting overflow attributes - Index Organized

Из раскрывающегося списка Overflow column (INCLUDING) выберите столбцы, которые должны храниться в дополнительном сегменте.

PCT Threshold (PCTTHRESHOLD) установите предел. Данные, превосходящие этот предел, будут храниться в дополнительном сегменте.


Внешние таблицы

В этом окне задайте настройки для уже созданной внешней таблицы.

Table properties - External

Type

Из раскрывающегося списка выберите драйвер доступа к внешней таблице. Драйвер доступа - это API, интерпретирующий внешние данные для базы данных. По умолчанию используется драйвер ORACLE_LOADER.

Default directory name (DEFAULT DIRECTORY)

Выберите из раскрывающегося списка объект каталога по умолчанию, соответствующий каталогу файловой системы, в котором могут находиться внешние источники данных. Каталог по умолчанию также может использоваться драйвером доступа для хранения служебных файлов, таких как журналы.

Reject limit (REJECT LIMIT)

В этом поле укажите количество ошибок преобразования, которые могут произойти в процессе выполнения запроса внешних данных, прежде чем будет возвращена ошибка Oracle и запрос будет прерван. Значение по умолчанию равно 0.

В разделе Parallel выберите степень параллельного доступа к объекту:

RadioButton Default - по умолчанию,

RadioButton No parallel - нет параллельного доступа,

RadioButton Parallel - параллельный доступ.

В разделе Parallel options задайте параметры параллельного доступа к объекту.

В счетчике Degree укажите степень параллелизма, который является количеством параллельных потоков.

Instances

Степень параллелизма равна количеству центральных процессоров, доступных на всех экземплярах. Количество экземпляров укажите в поле Instances.

При нажатии на кнопку Access parameters открывается окно, в котором можно настроить параметры доступа

Locations (LOCATION)

В этом разделе укажите один или несколько внешних источников данных. Источник данных может являться файлом, но это не обязательно.

Чтобы добавить в список источник данных нажмите кнопку btnAddItem . Удалить источник данных из списка можно, нажав кнопку btnRemoveItem .


Поля таблицы

Поле (Field) - область окна или записи, в которой хранится отдельное значение.

Редактор полей позволяет изменять свойства полей таблицы базы данных при создании или редактировании поля.

Открыть поле в редакторе можно следующим образом:

  • Открыть таблицу в редакторе таблиц. Для этого достаточно двойного щелчка мышью по нужной таблице в проводнике баз данных.
  • Открыть вкладку Fields (по умолчанию открывается сразу при открытии таблицы в редакторе таблиц).
  • В контекстном меню поля выбрать пункт Edit Field<имя объекта>.

Ещё один способ подходит, если у Вас в SQL ассистенте отображаются поля таблицы. Тогда, чтобы открыть поле, достаточно двойного щелчка мыши на нем в SQL Assistant. Настроить SQL Assistant можно с помощью кнопки View Mode проводника баз данных.

После выполнения одной из двух операций откроется редактор полей, в котором можно указывать все свойства поля.

Field Editor - Setting field name and type


Задание свойств поля

В поле Column name Вы можете задать имя поля. Требования к имени смотрите в документации к Oracle Server.

В разделе Column type kind следует указать вид типа данных, которые будут храниться в этом поле.

В программе существует три вида типа данных:

  • стандартные типы данных - Standard data type,
  • типы данных Ansi SQL - Ansi SQL datatype.
  • определенные пользователем типы данных - User-defined data type. Из раскрывающегося списка Schema выберите схему, в которой должен содержаться определенный пользователем тип данных.

Field Editor - Setting field name and type

На вкладке Data Type укажите тип данных.

Из раскрывающегося списка Type выбираете тип значения. Если Вы указали тип поля Oracle built-in data type, то в списке будут содержаться стандартные типы данных сервера. Если указали, что тип определен пользователем, то из списка Вы сможете выбрать только определенный пользователем тип данных. Установка флажка Not null указывает, разрешены ли в столбце данного типа значения NULL. Значение NULL отличается от нуля (0), пробела или символьной строки нулевой длины, например "". Значение NULL обозначает, что поле не было заполнено.

Установив флажок Unique, укажите, что в редактируемый столбец не могут быть введены повторяющиеся значения.

Если установлен флажок Autoincrement, то поле будет являться автоинкрементным. В версии Oracle 11g и ниже автоинкремент создается с помощью специального триггера и последовательности.

Для версии Oracle 12c свойства автоинкрементного поля задаются на вкладке Identity.

Если установлен флажок Default on Null, то в случае, когда в поле неявно задано значение Null, оно будет заменяться на значение, заданное по умолчанию.

Установив флажок Virtual, Вы указываете, что столбец будет виртуальным. Значение в нем будет вычисляемым. На вкладке Column Expression задайте выражение для вычисляемого столбца.

Задать размер поля можно с помощью счетчика Size.

Scale. Для типов NUMBER и INTERVAL DAY TO SECOND является неотрицательным целым числом, которое указывает на максимальное общее число подлежащих сохранению десятичных знаков справа от разделителя, отделяющего десятичную дробь от целого числа. Его значение должно быть меньшим или равным заданной степени точности.

CheckBox Default On Null

Вставлять значения по-умолчанию при вставке Null.

В текстовом поле, расположенном на вкладке Default, задайте значение по умолчанию - значение, которое будет автоматически записываться в это поле, если пользователь, при занесении данных, оставит его пустым.

Field Editor - Setting default value

На вкладке Comment можно добавить текстовый комментарий для поля.

Field Editor - Setting default value and description


Настройка автоинкрементного поля

Если Вы выбрали тип поля NUMBER и установили флажок CheckBox Autoincrement, то на вкладке Identity Вы можете напрямую задать настройки для создания автоинкрементного поля. При создании такого поля будет автоматически сгенерирована последовательность с заданными свойствами.

Эта функциональность доступна в версии Oracle 12c.

Field Editor - Setting autoincrement

Чтобы выбрать существующую последовательность для генерации автоинкрементных значений, используйте выпадающие списки Schema и Sequence.

Если Вы хотите задать свойства автоинкрементного поля вручную, установите флажок CheckBox Manual.

Отметьте опцию CheckBox Generate always, чтобы значение по умолчанию увеличивалось при каждой вставке и хранилось в поле.

Подробнее про работу с последовательностями.


Ключи

Редактор ключей используется для изменения свойств внешнего ключа. Редактор открывается при создании или редактировании ключа.

Все свойства внешнего ключа, размещаются в редакторе на нескольких вкладках. Это:

  • Создание редактирование ключей - Primary/Unique Key,
  • Хранение - Storage,
  • Задание опций ключа - Options,
  • Просмотр DDL - DDL.

Смотрите также:

Редактор таблиц

Редактор внешних ключей

Редактор ограничений

Редактор триггеров


Создание и редактирование ключей

С помощью этого редактора Вы можете создавать и редактировать первичные и уникальные ключи.

Key Editor - Editing key definition

Имя ключа задается в поле Name. Если установлен флажок System named, то имя объекта нельзя будет изменять.

Из раскрывающегося списка Schema выберите схему, в которой содержится таблица, для которой Вы создаете уникальный или первичный ключ. Таблицу или представление выберите из списка Table or View.

Важно: Эти поля доступны для редактирования только при создании ключа.

Чтобы добавить поля таблицы в ключ переместите их из списка доступных полей - Available в список выбранных полей - Selected.

Если установлен флажок Create as unique key, то ключ будет уникальным. Если флажок не установлен, то создаваемый ключ будет первичным.


Параметры хранения

Вкладка Storage позволяет задать параметры хранения объекта в базе данных.

Key Editor - Setting storage options

Tablespace (TABLESPACE)

Из этого раскрывающегося списка выберите одно из существующих в базе данных табличных пространств, которому будет принадлежать создаваемая или редактируемая таблица.

Buffer pool (BUFFER_POOL)

Выберите тип буферного пула из этого раскрывающегося списка.

Initial number of transaction (INITRANS)

Размер таблицы транзакций указывается в этом счетчике.

В разделе Extents задайте настройки экстентов.

Initial extent (INITIAL) - в этом поле задайте размер начального экстента, выделяемого таблице при создании.

Next extent (NEXT) - размер последующих экстентов укажите в этом поле.

Percent increase (PCTINCREASE) - процент увеличения для следующих экстентов задайте с помощью этого счетчика.

Minimum extents (MINEXTENTS) - указывает серверу Oracle, сколько экстентов выделять таблице первоначально.

Maximum extents (MAXEXTENTS) - этот параметр задает верхний предел для количества экстентов, которые могут быть выделены объекту.

Percent free (PCTFREE) - укажите в этом поле, сколько места должно быть зарезервировано в блоке для будущих изменений. Стандартное значение — 10 процентов.

Space usage

Free lists (FREELISTS) - в этом поле укажите количество списков свободных мест, которые могут содержаться в каждой группе списков свободных мест. Минимальное значение и значение по умолчанию для данного параметра - 1.

Groups - задайте в этом счетчике количество групп списков свободных мест.


Задание опций

На вкладке Options задайте дополнительные опции ограничения.

Key Editor - Setting key options

С помощью переключателя Status укажите, должно ли ограничение незамедлительно применяться ко всем новым данным таблицы или представления.

RadioButton Enabled - должно применяться,

RadioButton Disabled - не должно применяться.

В разделе Validation выберите, будут ли проверяться существующие данные таблицы или представления на соответствие условиям ограничения.

RadioButton No validate - не будут проверяться,

RadioButton Validate - будут проверяться.

RadioButton Initially immediate - указывает, что изначально ограничение должно вычисляться непосредственно после исполнения каждой команды DML.

RadioButton Initially deferred - указывает, что изначально ограничение должно вычисляться только при фиксации транзакции.

Rely

RadioButton No Rely означает, что материализованное представление (или моментальная копия) не будет считаться пригодным для перезаписи запроса, даже если редактируемое ограничение не подтверждено. Действует только для материализованных представлений.

RadioButton Rely означает, что материализованное представление (или моментальная копия) будет считаться пригодным для перезаписи запроса, даже если редактируемое ограничение не подтверждено. Действует только для материализованных представлений.

В разделе Exceptions processing укажите таблицу, в которую сервер Oracle будет помещать идентификаторы строк, которые нарушают условия ограничения.

Schema - выберите схему, в которой содержится нужная таблица.

Table or view - таблицу или представление выберите из этого раскрывающегося списка.


Внешние ключи

Внешний ключ - Foreign Key - столбец или сочетание столбцов, значения которого соответствуют первичному или уникальному ключу из той же или другой таблицы. Внешний ключ также называют ссылочным ключом.

Создание и редактирование внешних ключей осуществляется с помощью редактора внешних ключей- Foreign Key Editor.

Этот редактор используется для изменения свойств внешнего ключа. Редактор открывается при создании или редактировании внешнего ключа.

Все свойства внешнего ключа, размещаются в редакторе на нескольких вкладках. Это:

  • Свойства внешнего ключа - Foreign Key,
  • Задание опций внешнего ключа - Options,
  • Просмотр DDL - DDL.

Смотрите также:

Редактор таблиц

Редактор ключей

Редактор ограничений

Редактор триггеров


Создание редактирование внешнего ключа

На вкладке Foreign Key Вы задаете основные свойства внешнего ключа.

Foreign Key Editor - Editing foreign key definition

Имя ключа задается в поле Name. Если установлен флажок System named, то имя объекта нельзя будет изменять.

Из раскрывающегося списка Schema выберите схему, в которой содержится таблица, для которой Вы создаете внешний ключ. Таблицу или представление выберите из списка Table or View.

Важно: Эти поля доступны для редактирования только при создании ключа.

Чтобы добавить поля таблицы в ключ переместите их из списка доступных полей - Available в список выбранных полей - Selected.

В разделе Referenced fields задайте поля внешней таблицы.

Из раскрывающихся списков Schema и Table выберите схему и внешнюю таблицу, содержащуюся в этой схеме. Переместите поля из списка доступных полей - Available в список выбранных полей - Selected.

Ниже Вы указываете действия, производимые при удалении для соблюдения ссылочной целостности данных.

Ссылочная целостность сохраняет определенные связи между таблицами при добавлении или удалении строк.

Переключатель Delete rule позволяет установить следующие действия, выполняемые при удалении строки, содержащей первичный ключ:

  • None - Без действия.
  • Set Null - указывает, что при попытке удалить строку с ключом, на которую ссылаются внешние ключи в строках других таблиц, все значения, составляющие эти внешние ключи, должны быть изменены на NULL. Чтобы выполнялось это ограничение, все столбцы внешних ключей целевой таблицы должны допускать значение NULL.
  • Каскадное удаление - Delete Cascade - операция удаления строки, содержащей значение первичного ключа, на которую указывают внешние ключи в существующих строках других таблиц. При каскадном удалении удаляются также все строки, значение внешнего ключа которых указывает на удаленное значение первичного ключа.


Ограничения

Ограничения устанавливают, какие значения данных допустимы в столбце.

Редактор ограничений предназначен для создания и изменения ограничений. Он открывается при создании или редактировании определенного ограничения.

Все свойства ограничений, размещаются в редакторе на нескольких вкладках. Это:

  • свойства ограничения - Check,
  • задание опций ограничения - Options,
  • DDL описание - DDL.

Смотрите также:

Редактор таблиц

Редактор ключей

Редактор внешних ключей

Редактор триггеров


Создание и редактирование ограничения

На вкладке Check указываются основные свойства ограничения.

Check Editor - Editing check definition

Имя ограничения задается в поле Name. Если установлен флажок System named, то имя объекта нельзя будет изменять.

Из раскрывающегося списка Schema выберите схему, в которой содержится таблица, для которой Вы создаете внешний ключ. Таблицу или представление выберите из списка Table or View.

Важно: Эти поля доступны для редактирования только при создании ключа.

В поле редактора SQL создайте или измените тело ограничения.


Задание опций

На вкладке Options задайте дополнительные опции ограничения.

Check Editor - Setting check options

С помощью переключателя Status укажите, должно ли ограничение незамедлительно применяться ко всем новым данным таблицы или представления.

  • Enabled - должно применяться,
  • Disabled - не должно применяться.

В разделе Validation выберите, будут ли проверяться существующие данные таблицы или представления на соответствие условиям ограничения.

No validate - не будут проверяться,

Validate - будут проверяться.

Initially immediate - указывает, что изначально ограничение должно вычисляться непосредственно после исполнения каждой команды DML.

Initially deferred - указывает, что изначально ограничение должно вычисляться только при фиксации транзакции.

Rely

No Rely означает, что материализованное представление (или моментальная копия) не будет считаться пригодным для перезаписи запроса, даже если редактируемое ограничение не подтверждено. Действует только для материализованных представлений.

Rely означает, что материализованное представление (или моментальная копия) будет считаться пригодным для перезаписи запроса, даже если редактируемое ограничение не подтверждено. Действует только для материализованных представлений.

В разделе Exceptions processing укажите таблицу, в которую сервер Oracle будет помещать идентификаторы строк, которые нарушают условия ограничения.

Schema - выберите схему, в которой содержится нужная таблица.

Table or view - таблицу или представление выберите из этого раскрывающегося списка.


Представления

Представление - это виртуальная таблица, представляющая данные одной или более таблиц альтернативным образом. Представление может быть создано только в текущей базе данных. Представление может включать не более 1024 столбцов.

Для работы с представлениями в SQL Manager for Oracle существует специальный инструмент - View Editor (Редактор представлений).

В редакторе Вы можете создавать и редактировать представления.

При создании нового представления редактор открывается автоматически.

  • Панели инструментов
  • Создание и редактирование представления
  • Работа с полями
  • Управление ключами
  • Работа с внешними ключами
  • Управление триггерами
  • Просмотр данных
  • Просмотр зависимостей
  • Текстовое описание представлений
  • Просмотр DDL
  • Назначение прав


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

View Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать представление для редактирования.

General

iconCompile компилировать представление с текущими свойствами - Compile,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей представления - Dependency tree,

iconRefresh обновить содержимое редактируемого представления - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

редактировать представление в визуальном конструкторе запросов - Edit with Design query

При переходе на другие вкладки редактора, на панели инструментов появляются дополнительные панели с инструментами для работы на этих вкладках.

Data management (для вкладки Data)

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data,

iconAddRestorePoint добавить контрольную точку - Add restore point.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование представления

На вкладке View Вы можете создать просмотреть и отредактировать SQL скрипт создания представления.

View Editor - Editing view definition

Имя представления укажите в поле Name.

Схему, к которой будет относиться создаваемое представление выберите из раскрывающегося списка Schema.

CheckBox Force

Установите этот флажок, если хотите создать представление, независимо от того, существуют ли таблицы, используемые в представлении, существуют ли указанные типы объектов или имеет ли пользователь на них права.

CheckBox Read only

Если установлен флажок Read only, то представление является недоступным для обновления.

CheckBox With check option

Oracle запрещает любые изменения таблицы или представления, которые изменили бы строки, не включенные в подзапрос.

Constraint name

В этом поле укажите имя ограничения CHECK OPTION.

Вы можете задать другие названия для полей представления указав их через запятую в поле Fields.

Если Вы создали или изменили текст, то для того чтобы изменения вступили в силу необходимо нажать iconCompile Compile на панели навигации.


Работа с полями

На вкладке Fields Вы можете просмотреть все поля, отображаемые в представлении.

View Editor - Viewing fields

По нажатию правой кнопки мыши на поле появляется контекстное меню.

С его помощью Вы можете:

  • копировать список полей в буфер обмена - Copy list of fields to clipboard,
  • экспортировать метаданные - Export List.

В нижнюю часть формы вынесено окно Field Description <имя объекта>, в котором содержится описание выделенного поля. Внесенные изменения вступят в силу только при переходе на другую вкладку или при выборе другого объекта.


Управление ключами

На вкладке Keys Вы можете работать со всеми ключами представления.

View Editor - Managing keys

По нажатию правой кнопки мыши на поле появляется контекстное меню ключа. С его помощью Вы можете создавать, редактировать и удалять ключи.


Работа с внешними ключами

На вкладке Foreign Keys Вы можете Вы можете работать со всеми внешними ключами представления.

View Editor - Managing foreign keys

По нажатию правой кнопки мыши на поле появляется контекстное меню внешнего ключа. С его помощью Вы можете создавать, редактировать и удалять внешние ключи.


Управление триггерами

На вкладке Triggers Вы можете создавать, просматривать и редактировать триггеры представления.

View Editor - Managing triggers

Двойной щелчок мыши открывает триггер в редакторе триггеров.

Информация об объектах, содержащаяся на этой вкладке:

  • Имя триггера - Name,
  • Тип триггера - Type,
  • Событие-обновление - Update,
  • Событие-вставка - Insert,
  • Событие-удаление - Delete,
  • Включен или выключен триггер (если флажок установлен, то триггер выключен) - Disabled.

Контекстное меню триггера

По нажатию правой кнопкой на триггер открывается контекстное меню.

С помощью этого меню Вы можете:

  • создать новый триггер - New Trigger...,
  • редактировать выделенный триггер - Edit Trigger <имя объекта>,
  • удалить триггер - Drop Trigger <имя объекта>,
  • включить триггер - Enable Trigger <имя объекта>,
  • Выключить триггер- Disable Trigger <имя объекта>,
  • Включить все триггеры - Enable All,
  • Выключить все триггеры - Disable All,
  • Экспортировать список объектов в файл - Export List.


Просмотр данных

На этой вкладке Вы можете просматривать данные и менять их.

Важно: Данные можно менять только в представлениях, основанных на простых запросах.

Управление данными осуществляется с помощью панели инструментов и раскрывающегося меню.

View Editor - Working with data

Перед изменением данных Вы можете создать контрольную точку, чтобы иметь возможность восстановить текущее состояние данных.

Нажмите кнопку iconAddRestorePoint на одной из панелей управления, чтобы создать контрольную точку.

Параметры контрольной точки задайте в появившемся диалоговом окне.

Appendix - Add Restore Point

Date

В этом поле отображается дата и время создания контрольной точки.

SCN

System Change Number - уникальный номер системного изменения отображается в этом поле.

Name

Имя контрольной точки укажите в этом поле.

Store in

Выберите таблицу, в которою будет сохранена создаваемая контрольная точка:

RadioButton Built-in DBMS restore point table - таблица контрольных точек DBMS. Доступна только при работе с сервером Oracle 10.

RadioButton EMS Manager restore point table - таблица контрольных точек EMS Manager-а.

Смотрите также:

Просмотрщик данных


Процедуры

Процедура (Procedure) — программная единица или модуль, которая выполняет одну или более команд и может получать или возвращать значения посредством списка параметров.

Этот редактор позволяет создавать и выполнять процедуры, а также редактировать их. Он открывается автоматически при создании или редактировании процедуры.

  • Панели инструментов
  • Создание и редактирование процедуры
  • Просмотр параметров процедуры
  • Просмотр зависимостей объектов
  • Выполнение процедуры
  • Задание параметров процедуры при выполнении
  • Просмотр DDL
  • Просмотр результатов
  • Назначение прав

Смотрите также:

Отладчик


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Procedure Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать процедуру для редактирования.

General

iconCompile компилировать процедуру с текущими свойствами - Compile,

iconExecute выполнить процедуру - Execute,

iconDebug отладить процедуру - Debug,

iconPrint печатать метаданные процедуры - Print,

iconRefresh обновить содержимое редактируемой процедуры - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconCompileWithDebugInfo компилировать с отладочной информацией - Compile With Debug Info.

Если процедура была выполнена и вернула результат, то кроме вкладки Results появляется ещё панель Data Management.

С помощью этой панели можно:

iconCommit применить транзакцию для данных - Commit transaction,

iconRollback откатить транзакцию - Rollback transaction,

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование процедуры

На вкладке Procedure Вы можете задать SQL скрипт, который будет выполнять процедура, а также создать или отредактировать саму процедуру.

Procedure Editor - Editing procedure definition

Имя создаваемой процедуры и схема, в которой она будет храниться, отображаются в полях Name и Schema.


Просмотр параметров процедуры

На вкладке Parameters Вы можете просматривать список параметров, объявленных в существующей процедуре.

Procedure Editor - Browsing procedure parameters

На данной вкладке параметры нельзя ни добавлять, ни редактировать. Возможно только экспортировать список параметров в файл с помощью пункта контекстного меню Export Metadata, который вызывает Export Data Wizard.


Выполнение процедуры

Редактор процедур позволяет выполнить редактируемую процедуру. Для того чтобы выполнить процедуру используйте команду btnExecuteQuery Execute, которая находится на одной из панелей инструментов.

Procedure Editor - Executing procedure

Если в процедуре содержатся параметры, то при выполнении Вы можете их задать в специальном окне Enter parameter values. Это окно появляется перед выполнением процедуры. Если в процедуре содержится ошибка, то появляется окно изменения метаданных. С его помощью Вы можете исправить возникшую ошибку и продолжить или отменить выполнение процедуры.

Если процедура возвращает некоторый результат, например, таблицу, то этот результат Вы можете просмотреть на появившейся вкладке просмотр результатов.


Задание параметров при выполнении

Если в функции есть параметры, то при выполнении открывается окно Enter parameters values. В этом окне Вы можете задать значения всех параметров исполняемой процедуры.

Procedure Editor - Specifying input parameters

SQL Manager for Oracle формирует это окно исходя из свойств параметров процедуры:

  • количество полей на форме соответствует количеству параметров,
  • названия параметров являются названиями полей, в которых их необходимо задавать,
  • тип поля выбирается из дополнительного раскрывающегося списка, расположенного рядом с полем ввода.

Если рядом с именем параметра установлен флажок Null, то значение параметра примет значение NULL независимо от того, что введено в поле редактирования.

Нажмите кнопку Ok, для того чтобы продолжить выполнение процедуры, или Cancel для отмены выполнения.


Просмотр результатов

Эта вкладка активна только тогда когда процедура была выполнена и возвратила результат.

Результат выполнения отображается в просмотрщике данных.

Procedure Editor - Result

В окне, расположенном в нижней части, отображаются серверные сообщения о ходе выполнения процедуры.


Функции

Функция (Function) - программная единица или модуль, которая выполняет одну или более команд и возвращает значение при помощи инструкции RETURN. Функции могут получать одно или более значений через список параметров. В секции выполнения функция должна содержать хотя бы одну команду RETURN. Эта инструкция в заголовке функции задает тип данных возвращаемого значения.

Редактор функций позволяет Вам создавать, редактировать и выполнять функции. Он запускается, когда Вы создаете новую функцию или открываете для редактирования уже существующую.

Выполнение функции

Чтобы выполнить функцию нужно:

  • Открыть объект в редакторе двойным щелчком мыши на нужной функции в проводнике баз данных в группе объектов Functions.
  • Нажать iconExecute Execute function на одной из панелей инструментов или нажать клавишу F9.

Отладка функции

Чтобы отладить функцию необходимо:

  • Открыть объект в редакторе двойным щелчком мыши на нужной функции в проводнике баз данных в группе объектов Functions.
  • Нажать кнопку Debug на одной из панелей инструментов или воспользоваться сочетанием клавиш Shift+Ctrl+D.
  • Отладить функцию в открывшемся отладчике.

Чтобы открыть функцию в редакторе достаточно щелкнуть по ней два раза мышкой в проводнике баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Панели инструментов
  • Создание и редактирование функции
  • Выполнение функции
  • Просмотр параметров функции
  • Просмотр зависимостей
  • Просмотр DDL
  • Назначение прав

Смотрите также:

Отладчик


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Function Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать функцию для редактирования.

General

iconCompile компилировать функцию с текущими свойствами - Compile,

iconExecute выполнить функцию - Execute,

iconDebug отладить функцию с помощью отладчика - Debug,

iconPrint печатать метаданные функции - Print,

просматривать дерево зависимостей функции - Dependency tree,

iconRefresh обновить содержимое редактируемой функции - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconCompileWithDebugInfo компилировать с отладочной информацией - Compile With Debug Info.

Если функция была выполнена и вернула результат, то появляется панель Data Management.

С помощью этой панели можно:

iconCommit применить транзакцию для данных - Commit transaction,

iconRollback откатить транзакцию - Rollback transaction,

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование функции

Основные параметры функции задайте на вкладке Function редактора функций.

Function Editor - Editing function definition

В поле Name укажите название функции. Из раскрывающегося списка Schema выберите название схемы, которая эта функция будет принадлежать.

В редакторе SQL задайте тело функции.


Просмотр параметров функции

На этой вкладке Вы можете увидеть все параметры функции.

Сами параметры задаются в теле функции на вкладке Function.

Function Editor - Browsing function parameters

Список параметров можно экспортировать в файл, с помощью кнопки контекстного меню Export List.


Выполнение функции

Редактор функций позволяет выполнять созданные функции.

Чтобы выполнить функцию нажмите кнопку btnExecuteQuery Execute function, которая располагается на навигационной панели инструментов.

Если в функции есть параметры, то при выполнении, для задания значений, откроется окно для ввода параметров.

Результаты успешно выполненных функций и ошибки, возникшие при выполнении, отображаются на вкладке Function редактора функций, в окне, которое появляется в нижней части формы.


Триггеры

Триггер (Trigger) - это программа, выполняемая в ответ на изменение данных или на определенное событие, происходящее в БД. Запускает или выполняет триггер инициирующее событие (triggering event).

В редакторе Вы можете создавать и редактировать триггеры.

Чтобы открыть объект в редакторе триггеров достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение триггера
  • Просмотр зависимости объектов
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Trigger Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать триггер для редактирования.

General

iconCompile компилировать триггер с текущими свойствами - Compile,

iconPrint печатать метаданные триггера - Print,

просматривать дерево зависимостей объекта - Dependency tree,

iconRefresh обновить содержимое редактируемой функции - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconCompileWithDebugInfo компилировать с отладочной информацией - Compile With Debug Info.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание изменение триггера

На вкладке Trigger редактора триггеров Вы можете задавать все свойства создаваемого или редактируемого триггера.

Trigger Editor - Editing trigger definition

В поле Name укажите название триггера.

Их раскрывающегося списка Schema выберите схему, которой будет принадлежать триггер.

Если установлен флажок Disabled, то триггер выключен.

Запустить/остановить триггер можно с помощью пункта Enable/Disable Trigger в контекстном меню объекта в подменю Tasks.

Тип объекта, на событие которого должен срабатывать триггер, выберите в разделе Trigger on:

  • Table - на событие таблицы,
  • View - на событие представления.

Схему, к которой принадлежит объект, для которого создается триггер, выберите из раскрывающегося списка Object schema. Сам объект выберите из списка Object name.

С помощью переключателя Trigger type выберите, будет ли триггер запускаться до (Before) после (After) инициирующего события. Instead of используется в представлениях для того, чтобы разрешить обновление базовых таблиц представления.

В разделе For each выберите что будет являться инициирующим событием:

Row - изменение строк таблицы или представления,

Statement - оператор.

В разделе On event укажите инициирующее событие:

Insert. Триггер срабатывает при каждом добавлении строки в таблицу или представление.

Delete. Срабатывает при каждом удалении строки из таблицы или представления.

Update. Триггер срабатывает при каждом изменении таблицы или представления.

References

В поле New As укажите идентификатор новых значений для триггера.

В поле Old As укажите идентификатор для старых значений.

В поле Parent As - для текущих значений.

Fields

Используйте данный раздел, чтобы определить столбцы, для которых будет запускаться триггер. Используйте соответствующие кнопки для перемещения столбцов между списками доступных полей (Available) и выбранных (Selected). Функционал доступен только если выбрано инициирующее событие (On event) Update.

В разделе Body задается тело триггера.

Если выбран Use PL/SQL Block, то Вы можете задать PL/SQL блок, который Oracle будет выполнять при запуске триггера.

Опция Use existing procedure позволяет задать существующую процедуру в теле триггера, которая будет выполняться при его запуске.

Используйте вкладку When, чтобы задать условия триггера.


Триггеры базы данных и схемы

Триггер базы данных:

  • хранимый PL/SQL блок, принадлежащий схеме базы данных,
  • анонимный PL/SQL блок вызываемый процедурой, выполняемой PL/SQL или Java.

Oracle автоматически выполняет триггер при наступлении указанного события.

В редакторе Вы можете создавать и редактировать триггеры баз данных и схем.

Чтобы открыть объект в редакторе триггеров баз данных и схем, достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение триггера схем и баз данных
  • Просмотр зависимости объектов
  • Просмотр DDL


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

DB and Schema Trigger Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать триггер баз данных и схем для редактирования.

General

iconCompile компилировать триггер баз данных и схем с текущими свойствами - Compile,

iconPrint печатать метаданные триггера - Print,

просматривать дерево зависимостей объекта - Dependency tree,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание изменение триггера баз данных и схем

На вкладке Trigger редактора триггеров Вы можете задавать все свойства создаваемого или редактируемого триггера.

DB and Schema Trigger Editor - Editing trigger definition

В поле Name укажите название триггера баз данных и схем.

Их раскрывающегося списка Schema выберите схему, которой будет принадлежать триггер.

Если установлен флажок Disabled, то триггер выключен.

С помощью переключателя Trigger type выберите, будет ли триггер запускаться до (Before) после (After) инициирующего события.

В разделе On event укажите инициирующее событие:

С помощью переключателя DDL/Database выберите, будет ли это событие, происходящее с объектами базы данных - DDL или с базой данных - Database.

События представлены в списке. Выберите нужное, установив напротив него флажок.

Из раскрывающегося списка Trigger on выберите область срабатывания триггера:

  • Database - триггер срабатывает при выполнении указанного события любым пользователем базы данных.
  • Schema - триггер срабатывает при выполнении указанного события текущим пользователем или при выборе схемы.

В разделе Body задается само тело триггера.

Если выбран Use PL/SQL Block, то Вы можете задать PL/SQL блок, который Oracle будет выполнять при запуске триггера.

Опция Use existing procedure позволяет задать существующую процедуру в теле триггера, которая будет выполняться при его запуске.

Используйте вкладку When, чтобы задать условия триггера.


Индексы

Индекс (Index) - это объект реляционной базы данных, обеспечивающий быстрый доступ к данным в строках таблицы на основе значений ключа.

В редакторе Вы можете создавать и редактировать индексы.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства индекса, размещаются в редакторе на нескольких вкладках. Это:

  • Создание и редактирование индексов - Index,
  • Параметры хранения - Storage,
  • Просмотр зависимости объектов - Dependencies,
  • DDL описание - DDL.


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Index Editor - Using Navigation bar

Object

iconDB Выбрать базу данных.

Выбрать индекс для редактирования.

General

iconCompile компилировать индекс с текущими свойствами - Compile,

iconPrint печатать метаданные индекса - Print,

просматривать дерево зависимостей объекта - Dependency tree,

iconRefresh обновить содержимое редактируемого индекса - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование индексов

На этой вкладке указываются основные параметры индекса. Большинство параметров можно задавать только при создании индекса.

Index Editor - Editing index definition

В поле Name укажите имя индекса.

Из раскрывающегося списка Schema выберите схему объектов, которой будет принадлежать индекс.

Будет индекс создаваться для таблицы или для кластера Вы можете указать с помощью переключателя Table index / Cluster index.

Схему, в которой содержится таблица или кластер, для которого создается индекс, выберите из списка Table/Cluster schema.

Объект, для которого создаете индекс, выберите из раскрывающегося списка Table/Cluster name. Объектом может являться таблица или кластер.

Из раскрывающегося списка Specify partitioning выберите тип секционирования:

NON PARTITIONED - нет секционирования.

GLOBAL - глобальный индекс должен быть секционирован по диапазону значений, указанных столбцов.

LOCAL - индекс должен быть секционирован по тем же самым столбцам, что и таблица, для которой он построен, при этом количество разделов и их границы также должны совпадать.

В разделе Options задайте дополнительные опции индекса

Logging - если установлен этот флажок, то процесс создания индекса будет занесен в Redo Log file.

Reverse - байты блока индекса будут храниться в обратном порядке

No sort - установите этот флажок для базы данных, в которой строки уже отсортированы, чтобы строки не были отсортированы во время создания индекса.

Invisible - установите этот флажок, чтобы сделать индекс скрытым.

С помощью переключателя Uniqueness выберите должны ли быть значения в столбцах индекса уникальными.

  • Unique - значения должны быть уникальными.
  • Non-Unique - значения могут быть не уникальными.

Key compress

  • No Compress - без сжатия
  • Compress ... columns - включить сжатие столбцов.

В таблице Table Columns отображаются доступные поля таблицы. С помощью кнопок одно или несколько полей таблицы можно переместить в таблицу полей индекса - Index Columns.

Вместо поля таблицы, в качестве индекса можно использовать выражение. С помощью кнопки Add expression Вы можете добавить в индекс вычисляемое выражение. Нажатие на кнопку Delete expression удалит из списка Index Columns вычисляемое выражение.


Пакеты

Пакет (Package) - группа элементов кода PL/SQL, которая служит контейнером для процедур, функций и структур данных.

В редакторе Вы можете создавать и редактировать пакеты.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства индекса, размещаются в редакторе на нескольких вкладках. Это:

  • Создание и редактирование пакетов - Package,
  • Просмотр зависимости объектов - Dependencies,
  • DDL описание - DDL,
  • Назначение прав - Permissions.

Смотрите также:

Тела пакетов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Package Editor - Using Navigation bar

Object

iconDB Выбрать базу данных.

Выбрать пакет для редактирования.

General

iconCompile компилировать пакет с текущими свойствами - Compile,

iconPrint печатать метаданные пакета - Print,

просматривать дерево зависимостей объекта - Dependency tree,

iconRefresh обновить содержимое редактируемого пакета - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size,

iconCompileWithDebugInfo компилировать с отладочной информацией - Compile With Debug Info.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование пакета

На этой вкладке указываются основные параметры индекса.

Package Editor - Editing package definition

Имя объекта укажите в поле Name.

Схему, в которой будет храниться создаваемый объект, выберите из раскрывающегося списка Schema.

Текст пакета задайте в SQL редакторе, расположенном в основной части формы.


Тела пакетов

Тело пакета (Package Body) содержит весь код, необходимый для реализации процедур, функций и курсоров, а также все закрытые объекты (если такие имеются), доступные только другим элементам, определенным в данном пакете.

В редакторе Вы можете создавать и редактировать тела пакетов.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства индекса, размещаются в редакторе на нескольких вкладках. Это:

  • Создание и редактирование тел пакетов - Package Body,
  • Просмотр зависимости объектов - Dependencies,
  • DDL описание - DDL.

Смотрите также:

Пакеты


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Package Body Editor - Using Navigation bar

Object

iconDB Выбрать базу данных.

Выбрать тело пакета для редактирования.

General

iconCompile компилировать тело пакета с текущими свойствами (эта кнопка доступна только при создании объекта) - Compile,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей объекта - Dependency tree,

iconRefresh обновить содержимое редактируемого тело пакета - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconCompileWithDebugInfo компилировать с отладочной информацией - Compile With Debug Info.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание редактирование тел пакетов

На этой вкладке в редакторе SQL задается тело объекта.

Package Body Editor - Editing Package Body definition


Последовательности

Последовательности (Sequence) - удобный метод построения последовательности пронумерованных списков. Каждый раз, когда пользователь обращается к последовательности, значение ее порядкового номера увеличивается. Это обеспечивает одноразовое использование определенного номера. Таким образом, последовательности могут использоваться для создания уникальных номеров.

В редакторе Вы можете создавать и редактировать последовательности.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства последовательности, размещаются в редакторе на нескольких вкладках. Это:

  • Свойства последовательности - Sequence,
  • Просмотр DDL - DDL,
  • Назначение прав - Permissions.


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Sequence Editor - Using Navigation bar

Object

iconDB Выбрать базу данных,

Выбрать последовательность для редактирования.

General

iconCompile компилировать последовательность с текущими свойствами - Compile,

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей последовательностей - Dependency tree,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование последовательности

Основные свойства последовательности задайте на вкладке Sequence.

Sequence Editor - Editing sequence definition

Имя последовательности указывается в поле Name. Из раскрывающегося списка Schema выбирается имя схемы, которой будет принадлежать этот объект.

При создании объекта в поле Start with указывается начальное значение последовательности. При редактировании это поле становится недоступным и в нем отображается следующее значение последовательности.

Чтобы последовательность была цикличной, установите флажок Cycle.

Значение шага последовательности можно задать в поле Increment.

В полях Min value и Max value укажите минимальное и максимальное значения последовательности.

В поле Cache задайте количество номеров последовательностей хранимых в памяти для быстрого доступа.

Чтобы гарантировать, что номера последовательности будут генерироваться в указанном порядке, установите флажок Order.

Отметьте опцию CheckBox Keep, чтобы значение NEXTVAL не изменялось при возникновении ошибки.

CheckBox Session

Отметьте эту опцию, чтобы создать последовательность для использования с глобальными временными таблицами, видимость которых ограничивается рамками сессии. Такие последовательности возвращают набор уникальных значений только в пределах одной сессии.


Кластеры

Кластер (Cluster) - объект схемы, содержащий данные из одной или нескольких таблиц, которые имеют общие столбцы. Все строки таблиц, принадлежащих одному кластеру, хранятся на сервере вместе.

В редакторе Вы можете создавать и редактировать кластеры.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства индекса, размещаются в редакторе на нескольких вкладках. Это:

  • Создание и редактирование кластеров - Cluster,
  • Параметры хранения - Storage,
  • Просмотр зависимости объектов - Dependencies,
  • DDL описание - DDL.


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Cluster Editor - Using Navigation bar

Object

iconDB Выбрать базу данных.

Выбрать кластер для редактирования.

General

iconCompile компилировать кластер с текущими свойствами - Compile,

iconPrint печатать метаданные кластера - Print,

просматривать дерево зависимостей объекта - Dependency tree,

iconRefresh обновить содержимое редактируемого кластера - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Tools

Очистить кластер - Truncate.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование кластеров

На этой вкладке задаются основные параметры кластера.

Cluster Editor - Editing cluster definition

Name - имя кластера

Schema - схема, которой принадлежит кластер.

Cluster size - в этом поле задается количество байт, зарезервированных для хранения всех строк кластера.

RadioButton Index cluster

Если переключатель установлен напротив этого пункта, то создается индексированный кластер. Индексированный кластер не может быть создан для хеш-кластера.

RadioButton Hash cluster

Создается хеш-кластер.

RadioButton Hash Single-Table

Выбор этого пункта означает, что создается кластер, содержащий одну таблицу.

При создании хеш-кластера Вам необходимо задать дополнительные параметры.

Number of hash keys

В этом счетчике укажите количество ключей, с которыми должен быть создан хеш-кластер. Минимальное число - 2.

В разделе Hash Function выберите хеш-функцию.

RadioButton Default - используется внутренняя хеш-функция.

RadioButton Expression - в этом поле задается выражение, выступающее в качестве хеш-функции.

Cluster columns

В этой таблице Вы можете задать до 16-ти полей таблиц, которые будут входить в кластер. Эти поля должны быть одинаковы во всех таблицах, входящих в кластер.


Материализованные представления

Материализованные представления (Materialized view) - объекты базы данных, хранящие результаты запросов.

В редакторе Вы можете создавать и редактировать материализованные представления.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства индекса, размещаются в редакторе на нескольких вкладках. Это:

  • Создание и редактирование материализованных представлений - Materialized View,
  • Управление полями - Fields,
  • Задание параметров обновления - Refresh,
  • Параметры хранения - Storage,
  • Задание USING INDEX параметров - Using index,
  • Работа с данными - Data,
  • Просмотр зависимости объектов - Dependencies,
  • Описание объекта - Description,
  • DDL описание - DDL,
  • Назначение прав - Permissions.


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Materialized View Editor - Using Navigation bar

Object

iconDB Выбрать базу данных.

Выбрать материализованное представление для редактирования.

General

iconCompile компилировать материализованное представление с текущими свойствами - Compile,

iconPrint печатать метаданные материализованного представления - Print,

просматривать дерево зависимостей объекта - Dependency tree,

iconRefresh обновить содержимое редактируемого материализованного представления - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Data management (для вкладки Data)

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data.

Description (для вкладки Description)

iconSaveToFile сохранить описание в файл - Save Description to file,

iconCopyToClipboard копировать описание в буфер обмена - Copy description to clipboard.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование материализованных представлений

На этой вкладке задаются основные параметры материализованного представления.

Materialized View Editor - Editing Materialized View definition

Name - имя объекта.

Schema - схема, которой принадлежит материализованное представление.

CheckBox On prebuilt table

Установив этот флажок, Вы сможете зарегистрировать существующую таблицу как прединициализированное материализованное представление.

CheckBox Updatable

Установите этот флажок, чтобы подобъекты материального представления, такие как подзапросы и первичный ключ, обновлялись.

CheckBox Reduced precision

Данная опция разрешает потерю точности, если точность столбцов таблицы не соответствует точности подзапроса.

CheckBox Partitioning - включить возможность секционирования

В разделе Materialized view type выберите тип организации индекса материализованного представления:

RadioButton Default - по умолчанию.

RadioButton Organization index - материализованное представление будет организовано по индексу.

В разделе Compress Вы можете указать, требуется ли сжимать данные для экономии места.

RadioButton None - не указано.

RadioButton Compress - сжимать.

RadioButton Nocompress - не сжимать.

Rewrite query

В этом разделе укажите, может ли материализованное представление использоваться для перезаписи запроса.

RadioButton None - не указано.

RadioButton Enabled - может использоваться.

RadioButton Disabled - не может.

Logging

В этой группе укажите, нужно ли вести журнал материализованного представления.

RadioButton Logging - журнал ведется.

RadioButton Nologging - журнал не ведется.

Cache

Используйте кэширование для данных, которые будут часто использоваться.

RadioButton Cache

Указывает, что блоки, извлеченные для этой таблицы, будут помещены в наиболее часто используемую часть наименее часто используемого списка буферного кэша, после выполнения полного просмотра таблицы.

RadioButton Nocache

Указывает, что блоки, извлеченные для этой таблицы, будут помещены в наименее часто используемую часть наименее часто используемого списка буферного кэша, после выполнения полного просмотра таблицы.

Вы можете определить материализованное представление, как часть существующего кластера.

Из раскрывающихся списков Cluster schema и Cluster name выберите схему и кластер соответственно.

В поле Subquery cluster fields укажите поля кластера,

В редакторе Subquery вы можете задать определяющий запрос материализованного представления. При создании объекта, запрос будет выполнен, и результаты будут помещены в материализованное представление.


Управление полями

На вкладке Fields Вы можете просматривать поля, содержащиеся в материализованном представлении. Эта вкладка отображается только при редактировании объекта.

По нажатию правой кнопкой мыши на списке полей открывается контекстное меню. С помощью этого меню Вы можете:

Copy List of Field Names to Clipboard - копировать список полей в буфер обмена,

Export List - экспортировать список в файл.

Materialized View Editor - Viewing fields

На данной вкладке отображается следующая информация о каждом поле:

Field Name - имя поля,

Field Type - тип данных,

Not Null - может ли это поле быть NULL,

Unique - должно ли значение в этом поле являться уникальным,

Default Value - значение поля по умолчанию,

Description - описание поля.

Смотрите также:

Работа с полями


Задание параметров обновления

На вкладке Refresh задайте режим и время автоматических обновлений материализованного представления. Если главная таблица материализованного представления изменяется, то данные в этом представлении должны обновиться, чтобы соответствовать данным главной таблицы. Часть параметров обновления можно задавать только при создании материализованного представления.

Materialized View Editor - Setting Refresh parameters

В разделе Refresh выберите надо ли обновлять материализованное представление или нет.

RadioButton Do not define refresh options - не задавать параметры обновления.

RadioButton Define refresh options - задать параметры обновления.

В разделе Refresh Type укажите тип обновления.

RadioButton None - не определен.

RadioButton Never - предотвращает обновление материализованного представления вместе с остальными объектами базы данных или при выполнении процедуры.

RadioButton Fast - при обновлении используется журнал материализованного представления, соответствующий главной таблице.

RadioButton Complete - обновление за счет повторного выполнения запроса материализованного представления.

RadioButton Force - сервер Oracle определяет, возможно ли обновление типа Fast; если нет, то выполняется обновление Complete.

В разделе Refresh time type выберите время обновления.

RadioButton None - не определен.

RadioButton On commit - указывает, что обновление материализованного представления должно осуществляться всякий раз, как осуществляется фиксация транзакции в главной таблице.

RadioButton On demand - указывает, что материализованное представление обновляться при необходимости, с помощью процедуры обновления.

RadioButton Automatic - обновление происходит автоматически в указанное время.

Метод обновления выберите в разделе

RadioButton None - не определен.

RadioButton Primary key - обновление осуществляется с использованием первичного ключа материализованного представления, который принадлежит главной таблице.

RadioButton RowID - для обновления используются идентификаторы строк материализованного представления. Идентификаторы строк используются, если в состав материализованного представления входят не все ключи главной таблицы.

Для автоматического обновления необходимо будет задать даты выполнения. При нажатии на раскрывающийся список открывается календарь, с помощью которого Вы можете указать дату и время.

В раскрывающемся списке Start with, определите дату следующего обновления.

В поле Next выберите дату, с помощью которой будет вычислен интервал между обновлениями.


Задание USING INDEX параметров

На вкладке Using index укажите параметры для использования сервером индекса по умолчанию.

Materialized View Editor - Setting index parameters

В разделе Using index укажите, будет ли использоваться индекс.

RadioButton Do not define index storage - не определять параметры хранения индекса.

RadioButton Using index - использовать индекс.

RadioButton Using no index - индекс не будет использоваться.

Все остальные параметры, задаваемые на вкладке, подробно описаны в разделе Параметры хранения.


Работа с данными

На этой вкладке Вы можете внести данные в таблицу. Также Вы можете просматривать данные и менять их.

Управление данными осуществляется с помощью панели инструментов и раскрывающегося меню.

Materialized View Editor - Working with data


Секционирование

На вкладке Partitioning Вы можете задать параметры секционирования.

New table - Partitioning

Partitioning by

Range

Выберите этот пункт, чтобы секционировать материализованное представление по значениям из списка полей. Для материализованного представления, организованного по индексу, список столбцов должен состоять из столбцов, являющихся первичными ключами материализованного представления.

Hash

Выберите этот пункт, чтобы указать, что материализованное представление должно быть секционировано с помощью хеширования. Oracle Database присваивает строки партициям с помощью хэш-функции значений в столбцах, назначенных в качестве ключей секционирования.

List

Выберите этот пункт, чтобы секционировать материализованное представление по буквенным значениям указанных полей. Этот способ эффективен для контроля за распределением отдельных строк по партициям.

Partition keys

В этом разделе укажите столбцы, которые будут являться ключом секционирования.

Чтобы выбрать столбец, необходимо переместить его из списка доступных - Available - в список доступных - Selected - с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available или перетащить объекты мышкой.

CheckBox Composite

Если установлен этот флажок, то секционирование материализованного представления будет сначала произведено по рангу (Range), затем одним из возможных способов - Range, Hash или List.

Sub-partition keys

В этом разделе задайте упорядоченный список полей, используемый для определения, какой именно субпартиции принадлежит строка. Эти поля являются ключом субпартиции.

Чтобы выбрать столбец, необходимо переместить его из списка доступных - Available - в список доступных - Selected - с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available или перетащить объекты мышкой.

Sub-partitioning by

Из этого раскрывающегося списка выберите тип субпартиции: Hash или List.

Partitions

В этом разделе Вы можете задать отдельные партиции.

С помощью контекстного меню, открывающегося при нажатии правой кнопкой мыши на список, Вы можете:

  • New partition - создать партицию,
  • Edit partition - редактировать партицию
  • Delete partition - удалить партицию.

Values

Укажите невключенную верхнюю границу текущей партиции. Список значений - упорядоченный список текстовых значений, соответствующих списку столбцов.


Журналы материализованных представлений

Журнал материализованных представлений - это таблица, которая ассоциирована с главной таблицей материализованных представлений.

В редакторе Вы можете создавать и редактировать журналы материализованных представлений.

Наиболее используемые операции вынесены на панели инструментов.

Все свойства индекса, размещаются в редакторе на нескольких вкладках. Это:

  • Создание и редактирование материализованных представлений - Materialized View,
  • Задание параметров хранения - Storage,
  • Просмотр зависимости объектов - Dependencies,
  • DDL описание - DDL.


Создание и редактирование журналов материализованных представлений

На вкладке Materialized view log Вы можете задать настройки объекта при его создании или редактировании.

Materialized View Log Editor - Editing Materialized View Log definition

В поле Log table name отображается имя главной таблицы материализованного представления.

Из раскрывающегося списка Schema выберите схему, в которой содержится главная таблица.

Таблицу, для которой будет вестись журнал материализованных представлений, выберите из раскрывающегося списка Master table.

Cache

Используйте кэширование для данных, которые будут часто использоваться.

RadioButton Cache

Указывает, что блоки, извлеченные для этой таблицы, будут помещены в наиболее часто используемую часть наименее часто используемого списка буферного кэша, после выполнения полного просмотра таблицы.

RadioButton Nocache

Указывает, что блоки, извлеченные для этой таблицы, будут помещены в наименее часто используемую часть наименее часто используемого списка буферного кэша, после выполнения полного просмотра таблицы.

Logging

В этой группе укажите, нужно ли вести журнал материализованного представления.

RadioButton Logging - журнал ведется.

RadioButton Nologging - журнал не ведется.

В разделе New values укажите, позволяет ли сервер Oracle сохранять старые и новые значения для обновления операторов DML в журнале материализованных представлений.

RadioButton Default - задаются поведение по умолчанию для новых значений.

RadioButton Including - старые и новые значения буду храниться в журнале.

RadioButton Excluding - новые записи не попадают в журнал.

В разделе With ... укажите, должны ли записываться в журнал материализованных представлений первичные ключи, идентификаторы строк, идентификаторы объектов или комбинации из этих объектов, при изменении строк в главной таблице.

CheckBox With object ID - все идентификаторы объектов измененных строк записываются в журнал.

CheckBox With primary key - значение первичного ключа всех измененных строк сохраняется в журнале.

CheckBox With ROWID - идентификаторы измененных строк будут включены в журнал.

CheckBox With sequence - последовательности будут записаны в журнал.

Вы можете выбрать поля главной таблицы, значения которых будут записываться в журнал при изменении строк, с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available .


Синонимы

Синоним (Synonym) — это альтернативное имя, которое дается объекту схемы. Клиентские приложения могут использовать для ссылки на базовый объект синонимы из одного слова вместо имен, состоящих из двух, трех или четырех частей.

Синоним является объектом базы данных, который выполняет следующие функции:

  • предоставляет альтернативное имя для другого объекта базы данных, существующего на локальном или удаленном сервере, на которое затем другие объекты ссылаются как на базовый объект;
  • обеспечивает уровень абстракции, защищающий клиентские приложения от изменений, производимых в имени или местоположении базовых объектов.

Редактор синонимов позволяет Вам создавать и редактировать синонимы. Он запускается, когда Вы создаете новый синоним или открываете для редактирования уже существующий.

Чтобы открыть синоним в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Определение синонима
  • Просмотр зависимости объектов
  • Просмотр DDL


Создание и редактирование синонима

Основные свойства синонима задаются на вкладке Synonym.

Имя синонима указывается в поле Name.

Из раскрывающегося списка Schema выбирается схема, в которую необходимо поместить создаваемый объект. При редактировании синонима это поле недоступно для изменений.

Если установлен флажок Public Synonym, то синоним будет доступен для всех пользователей.

Из раскрывающегося списка Object schema выберите схему, которой принадлежит объект, на который ссылается синоним.

Synonym Editor - Editing synonym definition

Имя объекта базы данных, на который ссылается синоним, указываете в поле Object name, который можно выбрать в окне, появляющемся при нажатии кнопки Select.


Ссылки базы данных

Ссылки базы данных (Database Link) - это именованный объект, который описывает "путь" от одной базы данных к другой. Связи баз данных неявно используются при обращении к глобальному имени объекта в распределенной базе данных.

В редакторе Вы можете создавать и редактировать ссылки базы данных

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание ссылки базы данных - Database Link,
  • Просмотр DDL - DDL.


Создание и редактирование связи базы данных

На вкладке Database Link задайте настройки ссылки базы данных.

Database Link Editor - Editing Database Link definition

В поле Name укажите имя создаваемой ссылки.

CheckBox Public DB link - если флажок установлен, то ссылка базы данных будет доступна всем пользователям. Если флажок не установлен, то ссылка является частной и доступна только одному пользователю.

CheckBox Shared DB link - если флажок установлен, то при работе с многопоточным (разделяемым) сервером одно сетевое подключение будет использоваться совместно.

CheckBox Use CURRENT_USER - установленный флажок указывает на то, что ссылка создается от имени текущего пользователя, который должен быть глобальным пользователем с действительной учетной записью на удаленной базе данных.

В разделе Remote database connection задайте настройки подключения к удаленной базе данных.

Имя пользователя и пароль, для подключения к удаленной базе, укажите в полях User name и Password соответственно.

В поле Remote database задайте имя удаленной базы данных.

При использовании Shared DB link необходимо указывать параметры аутентификации в разделе Authenticated by.

Для аутентификации необходимо задать название схемы (имя пользователя) и пароль для доступа к удаленному серверу, в полях Schema и Password.


Объектные типы

Редактор объектных типов позволяет создавать и редактировать объектные типы. Он запускается, когда Вы создаете новый тип или открываете для редактирования уже существующий.

Чтобы открыть объектный тип в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • создание и редактирование объектного типа - Object Type,
  • Просмотр зависимостей - Dependencies,
  • Просмотр DDL - DDL,
  • Назначение прав - Permissions.


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Object Type Editor - Using Navigation bar

Object

iconDB Выбрать базу данных.

Выбрать объект для редактирования.

General

iconCompile компилировать объект с текущими свойствами - Compile, (для некоторых объектов этот пункт доступен только при создании объекта)

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей объекта - Dependency tree,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconCompileWithDebugInfo компилировать с отладочной информацией - Compile With Debug Info.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Query data,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование объектного типа

На вкладке Object Type задайте основные параметры объекта.

Object Type Editor - Editing Object Type definition

В поле Name укажите имя объекта.

Из раскрывающегося списка Schema выберите схему, которой будет принадлежать создаваемый объект.

В редакторе SQL, расположенном в нижней части формы, задайте тело объекта.


Тела объектных типов

Редактор объектных типов позволяет создавать и редактировать тела объектных типов. Он запускается, когда Вы создаете новый объект этого типа, или открываете для редактирования уже существующий.

Чтобы открыть объектный тип в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование тела объектного типа - Object Type,
  • Просмотр зависимостей - Dependencies,
  • Просмотр DDL - DDL.


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Object Type Body Editor - Using Navigation bar

Object

iconDB Выбрать базу данных.

Выбрать объект для редактирования.

General

iconCompile компилировать объект с текущими свойствами - Compile, (для некоторых объектов этот пункт доступен только при создании объекта)

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей объекта - Dependency tree,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconCompileWithDebugInfo компилировать с отладочной информацией - Compile With Debug Info.

DDL (для вкладки DDL)

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Execute script editor.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Создание и редактирование тела объектного типа

На вкладке Object Type Body задайте основные параметры объекта.

Object Type Body Editor - Editing Object Type Body definition

В поле Name укажите имя объекта.

Из раскрывающегося списка Schema выберите схему, которой будет принадлежать создаваемый объект.

В редакторе SQL, расположенном в нижней части формы, задайте тело объекта.


Типы массивов

Редактор типов массивов позволяет создавать и редактировать типы массивов. Он запускается, когда Вы создаете новый объект этого типа, или открываете для редактирования уже существующий.

Чтобы открыть тип в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование типа массива - Array Type,
  • Просмотр зависимостей - Dependencies,
  • Просмотр DDL - DDL,
  • Назначение прав - Permissions.


Создание и редактирование типа массива

На вкладке Array Type задайте основные свойства редактируемого или создаваемого типа массивов.

Array Type Editor - Editing Array Type definition

В поле Name задайте имя объекта. Из раскрывающегося списка Schema выберите схему, которой будет принадлежать создаваемый объект.

RadioButton VArray

Задайте тип varray. Тип состоит из упорядоченных элементов одного типа.

Для этого типа необходимо указать максимальный размер массива в счетчике Array size.

RadioButton Nested table

Задайте вложенную таблицу.

Настройки данных массива задайте в разделе Data Type.

Из раскрывающегося списка Type выберите тип значения или тип объекта.

Для типа объекта необходимо указать схему, в которой этот объект находится и сам объект. Схему и объект выберите из раскрывающихся списков Object schema и Object.

Задать размер поля можно с помощью счетчика Size.

Scale. Для типов NUMBER и INTERVAL DAY TO SECOND является неотрицательным целым числом, которое указывает на максимальное общее число подлежащих сохранению десятичных знаков справа от разделителя, отделяющего десятичную дробь от целого числа. Его значение должно быть меньшим или равным заданной степени точности.


Библиотеки

Библиотека (Library) - объект базы данных, который сопоставлен разделяемой библиотеке операционной системы.

Редактор библиотек позволяет создавать и редактировать библиотеки. Он запускается, когда Вы создаете новый объект этого типа, или открываете для редактирования уже существующий.

Чтобы открыть библиотеку в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование библиотек - Library,
  • Просмотр зависимостей - Dependencies,
  • Просмотр DDL - DDL,
  • Назначение прав - Permissions.


Создание и редактирование библиотек

На вкладке Library задайте настройки библиотеки.

Library Editor - Editing library definition

Имя объекта задайте в поле Name.

Из раскрывающегося списка Schema выберите схему данных, в которой он должен быть сохранен.

В поле Library filename укажите путь и имя библиотеки операционной системы, с которой должна быть сопоставлена редактируемая библиотека.

Из раскрывающегося списка DB Link name выберите ссылку базы данных.


Java Sources

Редактор библиотек позволяет создавать и редактировать Java Sources. Он запускается, когда Вы создаете новый объект этого типа, или открываете для редактирования уже существующий.

Чтобы открыть Java Source в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование Java source - Java Source,
  • Просмотр DDL - DDL.


Создание и редактирование Java source

На этой вкладке задайте основные параметры Java Source.

Java Source Editor - Editing Java Source definition

Имя объекта задайте в поле Name.

Из раскрывающегося списка Schema выберите схему данных, в которой он должен быть сохранен.

CheckBox Auto compile

Сервер Oracle должен попытаться разрешить имя созданного объекта схемы Java.

Объект схемы Java Source должен быть сопоставлен уточненному имени Java. В поле Resolver необходимо указать это имя.


Java Classes

Редактор классов позволяет создавать и редактировать Java Classes. Он запускается, когда Вы создаете новый объект этого типа, или открываете для редактирования уже существующий.

Чтобы открыть Java Class в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование Java class - Java Class,
  • Просмотр зависимостей - Dependencies.


Создание и редактирование Java class

Для редактируемого или создаваемого класса Java Вы можете задать:

Java Class Editor - Editing Java Class definition

Имя объекта задайте в поле Name.

Server file name - задайте имя файла сервера, который был создан ранее.

Directory - из этого раскрывающегося списка выберите директорию для файла, содержащего двоичную последовательность.

CheckBox Force

Если флажок не установлен, то для результатов этой команды будет выполнен откат, если указано ключевое слово RESOLVE или COMPILE и разрешить имя не удастся.

CheckBox Auto compile

Сервер Oracle должен попытаться разрешить имя созданного объекта схемы Java.

Объект схемы Java Class должен быть сопоставлен уточненному имени Java. В поле Resolver необходимо указать это имя.


Java Resources

Редактор ресурсов позволяет создавать и редактировать Java Resources. Он запускается, когда Вы создаете новый объект этого типа, или открываете для редактирования уже существующий.

Чтобы открыть Java Resource в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование Java Resources - Java Resources,
  • Просмотр зависимостей - Dependencies.


Создание и редактирование Java Resources

Инструменты редактора располагаются на вкладке Java Resources и панелях инструментов.

Java Resource Editor - Editing Java Resource definition

Имя объекта задайте в поле Name.

Из раскрывающегося списка Schema выберите схему данных, в которой он должен быть сохранен.

Server file name - задайте имя файла сервера, который был создан ранее.

Directory - из этого раскрывающегося списка выберите директорию для файла, содержащего двоичную последовательность.

Объект схемы Java Class должен быть сопоставлен уточненному имени Java. В поле Resolver необходимо указать это имя.


Индексные типы

Индексный тип (Index Type) - объект, используемый для управления прикладным индексом (domain index).

Редактор индексных типов позволяет создавать и редактировать эти объекты. Он запускается, когда Вы создаете новый объект этого типа, или открываете для редактирования уже существующий.

Чтобы открыть индексный тип в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование типов индексов - Index Type,
  • Просмотр зависимостей - Dependencies,
  • Описание объекта - Description,
  • Просмотр DDL - DDL,
  • Назначение прав - Permissions.


Создание и редактирование индексных типов

На вкладке Index Type задайте основные настройки создаваемого или редактируемого объекта.

Index Type Editor - Editing Index Type definition

В поле Name задайте имя объекта.

Из раскрывающегося списка Schema выберите схему данных, в которой он должен быть сохранен.

В разделе For operators задайте список операторов, поддерживаемых данным индексным типом.

Из раскрывающегося списка Operator schema выберите схему, в которой содержатся необходимые операторы.

С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенесите операторы из списка доступных - Available Fields в список выбранных - Selected Fields и обратно.

В поле Implementation schema отображается схема, содержащая тип выполнения (должен храниться в той же самой схеме, что и тип индекса).

В поле Implementation object укажите тип выполнения для нового индексного типа.


Операторы

Редактор операторов позволяет создавать и редактировать операторы. Он запускается, когда Вы создаете новый объект этого типа, или открываете для редактирования уже существующий.

Чтобы открыть оператор в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование оператора - Operator,
  • Просмотр зависимостей - Dependencies,
  • Описание объекта - Description,
  • Просмотр DDL - DDL,
  • Назначение прав - Permissions.


Создание и редактирование оператора

На вкладке Operator задайте основные параметры объекта.

Operator Editor - Editing Operator definition

В поле Name задайте имя объекта.

Из раскрывающегося списка Schema выберите схему данных, в которой он должен быть сохранен.

В списке Bindings отображаются параметры для связи оператора с функциями. Параметры представлены в виде таблицы со следующими столбцами:

  • Parameter List - список параметров,
  • Return Type - тип возвращаемого значения,
  • Ancillary/Context - дополнительный/контекстный параметр.
  • Using - использование.

Параметры в эту таблицу можно добавлять с помощью кнопки btnAddItem , или с помощью пункта контекстного меню таблицы Add binding.

При добавлении параметры открывается окно Add Operator Binding, в котором указываются все настройки параметра связи.

Удалить параметр из таблицы можно нажав на кнопку btnRemoveItem , или выбрав пункт контекстного меню таблицы Delete binding.

Редактировать параметр нельзя.


Добавление связей операторов

Это окно открывается при создании параметров для связи оператора с функциями.

Operator Editor - Operator binding

Из раскрывающегося списка Object types schema name выберите схему, содержащую нужные объекты.

Чтобы выбрать тип объекта, вам необходимо с помощью кнопок Move to Selected Move to Available перенести его из списка доступных - Available, в список выбранных - Selected.

Тип возвращаемого значения выберите из раскрывающегося списка Return type.

Implementation

В этом разделе задайте описание выполнения связи.

Из раскрывающегося списка Implementation object schema выберите схему, содержащую объект выполнения связи.

Объект выполнения связи укажите в поле Implementation object name. В качестве такого объекта может выступать функция, тело пакета или объектный тип. Вы можете задать имя объекта вручную, или выбрать его в окне, открывающемся при нажатии кнопки Select object.

Тип выполнения выберите в разделе Implementation type.

RadioButton Default - тип выполнения по умолчанию.

RadioButton Ancillary - указывает, что связывание оператора является дополнительным по отношению к указанному связыванию первичного оператора.

Схему, в которой содержится дополнительный объект и сам объект выберите из раскрывающихся списков Ancillary operator schema и Ancillary operator соответственно.

RadioButton Context

Выберите этот тип, если связывание оператора не является дополнительным.

В этом случае Вы должны заполнить Scan context schema и Scan context fields.


Измерения

Измерение - объект, определяющий отношение родитель-потомок между парами наборов столбцов.

Редактор измерений позволяет создавать и редактировать объекты этого типа. Он запускается, когда Вы создаете новое измерение, или открываете для редактирования уже существующее.

Чтобы открыть измерение в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование измерения - Dimension,
  • Просмотр зависимостей - Dependencies,
  • Просмотр DDL - DDL.


Создание и редактирование измерения

На вкладке Dimension задайте основные настройки создаваемого или редактируемого измерения.

Dimension Editor - Editing Dimension definition

В поле Name задайте имя объекта.

Из раскрывающегося списка Schema выберите схему данных, в которой он должен быть сохранен.

В разделе Levels задаются уровни, определяющие иерархию и атрибуты измерения.

Параметры в эту таблицу можно добавлять с помощью кнопки btnAddItem .

При добавлении параметры открывается окно Add Operator Binding, в котором указываются все настройки параметра связи.

Удалить параметр из таблицы можно нажав на кнопку btnRemoveItem , или выбрав пункт контекстного меню таблицы Delete binding.

Редактировать параметр нельзя.

В разделе Hierarchies задайте настройки иерархии.

Иерархии измерения отображаются в таблице.

В столбцах этой таблицы отображаются дополнительные сведения об иерархиях:

  • Hierarchy Name - имя иерархии,
  • Child Level - уровень потомка,
  • Parent Level - уровень родителя,
  • Joins - связи.

Параметры в эту таблицу можно добавлять с помощью кнопки btnAddItem .

При добавлении иерархии открывается окно Add Dimension Hierarchy, в котором указываются все её настройки.

Удалить иерархию из таблицы можно нажав на кнопку btnRemoveItem , или выбрав пункт контекстного меню таблицы Delete binding.


Добавление уровня измерения

В поле Level name задайте имя уровня.

Dimension Editor - Adding dimension level

В разделе Level column(s) Вы можете задать столбцы таблиц, составляющие уровень. Можно задавать до 32 столбцов.

Схему и таблицу, из которых будут выбраны столбцы для создания уровня, выберите из раскрывающихся списков Table schema и Table name соответственно.

В группе Attribute column(s) укажите столбцы, уникально определенные уровнем иерархии. Все столбцы уровня должны быть из той же самой таблицы, что и зависимые столбцы.

С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенесите столбцы из списка доступных - Available в список выбранных - Selected и обратно.


Добавление иерархии измерений

Укажите имя иерархии в поле Hierarchy name.

Уровни иерархии задайте в разделе Hierarchy levels.

Dimension Editor - Adding dimension hierarchy

Имя уровня, который находится с данным родительским уровнем в отношении "n к одному" задается следующим образом.

  • Выберите уровень потомка из списка Level as Child.
  • Выберите соответствующий ему родительский уровень в списке Level as Parent.
  • Нажмите кнопку Add, чтобы установить связь между выбранными объектами.
  • Пара уровней заносится в список Links Between Child and Parent Levels.

Так Вы можете задать несколько уровней.

Чтобы удалить отношение, нажмите кнопку Remove.

Join keys

В этом разделе вы можете задать связь inner join для измерения, столбцы которого содержатся в нескольких таблицах.

Из раскрывающихся списков Table schema и Table name выберите схему и таблицу, чтобы выбрать из них столбцы для установления связи.

Родительский уровень, для которого необходимо задать параметры связи, выберите из списка Level to reference.

С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенесите столбцы из списка доступных - Available Columns в список выбранных - Selected Columns и обратно.

Указанное соответствие внесите в список Join Key Column(s), нажав на кнопку Add. Чтобы удалить соответствие из этого списка, нажмите кнопку Remove.


Очереди

Очередь (Queue) - это промежуточное программное обеспечение для обмена сообщениями и позволяющее клиентскому сеансу добавлять сообщения в таблицу очереди базы данных. Это сообщение в дальнейшем (обычно сразу после фиксации транзакции) выбирается из очереди другим сеансом, проверяющим содержимое сообщения. Сообщение содержит информацию для обработки другим сеансом. Оно может использоваться для эмуляции мгновенного выполнения за счет вынесения продолжительного процесса за пределы интерактивного клиента.

Редактор очередей позволяет создавать и редактировать объекты этого типа. Он запускается, когда Вы создаете новую очередь, или открываете для редактирования уже существующую.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование очереди - Queue
  • Подписчики - Subscribers
  • Расписания - Schedules
  • Просмотр описания - Description
  • Просмотр DDL - DDL


Создание и редактирование очереди

На вкладке Queue Редактора очередей можно задать основные параметры создаваемой или редактируемой очереди.

Name

Имя создаваемой очереди

Schema

Из раскрывающегося списка Schema выберите схему данных, которой очередь должна принадлежать.

Queue Editor - Editing Queue definition

Queue table name

Имя таблицы очереди, которая содержит очередь.

Queue type

Из этого раскрывающегося списка выберите тип очереди: normal queue, exception queue or non-persistent queue.

Max retries

Ограничение на количество попыток извлечений сообщений из очереди в режиме REMOVE.

Retry delay

Задержка, в секундах, перед тем, как сообщение будет запланировано для исполнения ещё раз после отката приложения.

Retention time

Число секунд, для которых сообщения сохраняются в таблице очереди после того, как они извлечены из очереди.

CheckBox Enqueue enabled

Установите этот флажок, чтобы позволить поставить в очередь операции с этой очередью.

CheckBox Dequeue enabled

Установите этот флажок, чтобы позволить извлекать операции с этой очередью.


Подписчики

На этой вкладке можно задать подписчиков очереди.

Queue Editor - Subscribers

На вкладке отображается таблица, содержащая перечень лиц, которые будут получать сообщения очереди.

Чтобы создать подписчика в контекстном меню таблицы необходимо выбрать пункт iconPlus Add subscriber

В открывшемся окне задать данные подписчика.

Queue Editor - Subscribers - Add subscriber

Name

Имя подписчика.

Address

Адрес получателя, заданный в соответствии с протоколом, указанном в поле Protocol:

0 - [schema.]queue[@dblink]

Например: очередь называется emp_messages схема, которой очередь принадлежит - HR. Адрес: hr.emp_messages@dbs1.net

Protocol

Протокол предназначен для интерпретации адреса и распространения сообщений. Протоколы 1-127 зарезервированы для внутреннего использования. Если номер протокола находится в диапазоне 128 - 255, то адрес получателя не интерпретируется Oracle Streams AQ.

Transformation name

Указывает, преобразования, которые будут применяться, когда этот абонент исключает из очереди сообщение. Тип источника преобразования должен соответствовать типу очереди. Если подписчик является удаленным, то преобразование применяется до передачи удаленной очереди.

Rule

Условное выражение на основе свойств сообщения, свойств данных сообщения и PL/SQL инструкций

Правило задается как выражение Boolean, с использованием синтаксиса, сходного с оператором WHERE

SQL запроса.

Можно изменить параметры подписчика или удалить его, используя пункты контекстного меню таблицы iconCommit Edit и iconMinus Delete.


Расписания

На этой вкладке отображается подробная информация о событиях очереди.

Queue Editor - Schedules


Таблицы очередей

Таблица очереди (Queue table) - таблица базы данных, в которой хранятся очереди. Каждая таблица очереди по умолчанию содержит очередь исключений.

Редактор таблицы очереди позволяет создавать и редактировать объекты этого типа. Он запускается, когда Вы создаете новую таблицу очереди, или открываете для редактирования уже существующую.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

Создание и редактирование таблицы очереди - Queue table

Свойства таблицы - Physical Attributes

Статистика - Statistics

Просмотр описания - Description

Просмотр DDL - DDL


Создание и редактирование таблицы очереди

SQL Manager for Oracle
  • В начало
  • « Назад
  • Вперед »

Создание и редактирование таблицы очередей

На вкладке Queue Table задаются основные параметры таблицы очереди.

Name

Имя создаваемой таблицы очереди.

Schema

Схема, в которой будет создана таблица очереди.

Queue Table Editor - Editing Queue Table definition

Payload type

В этом разделе укажите типа пользовательских данных, которые будут храниться.

RadioButton Raw

Для хранения будет использован тип RAW.

RadioButton Object type

Будет использоваться объектный тип. Из раскрывающихся списков Schema и Name нужно выбрать имя схемы и Объектного типа.

Compatible

Минимальная версия базы данных, с которой может быть совместима очередь.

Primary instance

Основной владелец таблицы очередей. Отслеживание очередей данной таблицы осуществляется только в рамках текущего экземпляра.

Secondary instance

Если основной экземпляр недоступен, его роль выполняет резервный экземпляр. Значение '0' предполагает замещение основного владельца любым доступным.

Sort list

Определяет порядок столбцов для сортировки в убывающем порядке. Поле имеет следующий формат: 'sort_column_1,sort_column_2'.

CheckBox Multiple consumers

Включите опцию, если для каждого сообщения очереди в данной таблице может быть несколько абонентов.

CheckBox Message grouping

Если опция выключена, то каждое сообщение очереди обрабатывается отдельно. При включенной опции сообщения помещенные в очередь в рамках одной транзакции считаются единой группой и могут быть исключены из очереди как группа связанных сообщений.

CheckBox Secure

Для хранения защищенных очередей опция должна быть включена. Опция доступна начиная с версии сервера 8.1.


Свойства таблицы

На вкладке Physical attributes можно задать параметры создаваемой таблицы очереди.

Подробно параметры таблицы описаны на странице Свойства таблиц.

Queue Table Editor - Defining physical attributes


Статистика

На этой вкладке отображается статистика сообщений очередей, принадлежащих данной таблице.

Queue Table Editor - Statistics


Прочие объекты

В этом разделе содержится информация об объектах базы данных, отображаемых в проводнике баз данных, но не относящихся к схемам:

Контексты

Профили

Группы потребителей

Планы ресурсов

Директории

Табличные пространства

Сегменты отката

Группы журнальных файлов

Планировщик расписаний

Программы планировщика

Последовательности планировщика

Классы заданий планировщика

Задания планировщика

Группы окон планировщика

Окна планировщика

Смотрите также:

Новый объект

Мастер копирования объектов

Объекты схем


Контексты

Редактор контекстов позволяет создавать и редактировать объекты этого типа. Он запускается при создании нового контекста или открытии для редактирования уже существующего.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование контекстов - Context,
  • Просмотр DDL - DDL.


Создание и редактирование контекстов

Используйте вкладку Context для задания основных свойств пространства имен для контекста.

Context Editor - Editing Context definition

Name

Имя создаваемого пространства имен.

Package schema

Из раскрывающегося списка выберите схему, в которой содержится пакет, определяющий атрибуты контекста.

Package name

Имя пакета PL/SQL, который определяет атрибуты контекста.

Context type

RadioButton Accessed locally

Указывает, что контекст, определенный в пространстве имен, доступен локально.

RadioButton Accessed globally

Указывает, что контекст, определенный в пространстве имен, доступен в рамках всего экземпляра. Эта настройка позволяет нескольким сеансам совместно использовать атрибуты приложения.

RadioButton Initialized externally

Пространство имен может быть инициализировано при помощи интерфейса OCI при установке соединения с базой данных.

RadioButton Initialized globally

Пространство имен может быть инициализировано при помощи каталога LDAP при подключении к базе данных глобального пользователя.


Профили

Редактор профилей позволяет создавать и редактировать объекты профили, налагающие ограничения на ресурсы базы данных. Он запускается при создании нового профиля или открытии для редактирования уже существующего.

Важно: Чтобы применить ограничения, сопоставленные профилю, к конкретному пользователю, необходимо назначить ему профиль. Делается это в редакторе пользователей на вкладке User.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование профилей - Profile,
  • Просмотр DDL - DDL.


Создание и редактирование профилей

Используйте вкладку Profile для задания основных свойств профиля.

Profile Editor - Editing Profile definition

Name

В этом поле задайте имя профиля.

Resource parameters

Если для параметра указано значение UNLIMITED, то на данный ресурс не будет наложено ограничений.

Если указано DEFAULT, то для данного ресурса будет действовать ограничение, указанное в профиле DEFAULT.

Sessions per user

Количество параллельных сеансов пользователя.

CPU per session

Количество процессорного времени, которое может быть израсходовано сеансом (в сотых долях секунды).

CPU per call

Количество процессорного времени для вызова синтаксического анализа, исполнения или выборки (в сотых долях секунды).

Connect time

Общее время продолжительности сеанса (в минутах).

Idle time

Период пассивного ожидания (в минутах).

Logical reads per session

Количество блоков БД, считываемых в рамках сеанса, включая читаемые с диска и из оперативной памяти.

Logical reads per call

Количество блоков БД, считываемых вызовом (синтаксическим анализом, исполнением или выборкой).

Composite limit

Ограничение общей стоимости ресурсов для сеанса в сервисных единицах стоимости ресурсов.

Private SGA

Объем памяти, который сеанс может выделить в разделяемом пуле SGA (в байтах).

Password parameters

Настройки пароля.

Failed login attempts

Определяет количество неудачных попыток входа в систему.

Password lifetime

Срок действия пароля - количество дней, по истечении которого пароль теряет силу и должен быть изменен.

Password reuse time

Количество дней, через которое возможно повторное применение пароля, использовавшегося ранее. Если Вы задали значение в этом поле, то в поле Password reuse max должно стоять значение UNLIMITED.

Password reuse max

Количество изменений пароля, необходимых для того, чтобы можно было повторно использовать текущий пароль. Если Вы задали значение в этом поле, то в поле Password reuse time должно стоять значение UNLIMITED.

Password lock

Количество дней, в течение которых учетная запись будет оставаться заблокированной после превышения лимита, указанного в поле Failed login attempts.

Password grace time

Количество дней после истечения срока действия пароля, в течение которых вход в систему с выдачей соответствующего предупреждения будет разрешен.

Password verify function

Укажите имя функции, PL/SQL, применяемой для проверки паролей. Установка этого параметра в NULL означает, что проверка производиться не будет.


Группы потребителей

Группы потребителей (Consumer groups) позволяют собирать в группу пользовательские сессии в соответствии с требованиями ресурса. Группы потребителей ресурсов отличаются от ролей; один пользователь базы данных может назначать различные сессии для различных групп потребителей ресурсов.

Редактор групп потребителей позволяет создавать и редактировать объекты этого типа. Он запускается, когда Вы создаете новую группу, или открываете для редактирования уже существующую.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование групп потребителей - Context,
  • Описание объекта - Description,
  • Просмотр DDL - DDL.


Создание и редактирование групп потребителей

На вкладке Consumer Group задаются основные настройки группы потребителей.

Consumer Group Editor - Editing Consumer Group definition

Name

В этом поле указывается имя группы потребителей.

CPU method

Данный элемент управления недоступен, так как этот параметр не поддерживается сервером.

В этом поле отображается распределение ресурсов процессора для группы потребителей в течение сессии.

CheckBox Mandatory этот флажок указывает принудительно ли редактируется данная группа или нет.

В разделах Users и Roles Вы можете сформировать группу потребителей из ролей и пользователей.

С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенесите роли/группы из списка доступных - Available Users / Available Roles в список выбранных - Selected Users / Selected Roles и обратно.

CheckBox Admin opt

Если флажок установлен, то пользователь, которому предоставлены эти права может предоставлять их другим пользователям.

CheckBox Init group

Начальная группа потребителей пользователя - группа потребителей, которой первоначально назначается любая сессия, созданная этим пользователем. Если флажок установлен для пользователя, то группа потребителей установлена как начальный ресурс.


Планы ресурсов

План ресурсов (Resource plan) - используется для создания плана ресурсов самого высокого уровня, который может использоваться для экземпляра. С помощью этого инструмента Вы можете управлять планами, группами потребителей и директивами плана, которые используются диспетчером ресурсов Базы данных (Database Resource Manager)

Редактор планов ресурсов позволяет создавать и редактировать объекты данного типа. Он запускается, когда Вы создаете новый план ресурсов, или открываете для редактирования уже существующий.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование плана ресурсов - Resource Plan,
  • Предписания - Directives Options,
  • Комментарии к предписаниям - Directive Comments,
  • Просмотр DDL - DDL.


Создание и редактирование плана ресурсов

На вкладке Resource Plan задаются основные настройки плана ресурсов.

Resource Plan Editor - Editing Resource Plan definition

Name

В этом поле задается имя создаваемого плана ресурсов.

CPU method

В этом поле отображается информация о распределении ресурсов.

  • EMPHASIS - метод по умолчанию для многоуровневых планов. Распределение ресурсов центрального процессора среди групп потребителей отображается в процентах.
  • RATIO - для планов единственного уровня, которые используют отношения, чтобы определить распределение ресурсов.

Active session pool

В этом поле отображается метод распределения ресурса, ограничивающего число активных сессий. Все другие сессии являются бездействующими и ждут в очереди, чтобы быть активизированными.

Parallel degree

В этом поле отображается метод распределения ресурсов для задания степени параллелизма операторов.

Queueing

В этом поле отображается метод распределения ресурсов, отвечающий за порядком выполнения неактивных сессий.

CheckBox Active

Установите этот флажок, чтобы активировать план ресурсов сразу после компиляции.

CheckBox Mandatory

Определяет, является ли данный файл ресурсов обязательным.

Available groups and subplans

В этом разделе Вы можете выбрать одну из существующих групп пользователей и план ресурсов как подплан редактируемого.

С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенесите планы или группы из списка доступных - Available в список выбранных - Selected и обратно.


Предписания

На этой вкладке Вы можете задать некоторые параметры для групп потребителей или подпланов, заданных на вкладке Resource Plan.

Resource Plan Editor - Directive options

Name

Имя группы потребителей или подплана.

Level 1 - Level 8

Укажите процентное соотношение ресурсов CPU между соответствующими уровнями.

Degree Of Parallelism

Задайте предел степени параллелизма для любой операции

Active Session Pool

Укажите максимальное число одновременно активных сессий для группы потребителей.

Timeout

Определите время (в секундах) после которого работа в неактивной очереди сессии (ждущей выполнения) будет приостановлена.

Max Undo Pool

Установите максимум в килобайтах (K) для общего количества, откатов произведенных группой потребителей.

Max Execution Time

Задайте максимальное время выполнения сессии (в секундах).

Switch Group

Задайте группу потребителей, на которую эта сессия будет переключена, если другие критерии переключения будут присутствовать.

Switch Time

Задайте время, которое сессия может выполняться до того, как действие будет выполнено (в секундах).

Switch Estimate

Если установлен этот флажок, то сервер предварительно оценивает время выполнения для автоматического переключения группы потребителей.


Комментарии к предписаниям

На этой вкладке Вы можете задавать текстовое описание для каждого предписания, созданного на вкладке Directives Options.

Resource Plan Editor - Directive Comments


Директории

Директория (Directory) - объект каталога, указывающий на каталог операционной системы для хранения объектов BFILE.

Редактор директорий позволяет создавать и редактировать объекты этого типа. Он запускается, когда Вы создаете новую директорию, или открываете для редактирования уже существующую.

При создании директории сервер Oracle не проверяет, действительно ли каталог существует в операционной системе.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Directory Editor - Editing Directory definition

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование контекстов - Context,
  • Просмотр DDL - DDL,
  • Назначение прав - Permissions.


Создание и редактирование директорий

На вкладке Object укажите параметры создаваемой или редактируемой директории.

Directory Editor - Editing Directory definition

Name

Укажите имя директории.

Directory path

Задайте полное имя каталога операционной системы с учетом регистра.


Табличные пространства

Редактор табличных пространств (Tablespace Editor) позволяет создавать и редактировать объекты этого типа. Он запускается, когда Вы создаете новое табличное пространство, или открываете для редактирования уже существующий.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование табличного пространства - Tablespaces,
  • Управление файлами - Files,
  • Управление объектами - Objects,
  • Зависимости объектов - Dependencies,
  • Просмотр DDL - DDL.


Создание и редактирование табличного пространства

На вкладке Tablespace задайте основные параметры табличного пространства.

Tablespace Editor - Editing Tablespace definition

Name

Имя табличного пространства укажите в этом поле.

Tablespace type

В этом разделе выберите тип табличного пространства:

RadioButton Permanent - указывает, что табличное пространство может содержать постоянные объекты.

RadioButton Temporary - табличное пространство этого типа будет содержать только временные объекты.

RadioButton Undo - будет создано табличное пространство типа UNDO.

Options

CheckBox Logging

Установите этот флажок, чтобы задать параметры журналирования для таблиц, индексов, материализованных представлений, журналов и секционирования табличного пространства.

CheckBox Force logging

Используйте эту опцию для включения режима FORCE LOGGING для табличного пространства.

CheckBox Big file

Установите этот флажок, если хотите указать, что табличное пространство должно содержать один файл данных или временный файл, в котором может храниться приблизительно 4 миллиарда записей (232 блока). Максимальный размер файла данных или временного файла - 128 терабайт.

CheckBox Online

После создания переводит табличное пространство в оперативный режим.

CheckBox Compress

Если установлен этот флажок, то данных всех таблиц, созданных в этом табличном пространстве, будут сжиматься. Недоступно для временных табличных пространств.

CheckBox Flashback on

Эта опция отображает доступно ли создание контрольных точек. Недоступно для изменения.

Default storage

В этом разделе задаются физические параметры хранения.

Block size

В этом поле задается размер файла в байтах.

В разделе Extent management укажите каким образом будут управляться экстенты табличного пространства.

RadioButton Dictionary

Указывает, что пространство будет управляться с помощью таблиц словаря данных.

RadioButton Locally

Пространство управляется локально с помощью битового отображения в табличном пространстве.

Важно: Настоятельно рекомендуется создавать только локально управляемые табличные пространства.

Allocation

RadioButton Auto

Табличное пространство управляется системой и пользователи не могут указать размер экстента.

RadioButton Uniform

Табличное пространство выделяется экстентами одинакового размера, заданного в поле Block Size.

RadioButton Default

Используются параметры по умолчанию.

CheckBox Auto segment

Если флажок установлен, то сервер Oracle отслеживает используемое и свободное пространство в сегментах табличного пространства при помощи списков свободных блоков или битовых отражений.

Важно: Применяется только к локально управляемому табличному пространству.


Управление файлами

На вкладке Files Вы можете управлять списком файлов данных или списком временных файлов (для временного табличного пространства).

Tablespace Editor - Files

На этой вкладке файлы отображаются в виде таблицы.

Дополнительная информация по каждому файлу отображается в следующих столбцах:

  • Name - имя и путь к файлу,
  • Size - размер файла,
  • Reuse - определяет, используется ли файл повторно,
  • Autoextend - определяет, автоматически ли определяется экстент,
  • Next - размер (в байтах) следующего приращения дискового пространства,
  • Max unlimited - максимальное дисковое пространство,
  • Max size - максимальный размер файла.

Для большего удобства, Вы можете менять порядок столбцов, перетаскивая мышью их заголовки.

Сортировка по столбцам осуществляется в соответствии с правилами интерфейса.

Управлять списком можно с помощью элементов управления, расположенных в контекстном меню (открывающемся при нажатии на файл правой кнопкой мыши) и на дополнительной панели управления.

Элементы управления в контекстном меню и на панели управления идентичны.

Add File - добавить файл,

Edit File - редактировать файл,

Delete File - удалить файл.

Основные параметры файла задаются в окне, которое появляется при его создании или редактировании.

Tablespace Editor - Files - New File

File Name

Имя файла.

Path

Путь к файлу.

Size

Размер файла в байтах. При нажатии на раскрывающийся список открывается специальный калькулятор для удобства ввода значений.

CheckBox Reuse

Установите этот флажок, если хотите повторно использовать файл.

CheckBox Auto extend

Если установлен этот флажок, то возможность автоматического использования экстентов включена.

Next size

Определите размер (в байтах) следующего приращения дискового пространства, которое будет выделено автоматически при необходимости.

Maximum size

Определите максимальное дисковое пространство (в байтах) для автоматического расширения файла данных.

CheckBox Unlimited maximum size

Установите этот флажок, если дисковое пространство для автоматического расширения неограничено.


Управление объектами

На вкладке Objects Вы можете управлять списком объектов базы данных, размещенных в редактируемом табличном пространстве.

Tablespace Editor - Objects

Объекты отображаются в виде таблицы.

Если Вы хотите изменить порядок столбцов, то достаточно перетащить заголовок столбца в требуемое место.

Сортировка по столбцам осуществляется в соответствии с правилами интерфейса.

По каждому объекту в столбцах таблицы предоставлена следующая информация:

Owner - владелец объекта,

Name - имя объекта,

Object type - тип объекта,

Size(Mb) - размер объекта в мегабайтах,

Created - дата создания объекта,

Last DDL - дата последнего изменения метаданных объекта.

Управлять файлами списка можно с помощью контекстного меню, которое открывается при нажатии на строку объекта правой кнопкой мыши.

С помощью контекстного меню Вы можете:

Edit - открыть объект в соответствующем редакторе.

Drop - удалить объект из списка.


Сегменты отката

Сегмент отката - объект, используемый сервером Oracle для хранения данных, необходимых для отката выполненных транзакциями изменений.

Редактор сегментов отката позволяет создавать и редактировать объекты этого типа. Он запускается, когда Вы создаете новый сегмент отката, или открываете для редактирования уже существующий.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование сегментов отката - Rollback Segment,
  • Просмотр DDL - DDL.


Создание и редактирование сегментов отката

На вкладке Rollback Segment задаются основные параметры создаваемого или редактируемого сегмента отката.

Rollback Segment Editor - Editing Rollback Segment definition

Name

Имя сегмента отката

Tablespace

Из раскрывающегося списка выберите имя табличного пространства, в котором будет храниться сегмент отката

CheckBox Public

Если флажок установлен, то данный сегмент отката доступен всем экземплярам. Если не установлен, то объект доступен только тому экземпляру, который укажет его имя в параметре ROLLBACK_SEGMENTS файла инициализации.

CheckBox Online

Если флажок установлен, то данный сегмент отката должен быть переведен в оперативный режим. Если флажок не установлен, то режим сегмента - автономный.

В разделе Storage задайте следующие параметры хранения сегмента отката:

  • Initial size,
  • Next size,
  • Optimal size,
  • Minimal number.

Более подробно о параметрах хранения читайте в разделе Storage attributes.


Группы журнальных файлов

Редактор групп журнальных файлов позволяет создавать и редактировать объекты этого типа. Он запускается, когда Вы создаете новую группу, или открываете для редактирования уже существующую.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование групп журнальных файлов - Redo Log Group,
  • Просмотр DDL - DDL.


Создание и редактирование групп журнальных файлов

Задайте основные параметры группы журнальных файлов на вкладке Redo Log Group.

Redo Log Group Editor - Editing Redo Log Group definition

Name

В этом поле укажите имя объекта. Имя может генерироваться автоматически при создании объекта.

Status

В этом поле отображается статус группы:

Current - текущая группа,

Active - активная,

Inactive - неактивная.

Sequence

В этом поле отображается номер последовательности данной группы.

File size

Задайте в этом поле размер файла группы журнальных файлов. Вы можете задать размер по умолчанию, выбрав из раскрывающегося списка пункт DEFAULT.

CheckBox Reuse existing files

Установите этот флажок, чтобы позволить использование уже существующего файла.

Members

В списке Members отображаются файлы, составляющие группу журнальных файлов.

В поле File Name отображается имя файла, в поле Directory - полный путь к нему.

Добавить или удалить файл Вы можете с помощью кнопок btnAddItem btnRemoveItem , или с помощью пунктов контекстного меню Add member и Delete member соответственно. Контекстное меню открывается при нажатии на список файлов правой кнопкой мыши.


Планировщик расписаний

Используйте планировщик расписаний для указания периода и частоты выполнения расписания.

Редактор планировщика расписаний позволяет Вам указывать необходимые параметры графика выполнения расписаний.

Редактор автоматически открывается при создании или изменении объекта.

Чтобы открыть объект в Scheduler Schedule Editor нажмите на нем два раза мышкой в Проводнике баз данных

  • Панели инструментов
  • Создание и редактирование планировщика расписаний
  • Описание объекта
  • Просмотр DDL


Создание и редактирование планировщика расписаний

На этой вкладке задайте необходимые параметры Планировщика расписаний.

Scheduler Schedule Editor - Editing scheduler schedule definition

Name

Имя объекта

Owner

Владелец объекта.

Start date

Дата начала выполнения расписания.

End date

Дата окончания выполнения расписания.

Важно: Для даты используйте следующий формат - 'yyyy/mm/dd hh24:mi:ss.ff tzr'.

Repeat interval

В этом поле укажите интервал, через который должно повторяться выполнение расписания (Каждый день, каждый час и т.д.). Формат укажите в соответствии с Oracle Calendaring Syntax.

Чтобы компилировать объект, воспользуйтесь пунктом iconCompile Compile на Панели инструментов.


Программы планировщика

В программе планировщика указываются действия, которые должны быть выполнены.

Scheduler program indicates the action expected to be performed.

Scheduler Program Editor позволяет Вам задавать настройки программы планировщика.

Редактор программ планировщика автоматически открывается при создании или изменении объекта.

Чтобы открыть объект в Scheduler Program Editor нажмите на нем два раза мышкой в Проводнике баз данных.

  • Панели инструментов
  • Создание и редактирование программы планировщика
  • Описание объекта
  • Просмотр DDL


Создание и редактирование программы планировщика

На этой вкладке задайте необходимые параметры программы планировщика.

Scheduler Program Editor - Editing scheduler program definition

Name

Имя объекта

Owner

Владелец объекта.

Program type

Из этого раскрывающегося списка выберите необходимый тип программы:

  • PLSQL block - PL/SQL block. При этом типе не поддерживаются аргументы программы или задания.
  • Stored procedure - программа является хранимой процедурой PL/SQL или Java, или внешней подпрограммой на языке C. Поддерживаются только процедуры. Функции, возвращающие значения, не поддерживаются. Процедуры PL/SQL с аргументами INOUT или OUT не поддерживаются.
  • Executable - указывает, что эта программа является внешней для базы данных. Под внешней программой подразумевается любая программа, которая может быть выполнена в командной строке операционной системы.

Последующий пола доступны только в том случае, если выбран тип программы Stored Procedure.

Stored Procedure Type

Тип хранимой процедуры.

Program schema

Из этого раскрывающегося списка выберите схему, в которой содержится нужная программа или процедура.

Program name

Необходимую программу или пакет выберите из этого раскрывающегося списка.

Program subname

Это поле доступно, если в качестве хранимой процедуры был выбран Пакет. Вы можете выбрать нужную процедуру пакета в этом раскрывающемся списке.

В поле Body укажите текст программы.

CheckBox Enabled

Установив этот флажок, Вы указываете на то, что создаваемая программа будет сразу включена.

Если в качестве программы была указана хранимая процедура, содержащая параметры, то Вы можете указать значения этих параметров на вкладке Arguments.

Scheduler Program Editor - Editing scheduler program definition - Arguments

Вы можете изменять тип данных аргументов и их значения в полях Data type и Default value соответственно.

Чтобы компилировать объект, воспользуйтесь пунктом iconCompile Compile на Панели инструментов.


Последовательности планировщика

Последовательности планировщика могут быть использованы для совмещения заданий, выполнение которых запланировано.

Scheduler Chain Editor позволяет вам задавать настройки последовательностей планировщика.

Редактор последовательностей планировщика автоматически открывается при создании или изменении объекта.

Чтобы открыть объект в Scheduler Chain Editor нажмите на нем два раза мышкой в Проводнике баз данных.

  • Панели инструментов
  • Создание и редактирование последовательностей планировщика
  • Описание объекта
  • Просмотр DDL


Создание и редактирование последовательностей планировщика

На этой вкладке задайте необходимые параметры последовательности планировщика.

Scheduler Chain Editor - Editing scheduler chain definition

Name

Имя объекта

Owner

Владелец объекта.

Ruleset owner

В зависимости от выбранного "владельца", будет указан соответствующий набор правил. Из этого раскрывающегося списка выберите "владельца".

Ruleset

Набор правил, соответствующий указанному "владельцу" будет доступен в этом выпадающем списке.

Evaluation interval

Если значение не задано, то правила оценки будет осуществляться периодически в указанном интервале.

Если оставить это поле пустым, правила оценки будут включены, когда задание начинает и заканчивает выполняться.

CheckBox Enabled

Установив этот флажок, Вы указываете на то, что создаваемая последовательность будет сразу включена.

В списке Rules указаны действующие правила.

С помощью кнопок btnAddItem btnRemoveItem Вы можете создать или удалить правило.

Scheduler Chain Editor - Schedule Chain Rule

При создании открывается редактор правил. В нем Вы можете указать необходимые параметры.

Rule name

Имя правила

Condition

В этом поле укажите условие, которое будет являться предпосылкой для выполнения правила. Условия задаются с помощью SQL или специального синтаксиса условий последовательности планировщика.

Action

Действие, которое будет произведено, при выполнении условия.

Comment

В этом поле укажите описание правила.

В разделе Steps укажите шаги последовательности планировщика.

Scheduler Chain Editor - Schedule Chain Step

Step name

Имя шага.

Schedule

В этом поле укажите, расписание в соответствии с которым этот шаг будет выполняться.

Важно: Если расписание указано для шага, то все остальные поля недоступны дня редактирования.

Program owner

Выберите владельца программы из этого раскрывающегося списка.

Важно: Если владелец программы для шага указан, то все остальные поля, кроме Program name недоступны для изменения.

Program name

Имя программы, которая будет выполнена во время этого шага.

Subchain

Имя последовательности планировщика, которая будет выполнена на этом шаге.

Важно: Если последовательность определяется для шага, то все остальные поля становятся недоступными для редактирования.

Event queue owner

Владелец очереди событий.

Event queue name

Имя очереди событий.

Event queue agent

Если очередь защищенная, то должно быть предоставлено имя агента. (Агент должен принадлежать действующему агенту, который в настоящее время задан для очереди.)

Event condition

Это выражение используется как правило для события очереди. Синтаксис выражения должен соответствовать правилам Advanced Queuing.

CheckBox Skip

Включите эту опцию, чтобы пропустить шаг, при выполнении его условия. В этом случае шаг будет считаться успешно выполненным.

CheckBox Pause

Статус шага после запуска будет изменен на PAUSED.

CheckBox Restart on recovery

Если флажок установлен, то при восстановлении базы данных этот шаг будет включен.

Чтобы компилировать объект, воспользуйтесь пунктом iconCompile Compile на Панели инструментов.


Классы заданий планировщика

Scheduler Job Class Editor позволяет вам задавать настройки классов заданий планировщика. Редактор автоматически открывается при создании или изменении объекта.

Чтобы открыть объект в Scheduler Job Class Editor нажмите на нем два раза мышкой в Проводнике баз данных.

  • Панели инструментов
  • Создание и редактирование класса задания планировщика
  • Описание объекта
  • Просмотр DDL


Создание и редактирование класса задания планировщика

На этой вкладке задайте необходимые параметры класса задания планировщика.

Scheduler Job Class Editor - Editing scheduler job class definition

Name

Имя объекта

Consumer group

Укажите группу потребителя ресурсов, с которой ассоциирован этот класс.

Service

Укажите службу базы данных, с которой задания данного класса будут иметь родственность.

Logging level

В этом разделе укажите количество информации, сохраняемой в журнале.

  • Off - В журнал не сохраняется информация об этом классе задания.
  • Runs - В журнал задания будет заноситься детальная информация обо всех запусках каждого задания этого класса.
  • Full - в дополнение к записи каждого запуска задания, будут заноситься в журнал ещё и все операторы, выполненные во всех заданиях класса. Каждое изменение метаданных, такое как создание, активация, отключение, изменение и т.д., будет заноситься в журнал.

Log history

Укажите, сколько дней должна храниться история журналов.


Задания планировщика

Scheduler Job Editor позволяет вам задавать настройки заданий планировщика. Редактор автоматически открывается при создании или изменении объекта.

Чтобы открыть объект в Scheduler Job Editor нажмите на нем два раза мышкой в Проводнике баз данных.

  • Панели инструментов
  • Создание и редактирование задания планировщика
  • Описание объекта
  • Просмотр DDL


Создание и редактирование задания планировщика

С помощью этого редактора Вы можете создавать и изменять задания планировщика.

Scheduler Job Editor - Editing scheduler job definition

Name

В этом поле укажите имя объекта.

Owner

Владелец объекта

Schedule limit

Если задание не начало выполняться в указанное время, оно пропускается. В этом поле Вы можете указать временной промежуток, в которой пропущенное задание может быть выполнено. (От 1 минуты да 99 дней).

Logging level

В этом разделе укажите количество информации, сохраняемой в журнале.

  • Off - В журнал не сохраняется информация об этом классе задания.
  • Runs - В журнал задания будет заноситься детальная информация обо всех запусках каждого задания этого класса.
  • Full - в дополнение к записи каждого запуска задания, будут заноситься в журнал ещё и все операторы, выполненные во всех заданиях класса. Каждое изменение метаданных, такое как создание, активация, отключение, изменение и т.д., будет заноситься в журнал.

Max failures

Используйте это поле для установки максимального количества раз, когда задание может не сработать в последовательных запусках планировщика, прежде чем оно будет автоматически отключено. Если значение '0', то задание будет запускаться вне зависимости от того, сколько предыдущих запусков не сработало.

Max runs

Данное поле позволяет определить максимальное число последовательных запланированных запусков задания. После того, как количество запусков станет равным значению в поле Max runs, задание выключается, и её состояние становится COMPLETE.

Job priority

В этом поле укажите приоритет задания. Если в классе несколько заданий, которые должны выполняться в одно и то же время, то с помощью этого счетчика Вы можете установить очередность их выполнения. Значение по умолчанию - 3.

Raise events

В этом поле укажите, на какой стадии выполнения задания следует "поднимать" событие.

Schedule name

Имя планировщика или группы окон, для использования в качестве имени планировщика для этого задания.

Start date

Укажите дату начала выполнения задания или начала выполнения планировщика, содержащего это задание.

End date

Дата окончания выполнения задания. После этой даты задание больше не запускается.

Repeat interval

В этом поле укажите функцию PL/SQL, возвращающую следующую дату выполнения задания.

Queue/Queue agent

Эти поля определяют очередь, в которую будет занесено событие, по которому осуществится выполнение задания. Защищенную очередь следует определять с помощью имен очереди и агента очереди. Незащищенные очереди требуют указания только имени.

Job type

Выберите подходящий тип задания:

  • PLSQL block,
  • Chain,
  • Stored procedure,
  • Executable or Schedule job program.

Stored Procedure Type

Выберите тип хранимой процедуры, который будет использован как задание.

Object schema

Из этого списка выберите программу планировщика, хранимую процедуру или схему пакета.

Object name

Выберите необходимую последовательность, программу планировщика, хранимую процедуру или пакет из этого раскрывающегося списка.

Object subname

Это поле доступно для изменения тогда, когда в качестве типа хранимой процедуры, в поле Stored Procedure Type, был выбран Пакет. Выберите нужную процедуру пакета из этого раскрывающегося списка.

CheckBox Enabled

Если этот флажок установлен, то задание создается действующим.

CheckBox Restartable

Этот флажок указывает, может ли задание быть перезапущено в случае ошибки.

CheckBox Autodrop

Если этот флажок установлен, то задание будет автоматически удалено, после успешного завершения или после выключения.

CheckBox Stop on window close

Эта опция применяется, если планировщик, в состав которого входит это задание, является окном или группой окон. Если флажок установлен, то выполнение задания должно быть остановлено, если связанное с ним окно будет закрыто.

В разделе Body задается тело задания планировщика, которое будет выполнено при достижении даты начала выполнения задания.

Queue event condition

В этом поле задайте условное выражение. Если значение выражения равно TRUE, то задание начнет выполняться. Синтаксис выражения должен соответствовать правилам Oracle Streams Advanced Queuing.

Если в качестве типа задания в поле Job Type была указана процедура с параметрами, то на вкладке Arguments Вы можете задать значения этих параметров.

Scheduler Job Editor - Editing scheduler job definition - Arguments

Вы можете изменять тип данных аргументов и значения по умолчанию в полях Data type и Default Value соответственно.


Группы окон планировщика

В Scheduler Window Group Editor Вы можете задать необходимые настройки редактора групп окон планировщика.

Редактор автоматически открывается при создании или изменении объекта.

Чтобы открыть объект в Scheduler Window Group Editor нажмите на нем два раза мышкой в Проводнике.

  • Панели инструментов
  • Создание и редактирование группы окон планировщика
  • Описание объекта
  • Просмотр DDL


Создание и редактирование группы окон планировщика

С помощью этого редактора Вы можете создавать и изменять группы окон планировщика.

Scheduler Window Group Editor - Editing scheduler window group definition

Name

Имя объекта укажите в этом поле.

Next Start Date

Дата следующего запуска. Значение в этом поле устанавливается автоматически и не может быть изменено.

CheckBox Enabled

Установите этот флажок, чтобы включить создаваемую группу окон сразу после создания.


Окна планировщика

В Scheduler Window Editor Вы можете задать необходимые настройки редактора окон планировщика.

Редактор автоматически открывается при создании или изменении объекта.

Чтобы открыть объект в Scheduler Window Editor нажмите на нем два раза мышкой в Проводнике.

  • Панели инструментов
  • Создание и редактирование окна планировщика
  • Описание объекта
  • Просмотр DDL


Создание и редактирование окна планировщика

С помощью этого редактора Вы можете создавать и изменять окна планировщика.

Scheduler Window Editor - Editing scheduler window definition

Name

Имя объекта

Resource plan

План ресурсов, который автоматически будет активирован при открытии окна планировщика

Schedule

Расписание, которое будет соответствовать редактируемому окну.

Duration

Укажите, как долго окно будет открыто.

Window priority

Выберите приоритет окна.

Этот атрибут используется только тогда, когда два окна дублируют друг друга. Только одно окно может быть активным в момент времени. Приоритет окна будет использоваться для определения того, какие окна будут открыты.

Start date

Дата первого запуска окна.

End date

Дата окончания выполнения окна. После этой даты окно больше не запускается.

Repeat interval

В этом поле укажите функцию PL/SQL, возвращающую следующую дату выполнения окна.

CheckBox Enabled

Установите этот флажок, чтобы включить создаваемое окно сразу после создания.

На вкладке Schedule Window Logs Вы можете просматривать детализированный журнал работы окна.

Scheduler Window Editor - Editing scheduler window definition - Scheduler Window Log


Пользователи

Пользователь (User) - учетная запись, с помощью которой можно подключиться к базе данных.

Редактор пользователей (User Editor) позволяет создавать и редактировать объекты этого типа. Он запускается, когда Вы создаете нового пользователя, или открываете для редактирования уже существующего.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование пользователя
  • Параметры табличного пространства
  • Задание квот
  • Пользователь прокси сервера
  • Просмотр DDL


Создание и редактирование пользователя

На вкладке User редактора пользователей задайте основные параметры создаваемого или редактируемого пользователя.

User Editor - Editing user definition

Name

В этом поле укажите имя, с помощью которого пользователь идентифицирован в этой базе данных.

В разделе Authentication method выберите метод аутентификации пользователя в системе.

RadioButton Password authentication

Указывает, что пользователь должен ввести пароль, чтобы начать работу с базой данных. Для этого типа аутентификации необходимо указать пароль и подтверждение пароля в полях Password и Verify password.

CheckBox Если установлен флажок Expire password now (must be changed on next user login), то срок действия пароля будет закончен. При этом необходимо будет изменить пароль при следующем входе в систему.

RadioButton Operating system authentication

Аутентификация пользователя производится по его имени и паролю в операционной системе.

RadioButton Global authentication

Идентификация пользователя будет осуществляться службой каталогов предприятия (Oracle Internet Directory). В этом случае Вы должны заполнить все необходимые поля, расположенные ниже:

Common name - имя,

Country - страна,

Organization - организация,

Locality - расположение,

State - штат,

Unit - модуль.

В поле X.500 name отображаются данные, указанные в этих полях в формате X.500.

Resource profile

Из раскрывающегося списка выберите профиль. В этом случае к пользователю будут применяться ограничения, заданные в указанном профиле.

CheckBox Lock account now

Установите этот флажок, чтобы заблокировать учетную запись пользователя.


Параметры табличного пространства

На вкладке Tablespace Вы можете задать параметры табличного пространства для пользователя.

User Editor - Tablespace parameters

Default tablespace

Из раскрывающегося списка выберите табличное пространство, устанавливаемое по умолчанию для объекта, создаваемого данным пользователем.

Temporary tablespace

Выберите имя табличного пространства, которое используется для создания временных сегментов при выполнении таких операций как сортировки, требующих большого объема памяти, чем имеется в памяти.

Quota on default / temporary tablespace

Укажите объем указанных табличных пространств в байтах. UNLIMITED означает, что предела не существует (вплоть до объема всего табличного пространства). Количество байт укажите с помощью калькулятора байтов, открывающегося при нажатии на раскрывающийся список.


Задание квот

На вкладке Quotas Вы можете просмотреть и задать размеры табличных пространств.

User Editor - Setting quotas

Выберите табличное пространство из списка, и с помощью калькулятора байтов, открывающегося при нажатии на раскрывающийся список в поле Quotas, задайте необходимый размер табличного пространства.

UNLIMITED означает, что предела не существует (вплоть до объема всего табличного пространства).


Пользователь прокси сервера

На вкладке Proxy Users Вы можете назначить пользователя для прокси сервера.

User Editor - Proxy Users

В разделе Proxy users выберите одного или нескольких пользователей для прокси сервера.

В разделе Proxy user roles выберите роли для прокси сервера.

С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенесите пользователей/роли из списка доступных - Available в список выбранных - Selected и обратно.


Роли

Роль представляет собой набор привилегий, которые могут быть выданы пользователям. Пользователю, создающему роль, она автоматически выдается с параметром WITH ADMIN OPTION.

Редактор ролей (Role Editor) позволяет создавать и редактировать объекты этого типа. Он запускается, когда Вы создаете новую роль или открываете для редактирования уже существующую.

Чтобы открыть объект в редакторе достаточно щелкнуть по нему два раза мышкой в окне проводника баз данных.

Инструменты редактора располагаются на вкладках и панелях инструментов.

Вкладки редактора:

  • Создание и редактирование роли
  • Просмотр DDL


Создание и редактирование роли

На вкладке Role Вы можете задать основные параметры создаваемой или редактируемой роли.

Role Editor - Editing role definition

Name

В этом поле укажите имя создаваемого объекта.

В разделе Authentication method выберите метод аутентификации роли.

RadioButton Password authentication

Указывает, что пользователь должен ввести пароль, чтобы начать работу с базой данных. Для этого типа аутентификации необходимо указать пароль и подтверждение пароля в полях Password и Verify password.

RadioButton Operating system authentication

Аутентификация пользователя производится по его имени и паролю в операционной системе.

RadioButton Global authentication

Идентификация роли будет осуществляться службой каталогов предприятия (Oracle Internet Directory).

RadioButton Not identified

Роль авторизована базой данных и что никакой пароль не нужен для её идентификации.

RadioButton Application

Будет создана роль приложения. Такая роль может быть активирована только приложениями с использованием пакета. В этом случае Вам необходимо задать схему в поле Schema и имя пакета в поле Package, который будет использован для авторизации.

Для компиляции объекта нажмите кнопку iconCompile Compile на одной из панелей инструментов.


Запросы

SQL Manager for Oracle предлагает два инструмента для работы с SQL запросами:

Execute Query для редактирования текста запросов,

Design Query для построения запросов визуально.

Создание запросов

в Редакторе запросов

  • откройте пункт Tools | Execute query главного меню программы,
  • или нажмите кнопку btnNewSQLEditor Execute Query на стандартной панели инструментов программы,
  • или используйте сочетание клавиш <Shift+F12>.

После выполнения одной из этих операций автоматически открывается редактор выполнения запросов.

в Дизайнере запросов

  • откройте пункт Tools | Design Query главного меню программы
  • или нажмите кнопку btnNewQueryBuilder Design Query на стандартной панели инструментов программы,

После выполнения одной из этих операций автоматически открывается дизайнер запросов.

Редактирование запросов

в Редакторе запросов

для того, чтобы открыть созданный запрос для редактирования Вам необходимо

  • выбрать пункт Tools | Execute query главного меню программы,
  • или нажать кнопку btnShowSQLEditor Execute queryна стандартной панели инструментов программы,
  • или использовать сочетание клавиш <F12>.

После выполнения одной из этих операций запрос автоматически открывается в редактор выполнения запросов.

в Дизайнере запросов

для того, чтобы открыть созданный запрос для редактирования Вам необходимо

  • выбрать пункт Tools |Design Query главного меню программы,
  • или нажать кнопку btnShowQueryBuilder Design Query на стандартной панели инструментов программы.

После выполнения одной из этих операций запрос автоматически открывается в дизайнер запросов.

Выполнение запроса

Чтобы выполнить запрос в любом из редакторов необходимо:

  • создать новый или отрыть уже существующий запрос,
  • нажать кнопку btnExecuteQuery Execute query на навигационной панели или на панели инструментов редактора, или клавишу F9,
  • просмотреть, редактировать полученные данные на вкладке Results.

Сохранение запроса

Чтобы сохранить запрос в файл необходимо:

  • создать новый или отрыть уже существующий запрос,
  • выбрать пункт Save to file на навигационной панели редактора запросов, или пункт Save diagram на навигационной панели Дизайнера запросов,
  • в появившемся окне выбрать место сохранения файла и его тип.

Если хотите сохранить несколько запросов в один файл, то нажмите Save All на навигационной панели редактора запросов. Для Дизайнера запросов такой функции нет.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Работа с данными

Средства импорта и экспорта данных

Инструменты для работы с базой данных

Службы

Инструменты работы с сервером

Настройки

Как...


Редактор получения данных

Редактор запросов - основной инструмент программы SQL Manager for Oracle для работы с запросами. Он позволяет создавать, редактировать и выполнять запросы, а также просматривать результаты, полученные в ходе выполнения запроса.

Для создания запроса в редакторе запросов необходимо выполнить одну из следующих операций:

  • выбрать пункт Tools | Execute query главного меню программы,
  • или нажать кнопку Execute query btnNewSQLEditor на стандартной панели инструментов программы,
  • или использовать сочетание клавиш <Shift+F12>.

После выполнения одной из этих операций редактор запросов открывается автоматически.

Чтобы открыть в редакторе уже существующий запрос нужно:

  • выбрать пункт Tools | Execute query главного меню программы,
  • или нажать кнопку Execute query btnShowSQLEditor на стандартной панели инструментов программы,
  • или использовать сочетание клавиш <F12>.

Сохраненные в файл запросы открываются в редакторе с помощью команды Load from file, находящейся на навигационной панели редактора и на панели инструментов.

Содержимое может быть сохранено в кодировке ANSI и UNICODE.

Использование панелей инструментов

Работа с окном редактирования

Контекстные меню

Просмотр плана запроса

Выполнение запроса и просмотр результатов выполнения

Смотрите также:

Дизайнер запросов

Параметры запросов

Редактор выполнения скриптов

Настройки редакторов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Query data - Using Navigation bar

Database

iconDB выбрать базу данных для которой будет создаваться запрос

General

iconExecute выполнить текущий запрос - Execute query,

открыть запрос в виде плана на специальной вкладке - Explain query,

открыть запрос в визуальном конструкторе запросов - Run Design query,

показывать результаты запроса на той же/на отдельной вкладке - Results on Edit tab/Results on separate tab,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconOptions настроить редактор запросов - Query data Options,

iconAddRestorePoint добавить контрольную точку восстановления - Add restore point.

Queries

Add new query - добавить новый запрос,

Rename current query - переименовать текущий запрос,

Remove current query - удалить текущий запрос,

Remove all queries - удалить все запросы,

Add to Favorite Queries - добавить запрос в Избранные запросы.

Edit

iconFindText найти текст в журнале - Find text,

iconLoadFromFile загрузить запрос из файла - Load from file,

iconSaveToFile сохранить текущий запрос в файл - Save to file,

iconSaveAll сохранить все открытые запросы одновременно - Save all.

Debug

iconDebug начать отладку - Start debug.

При переходе на другие вкладки редактора, появляются панели, со специальными функциями для каждой вкладки.

Data management (для вкладки Result)

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data.

Logs (для вкладки Logs )

iconFindText найти текст в журнале - Find text,

iconSaveToFile сохранить журнал в файл - Save logs to file,

очистить журнал - Clear logs.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с окном редактирования SQL

Просмотр плана запроса

Выполнение запроса

Журнал

Редактор избранных запросов


Работа с окном редактирования SQL

В главном окне Вы можете создавать и редактировать запросы.

SQL Editor - Working with SQL Editor area

Основные особенности:

  • отображение имен объектов в виде ссылок на эти объекты,
  • вызов и настройка списка автоматической подстановки,
  • возможность нумерации строк,
  • возможность сворачивать запросы и подзапросы,
  • возможность задавать свойства выделенных объектов,
  • настройка полей и номеров строк,
  • изменение параметров различных объектов текста запроса,
  • настройка автоматического форматирования текста запроса,
  • задание сочетаний клавиш для быстрого ввода текста и выполнения команд.

Существует возможность создания и использования макросов.

btnRecordMacro Record - начать запись макроса. Ctrl+Shift+R.

btnStopRecordMacro Stop - остановить запись макроса. Ctrl+Shift+R.

btnPlayMacro Play - выполнить макрос. Ctrl+Shift+P.

Поместить объект в запрос можно прямо из проводника баз данных, перетащив его мышкой из окна проводника или SQL Assistant в редактор. В этом случае появляется диалоговое окно, в котором нужно указать оператор для этого объекта.

DB Explorer - Insert to Editor

Смотрите также:

Панели инструментов

Контекстное меню

Настройки редакторов

Шаблоны клавиатуры

Редактор избранных запросов

Окно поиска


Контекстное меню

Для редактора текста запроса существует специальное контекстное меню, которое отрывается по нажатию правой клавиши мыши в любой точке области редактирования. Это меню позволяет быстро выполнять самые используемые команды.

Контекстное меню позволяет:

SQL Editor - Using the context menu

  • добавить в словарь - Add to Dictionary,
  • редактировать - Correct With,
  • выполнить запрос - Execute,
  • выполнить только выделенное - Execute Selected Only,
  • выполнить ту часть текста, которая находится под курсором - Execute under Cursor,
  • убрать контрольные точки - Reset Execution Point,
  • работать с маркерами - Markers,
  • установить закладку - Toggle Bookmarks,
  • перейти к строке под номером - Go To Line Number,
  • отладить - Debug,
  • отменить действие- Undo,
  • вернуть отмененное действие- Redo,
  • вырезать выделенное- Cut,
  • копировать выделенное- Copy,
  • вставить - Paste,
  • выделить все - Select All,
  • найти - Find,
  • найти и заменить - Replace,
  • возобновить поиск - Search Next,
  • поиск по инкрементной последовательности символов - Incremental Search,
  • загрузить текст запроса - Load,
  • сохранить текст запроса в файл - Save,
  • сохранить запрос как избранный запрос - Save as Favorite Query,
  • предварительный просмотр - Preview,
  • печатать - Print,
  • быстрый код - Quick Code,
  • просмотреть свойства - Properties.

Подменю пункта Quick Code:

SQL Editor - Using the context menu - Quick Code

  • Форматировать запрос SQL (при этом применяются изменения, внесенные в Форматтер SQL) - Format SQL,
  • Выбрать символ - Select Character,
  • Преобразовать выделенный текст в комментарии - Toggle Comment,
  • Привести выделенный текст к нижнему регистру - Selection Lower Case,
  • Привести выделенный текст к верхнему регистру - Selection Upper Case,
  • Изменить регистр выделенного текста - Selection Toggle Case,
  • Увеличить отступ текста - Indent,
  • Уменьшить отступ текста - Unindent.

Смотрите также:

Настройки редактора скрипта

Выполнение запроса


Просмотр плана запроса

Чтобы просмотреть план запроса, откройте запрос в редакторе и нажмите btnExplainQuery Explain query на Панели инструментов.

На вкладке Plan отображается последовательность действий, которые происходят в системе при выполнении запроса.

Полезная информация о каждом этапе выполнения предоставлена в окнах свойств, расположенных справа и внизу от основного окна.

В правой части располагается окно свойств:

  • в столбце Properties отображаются свойства,
  • в столбце Values отображаются значения.

SQL Editor - Viewing query plan

В нижней части окна располагается дерево плана запроса. В столбцах отображены дополнительные характеристики каждого элемента плана.


Использование PL/SQL отладчика

PL/SQL Code Debugger позволяет осуществлять пошаговую отладку функций, процедур, пакетов, триггеров и объектных типов.

Вкладка Edit содержит следующие разделы:

  • панель Debug на навигационной панели,
  • список параметров и переменных (Watches),
  • поле редактора кода PL/SQL,
  • поле Call stack,
  • список контрольных точек (Breakpoints).

Важно: Все разделы, отображающиеся в отладчике, Вы можете менять местами с помощью перетаскивания.

На вкладке Logs отображается журнал отладки.

SQL Editor - Using Code Debugger

Панель Debug на панели инструментов содержит следующие команды:

iconDebug выполнить процедуру - Run,

остановить выполнение процедуры - Break,

iconExecute продолжить выполнение - Continue,

отладка одного оператора без перехода к отладке вызываемых подпрограмм - Step over,

выполнить оператор и перейти к отладке вызываемой подпрограммы - Trace into,

выполнить оператор и перейти к отладке - Trace out,

перейти к - Run to exception,

установить/убрать точку останова - Toggle breakpoint,

iconClear удалить переменные из списка Watches - Clear watches.

Список Watches позволяет увидеть все переменные, объявленные в тексте, и значение каждой переменной. Чтобы просмотреть значение переменной, нужно ввести имя нужной переменной в поле Watch name.

Для каждой переменной отображаются следующие атрибуты:

Watch name - имя,

Value - значение.

Вы можете удалить выбранные переменные, нажав кнопку Del.

В редакторе кода PL/SQL отображается отлаживаемый текст. Все точки останова обозначены соответствующими символами. Активные точки выделены красным, неактивные - зеленым.

В окне Call stack отображается список стеков вызова.

Breakpoints

Список точек останова.

Для каждой точки отображается следующая информация:

Line - строка установки,

Status - статус (Активная/Неактивная),

Unit owner - владелец модуля,

Unit name - имя модуля.

Compile With Debug Info

Чтобы выполнить отладку PL/SQL объекта Вам надо его скомпилировать с отладочной информацией.

К таким объектам относятся: пакеты, тела пакетов, процедуры, функции, триггеры, объектные типы, тела объектных типов.


Выполнение запроса

Чтобы выполнить запрос, необходимо нажать btnExecuteQuery Execute на одной из панелей инструментов или в контекстном меню.

SQL Editor - Executing queries

Если текст запроса содержит ошибки, то программа укажет на это и результат не будет доступен до того, как все ошибки будут исправлены.

Если запрос возвращает данные (в тексте содержатся SELECT), то в редакторе появится новая вкладка Results, на которую и будут вынесены полученные результаты.

На этой вкладке возвращенные запросом данные отображаются в Просмотрщике данных. Просмотрщик позволяет экспортировать данные и экспортировать данные как SQL скрипт.

SQL Editor - Viewing results

сли при выполнении запроса возникли ошибки, то их описание будет вынесено в информационное окно, расположенное в нижней части редактора. Двойной щелчок на ошибке делает активной строку в которой эта ошибка была найдена.

Перед изменением данных Вы можете создать контрольную точку, чтобы иметь возможность восстановить текущее состояние данных.

Нажмите кнопку iconAddRestorePoint на одной из панелей управления, чтобы создать контрольную точку.

Параметры контрольной точки задайте в появившемся диалоговом окне.

Appendix - Add Restore Point

Date

В этом поле отображается дата и время создания контрольной точки.

SCN

System Change Number - уникальный номер системного изменения отображается в этом поле.

Name

Имя контрольной точки.

Store in

Таблица, в которую будет сохранена создаваемая контрольная точка:

RadioButton Built-in DBMS restore point table - таблица контрольных точек DBMS. Доступна только при работе с сервером Oracle 10.

RadioButton EMS Manager restore point table - таблица контрольных точек EMS Manager-а.

Смотрите также:

Просмотрщик данных

Мастер экспорта данных

Мастер экспорта в виде SQL скрипта


Журнал

Все операции, производимые с запросом, программа заносит в специальные файлы журналов - Logs, которые отображаются на вкладке Logs редактора запроса данных.

В журнал заносится следующая информация:

  • дата модификации запроса,
  • текст запроса,
  • ошибки, возникшие при исполнении (если они были),
  • если ошибок не было, то информация о результате, полученном в ходе выполнения запроса.

Дополнительная информация о выполнении отображается в виде комментариев. Это позволяет копировать текст запроса и выполнять его. При этом все дополнительные сведения не будут вызывать ошибок.

SQL Editor - Viewing query logs

Смотрите также:

Выполнение запроса

Контекстное меню


Редактор избранных запросов

SQL Manager for Oracle позволяет обеспечить быстрый доступ к запросам или некоторым частям запросов с помощью инструмента Favorite Queries

Создать избранный запрос

Чтобы создать избранный запрос необходимо:

  • в проводнике баз данных из контекстного меню группы объектов Favorite Query выбрать пункт New Favorite Query,
  • перетащить выделенный текст запроса в папку iconFavoriteQueries Favorite Query, при этом откроется редактор избранных запросов, или в контекстном меню редактора запросов выбрать пункт [image] Add to Favorite Queries.

Редактор избранных запросов

Этот редактор открывается только в том случае, если в контекстном меню избранного запроса Вы выбираете пункт Edit Favorite Query. Если откроете запрос двойным щелчком мыши, то он будет открыт в редакторе запросов.

SQL Editor - Favorites editor

С помощью редактора Вы можете создавать и редактировать избранные запросы.

В поле Name укажите имя запроса.

Из раскрывающегося списка Storage выберите место хранения.

В SQL редакторе Вы можете работать с текстом запроса так же как в редакторе запросов.

Смотрите также:

Избранные запросы

Работа с окном редактирования SQL


Дизайнер запросов

Этот инструмент позволяет создавать и редактировать запросы графически без текстового описания на языке SQL. Вы можете создавать, выполнять просматривать результаты, используя визуальные методы, предоставленные этим инструментом.

Также с помощью Дизайнера запросов Вы можете получать графическое представление запроса, написанного в текстовой форме. Для этого в окно редактирования необходимо поместить текст запроса.

Для создания запроса в конструкторе выполните одну из этих операций:

  • выберите пункт Tools | btnNewQueryBuilder Design query главного меню программы,
  • или нажмите кнопку Design query btnNewQueryBuilder на стандартной панели инструментов программы.

После выполнения одной из этих операций запрос автоматически открывается в визуальном конструкторе запросов.

Основные инструменты конструктора:

Панели инструментов

Окно диаграммы

Установка связей

Задание критериев

Выводимые поля

Критерии группировки

Условия сортировки

Окно редактирования

Выполнение запроса

Смотрите также:

Редактор запросов

Параметры запросов

Настройки конструктора запросов


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Query Builder - Using Navigation bar

Database

iconDB выбрать базу данных для которой будет создаваться запрос

General

iconExecute выполнить текущий запрос - Execute query,

открыть запрос в виде плана на специальной вкладке - Explain query,

удалить текущий запрос - Clear query,

создать представление - Create View,

создать процедуру - Create procedure,

iconOptions настроить Дизайнер запросов - Design query Options.

Visual Builder

iconLoadFromFile загрузить диаграмму - Load Diagram,

iconSaveToFile сохранить диаграмму - Save Diagram.

Data Management

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data.

iconDBExplorer На панели Object представлен список всех объектов, содержащихся в базе данных, которые можно использовать в диаграмме.

Поместить объекты из этого окна в окно диаграммы можно с помощью перетаскивания.

При переходе на другие вкладки редактора, появляются панели, со специальными функциями для каждой вкладки.

Edit (для вкладки Edit)

iconFindText найти текст - Find text,

iconLoadFromFile загрузить запрос из файла - Load from file,

iconSaveToFile сохранить текущий запрос в файл - Save to file,

iconSaveToFileAs сохранить в файл как - Save to file as,

iconSaveAll сохранить все открытые запросы одновременно - Save all.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с окном диаграммы

Выполнение запроса


Работа с окном диаграммы

Основные действия выполняются на вкладке Builder визуального конструктора запросов. Основным инструментов является Рабочая область.

Query Builder - Working with diagram area

Добавление объекта в рабочую область

Чтобы добавить таблицу в рабочую область достаточно перетащить её или из проводника баз данных, или из списка на панели Object, располагающейся на навигационной панели. Объект, отображаемый на панели Object, добавить в рабочую область также можно двойным щелчком мыши.

Выбор полей

Чтобы добавить поля таблицы или представления в создаваемый запрос необходимо установить флажок около поля или выделить поле двойным щелчком мыши. Все поля, у которых установлены флажки, попадают в запрос.

Чтобы добавить в запрос сразу все поля объекта необходимо установить флажок, находящийся перед названием объекта в строке заголовка. Если не выделено ни одного столбца, то они все автоматически попадают в запрос.

Удаление объекта из рабочей области

Чтобы удалить объект из рабочей области необходимо выполнить одну из следующих операций:

  • нажать на кнопку "закрыть" Query Builder - Working with diagram area - Close в заголовке объекта,
  • выбрать пункт Delete контекстного меню, открывающегося при нажатии правой кнопкой мыши на заголовок объекта.

Объект удалится только из рабочей области. В базе данных он останется.

Присвоение объекту псевдонима

Переименовать объект (присвоить псевдоним) можно с помощью пункта Rename контекстного меню, открывающегося при нажатии правой кнопкой мыши на заголовок объекта. Или нажав два раза мышью на название объекта.

Установка связей

Под рабочей областью располагается окно работы с полями.

С его помощью можно:

  • задавать критерии отбора данных в запросе,
  • выбирать какие поля будут выводиться в результате запроса,
  • устанавливать параметры группировки,
  • задавать условия сортировки.

Слева от рабочей области находится дерево подзапросов.

В нем отображаются вложенные запросы и составные части запроса. UNION и UNION ALL.

В нижней части окна располагается панель информации. Если запрос был выполнен успешно, то туда выносится краткий отчет о результатах выполнения; если же нет - то отчет об ошибках.

Смотрите также:

Установка связей

Работа с окном редактирования

Выполнение запроса


Установка связей

Визуальный конструктор позволяет быстро устанавливать связи между объектами, помещенными в рабочую область.

Чтобы установить связь между таблицами по двум полям необходимо поле из одной таблицы перетащить в другую (поля представлены в виде списка, в котором каждая строчка - поле).

После перетаскивания связь будет отображена в виде линии, соединяющей требуемые поля.

Query Builder - Joining two objects

Свойства связи

Свойства связи можно редактировать. Для этого необходимо открыть редактор связи, два раза щелкнув на ней мышкой или выбрать пункт контекстного меню связи Properties.

Query Builder - Link properties

В появившемся окне указываете желаемые свойства редактируемой связи.

  • условие связи выбирается из раскрывающегося списка, находящегося между именами полей. (=, >, <, >=, <=, <>).
  • с помощью установки флажков Вы указываете тип связи. Если установлен один флажок, то тип связи "один ко многим".

Контекстное меню связи позволяет:

Visual Query Builder - Link menu

  • Insert point - создавать точку на линии связи, с помощью которой эту линию можно двигать, для удобства визуального представления,
  • Delete link - удалять связь,
  • Property - редактировать свойства связи.

Смотрите также:

Работа с окном диаграммы

Задание критериев


Задание критериев

На вкладке Criteria Вы можете установить критерии отбора данных в запросе.

Query Builder - Setting criteria

Чтобы добавить условие ограничения нужно нажать кнопку EllipsisButton на форме и из появившегося контекстного меню выбрать пункт Add condition. Добавится строчка, которой будет присвоен порядковый номер. В этой строчке Вам необходимо указать условие отбора.

Чтобы задать тип составного условия нажмите на надпись All, располагающуюся рядом с EllipsisButton и выберите один из предложенных типов.

По нажатию на раскрывающиеся списки Visual Query Builder - Line1 открываются списки, состоящие из всех полей объектов, участвующих в запросе. Нужное поле можно не выбирать из списка, а перетащить из рабочей области конструктора запросов на вкладки Criteria, Selection, Grouping criteria, Sorting. Для этих полей можно задать операторы условий. Это могут быть как имена полей, так и константы или выражения.

Нажав на "=", Вы получаете возможность установить отношение между операторами.

Управлять условием можно с помощью контекстного меню, которое открывается при нажатии левой кнопкой мыши на порядковый номер.

Visual Query Builder - Condition menu

С помощью этого меню можно:

  • добавить новое условие - Add condition,
  • добавить составное условие - Make composite condition,
  • удалить условие - Delete condition,
  • развернуть условие - Expand condition (Этот пункт активен только тогда, когда в добавлены составные условия. Если условие развернуто, то этот пункт заменяется на "свернуть условие" - Collapse condition).

Если в любом месте условия нажать правой кнопкой мыши, то появится меню с одним пунктом - Insert query. Если нажмете на этот пункт, то будет создан вложенный запрос, с которым можно работать также как и с основным. Иерархия запросов отображается в дереве подзапросов, расположенном слева от рабочей области. Если создан подзапрос то условие примет вид Editor Options - Condition первый оператор условия после символа отношения задает квалификатор запроса, а во втором отображается начало вложенного запроса.

Квалификатор запроса можно выбрать из списка, открывающегося по нажатию на нем левой кнопкой мыши.

Visual Query Builder - Criteria menu

Удалить подзапрос можно с помощью пункта контекстного меню Delete query. Это контекстное меню открывается по нажатию на условии, содержащем подзапрос правой кнопкой мыши. С помощью этого меню можно:

  • удалить подзапрос - Delete query,
  • открыть подзапрос - Show query.

Смотрите также:

Выводимые поля

Критерии группировки

Параметры сортировки


Выводимые поля

На этой вкладке формируется выходная форма запроса.

Вы указываете, какие поля будут отображаться в результате запроса и как они будут отсортированы и сгруппированы. Также, Вы можете создавать вычисляемые поля. С помощью кнопок [image] [image] Вы можете изменить порядок полей.

Query Builder - Setting output fields

  • В столбце Name of output указан псевдоним поля, под которым оно будет выведено в результате запроса.
  • Столбец Aggregate содержит аггрегирующую функцию.
  • Source field name содержит настоящие имена столбцов, выводимых в результат запроса.
  • Grouping указывает сгруппирован столбец или нет.

Если флажок Select only unique records установлен, то в результате запроса отображаются только неповторяющиеся записи.

Основные действия с полями выполняются при помощи контекстного меню, которое открывается по нажатию на поле правой кнопкой мыши.

Visual Query Builder - Selection field menu

С помощью этого меню выполняются следующие операции:

  • удаление выделенного поля - Delete current row,
  • вставка вложенного запроса - Insert Query,
  • вставка условия - Insert CASE.

Для редактирования условий используйте диалоговое окно CASE END AS.

Query Builder - Setting output fields - CASE

Также поля можно отсортировать, щелкнув левой кнопкой мышки на заголовок столбца в котором содержатся поля.

Порядок полей в результате запроса будет соответствовать их последовательности в этой таблице.

Встроенный запрос открывается на отдельной вкладке рабочей области для редактирования и отображается в дереве подзапросов в левой части Визуального конструктора.

Смотрите также:

Задание критериев

Критерии группировки

Параметры сортировки


Критерии группировки

На этой вкладке задаются критерии, по которым будут сгруппированы данные, полученные в результате выполнения запроса.

Query Builder - Setting grouping criteria

Чтобы добавить критерий группировки нужно нажать кнопку EllipsisButton на форме и из появившегося контекстного меню выбрать пункт Add condition. Добавится строчка, которой будет присвоен порядковый номер. В этой строчке Вам необходимо указать условие группировки.

Чтобы задать тип условия нажмите на надпись All, располагающуюся рядом с EllipsisButton и выберите один из предложенных типов.

По нажатию на раскрывающиеся списки Visual Query Builder - Line1 открываются списки, состоящие из всех полей объектов, участвующих в запросе. В этих полях Вы можете задать операторы условия. Это могут быть как имена полей, так и константы или выражения.

Аггрегирующую функцию Вы выбираете из списка Visual Query Builder - Line2.

Нажав на "=", Вы получаете возможность установить отношение между операторами.

Управлять условием группировки можно с помощью контекстного меню, которое открывается при нажатии левой кнопкой мыши на порядковый номер.

Visual Query Builder - Condition menu

С помощью этого меню можно:

  • добавить новое условие - Add condition,
  • добавить составное условие - Make composite condition,
  • удалить условие - Delete condition,
  • развернуть условие - Expand condition (Этот пункт активен только тогда, когда в добавлены составные условия. Если условие развернуто, то этот пункт заменяется на "свернуть условие" - Collapse condition).

Смотрите также:

Задание критериев

Выводимые поля

Параметры сортировки


Параметры сортировки

В окне работы с полями, которое располагается под рабочей областью, существует специальная вкладка, на которой можно указывать параметры сортировки полей в запросе.

Query Builder - Setting sorting parameters

В списке Output fields содержатся все поля объектов, участвующих в запросе. Чтобы указать, по какому полю будет отсортирована, полученная в результате выполнения запроса, таблица, необходимо переместить поля из списка Output fields в список Sorted fields. Делается это с помощью кнопок или перетаскивания выбранного элемента.

В списке Sorted fields для выбранных полей Вы указываете параметры сортировки:

  • порядок сортировки "по возрастанию" или "по убыванию" указывается в поле Sort order с помощью кнопки A...Z;
  • очередность сортировки (по какому полю сортировать в первую очередь, а по какому во вторую) задается расположением полей в списке Sorted fields. По первому в списке полю сортировка проходит в первую очередь и.т.д. Перемещать поля в списке можно с помощью кнопок Up и Down.

Смотрите также:

Задание критериев

Выводимые поля

Критерии группировки


Работа с окном редактирования

В окне редактирования автоматически генерируется текст запроса. В этом окне Вы можете просмотреть и исправить запрос. Все изменения будут отображены в окне диаграммы.

Query Builder - Working with the editor area

Открыть для просмотра объект, на который есть ссылка в тексте, Вы можете, нажав на нем левой кнопкой мыши, удерживая при этом клавишу Ctrl. Если в этом редакторе Вы создадите текст запроса, то в рабочей области этот запрос будет представлен в графическом виде.

Более подробно про окно редактирования текста SQL.

Смотрите также:

Работа с окном диаграммы

Выполнение запроса

Редактор запросов


Выполнение запроса

Чтобы выполнить запрос необходимо нажать btnExecuteQuery Execute query на одной из панелей инструментов.

При выполнении запроса появится новая вкладка Results, на которую и будут вынесены полученные результаты.

На этой вкладке возвращенные запросом данные отображаются в Просмотрщике данных. Просмотрщик позволяет Экспортировать данные и Экспортировать данные как SQL скрипт.

Смотрите также:

Работа с окном диаграммы

Работа с окном редактирования

Просмотрщик данных


Параметры запросов

Редактор запросов и Визуальный конструктор запросов позволяют использовать параметры в тексте запроса.

Параметр - это переменная, значение которой может быть определено непосредственно перед выполнением запроса. В тексте запроса параметры выделены символом ":", который ставится в начале параметра.

:param1

Важно: Чтобы можно было использовать параметры необходимо установить флажок Allow using of parameters in query text в Options | Environment options | Tools.

Смотрите также:

Редактор запросов

Дизайнер запросов


Окно ввода параметров

Так как параметр - это переменная, значение которой может быть определено непосредственно перед выполнением запроса, в программе SQL Manager for Oracle существует специальный инструмент, позволяющий вводить значения параметров при выполнении запроса.

Окно Input Parameters формируется на основании тех параметров, которые заданы в тексте запроса. Для каждого параметра создается поле ввода, которое называется так же как и параметр.

Для разных типов полей предусмотрены специальные поля ввода параметров.

Например, для поля типа datetime появляется календарь, позволяющий избежать ошибок при вводе даты.

Query parameters - Input parameters dialog

Для числовых типов предоставляется калькулятор.

В поле Вы можете ввести значение параметра, а можете оставить его пустым.

Нажав кнопку Ok, Вы продолжите выполнение запроса с учетом введенных параметров. Если нажмете Cancel, то остановите выполнение запроса.


Работа с данными

Данные, хранящиеся в таблицах и результаты запросов, отображаются на специальных вкладках редакторов, предназначенных для просмотра данных. Так данные таблицы можно просматривать и редактировать на вкладке Data, результаты запроса - на вкладке Results. Везде, где есть возможность просмотра и редактирования данных, используется специальный инструмент - просмотрщик данных.

Используется в:

Редакторе таблиц

Редакторе представлений

Редакторе запросов

Дизайнере запросов и т.д.

Данные в просмотрщике могут отображаться четырьмя способами:

  • в виде таблицы - на вкладке Grid View,
  • в виде формы - на вкладке Form View,
  • в виде печатной формы - на Print Data,
  • в виде редактора данных типа BLOB - на Blob View

Основные операции, которые Вы можете производить с данными, используя контекстное меню и панели инструментов просмотрщика данных:

  • Экспорт данных,
  • Экспорт данных в виде SQL скрипта,
  • Импорт данных,
  • Редактировать BLOB.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Работа с данными

Средства импорта и экспорта данных

Инструменты для работы с базой данных

Службы

Инструменты работы с сервером

Настройки

Как...


Просмотрщик данных

В SQL Manager for Oracle существует мощный инструмент для просмотра, редактирования и печати данных из таблиц, запросов и представлений.

Наиболее часто используемые инструменты просмотрщика данных располагаются в контекстном меню.

Вкладки просмотрщика данных располагаются в нижней его части.

С их помощью можно просмотреть данные:

  • на вкладке Grid View в виде таблицы,
  • на Form View в виде форм, где каждая строка вынесена на отдельную форму,
  • на вкладке Print Data данные представлены в виде страницы предварительного просмотра,
  • на вкладке Blob View Вы можете просматривать данные, имеющие тип BLOB.

Просмотрщик данных используется в таких инструментах:

Редакторе таблиц - вкладка Data,

Редакторе представлений - вкладка Data,

Редакторе запросов - вкладка Results,

Визуальном конструкторе запросов - вкладка Results.

Настроить просмотрщик данных можно с помощью вкладки Grid в Options | Environment Options

Data View - Grid View

Смотрите также:

Конструктор фильтров

Таблицы

Представления


Панели инструментов

Панели редакторов

Навигационная панель

В редакторе, в котором используется просмотрщик данных, при переходе на вкладку Data или Results на навигационной панели, появляется панель Data management.

С помощью этой панели Вы можете:

iconCommit применить транзакцию для данных - Commit Transaction (активна, если данные были изменены),

iconRollback откатить транзакцию для данных таблицы - Rollback Transaction (активна, если данные были изменены),

экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script,

импортировать данные - Import Data.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Панели инструментов просмотрщика данных

Панель работы с записями:

Data View - Navigation pane

С её помощью можно:

  • перейти к первой записи - First record,
  • перейти к предыдущей странице - Prior page,
  • перейти к предыдущей записи - Prior record,
  • перейти к следующей записи - Next record,
  • перейти к следующей странице - Next page,
  • перейти к последней записи - Last record,
  • добавить запись - Insert record,
  • удалить запись - Delete record,
  • редактировать запись - Edit record,
  • сохранить изменения - Post edit,
  • отклонить изменения - Cancel edit,
  • обновить данные - Refresh data,
  • создать закладку - Set Bookmark,
  • перейти к закладке - Go to Saved Bookmark,
  • фильтровать данные - Filter data (открывается конструктор фильтров),
  • в поле Find Вы указываете набор символов, который хотите найти в выделенном столбце,
  • с помощью счетчика Record Limit Вы указываете максимальное число отображаемых записей.

Панель инструментов вкладки Print Data:

Data View - Print Data - Toolbar

C помощью этой панели Вы можете:

  • настроить вид отчета с помощью инструмента Format report - Design Report,
  • загрузить отчет из файла - Load Report,
  • сохранить отчет в файл - Save Report,
  • печатать - Print,
  • открыть диалог печати - Print Dialog (открывается стандартное диалоговое окно, в котором указываете параметры печати),
  • настроить параметры страницы - Page Setup,
  • показать макеты страниц - Show Thumbnails,
  • настройка примечаний - Title...:

вставка даты и времени - Date and Time...,

вставка номеров страниц - Page Numbering...,

  • разместить все на одной странице - Shrink To Page,
  • задать цвета фона страницы - Background,
  • задать масштаб - Zoom,
  • масштаб по ширине страницы - Zoom Page,
  • целая страница - Whole Page,
  • несколько страниц - Multiple Page.
  • произвольный масштаб выбирается с помощью раскрывающегося списка - Zoom,
  • перейти к первой странице - First Page,
  • перейти к предыдущей странице - Previous Page,
  • указать номер страницы, к которой хотите перейти - счетчик Active Page (кроме того, в нем отображается номер страницы, на которой Вы сейчас находитесь),
  • перейти к следующей странице - Next Page,
  • перейти к последней странице - Last Page.

Панель инструментов вкладки Blob View:

Data View - BLOB View - Toolbar

С помощью этой панели на вкладке для редактирования данных типа BLOB Вы можете:

  • из раскрывающегося списка выбрать поле типа BLOB,
  • загрузить из файла - Load from File (Вы можете выбрать любой тип файлов. Это может быть текст, рисунок и т.д.),
  • сохранить в файл - Save to File,
  • вырезать - Cut To Clipboard,
  • копировать - Copy To Clipboard,
  • вставить - Paste From Clipboard,
  • отменить действие - Undo,
  • печатать - Print,

Следующие кнопки активны только для вкладки Rich text:

  • выбрать шрифт - раскрывающийся список Font,
  • выбрать размер шрифта - счетчик Font Size,
  • выбрать жирное начертание - Bold,
  • выбрать начертание курсивом - Italic,
  • выбрать начертание с подчеркиванием - Underline,
  • выбрать выравнивание по левому краю - Align Left,
  • выбрать выравнивание по центру - Align Center,
  • выбрать выравнивание по правому краю - Align Right,
  • создать маркированный список - Bullets.

Смотрите также:

Просмотр в виде таблицы

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений

Настройка панелей инструментов


Просмотр в виде сетки

На основании полей таблицы или запроса создается форма табличного просмотра данных. Столбцы формируются из полей.

Если в просмотрщике открыты данные одной таблицы, то их можно добавлять, удалять, редактировать по усмотрению пользователя. Если в просмотрщик выведен результат запроса, то возможность редактирования данных зависит от запроса.

Все остальные операции с данными одинаковы для данных таблиц и для результатов запросов.

С помощью панели инструментов можно выполнять переход по записям, добавление и удаление строк и т.д.

Контекстное меню позволяет копировать ячейки, создавать уровни, устанавливать сводку по столбцам и т.д.

Основные операции с данными:

  • сортировка по столбцам в соответствии с правилами интерфейса,
  • группировка данных,
  • фильтрация данных,
  • создание и работа с несколькими уровнями,
  • просмотр в виде карточек,
  • сводка по столбцам,
  • изменение порядка столбцов.

Data View - Grid View

Выбор видимых столбцов

Можно указывать, какие из столбцов таблицы будут видимыми.

Делается это с помощью пункта контекстного меню Visible Columns или с помощью кнопки btnSelectVisibleColumns в левом верхнем углу таблицы, рядом с заголовками столбцов. По нажатию на эту кнопку появляется окно, в котором, устанавливая флажки, Вы отмечаете видимые столбцы.

Data View - Grid View - Selecting visible columns

Изменение порядка столбцов.

Если Вы хотите изменить порядок столбцов, то достаточно перетащить заголовок столбца в требуемое место. Если в это место можно переместить столбец, то оно будет отмечено зелеными стрелочками, которые появятся при непосредственном приближении к месту вставки.

Data View - Grid View - Changing columns order

Сортировка данных в столбце

Сортировка значений в столбце осуществляется при помощи нажатия мышью на заголовок нужного столбца.

Копирование строк

Для копирования записей из одной таблицы в другую, в контекстном меню существует два пункта:

  • копировать выделенные записи - Copy Selected Records,
  • вставить записи - Paste Records.

При копировании нескольких строк Вы можете задать соответствие полей таблицы и вставляемых строк.

Data View - Grid View - Associate columns

В списке Clipboard Columns отображаются поля копируемых строк.

В списке Grid Columns - поля таблицы, в которую копируются строки.

С помощью кнопок устанавливаются соответствия между полями. Они отображаются в списке соответствий, располагающемся в нижней части формы.

Кнопка Add добавляет в список соответствий новое соответствие между выделенными полями.

Кнопка Add All позволяет автоматически подобрать полям таблицы, в которую копируются данные, соответствующие поля источника данных.

Нажав на кнопку Remove, Вы удалите выделенное соответствие. Нажатие на кнопку Remove All полностью очищает список соответствий.

Смотрите также:

Панели инструментов

Просмотр в виде формы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений


Группировка и сортировка данных

Чтобы отсортировать данные необходимо:

открыть данные на вкладке Data или Results -> выбрать столбец, по которому хотите отсортировать данные -> нажать на заголовок этого столбца мышкой.

Если столбец не был отсортирован, то одно нажатие отсортирует его по возрастанию, следующее - по убыванию.

Чтобы отменить сортировку, вызовите контекстное меню правой кнопкой мыши на нужном столбце и выберите пункт Clear Sorting, или нажмите клавишу Ctrl и щелкните по полю, по которому была отсортирована таблица.

Вы можете группировать данные в таблице по одному или нескольким столбцам.

Для того, чтобы сгруппировать таблицу по столбцу необходимо перетащить заголовок столбца на специальную панель над таблицей, так называемую "панель группировки".

Data View - Grid View - Grouping data

Группировка по одному столбцу

Если на панель группировки Вы поместите заголовок поля, то все остальные будут сгруппированы по этому полю.

Группировка по нескольким столбцам.

Для этого необходимо перетащить на панель группировки заголовок ещё одного поля.

Таблица будет выглядеть следующим образом.

Data View - Grid View - Grouping data by two columns

В заголовках групп могут отображаться сведения о сгруппированных данных, если была задана сводка по столбцу.

На панели группировки тот заголовок, который находится ниже, является подчиненным. Группировка по нему будет проходить во вторую очередь. Объекты на панели группировки доступны для фильтрации данных.

Отменить группировку можно перетащив заголовок столбца обратно в таблицу. При этом можно изменить порядок столбцов.

Смотрите также:

Фильтрование данных

Просмотр в виде карточек

Сводка по столбцу


Фильтрование данных

Фильтр — это быстрый способ поиска подмножества данных и работы с ними в таблице. В отфильтрованной таблице отображаются только строки, отвечающие условиям, заданным для столбца.

Фильтр не меняет порядок записей. При фильтрации временно скрываются строки, которые не отвечают заданным условиям.

Фильтровать данные в таблице можно тремя способами:

1. С помощью пункта контекстного меню Quick Filter.

Data View - Grid View - Quick Filter

Порядок действий:

  • вызвать контекстное меню для ячейки с данными,
  • выбрать пункт контекстного меню Quick Filter,
  • выбрать из открывшегося дочернего меню условие фильтрации.
  • = Value в таблице будут отображаться только те строки, которые в этом поле имеют такое же значение, как и активное (активное значение - это то для которого было вызвано контекстное меню),
  • <> Value - в таблице будут отображаться только те записи, значение которых в этом поле не равно активному значению,
  • < Value - будут выбраны значения строго меньше активного,
  • > Value - будут выбраны значения строго больше активного,
  • <= Value - будут выбраны значения меньше активного и равные активному,
  • >= Value - будут выбраны значения больше активного и равные активному.

С помощью Quick Filter нельзя фильтровать данные BLOB-типов и sysname.

2. С помощью заголовков столбцов.

Data View - Grid View - Filtering records

В заголовке каждого столбца имеется кнопка со стрелочкой. Если нажать на эту стрелочку, то появится список значений, содержащихся в этом столбце. Если выбрать одно из этих значений, то это и будет условие фильтрации. В таблице останутся видимыми только те строки, которые соответствуют этому условию.

Кроме того, задавать более сложные условия с помощью пункта списка значений (Custom...).

При выборе этого пункта открывается диалоговое окно для задания условий фильтрации.

Data management - Custom Filter

В этом диалоговом окне можно задать 2 условия фильтрации и их отношение - должны ли выполняться оба условия сразу, или достаточно выполнения одного.

С помощью этого окна очень удобно задавать интервалы.

Из раскрывающихся списков выбираем условие отбора:

  • равно - equals,
  • не равно - does not equal,
  • меньше - is less than,
  • меньше или равно - is less than or equal to,
  • больше - is greater than,
  • больше или равно - is greater than or equal to,
  • содержит - like,
  • не содержит - not like,
  • пустые - is blank,
  • не пустые - is not blank.

В поле указываем последовательность символов. Используйте символ "%" для указания любого набора символов и символ "_" для обозначения любого символа. При выполнении условия отбираются только те значения, которые отвечают указанному условию. Например, из списка Вы выбрали пункт больше, а в поле указали 100. Следовательно, в таблице будут отображаться только те строки, в которых это значение больше 100.

Второе условие не является обязательным.

Установив переключатель в положение AND Вы указываете, что оба условия должны выполняться одновременно, в положение OR указываете, что должно выполняться только одно из них.

3. С помощью кнопки на панели инструментов.

Кнопка btnSetFilter открывает конструктор фильтров, с помощью которого Вы задаете и применяете условия фильтрации.

Если для таблицы установлен фильтр, то в нижней части появляется специальная панель, на которой отображается условие фильтра.

С помощью этой панели можно:

  • удалить фильтр - нажав на кнопку btnClose ,
  • включить фильтр - установить флажок,
  • изменить условия фильтрации с помощью кнопки Customize.... Эта кнопка открывает конструктор фильтров.

Data View - Grid View - Filtering records - Filtering panel

Кроме того, на этой панели в кратком виде отображаются условия фильтра, а также история модификации фильтра, которая открывается при нажатии на кнопку раскрывающегося списка.

Смотрите также:

Группировка данных

Конструктор фильтров


Контекстное меню

С помощью контекстного меню Вы можете выполнять следующие действия:

Data View - Grid View - Using the context menu

  • копировать ячейки - Copy Cell,
  • вставить ячейки - Paste Cell,
  • копировать все записи - Copy All Records,
  • копировать выделенные записи - Copy Selected Records,
  • вставить записи - Paste Records,
  • управлять данными - Data Manipulation, (в управление данными входит: экспортировать данные - Export Data,

экспортировать данные в виде SQL скрипта - Export as SQL Script, импортировать данные - Import Data)

  • установить фильтр данных - Quick Filter,
  • удалить фильтр - Disable Filter,
  • отменить сортировку - Clear Sorting,
  • установить значение в ячейке - Set Value,
  • редактировать данные типа BLOB - Edit BLOB (этот пункт меню активен, если меню было вызвано для поля, содержащего объекты типа BLOB),
  • сохранить данные из ячейки типа BLOB в файл - Save BLOB to File (этот пункт меню активен, если меню было вызвано для поля, содержащего объекты типа BLOB),
  • развернуть все - Expand All (команда активна только тогда, когда существует группировка по одному или нескольким полям или существуют подуровни таблицы),
  • свернуть все - Collapse All (команда активна только тогда, когда существует группировка по одному или нескольким полям или существуют подуровни таблицы),
  • перейти на следующую вкладку - Next Tab (этот и следующий пункты меню активны для результатов тех запросов, которые возвращают более одного набора данных. В этом случае для результата каждого запроса создается отдельная вкладка, а также для таблиц, имеющих более одного подуровня),
  • перейти на предыдущую вкладку - Previous Tab,
  • работать с уровнями таблицы - Grid Levels,

добавить уровень - Add Grid Level... (при выборе этого пункта открывается мастер создания уровней),

удалить уровень - Delete Grid Level,

просмотр в виде сетки данных - Table View,

просмотр в виде карточек - Card View,

  • установить сводку по столбцу - Column Summary...,
  • выбрать столбцы, которые будут отображаться - Visible Columns (также выбрать видимые столбцы можно с помощью кнопки btnSelectVisibleColumns в левом верхнем углу таблицы, рядом с заголовками столбцов),
  • выровнять ширину столбцов - Fit Columns Widths,
  • выбрать режим сетки - Grid Mode (отображать все столбцы, отображать только видимые столбцы или режим по умолчанию),
  • Просмотреть и изменить свойства просмотрщика данных - Properties....(откроется Options | Environment Options | Grid)

Важно: Если включены опции CheckBox Show editor immediately и CheckBox Always show editor на вкладке Environment options | Grid, то для вызова контекстного меню ячейки необходимо выделить нужную ячейку и щелкнуть правой кнопкой мышки по заголовку таблицы. При щелчке правой кнопкой мыши по ячейки вызовется контекстное меню для редактирования ячейки.


Работа с несколькими уровнями

Одной из уникальных особенностей SQL Manager for Oracle является возможность работать с данными в режиме нескольких уровней. Это позволяет изменять и просматривать данные в нескольких связанных таблицах одновременно.

Управлять уровнями можно с помощью пункта контекстного меню Grid Levels,

  • добавить уровень - Add Grid Level... (при выборе этого пункта открывается мастер создания уровней),
  • удалить уровень - Delete Grid Level,
  • просмотр в виде сетки данных - Table View,
  • просмотр в виде карточек - Card View,

Когда добавлен уровень, то для каждой записи таблицы можно просмотреть соответствующие ей записи в другой таблице. Такая подчиненная таблица называется Подуровень.

Чтобы открыть (развернуть) подуровень таблицы нужно нажать на "+", который находится в начале строки. "-" сворачивает подуровень.

Подуровней может быть несколько. В этом случае каждый располагается на отдельной вкладке в окне подуровней. Между вкладками можно переключаться, просто щелкая на них мышью, или с помощью пунктов контекстного меню:

  • перейти на следующую вкладку - Next Tab,
  • перейти на предыдущую вкладку - Previous Tab.

Для того чтобы открыть подуровни для всех записей используется пункт контекстного меню Expand All.

Пункт Collapse All сворачивает все подуровни.

Data View - Grid View - Working in multi-level mode

Смотрите также:

Контекстное меню

Мастер создания уровней


Мастер создания уровней

Мастер создания уровней позволяет создать для таблицы новые подуровни для более удобного представления данных.

Create Grid Level - Add Grid Level

Мастер создания уровней состоит из четырех шагов.

  • Выбор главной таблицы.
  • Выбор зависимой таблицы или запроса.
  • Установка связи между главной и зависимой таблицами.
  • Задание параметров.

Чтобы запустить Мастер, необходимо выбрать пункт дочернего меню Add Grid Level..., пункта контекстного меню Grid Levels.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Выбор главной таблицы

На первом шаге Вы выбираете таблицу или запрос, который будет являться главным уровнем, к которому потом нужно будет назначить подуровень.

Create Grid Level - Specifying master level

Из раскрывающегося списка выберите главный уровень.

Далее, с помощью переключателя Source of New level data, выбираете источник для подуровня.

Если устанавливаете переключатель в положение Table, то на втором шаге вам будет предложено выбрать таблицу или представление.

Если в положение Query, то на следующем шаге необходимо будет вручную написать запрос, определяющий подуровень.

Следующий шаг


Выбор зависимой таблицы или запроса

Вид мастера на втором шаге зависит от того, какой источник для подуровня Вы выбрали на первом шаге.

Если в качестве источника Вы выбрали Table, то на втором шаге Вам будет предложено выбрать конкретную таблицу.

Из раскрывающегося списка Table Schema выберите схему, в которой содержится нужная таблица или представление. Таблицу или представление можно выбрать из раскрывающегося списка Table Name. В этом списке содержатся все имеющиеся в указанной схеме таблицы и представления. Вы можете уменьшить их число, установив флажок Show tables related by foreign keys only. В этом случае в списке останутся только те таблицы, которые связаны с главной с помощью внешнего ключа.

Create Grid Level - Defining source for detail level - Table

Если на первом шаге в качестве источника Вы выбрали запрос, то на втором шаге необходимо создать запрос в редакторе запроса

Create Grid Level - Defining source for detail level - Query

В этом окне находится редактор SQL запросов.

Вы можете написать SQL запрос вручную в редакторе или скопировать и вставить в редактор.

С помощью кнопки Design query... Вы можете запустить Дизайнер запросов , который откроется в модальном окне, и создать запрос там.

После того, как выбрана таблица или создан запрос, можно переходить к следующему шагу.

Следующий шаг


Установка связи между главной и зависимой таблицей

На третьем шаге Вы выбираете поля, по которым необходимо связать главную и подчиненную таблицы.

Из списков Master Level Key Fields и Detail Level Key Fields выберите поля главной и подчиненной таблиц, по которым эти таблицы будут связаны.

С помощью кнопки Add добавьте в список Links Between Master and Detail Levels новую связь, которая образуется из выбранных полей.

Связей может быть несколько.

В этом случае, каждая подчиненная таблица будет отображаться на отдельной вкладке подуровня. Между вкладками можно переключаться, просто щелкая на них мышью, или с помощью пунктов контекстного меню:

  • перейти на следующую вкладку - Next Tab,
  • перейти на предыдущую вкладку - Previous Tab.

Удалить связь из списка можно с помощью кнопки Remove.

Создать связь, основывающуюся на внешнем ключе, можно нажав на кнопку From Foreign Key и выбрав нужный ключ в раскрывающемся списке.

Create Grid Level - Binding master and detail levels

Следующий шаг


Параметризация запросов

Если на шаге Выбор главной таблицы был выбран запрос, то на этом шаге Вам необходимо задать параметры.

Create Grid Level - Query parameterization

Форма для задания параметров будет использоваться в сетке данных в режиме 'Load visible rows'. Смотрите дополнительно Environment Options | Grid | Data Options.

Следующий шаг


Задание параметров

На последнем шаге необходимо выбрать вид отображения подуровня и указать его заголовок.

Заголовок отображается в верхней части подуровня. Указать его можно в поле Level caption.

с помощью переключателя Level type выберите, в каком виде будут отображаться данные подуровня:

  • Table view - в виде таблицы,
  • Card View - в виде карточек.

Create Grid Level - Setting additional parameters

Нажав кнопку Finish, Вы закончите формирование уровня.


Просмотр в виде карточек

В окне табличного просмотра существует дополнительный режим просмотра - режим карточек Card View.

Если в таблице есть подуровни, то в виде карточек можно представить только самый нижний уровень иерархии подчинения.

Чтобы включить просмотр в виде карточек, необходимо использовать пункт дочернего меню Card View пункта контекстного меню Grid Levels.

Data View - Grid View - Working in card view mode

Чтобы вернуть вид таблицы, воспользуйтесь пунктом дочернего меню Table View пункта контекстного меню Grid Levels.

Смотрите также:

Контекстное меню


Сводка по столбцу

В SQL Manager for Oracle существует специальный инструмент, позволяющий выводить итоговую информацию о столбце. С помощью этого инструмента можно вывести в нижнюю или в верхнюю часть таблицы некую сводку по столбцу.

Инструмент создания сводок по столбцам вызывается с помощью пункта контекстного меню Column Summary....

Data View - Grid View - Column Summary

В окне Column Summary из списка Column выбирается столбец таблицы, для которого необходимо отобразить дополнительную информацию.

Footer summary отображает итоговую информацию в нижнем колонтитуле таблицы.

Group header - отображает информацию в заголовке сгруппированных данных.

Group footer - отображает данные в нижнем колонтитуле сгруппированных данных.

Информация, которую можно вывести для столбцов, имеющих числовой тип данных и тип datetime, int:

  • ничего - None,
  • сумму значений в столбце - Sum,
  • минимальное значение в столбце - Minimum,
  • максимальное значение в столбце - Maximum,
  • количество значений в столбце - Count,
  • среднее значение в столбце - Average.

Для всех остальных типов столбцов доступно только количество значений в столбце - Count.

В поле Number format задаете формат числа.

Смотрите также:

Контекстное меню


Просмотр в виде формы

На вкладке Form View каждая запись представлена в виде формы. Редактировать данные удобнее, когда они представлены в таком виде.

Data View - Form View

Если на вкладке Grid View Вы выделили строчку или ячейку, а затем перешли на вкладку Form View, то на этой вкладке отобразится выделенная запись.

Для каждой записи отображается:

  • названия полей,
  • типы полей,
  • поля для редактирования данных.

Рядом с каждым полем расположен флажок Null. С его помощью можно это поле очистить. Вернуть удаленные данные, убрав флажок, не получится. Чтобы вернуть данные необходимо нажать на кнопку btnCancelEdit - отклонить изменения - Cancel edit на панели инструментов.

Переключаться между записями можно с помощью кнопок, расположенных на панели инструментов. Эти кнопки позволяют вам создавать, редактировать, удалять записи и перемещаться по записям таблицы базы данных.

Для каждого типа данных генерируется поле ввода соответствующее типу данных.

Например, для поля типа datetime появляется календарь, позволяющий избежать ошибок при вводе даты.

Для типов полей большого размера создаются большие текстовые поля.

Если Вы на этой вкладке зададите условия для фильтрования данных, то отобразится первая запись таблицы, отвечающая заданным условиям.

Смотрите также:

Панели инструментов

Просмотр в виде таблицы

Просмотр в виде печатной формы

Редактор данных типа BLOB

Применение изменений


Просмотр в виде печатной формы

На вкладке Print Data данные представлены в режиме полного графического соответствия печатного варианта и изображения редактируемого документа на экране.

Вы можете изменять вид печатной формы, задавать формат страницы, параметры печати, сохранять отчеты в файл и загружать из файла. Все эти действия выполняются с помощью панелей инструментов.

Data View - Print Data

На верхней панели отображаются характеристики полей и колонтитулов печатного документа:

  • Left - левое поле,
  • Top - верхнее поле,
  • Right - правое поле,
  • Bottom - нижнее поле,
  • Header - верхний колонтитул,
  • Footer - нижний колонтитул.

На нижней панели отображается статистика:

  • Page - страницы,
  • количество страниц - Pages,
  • Paper size - размер бумаги,
  • Status - статус.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет

Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite Вы можете в сравнительной таблице характеристик.

Смотрите также:

Панели инструментов

Просмотр в виде таблицы

Просмотр в виде формы

Редактор данных типа BLOB

Применение изменений


Параметры страницы

Чтобы открыть диалоговое окно настройки страницы для печати необходимо на панели инструментов нажать кнопку [image] Page Setup.

С помощью этого инструмента Вы можете настроить вид страницы при печати.

Настройки печати Вы можете задать на следующих вкладках:

Страница

Поля

Колонтитулы

Масштаб

Чтобы распечатать страницу, нажмите кнопку Print. Настройки печати укажите в открывшемся диалоговом окне Print.

Смотрите также:

Настройщик отчетов

Задание опций отчета

Печать


hs71311

SQL Manager for Oracle
  • В начало
  • « Назад
  • Вперед »

Страница

На вкладке Page Вы указываете размер и ориентацию страницы.

Data View - Print Data - Page Setup - Page

Из списка Type выбираете один из типовых размеров.

Если стандартные типы не подходят, то указываете высоту и ширину листа в разделе Dimension. В поле Width - ширину, в поле Height - высоту.

Из раскрывающегося списка Paper source выбираете тип подачи бумаги.

С помощью переключателя в разделе Orientation Вы выбираете ориентацию страницы.

  • Portrait - книжная,
  • Landscape - альбомная.

Так данные представлены в табличной форме, то при печати необходимо указать последовательность вывода страниц в разделе Print Order:

  • Down, then over - вниз, затем вправо,
  • Over, then down - вправо, затем вниз.

Если установить флажок Print using gray shading, то при печати будут использоваться оттенки серого цвета, а не только черный и белый.


Поля

На вкладке Margins Вы можете указать размер полей документа и размер колонтитулов.

Data View - Print Data - Page Setup - Margins

  • Top - размер верхнего поля
  • Bottom - размер нижнего поля
  • Left - размер левого поля
  • Right - размер правого поля
  • Header - размер верхнего колонтитула
  • Footer - размер нижнего колонтитула

Если вы задали неподходящее значение, то нажмите на кнопку Fix, чтобы его исправить.

Нажатие на кнопку Restore Original возвращает настройки к настройкам по умолчанию.

С помощью флажков в разделе Center on page Вы указываете, следует ли центрировать текст на странице.

Если установлен флажок Horizontally, то текст центрируется по горизонтали,

Если Vertically, то по вертикали.

Все указанные отображаются в разделе Preview.


Колонтитулы

На вкладке Header\Footer Вы можете задать свойства верхнего и нижнего колонтитулов.

Data View - Print Data - Page Setup - Header and Footer

Каждый колонтитул поделен на 3 раздела. В каждом разделе можно указывать разную информацию. Текст можно писать самостоятельно, а можно выбрать стандартный с помощью кнопок Predefined Function:

  • Machine name - имя компьютера,
  • User Name - имя пользователя,
  • Time Printed - время печати,
  • Date Printed - дата печати,
  • Date & Time Printed - дата и время печати документа,
  • Page # of Pages # - страница № из общего числа страниц
  • Total Pages - общее число страниц
  • Page # - номер страницы

Для колонтитула можно задавать шрифт - с помощью кнопки Font... и фон с помощью кнопки Background.

Выравнивание текста по вертикали осуществляется при помощи кнопок Vertical Alignment.

CheckBox Reverse on even pages

Если установлен этот флажок, то указанные колонтитулы будут отображаться на каждой странице.


Масштаб

На вкладке Scaling указывается масштаб страницы.

Data View - Print Data - Page Setup - Scaling

Adjust To - установить n процентов от натуральной величины. Проценты указываются в специальном поле.

Fit To - разместить не более чем на n страниц в ширину и n страниц в высоту. Количество страниц задается в специальных полях.


Настройщик отчетов

Настроить вид печатной формы можно с помощью инструмента Format report, который открывается при нажатии кнопки [image] Design Report на панели инструментов вкладки Print data просмотрщика данных.

Все инструменты располагаются на следующих вкладках:

  • Настройка отображаемых областей,
  • Характеристики (поведение),
  • Форматирование,
  • Стили,
  • Предварительный просмотр,
  • Карточки
  • Диаграммы

Нажав на кнопку Title Properties, Вы сможете задать параметры титульного листа отчета.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Параметры страницы

Задание опций отчета

Печать


Настройка отображаемых областей

На вкладке View, с помощью флажков, Вы можете выбрать те области, которые будут отображаться в отчете:

Data View - Print Data - Report Formatter - View

В разделе Show выберите те элементы, которые будут отображаться для всей таблицы.

CheckBox Caption - строка заголовка страницы,

CheckBox Bands - видимые диапазоны, (опция недоступна)

CheckBox Headers - заголовки столбцов,

CheckBox Footers - строки итогов,

CheckBox Group Footers - область группировки данных

CheckBox Expand Buttons -

CheckBox Filter Bar - панель фильтра. Если данные были отфильтрованы, то в этой строке будет показано условие фильтрации.

Далее, в разделе On Every Page, Вы можете указать те разделы, которые будут на каждой странице

CheckBox Caption - строка заголовка страницы,

CheckBox Bands - видимые диапазоны,

CheckBox Headers - заголовки столбцов,

CheckBox Footers - строки итогов,

CheckBox Filter Bar - панель фильтра.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Характеристики (поведение)

На этой вкладке задайте следующие характеристики:

Data View - Print Data - Report Formatter - Behaviors

В разделе Selection настройте параметры выделения:

CheckBox Process Selection - обрабатывать выделенный текст,

CheckBox Process Exact Selection - процесс точного выделения.

Элементы, которые будут развернуты на печатной форме выберите в разделе Expanding.

CheckBox Groups - группы,

CheckBox Details - детали,

CheckBox Cards - карточки.

Если установлен флажок Auto Width, то ширина таблицы будет равна ширине страницы.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Форматирование

Параметры форматирования задайте на вкладке Formatting.

Из раскрывающегося списка Look and Feel выберите оформление границ ячеек заголовка.

Data View - Print Data - Report Formatter - Formatting

В разделе Refinements можно задать параметры сжатия отчета.

CheckBox Transparent Graphics - прозрачные графические изображения,

CheckBox Display Graphic As Text - отображать вместо графики текст,

CheckBox Flat CheckMarks - использовать плоские флажки.

CheckBox Suppress Background Textures - сглаживать текстуры фона.

CheckBox Consume Selection Style - не применять стили выделения.

Параметры разбиение на страницы задайте в разделе Pagination.

CheckBox By TopLevel Groups - разбиение на страницы в соответствии с группировкой,

CheckBox One Group Per Page - одна группа на странице.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Стили

На этой вкладке Вы можете менять внешний вид отчета.

Data View - Print Data - Report Formatter - Styles

CheckBox Если установлен флажок Use Native Styles, то будет использоваться только стиль по умолчанию, изменения нельзя будет внести.

В списке находятся все элементы отчета, кроме того, для каждого элемента указан фон, вид и размер шрифта.

Для каждого элемента можно задать следующие свойства:

  • Font - шрифт,
  • Color - цвет,
  • Texture - текстура,
  • Clear - вернуть настройки по умолчанию

Нажав на кнопку Restore Defaults, Вы отмените все внесенные изменения для выделенного объекта и установите настройки по умолчанию.

С помощью кнопки Save As... Вы можете сохранить принятые изменения в файл схемы.

Все файлы схемы отображаются в списке Style Sheets. Нажав на кнопку New, Вы создадите новый файл схемы. Копировать нужную схему можно, нажав на кнопку Copy. Кнопка Delete удаляет выбранную схему. Чтобы переименовать активную схему нажмите на кнопку Rename.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Предварительный просмотр

Параметры предпросмотра задайте на этой вкладке

Data View - Print Data - Report Formatter - Preview

CheckBox Если установлен флажок Visible, то будут отображаться строки группировки.

CheckBox Если установлен флажок Auto Height, то высота строк будет задана автоматически.

Задайте максимальное количество строк на странице в счетчике Max Line Count.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Карточки

На этой вкладке Вы можете задать внешний вид карточек.

Data View - Print Data - Report Formatter - Cards

В разделе Sizes можно настроить размеры карточек:

CheckBox установленный флажок Auto Width автоматически подгоняет ширину карточек

CheckBox Keep Same Width - фиксирует исходную ширину.

CheckBox Keep Same Height - фиксирует исходную высоту карточки.

В разделе Spacing задайте расстояние между карточками:

Horizontal - расстояние по горизонтали,

Vertical - расстояние по вертикали.

В разделе Framing можно задать параметры рамок карточек

CheckBox Border - если установлен этот флажок, то у карточек будет внешняя граница,

CheckBox Horizontal Lines - устанавливает внутри карточки горизонтальные разграничители для каждой строки

CheckBox Vertical Lines - добавляет разграничители для столбцов.

С помощью инструментов в разделе Shadow задайте параметры тени карточек.

Color - цвет тени,

Depth - размер тени.

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Диаграммы

На этой вкладке Вы можете задать такое свойство диаграммы как прозрачность, установив флажок Transparent.

Data View - Print Data - Report Formatter - Charts

Все внесенные изменения отображаются на образце, расположенном в правой части формы.


Задание опций отчета

Опции

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Design Report [image] на панели инструментов и выберите пункт Preferences item.

Data View - Print Data - Report options

В разделе Show выберите элементы, которые будут отображаться на предварительном просмотре.

Margins - поля.

Margins hints - сведения о размере поля.

Margins hints while dragging - сведения о размере поля, отображающиеся при его изменении с помощью перетаскивания.

Из раскрывающегося списка Measurement Units выберите единицы измерения, в которых будет измеряться размер поля. Это могут быть дюймы (inches), миллиметры (millimeters) или единицы, принятые по умолчанию на этом компьютере. (default).

Параметры масштаба укажите в разделе Zoom Parameters.

CheckBox Zoom on roll with IntelliMouse

Если установлен этот флажок, то Вы можете менять масштаб страницы, вращая колесико мышки и удерживая клавишу Ctrl.

Zoom Step

В этом счетчике задайте процент изменения масштаб страницы, при Zoom on roll with IntelliMouse.

Из раскрывающегося списка Margins Color выберите цвет полей страницы.

Заголовок отчета

В этом диалоговом окне Вы можете задать настройки заголовка печатаемого документа.

Чтобы открыть это окно, нажмите кнопку Title... на панели инструментов.

Data View - Print Data - Report options - Title

Mode

Из этого раскрывающегося списка выберите, как должен отображаться заголовок.

On the first page - на первой странице.

On every top page - на каждой странице.

Not displayed at all - не отображать

На вкладке Text укажите Текст заголовка.

Properties

CheckBox Transparent

Если установлен этот флажок, то заголовок будет прозрачным.

Цвет заголовка выберите из раскрывающегося списка Color. Вы можете изменить цвет, только если не установлен флажок CheckBox Transparent.

Нажмите кнопку Font, чтобы задать шрифт заголовка в стандартном диалоговом окне.

CheckBox Adjust on scale

Если установлен этот

If this option is selected, the title can be adjusted on scale.

Alignment

В разделе Alignment укажите выравнивание заголовка по горизонтали (Horizontally) и вертикали (Vertically).

Для восстановления значений по умолчанию, нажмите кнопку Restore Defaults.

Дата и время

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Date and Time.

В открывшемся диалоговом окне задайте настройки даты и времени для документа.

Data View - Print Data - Report options - Date and Time

Из списков Available Date Formats и Available Time Formats выберите формат даты и времени.

При необходимости, Вы можете указать, что дата и время будут обновляться автоматически, установив флажок Update automatically.

Чтобы применить форматы даты и времени, принятые в системе по умолчанию, нажмите кнопку Default.

Нумерация страниц

Вы можете задать нумерацию страниц печатного документа.

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Page Numbering.

Data View - Print Data - Report options - Page Number Format

Формат номера страницы выберите из раскрывающегося списка

RadioButton Continue from the previous section - продолжить нумерацию

RadioButton Start At - начать нумерацию. С какого значения необходимо начать нумерацию страниц, укажите в соответствующем поле.

Для восстановления значений по умолчанию, нажмите кнопку Defaults.

Масштаб

Параметры масштаб страницы укажите в этом окне.

Чтобы открыть это диалоговое окно, откройте раскрывающийся список Title [image] на панели инструментов и выберите пункт Setup zoom.

Data View - Print Data - Report options - Zoom

Выберите одно из часто используемых значений масштаба (500%, 200%, 150%, 100%, 75%, 50%, 25%, 10%) или укажите процент вручную в счетчике Percent.

RadioButton Page Width - по ширине страницы.

RadioButton Whole Page - целая страница.

RadioButton Two Pages - две страницы.

RadioButton Four Pages - четыре страницы.

RadioButton Many Pages = несколько страниц.

В разделе Preview отображаются принятые изменения.

Смотрите также:

Параметры страницы

Настройщик отчетов

Печать


Печать

Стандартное диалоговое окно Print позволит Вам настроить параметры печати.

Это окно открывается при нажатии кнопки btnPrintSetup на панели инструментов, или клавиш Ctrl+P.

Data View - Print Data - Print dialog

Чтобы начать печать, нажмите кнопку Print.

Если Вы хотите изменить параметры страницы, то нажмите кнопку Page Setup. В появившемся диалоговом окне Page Setup задайте необходимые настройки.

Смотрите также:

Параметры страницы

Настройщик отчетов

Задание опций отчета


Редактор данных типа BLOB

Если в таблице содержатся поля, имеющие тип данных BLOB (к этому типу относятся такие типы как: blob, clob, bfile, nclob), то в просмотрщике данных появляется дополнительная вкладка Blob View. На этой вкладке можно редактировать любой тип данных, относящихся к BLOB. Для каждого типа создана своя вкладка:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Редактировать как XML

Редактировать как PDF

Data View - BLOB View

Работа с записями на вкладке Blob View.

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Просмотрщик данных

Редактор таблиц

Редактор представлений

Редактор запросов

Дизайнер запросов


Редактировать в шестнадцатеричном представлении

На вкладке Hexadecimal Вы можете просмотреть и отредактировать информацию, содержащуюся в одной ячейке поля типа BLOB. В левой части формы содержимое ячейки представлено в шестнадцатеричном виде (шестнадцатеричные значения байтов), а в правой - в виде обычного текста.

Data View - BLOB View - Hexadecimal

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.


Редактировать как текст

На вкладке Text содержимое ячейки представлено в виде обычного текста, доступного для редактирования.

Data View - BLOB View - Text

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.


Редактировать как RTF

На вкладке Rich Text текст представлен в виде RTF (Rich Text Format). Его можно форматировать: изменять шрифт, менять начертание и размер шрифта, добавлять списки, устанавливать междустрочные интервалы и т.п.

Data View - BLOB View - Rich Text

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.


Редактировать как изображение

Если поле в базе данных имеет тип image, то добавить в это поле изображение, а также просмотреть его можно на вкладке Image инструмента Blob View.

Data View - BLOB View - Image

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.

На панели в нижней части формы отображается информация о размере и формате изображения.


Редактировать как HTML

Если тип данных в ячейке HTML, то редактировать удобнее всего будет на вкладке HTML.

Data View - BLOB View - HTML

Для перемещения по записям используйте стандартную панель инструментов просмотрщика данных. На этой же панели располагаются кнопки сохранения изменений, отмены сохранения изменений, добавления и удаления записей.

Кнопки для работы с данными типа BLOB вынесены на панель инструментов вкладки Blob View.


Редактировать как XML

Вкладка XML позволяет вам просматривать и редактировать данные XML (eXtensible Markup Language).

Data View - BLOB View - XML

Данные на вкладке XML представлены в виде дерева.

Столбцы вкладки:

Name - имя подузла,

Unique - является ли он уникальным,

Attributes - атрибуты,

Value - значения.

Вы можете изменять структуру узлов с помощью перетаскивания или контекстного меню.

Контекстное меню открывается при нажатии правой кнопкой мышки на рабочей области. С его помощью Вы можете:

  • Add a node (child relatively to the selected one) - добавить узел (подузел выбранного),
  • Remove selected node - удалить выбранный узел,
  • Copy selected node source to clipboard - копировать родительский узел выбранного узла в буфер обмена,
  • Cut selected node - вырезать выбранный узел в буфер обмена,
  • Copy selected node - копировать выбранный узел в буфер обмена,
  • Paste a node from clipboard - вставить узел из буфера обмена.

Нажмите кнопку [image], чтобы добавить или изменить атрибуты выбранного элемента.

Data View - BLOB View - XML - Item attributes

Используйте кнопки btnAddItem btnRemoveItem, чтобы добавить или удалить атрибут.

Важно: Если при перетаскивании элемента удерживать клавишу Shift, то объект будет вставлен, как подчиненный выбранному.

Смотрите также:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Применение изменений


Редактировать как PDF

На вкладке PDF вы можете просматривать PDF документы, iconLoadFromFile загружать их из файла и btnSave сохранять в файл. Для работы с PDF необходимо иметь установленный Adobe Acrobat Reader, функционал которого используется в этом просмотрщике.

Data View - BLOB View - PDF

Смотрите также:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Редактировать как XML


Применение изменений

После внесения необходимых изменений, нажмите кнопку Post Edit btnPostEdit на панели инструментов, чтобы сохранить внесенные изменения. Если Вы не хотите сохранять изменения, то нажмите кнопку Cancel Edit btnCancelEdit.

Data View - Applying changes

Смотрите также:

Редактировать в шестнадцатеричном представлении

Редактировать как текст

Редактировать как RTF

Редактировать как изображение

Редактировать как HTML

Редактировать как XML


Конструктор фильтров

В SQL Manager for Oracle имеется специальный инструмент для задания условий отбора данных в таблице просмотрщика данных. С помощью конструктора фильтров Вы можете не только создать условие отбора любого уровня сложности, но и сохранить его в файл и загрузить из файла (см. Кнопки конструктора фильтров), что позволяет многократно использовать один фильтр.

Запуск конструктора фильтров

Работа с условиями

Работа с группами

Применение фильтра

Filter Builder dialog - Setting filter criteria

Смотрите также:

Просмотрщик данных


Запуск конструктора фильтров

Конструктор фильтров можно открыть двумя способами:

  • с помощью кнопки Filter data btnSetFilter на Панели работы с записями,
  • с помощью кнопки Customize.... на панели в нижней части таблицы.

Если для таблицы установлен фильтр, то в нижней части появляется специальная панель, на которой отображается условие фильтра.

С помощью этой панели можно:

  • удалить фильтр - нажав на кнопку btnClose ,
  • включить фильтр - установить флажок,
  • изменить условия фильтрации с помощью кнопки Customize.... Эта кнопка и открывает конструктор фильтров.

Data View - Grid View - Filtering records - Filtering panel

Кроме того, на этой панели в кратком виде отображаются условия фильтра, а также история модификации, которая открывается при нажатии на кнопку раскрывающегося списка.


Работа с условиями

Добавить новое условие можно двумя способами:

  • нажать кнопку press the button to add condition,
  • выбрать из меню, открывшегося при нажатии кнопки Filter пункт Add Condition.

Условия можно объединять в группы.

Отношение между группами определяется групповым оператором, который выбирается из списка, открывающегося по нажатию на надпись AND.

Надпись после AND указывает на группу, в которой находятся условия. Идентификатор главной группы - <root>.

Filter Builder dialog - Setting group operator

Далее необходимо указать одно или несколько условий отбора данных. Каждая строчка - это одно условие.

Добавить или удалить условие можно с помощью меню,

которое открывается при нажатии на кнопку EllipsisButton .

  • добавить условие - Add Condition,
  • добавить группу - Add Group,
  • удалить группу или условие - Remove Row.

По нажатию на надпись, выделенную зеленым цветом, открывается список полей таблицы, запроса или представления. Из списка выбираем то поле, для которого хотим указать условие отбора.

Filter Builder dialog - Setting filter criteria

Нажав на следующую надпись, выбираем оператор из раскрывающегося списка.

Filter Builder dialog - Setting filter operator

В списке содержатся следующие операторы:

  • равно - equals,
  • не равно - does not equal,
  • больше - is greater than,
  • больше или равно - is greater than or equal to,
  • меньше - is less than,
  • меньше или равно - is less than or equal to,
  • похоже (для текстовых полей) - like,
  • не похоже (для текстовых полей) - not like,
  • пустые - is blank,
  • не пустые - is not blank,
  • между <значение> и <значение> - between,
  • не между - not between,
  • в - in,
  • не в - not in.

(по умолчанию для числовых полей и полей типа datetime стоит оператор equals, для текстовых - like)

Для полей типа Дата в этом списке появляется ещё несколько операторов:

  • вчера - is yesterday,
  • сегодня - is today,
  • завтра - is tomorrow,
  • на прошлой неделе - is last week,
  • в прошлом месяце - is last month,
  • в прошлом году - is last year,
  • на этой неделе - is this week,
  • в этом месяце - is this month,
  • в этом году - is this year,
  • не следующей неделе - is next week,
  • в следующем месяце - is next month,
  • в следующем году - is next year.

Выбрав оператор, необходимо указать критерий отбора. При нажатии на надпись <empty> вместо этой надписи появляется поле для ввода значения. Тип поля соответствует типу данных. Для текста это текстовое поле, для числовых - счетчик, для даты и времени - календарь. Используйте символ "%" для указания любого набора символов и символ "_" для обозначения любого символа.

Filter Builder dialog - Setting filter criteria values

Для операторов between и not between появляется два поля ввода, так как нужно указать интервал.

В поле указываем последовательность символов. При выполнении условия отбираются только те значения, которые отвечают указанному условию.

Например, оператор Вы выбрали is greater than (больше), а в поле указали 100. Следовательно, в таблице будут отображаться только те строки, в которых это значение больше 100.


Работа с группами

Условий для фильтра можно задавать несколько, а также объединять эти условия в группы и задавать отношения между группами условий.

Группы имеют иерархическую структуру. Групповой оператор распространяется на те группы, которые находятся внутри той группы, для которой он установлен.

В каждой группе задаются условия для одного поля.

Filter Builder dialog - Adding a new group

Добавить группу можно с помощью пункта Add Group контекстного меню, открывающегося при нажатии кнопки EllipsisButton .

Отношение между группами определяется групповым оператором, который выбирается из списка, открывающегося по нажатию на надпись AND.

Filter Builder dialog - Setting group operator

Групповых операторов четыре:

  • AND - одновременно должны выполняться все группы условий,
  • OR - выполняться должна хотя бы одна группа условий,
  • NOT AND - не должно выполняться хотя бы одно из перечисленных условий,
  • NOT OR - не должно выполняться ни одно из перечисленных условий.


Кнопки конструктора фильтров

Файл фильтра имеет расширение .flt. Открыть такой файл можно с помощью кнопки Open, расположенной внизу формы. Кнопка Save As позволяет сохранять созданный фильтр в файл.

Чтобы применить созданный фильтр, используйте кнопки Ok или Apply. При нажатии на Ok конструктор закроется, при нажатии на Apply останется открытым, и Вы сможете, исходя из результатов, исправить созданный фильтр.

Filter Builder dialog - Applying filter conditions

Кнопка Cancel закрывает конструктор без сохранения изменений.


Средства импорта и экспорта данных

SQL Manager for Oracle предоставляет пользователю набор инструментов для быстрого и удобного импорта и экспорта данных.

Экспорт данных

Экспорт данных осуществляется в файлы различных форматов. В том числе: MS Excel, MS Access, RTF, HTML, PDF и др.

Импорт данных

Импортирует данные из файлов разных форматов: MS Excel, MS Access, Word, DBF, TXT, and CSV, HTML, XML Document, ODF Spreadsheets, ODF Text.

Экспорт в виде SQL скрипта

Экспорт данных в SQL скрипт как набор операторов INSERT.

Использование шаблонов

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Работа с данными

Средства импорта и экспорта данных

Инструменты для работы с базой данных

Службы

Инструменты работы с сервером

Настройки

Как...


Мастер экспорта данных

Мастер экспорта данных - Export Data Wizard - позволяет экспортировать данные из таблиц, представлений, результатов запроса в файлы самых распространенных форматов.

Экспорт данных можно осуществлять только из тех редакторов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Дизайнер запросов .

Этот инструмент открывается с помощью кнопки [image] Export Data, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results.

Также эта команда присутствует в контекстном меню объектов таблицы и представления, в проводнике баз данных и в подменю пункта Data Manipulation.

Задание имени и формата выходного файла

Выбор экспортируемых полей

Настройка форматов данных

Установка колонтитулов

Задание особенностей форматов

Задание общих опций экспорта

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта в виде SQL скрипта

Мастер импорта данных

Использование шаблонов


Задание имени и формата выходного файла

На этом шаге мастера экспорта данных необходимо:

  • выбрать формат выходного файла - в разделе Destination format - установив переключатель напротив нужного формата,
  • в поле Destination file name указываете имя выходного файла и путь к нему с помощью кнопки btnSaveAs .

Export Data - Setting destination file name and format

Следующий шаг

Шаблоны


Выбор экспортируемых полей

На этом шаге необходимо из списка всех полей таблицы или представления выбрать те, которые Вы хотите экспортировать.

Из списка Available fields выберите доступные поля и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available переместите их в список экспортируемых полей - Selected fields. Если не выбрать ни одного поля, то по умолчанию будут экспортированы все поля.

Установленный флажок Allow Captions указывает на то, что заголовки столбцов будут вынесены в первую строку.

Export Data - Selecting fields for export

Следующий шаг

Шаблоны


Настройка форматов данных

На третьем шаге Вы задаете, в каком формате будут отображаться данные.

Export Data - Adjusting data formats

Форматы отображения Вы можете задать для следующих форматов данных:

  • Integer format - Целое число,
  • Float format - Число с плавающей точкой,
  • Date format - Дата,
  • Time format - Время,
  • DateTime format - Дата и время,
  • Currency format - Денежный,
  • Boolean True - Истина,
  • Boolean False - Ложь,
  • Null string - Строка NULL.

Для некоторых типов данных дополнительно можно указать разделители разрядов:

Decimal Separator - разделитель для десятичных чисел,

Date Separator - разделитель для даты,

Thousand Separator - разделитель разрядов числа,

Time Separator - разделитель для времени.

Следующий шаг

Шаблоны


Установка колонтитулов

На этом шаге можно задать текст, который будет отображаться в верхнем и нижнем колонтитулах выходного файла.

Export Data - Setting header and footer

Если вы выбрали формат файла, не поддерживающий колонтитулы, то этого шага не будет.

В поле Header text указываете текст верхнего колонтитула.

В поле Footer text - нижнего.

Этот текст будет повторяться на каждой странице выходного файла.

При экспорте результата выполнения запроса, созданного в Редакторе запросов и Визуальном конструкторе запросов можно добавить текст самого запроса в верхний и нижний колонтитулы получаемого файла. Для этого на форме появятся кнопки Add to Header и Add to Footer.

Export Data - Setting header and footer - Add to header and footer

Следующий шаг

Шаблоны


Задание особенностей форматов

Набор опций на пятом шаге определяется выбранным форматом выходного файла.

Для следующих форматов можно указывать различные свойства на пятом шаге:

Excel 97-2003

Access 97-2003

Word / RTF

HTML

PDF

TXT

CSV

XML

Excel/ODS

Word/ODT

Следующий шаг


Особенности экспорта в Excel

Если данные будут экспортированы в файл формата Excel (*.xls), то на пятом шаге Вы можете указать следующие свойства:

  • формат данных - на вкладке Data format,
  • расширения - на вкладке Extensions,
  • оформление - на вкладке Advanced.

Export Data - Format-specific options - Excel

Следующий шаг

Для того чтобы каждый раз при экспортировании не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Оформление таблицы и данных

Вкладка Data format содержит инструменты, необходимые для форматирования ячеек выходного файла.

Вы можете задавать такие параметры как шрифт, выравнивание, границы и т.д. для всех типов ячеек (ячеек с данными, заголовков, ссылок и т.д.). Можно также создавать стили, которые могут быть применены ко всем типам ячеек.

Оформление Полей

Опции

Стили

Шаблоны


Оформление полей

На вкладке Fields для каждого поля Вы можете указать совокупность параметров, определяющих его внешний вид.

Export Data - Format-specific options - Excel - Data Format - Fields

Все инструменты, отвечающие за настройки шрифта, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата одна из кнопок [image] [image] [image] [image] , значит соответствующая граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы выберите узор.

Кнопка [image] позволяет выбрать цвет узора

На вкладке Aggregate Вы можете задать для столбца одну итоговую функцию. Это значит что для данных в столбце будет найдено:

Export Data - Format-specific options - Excel - Data Format - Fields - Aggregate

RadioButton сумма - SUM,

RadioButton или среднее арифметическое - AVG,

RadioButton или минимальное значение - MIN,

RadioButton или максимальное значение - MAX.

В окне, расположенном ниже, Вы можете видеть все изменения, производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Опции

На вкладке Options есть возможность задать свойства вспомогательного текста:

  • верхний колонтитул - HEADER,
  • заголовок - CAPTION,
  • итоговые функции - AGGREGATE,
  • нижний колонтитул - FOOTER,
  • ссылка - HYPERLINK.

Export Data - Format-specific options - Excel - Data Format - Options

Все инструменты, отвечающие за шрифт, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата одна из кнопок [image] [image] [image] [image] , значит соответствующая граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы можете выбрать узор.

Кнопка [image] позволяет выбрать цвет узора

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Стили оформления

Вы можете создать собственный набор стилей, которые будут использоваться для оформления столбцов и строк.

Стили создаются на вкладке Styles.

С их помощью Вы можете оформить таблицу, задав различный цвет для столбцов или строк.

Чтобы создать стиль необходимо нажать на кнопку iconPlus , чтобы удалить - на iconMinus .

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip style определяет, как будут применены созданные стили:

  • None - не применен,
  • Col - к столбцам,
  • Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Export Data - Format-specific options - Excel - Data Format - Styles

Все инструменты, отвечающие за шрифт, находятся на вкладке Font:

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выбираете один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

На вкладке Borders Вы можете задать толщину и вид границ ячеек.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

Если нажата одна из кнопок [image] [image] [image] [image] , значит соответствующая граница будет отображаться. Для верхней, нижней, правой и левой границы отдельная кнопка.

Из раскрывающихся списков выберите тип границы (одинарная, двойная, пунктирная и т.д.). Нажав на кнопку [image] , Вы можете задать для границы цвет.

На вкладке Fill Вы можете задать фоновый узор ячейки.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

Кнопка [image] отвечает за цвет фона.

Из раскрывающегося списка Вы выберите узор.

Кнопка [image] позволяет выбрать цвет узора

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного поля и для всех полей соответственно.


Расширения

Вкладка Extensions позволяет:

создавать ссылки в ячейках - объекты Hyperlinks,

создавать примечания для любой ячейки выходного файла - Notes,

задавать свойства диаграммы - Charts,

определять значение и тип ячейки - Cells,

указывать какие ячейки следует объединить - Merged Cells

Все эти объекты представлены в виде иерархического списка.

Чтобы создать объект необходимо нажать на кнопку "+", чтобы удалить - на "-".

Шаблоны


Ссылки

На этой вкладке Вы можете изменять параметры созданной гиперссылки.

Export Data - Format-specific options - Excel - Extensions - Hyperlinks

Важно: Если Вы создали гиперссылку, то её название, указанное в поле Title, заменит содержимое ячейки, для которой Вы её создали.

Свойства гиперссылки:

С помощью счетчиков Col и Row Вы задаете ту ячейку, в которой будет находиться гиперссылка.

Col - номер столбца, Row - номер строки.

В разделе Style выберите тип ссылки:

RadioButton URL - адрес в интернете,

RadioButton Local file - файл на компьютере, на котором запущен SQL Manager for Oracle, или в локальной сети.

В поле Title укажите имя гиперссылки.

В поле Target задайте путь к файлу или web странице.

Кнопка [image] позволяет выбрать файл из имеющихся на компьютере или в локальной сети.


Примечания

Примечание представляет собой какие-либо замечания, относящиеся к ячейке и хранящиеся независимо от содержимого этой ячейки. Ячейки с примечаниями помечаются треугольником в правом верхнем углу. При наведении указателя на ячейку, помеченную таким образом, отображается примечание.

Для создания примечаний к ячейкам выходного файла на вкладке Extensions существует вкладка Notes.

Параметры каждого примечания Вы можете задать на вкладках Base, Font и Fill.

Export Data - Format-specific options - Excel - Extensions - Notes - Base

Вкладка Base

С помощью счетчиков Col и Row Вы можете задать ту ячейку, в которой будет находиться примечание. Col - номер столбца, Row - номер строки.

В поле Text пишете текст примечания.

Все инструменты, отвечающие за шрифт примечания, находятся на вкладке Font:

Export Data - Format-specific options - Excel - Extensions - Notes - Font

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), подчеркивание (сплошное одинарное, не сплошное одинарное, сплошное двойное, не сплошное двойное), выравнивание текста по горизонтали и выравнивание текста по вертикали.

В разделе Orientation выбирается ориентация текста в окне примечания.

На вкладке Fill Вы можете задать вид фона окна примечания.

Export Data - Format-specific options - Excel - Extensions - Notes - Fill

RadioButton Solid - фон однородный,

RadioButton Gradient - будет использован градиент фонового цвета,

  • Horizontal - горизонтальный,
  • Vertical - вертикальный,
  • Diagonal Up - диагональная_1,
  • Diagonal Down - диагональная_2,
  • From Corner - из угла,
  • From Center - от центра.

Кнопка [image] отвечает за цвет фона.

Кнопка [image] позволяет выбрать цвет узора.

Передвигая ползунок Transparency от отметки 0% до 100%, Вы можете задать степень прозрачности окна примечания. 100% - наибольшая степень прозрачности.


Диаграммы

Вы можете создать диаграмму в выходном файле Microsoft Excel.

Для этого на вкладке Extensions нужно создать объект Chart.

Export Data - Format-specific options - Excel - Extensions - Charts - Base

Основные свойства диаграммы можно задать на вкладке Base.

В поле Title указываете имя диаграммы.

Из раскрывающегося списка Style выберите тип диаграммы. Список состоит из стандартных типов диаграмм, таких как гистограмма, круговая, точечная и т.д.

В разделе Legend position укажите положение легенды:

RadioButton Bottom - под диаграммой,

RadioButton Corner - в углу,

RadioButton Top - над диаграммой,

RadioButton Right - справа от диаграммы,

RadioButton Left - слева от диаграммы.

CheckBox Если установлен флажок Show legend, то легенда будет отображаться.

CheckBox Если установлен Флажок Auto color, то на диаграмме каждая серия будет выделена своим цветом. Если не установлен, то все серии будут одного цвета.

На вкладке Position задается расположение диаграммы на листе.

Export Data - Format-specific options - Excel - Extensions - Charts - Position

RadioButton Автоматическое - Auto:

В разделе Placement указывается положение диаграммы относительно данных.

RadioButton Bottom - под данными,

RadioButton Right - справа от данных.

Ниже, с помощью счетчиков, указываются размер диаграммы и отступы сверху и слева в сантиметрах.

Left - расстояние до данных слева,

Top - расстояние до данных сверху,

Height - высота диаграммы,

Width - ширина диаграммы.

RadioButton В разделе Custom можно указать абсолютное положение диаграммы.

На вкладке Category Labels Вы можете указывать, в каких строках и столбцах строить диаграмму.

Из раскрывающегося списка Column выберите столбец таблицы, который будет являться осью X в диаграмме.

Или с помощью счетчиков раздела Custom укажите диапазон ячеек.

Export Data - Format-specific options - Excel - Extensions - Charts - Category Labels

Для того, чтобы построить диаграмму, необходимо создать объект Series. Без него невозможно построить диаграмму.

Этот объект указывает на те значения, которые будут располагаться в диаграмме по оси Y.

Для одной диаграммы может быть создано несколько серий.

Свойства серий задаются на специальной вкладке:

Export Data - Format-specific options - Excel - Extensions - Series

Title - название серии,

Column - столбец таблицы, значения которого будут образовывать серию.

Или с помощью счетчиков раздела Custom указываете диапазон ячеек.

Нажав на кнопку [image] , Вы можете задать для серии цвет.


Ячейки

На этой вкладке Вы можете задать формат ячейки и значение, которое в ней будет находиться.

В счетчике Col укажите номер столбца, в Row - строки. На их пересечении будет находиться редактируемая ячейка.

Тип ячейки выберите из раскрывающегося списка Cell type. В поле Value задаете значение, которое будет находиться в этой ячейке.

В разделе Formats укажите, в каком виде будут отображаться данные, если они являются числовыми или датой.

В поле Data укажите вид, в котором должны отображаться данные типа дата и время, а в поле Numeric - укажите формат числовых значений.

Export Data - Format-specific options - Excel - Extensions - Cells

Инструменты, располагающиеся на вкладках Font, Borders и Fill соответствуют инструментам на вкладке Fields.


Объединенные ячейки

С помощью набора инструментов раздела Merged Cells Вы можете объединить ячейки в выходном документе.

Export Data - Format-specific options - Excel - Extensions - Merged Cells

При необходимости можно создать несколько объединенных ячеек. Для этого на вкладке Extensions необходимо создать несколько объектов Merged Cells.

С помощью счетчиков задаете ячейки, которые необходимо объединить:

  • First col - первый столбец,
  • First row - первая строка,
  • Last col - последний столбец,
  • Last row - последняя строка.


Оформление страницы

На вкладке Advanced Вы можете задать общие свойства страницы:

  • верхний колонтитул страницы - в поле Page header,
  • нижний колонтитул страницы - в поле Page footer,
  • название листа - в поле Sheet title,
  • фон страницы - с помощью раскрывающегося списка Page background.

Export Data - Format-specific options - Excel - Advanced

Если установлен флажок Calculate column width automatically, то ширина столбцов задается автоматически исходя, из размеров поля.

Шаблоны


Особенности экспорта в Access

Если данные экспортируются в Access, то на пятом шаге необходимо будет указать опции таблицы.

Export Data - Format-specific options - Access

В поле Table name указать имя таблицы. Если не существует таблицы с таким именем, то её можно создать, установив флажок Create new table if it does not exist.

Следующий шаг

Шаблоны


Особенности экспорта в Word / RTF

При экспорте данных в документ Microsoft Word можно указать следующие свойства выходного файла:

  • Базовые стили
  • Стили оформления строк

Export Data - Format-specific options - Word

Следующий шаг

Шаблоны


Базовые стили

На вкладке Base Styles Вы можете указать основные свойства выходного документа.

Из списка выберите объект, для которого необходимо задать свойства:

верхний колонтитул - HEADER,

заголовок - CAPTION,

нижний колонтитул - FOOTER,

ссылка - HYPERLINK.

В разделе Page orientation установите ориентацию страницы:

RadioButton Portrait - книжная,

RadioButton Landscape - альбомная.

Export Data - Format-specific options - Word - Base Styles

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), выравнивание текста по горизонтали и выравнивание текста по вертикали.

Кнопка [image] отвечает за цвет фона.

CheckBox Если установлен флажок Background, то цвет фона будет отображаться в выходном файле.

Кнопка [image] позволяет выбрать цвет, которым будет выделен текст.

CheckBox Если установлен флажок Highlight, то в выходном файле текст будет выделен указанным цветом.

В окне, расположенном ниже, Вы можете видеть все изменения производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного объекта и для всех объектов соответственно.


Стили оформления строк

На вкладке Styles Вы можете создать собственный набор стилей, которые будут использоваться для оформления столбцов и строк.

С их помощью Вы можете оформить таблицу, задав различный цвет для столбцов или строк.

Export Data - Format-specific options - Word - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку iconPlus , чтобы удалить - на iconMinus .

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip style определяет, как будут применены созданные стили:

  • None - не применен,
  • Col - к столбцам,
  • Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выберите один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое), выравнивание текста по горизонтали и выравнивание текста по вертикали.

Кнопка [image] отвечает за цвет фона.

CheckBox Если установлен флажок Background, то цвет фона будет отображаться в выходном файле.

Кнопка [image] позволяет выбрать цвет, которым будет выделен текст.

CheckBox Если установлен флажок Highlight, то в выходном файле текст будет выделен указанным цветом.

В окне, расположенном ниже, Вы можете видеть все изменения, производимые с полем. Они отображаются на образце текста.

Кнопки Reset Item и Reset All позволяют отменить изменения для одного стиля и для всех стилей соответственно.


Особенности экспорта в HTML

Если Вы экспортируете данные в формате HTML, то для выходного файла Вы можете задать следующие характеристики:

  • оформление таблицы в выходном файле можно выбрать из предлагаемых форматов на вкладке Preview,
  • основные свойства выходного файла можно указать на вкладке Basic,
  • свойства многостраничного документа можно задать на вкладке Multi-file,
  • шрифт и формат ячеек таблицы укажите на вкладке Advanced.

Export Data - Format-specific options - Word - Strip Styles

Следующий шаг


Автоформат

На вкладке Preview Вы можете задать внешний вид таблицы данных.

Из раскрывающегося списка Template можно выбрать уже готовый шаблон оформления документа. В окне предпросмотра показано, как будет выглядеть итоговая таблица, если к ней применить выбранный шаблон оформления.

Export Data - Format-specific options - HTML - Preview

Для того, чтобы изменить шаблон, достаточно нажать на любой элемент в окне предпросмотра. При нажатии на элемент появится стандартная палитра, из которой можно выбрать нужный цвет для этого элемента.

Можно изменять цвет текста, цвет фона и различных видов гиперссылок.

Внесенные изменения можно сохранить в виде шаблона с помощью кнопки Save template. В этом случае при следующем экспортировании Вы уже сможете воспользоваться готовым шаблоном, загрузив его с помощью кнопки Load template.


Базовые опции

Свойства выходного файла Вы можете задать на вкладке Basic.

Название выходного HTML файла указывается в поле Title. По умолчанию оно соответствует имени экспортируемого объекта.

В разделе Cascade style sheet options можно выбрать место хранения таблицы стилей:

Internal - означает, что стили будут храниться в самом выходном HTML файле,

External - для таблицы стилей будет создан отдельный файл формата *.css.

В поле CSS file name укажите имя CSS файла, а также выберите, куда его сохранить, с помощью кнопки EllipsisButton.

Если установлен флажок Overwrite CSS file if it exist, то при создании нового CSS файла существующий будет заменен новым.

Export Data - Format-specific options - HTML - Basic

Установив флажок Export boolean fields as HTML check boxes, Вы указываете, что все поля таблицы, которые имеют формат boolean, в выходном файле будут отображаться в виде флажков.


Многостраничный документ

SQL Manager for Oracle позволяет экспортировать таблицы, содержащие любое количество записей. Для того чтобы в выходном HTML файле было удобно просматривать таблицы с большим количеством записей при экспорте Вы можете указать, что выходной файл будет многостраничным, а также указать количество строк на каждой странице.

В разделе Multi-file export Вы можете задать параметры выходного многостраничного документа:

CheckBox Use Multi-file export. Установив этот флажок, Вы указываете, что создаваемый HTML документ будет многостраничным, в счетчике Record(s) in a single file Вы устанавливаете, сколько записей будет содержаться на каждой странице.

CheckBox Если флажок Generate index установлен, то будет создана страница содержания, в которой будут ссылки на все страницы с данными. В поле пишете название страницы, которое будет отображаться в содержании рядом с номером страницы.

Export Data - Format-specific options - HTML - Multi-file

В многостраничном HTML документе должна существовать система перехода от одной страницы к другой, а также к содержанию.

Раздел Navigation становится активным только если выбрана опция Use multi-file export.

В разделе Navigation задайте свойства навигационных элементов управления, то есть тех, которые обеспечивают переход между страницами документа. Навигация по многостраничному документу обеспечивается с помощью ссылок, которые выстроены в одну строку. Эту строку можно поместить:

CheckBox вверху страницы - установив флажок On top,

CheckBox внизу страницы - установив флажок On bottom.

Далее в текстовых полях указывается текст ссылок:

  • Index link - текст ссылки на страницу содержания,
  • First link - текст ссылки на первую страницу с данными,
  • Prior link - текст ссылки на предыдущую страницу с данными,
  • Next link - текст ссылки на следующую страницу с данными,
  • Last link - текст ссылки на последнюю страницу с данными.


Оформление выходного файла

Как будет выглядеть выходной файл, можно задать с помощью инструментов на вкладке Advanced.

В разделе Body options задаются свойства для всей страницы:

Export Data - Format-specific options - HTML - Advanced

Body options

  • шрифт всех страниц выходного файла - Default font,
  • фон документа (с помощью кнопки EllipsisButton в качестве фона можно установить любое изображение) - Background,
  • Advanced attributes - внешние атрибуты страницы

В разделе Table Options Вы можете указать некоторые свойства таблицы данных, такие как:

  • отступ ячейки - счетчик Cell padding,
  • расстояние между ячейками - Cell spacing,
  • внешняя границы таблицы - Border
  • фон таблицы (с помощью кнопки EllipsisButton в качестве фона можно установить любое изображение) - Background,
  • Advanced attributes - внешние атрибуты таблицы.


Особенности экспорта в PDF

Если данные будут экспортированы в файл формата PDF, то на пятом шаге Вы можете указать следующие свойства:

Export Data - Format-specific options - PDF

Из списка выберите объект, для которого необходимо задать вид шрифта:

Верхний колонтитул - Header font,

Заголовок - Caption font,

Ссылка - Hyperlink.

Нижний колонтитул - Footer font.

Из раскрывающегося списка Base font name выберите нужный шрифт. Кодировку выберите из списка Font encoding.

В счетчике Font size укажите размер шрифта.

Кнопка Font color отвечает за цвет шрифта.

В поле, расположенном ниже, Вы можете видеть все изменения производимые с объектом. Они отображаются на образце текста "SAMPLE".

В разделе Page options можно задать свойства страницы:

  • из раскрывающегося списка Page size выберите размер страницы. По умолчанию стоит размер А4,
  • ширина страницы указывается в счетчике Width,
  • высота - в счетчике Height,
  • в раскрывающемся списке Units содержатся единицы измерения, в которых указан размер страницы,
  • из раскрывающегося списка Orientation выберите ориентацию страницы: (Portrait - книжная, Landscape - альбомная).

В разделе Margins можно задать размер полей страницы:

Left - левого,

Right - правого,

Top - верхнего,

Bottom - нижнего.

Grid options. В этом разделе можно задать некоторые свойства таблицы:

Col spacing - количество пробелов для выравнивания столбца,

Row spacing - количество пробелов для выравнивания строки,

Line width - толщина линий таблицы.

Следующий шаг

Шаблоны


Особенности экспорта в TXT

Если данные будут экспортированы в файл формата TXT, то на этом шаге Вы можете указать следующие свойства:

Export Data - Format-specific options - TXT

CheckBox В выходном файле автоматически будет вычисляться ширина столбцов, если установить флажок Calculate column width,

расстояние между ячейками можно задать, используя счетчик Spacing.

Следующий шаг

Шаблоны


Особенности экспорта в CSV

Если данные будут экспортированы в файл формата CSV, то на этом шаге Вы можете указать следующие свойства:

Export Data - Format-specific options - CSV

CheckBox Если установлен флажок Quote strings, то каждое значение, содержащееся в ячейке, будет заключено в кавычки;

CheckBox Если установлен флажок Quote captions, то все заголовки в выходном файле будут заключены в кавычки.

Из раскрывающегося списка Quote Вы можете выбрать вид кавычек - одинарные или двойные;

Из раскрывающегося списка Comma можно выбрать разделитель столбцов.

Следующий шаг

Шаблоны


Особенности экспорта в XML

Если данные будут экспортированы в файл формата XML, то на пятом шаге Вы можете указать следующие свойства:

Export Data - Format-specific options - XML

  • кодировку - выбирается из раскрывающегося списка Encoding,
  • если установлен флажок Standalone., то использоваться будет внешняя кодировка.

Из раскрывающегося списка XML type выберите используемый тип XML. Если выбран тип Access, то можно установить флажок Export XSD Schema, который позволит экспортировать и XSD схему.

Следующий шаг

Шаблоны


Особенности экспорта в Excel 2007/ODS

Если данные будут экспортированы в файл формата Excel 97-2003 или ODS, то на этом шаге Вы можете параметры отображения текста.

Export Data - Format-specific options - Excel 2007 - Base Styles

Задавать параметры оформления стандартных разделов файла Вы можете на вкладке Base Style.

Изменять Вы можете следующие разделы:

  • HEADER - верхний колонтитул,
  • CAPTION - заголовок,
  • DATA - данные,
  • FOOTER - нижний колонтитул.

На вкладке Strip Styles Вы задаете различный цвет для столбцов или строк.

Export Data - Format-specific options - Excel 2007 - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку "+", чтобы удалить - на "-".

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip type определяет, как будут применены созданные стили:

  • None - не применен,
  • Col - к столбцам,
  • Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Для каждого стиля, как стандартного, так и созданного, можно задавать следующие характеристики:

  • На вкладке Font задайте свойства шрифта редактируемого стиля.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выбираете один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое) и выравнивание текста по горизонтали и выравнивание текста по вертикали.

CheckBox Если установлен флажок Background, то появляется специальная кнопка [image] , открывающая стандартное окно для выбора цвета. Нажав на кнопку Wrap text, Вы указываете, что текст в ячейках будет переноситься по словам.

  • На вкладке Border задайте параметры границы:

Export Data - Format-specific options - Excel 2007 - Border

CheckBox Если хотите задать специальные параметры для границ ячеек, то установите флажок Use Border.

Нажав на кнопку [image] - Border Color, Вы можете задать для границы цвет. Из раскрывающегося списка Border Style выберите тип границы (одинарная, двойная, пунктирная и т.д.).


Особенности экспорта в Word 2007/ODT

Если данные будут экспортированы в файл формата Word 97-2003 или ODT, то на этом шаге Вы можете параметры отображения текста.

Export Data - Format-specific options - Word 2007 - Base Styles

Задавать параметры оформления стандартных разделов файла Вы можете на вкладке Base Style.

Изменять Вы можете следующие разделы:

  • HEADER - верхний колонтитул,
  • CAPTION - заголовок,
  • DATA - данные,
  • FOOTER - нижний колонтитул.

На вкладке Font задайте свойства шрифта редактируемого стиля.

Из раскрывающегося списка Font выберите нужный шрифт.

В списке Size укажите размер или выбираете один из предложенных.

С помощью кнопок, расположенных ниже, Вы можете задать цвет шрифта, начертание (жирное, курсив или перечеркнутое) и выравнивание текста по горизонтали и выравнивание текста по вертикали.

CheckBox Если установлен флажок Background, то появляется специальная кнопка [image] , открывающая стандартное окно для выбора цвета.

CheckBox Если установлен флажок Highlight, то из раскрывающегося списка можно выбрать цвет, которым будет выделен текст.

На вкладке Strip Styles Вы задаете различный цвет для столбцов или строк.

Export Data - Format-specific options - Word 2007 - Strip Styles

Чтобы создать стиль необходимо нажать на кнопку "+", чтобы удалить - на "-".

Менять порядок стилей можно с помощью кнопок btnMoveItemUp btnMoveItemDown .

При помощи следующих двух кнопок - Load Styles и Save styles - можно загрузить стили из файла и сохранить их в файл.

Переключатель Strip type определяет, как будут применены созданные стили:

RadioButton None - не применен,

RadioButton Col - к столбцам,

RadioButton Row - к строкам.

Если создать один стиль и выбрать Col или Row в переключателе Strip style, то стиль будет применен ко всей таблице.

Если создать два стиля и выбрать Col, то к нечетным столбцам будет применен первый стиль, к четным, соответственно - второй.

Для каждого стиля, как стандартного, так и созданного, можно задавать следующие характеристики:

На вкладке Border задайте параметры границы:

Export Data - Format-specific options - Word 2007 - Border

CheckBox Если хотите задать специальные параметры для границ ячеек, то установите флажок Use Border.

Нажав на кнопку [image] - Border Color, Вы можете задать для границы цвет. Из раскрывающегося списка Border Style выберите тип границы (одинарная, двойная, пунктирная и т.д.).


Задание общих опций экспорта

На предпоследнем шаге у Вас есть возможность задать общие свойства экспорта данных.

Export Data - Setting common export options

Constraints

CheckBox Export empty tables - установка этого флажка позволяет экспортировать пустую таблицу в файл.

Skip n records - Пропустить n записей. Если в счетчике стоит 0, то экспортированы будут все записи. Если же больше нуля, то первые n записей будут пропущены.

RadioButton Export all records - экспортировать все записи.

RadioButton Export only n records - этот счетчик позволяет экспортировать только указанное количество записей.

CheckBox Чтобы открыть файл после экспорта, установите флажок Open file after export.

CheckBox Print file after export - установив этот флажок, Вы можете распечатать файл после экспорта.

Следующий шаг

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Finish, для начала выполнения операции.

Export Data - Exporting data

В этом окне отображается следующая информация об операции:

  • Exported - количество экспортированных записей,
  • Time - время, затраченное на экспортирование записей,
  • Speed - скорость экспорта данных.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.

Шаблоны


Мастер импорта данных

Мастер импорта данных - Import Data Wizard - позволяет импортировать данные в таблицу, представление или результат запроса из файлов самых распространенных форматов.

Импорт данных можно осуществлять только с помощью тех редакторов, в которых есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Дизайнер запросов .

Этот инструмент открывается с помощью кнопки [image] Import Data, располагающейся на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results. Также эта команда присутствует в контекстном меню объектов таблицы и представления, в проводнике баз данных и содержится в подменю пункта Data Manipulation.

Указание файла источника данных

Выбор источника данных

Указание соответствия полей

Настройка форматов данных

Определение форматов полей

Выбор метода импорта

Настройка общих опций

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер экспорта в виде SQL скрипта

Использование шаблонов


Указание файла источника данных

На первом шаге мастера импорта данных Вы должны указать тип файла, из которого будет импортироваться информация, и путь к этому файлу.

Import Data - Selecting source file name and format

Import type с помощью переключателя выберите тип файла из доступных:

  • MS Excel,
  • MS Access,
  • DBF,
  • XML,
  • TXT,
  • CSV,
  • HTML,
  • XML Document,
  • MS Excel 97-2003,
  • MS Word 97-2003,
  • ODF Spreadsheets,
  • ODF Text.

Для файла имеющего формат CSV можно указать дополнительные свойства:

  • из раскрывающегося списка Quote Вы можете выбрать вид кавычек - одинарные или двойные;
  • из раскрывающегося списка Delimiter можно выбрать разделитель столбцов.

В строке Source file name укажите путь к файлу источнику. При нажатии на кнопку ExplorerButton открывается стандартное диалоговое окно позволяющее выбрать файл.

Следующий шаг

Шаблоны


Выбор источника данных

Этот шаг доступен только тогда, когда Вы импортируете данные из базы данных MS Access.

Import Data - Selecting data source

На этом шаге необходимо выбрать таблицу или запрос базы данных Access, или в редакторе запросов создать новый запрос к базе данных. Текст запроса можно загрузить из файла, используя кнопку Load from file, и сохранить в файл при помощи кнопки Save to File.

Установив переключатель в пункт I would like to import data from a table, Вы получаете возможность выбрать для импорта таблицу или запрос из базы данных.

Если переключатель установлен в пункт I would like to import data from a SQL query, то в редакторе запросов можно создать текст запроса к базе данных.

Следующий шаг

Шаблоны


Указание соответствия полей

При импорте данных в таблицу необходимо установить соответствие полей между таблицей, в которую данные будут импортироваться, и таблицей, из которой они импортируются.

Все операции по установлению этого соответствия проводятся на втором шаге (если импортируете данные из MS Access, то на третьем, так как существует дополнительный шаг).

Для каждого формата файлов существуют свои особенности установки соответствия полей:

Excel,

Access, DBF, XML,

TXT,

CSV,

HTML,

XML Document,

MS Excel 97-2003/ODF Spreadsheets,

Следующий шаг

Шаблоны


Excel

На этом шаге необходимо установить соответствие между столбцами с данными в книге MS Excel и полями в таблице.

Import Data - Setting fields correspondence - Excel

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа MS Excel. Поля, для которых уже указано соответствие, выделены жирным шрифтом.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы Excel.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconAutoFillRows - автоматически устанавливает соответствие между полем и строкой,

Кнопка iconCross - удаляет одно соответствие,

Кнопка iconClearAllRanges - удаляет все соответствия.

В разделе Skip можно указать строки и/или столбцы, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В счетчике Col(s) укажите, сколько столбцов, начиная с первого, следует исключить. В счетчике Row(s) - сколько строк.

Объект в списке Ranges можно открыть для редактирования двойным щелчком мыши.

Import Data - Setting fields correspondence - Excel - Range

В разделе Range Type задайте тип диапазона.

Из раскрывающегося списка выберите, будет ли это диапазон строк (Row) или столбцов (Col). Затем из списка, расположенного рядом, выберите начало диапазона.

В разделах Start и Finish задайте параметры начала и конца редактируемого диапазона.

Это можно сделать автоматически, установив флажок Where data started для начала и Where data Finished для конца диапазона. Или вручную указать номер строки или столбца в счетчиках Start Row и Finish Row.

Выберите направление считывания данных с помощью переключателя Direction.

  • Down - вниз,
  • Up - вверх.

Также можно указать лист в книге Microsoft Excel, на котором располагаются нужные данные. Если в разделе Sheet выбрать Default Sheet, то будут использованы данные первого листа. Если установить переключатель в положение Custom Sheet, то можно указать нужный лист по номеру (Sheet number) или по имени (Sheet name)

Следующий шаг

Для того чтобы каждый раз при импортировании не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


Access, DBF, XML

Для форматов Access, DBF и XML этот шаг одинаков.

Import Data - Setting fields correspondence - Access

В списке Destination Fields отображаются поля таблицы, в которую импортируются данные.

В списке Source Fields - поля таблицы, из которой импортируют данные.

С помощью кнопок между списками устанавливаются соответствия между полями. Они отображаются в списке соответствий, располагающемся в нижней части формы.

Кнопка iconPlus Add добавляет в список соответствий новое соответствие между выделенными полями.

Кнопка iconAutoFillColumns Auto Fill позволяет автоматически подобрать полям таблицы, в которую импортируются данные соответствующие поля из таблицы источника данных.

Нажав на кнопку iconMinus Remove, Вы удалите выделенное соответствие. Нажатие на кнопку iconCross Clear полностью очищает список соответствий.

При импорте данных из файла формата DBF появляется дополнительный флажок Skip deleted records. Установка этого флажка позволяет пропустить при импорте записи, помеченные на удаление.

Следующий шаг

Шаблоны


TXT

На этом шаге необходимо установить соответствие между столбцами с данными в текстовом документе и полями в таблице.

В левой части окна располагается список полей таблицы, в которую будут импортироваться данные. В этом же списке отображается соответствие полей таблицы и столбцов текстового документа.

В правой части - фрагмент текстового документа - источника данных.

В текстовом документе не существует такого понятия как поля или столбцы, поэтому в SQL Manager for Oracle при импорте нужно вручную устанавливать разграничители столбцов для текстовых файлов. Разграничители представляют собой вертикальные черные линии, отделяющие один столбец от другого. Изначально в документе разгарничителей нет. Устанавливаются они с помощью двойного щелчка мыши на макете документа. Разграничители должны быть между столбцами, а также перед первым столбцом и после последнего. Размер столбца определяется количеством символов в нем. Для этого сверху и снизу макета документа предусмотрены линейки, на которых каждое деление соответствует символу.

Import Data - Setting fields correspondence - TXT

Соответствие между столбцами устанавливается следующим образом:

В списке полей таблицы выбирается поле. В макете документа выбирается столбец. Если соответствие установлено, то рядом с названием поля появляются две цифры. Первая - это номер символа, с которого начинается столбец, вторая - количество символов в столбце.

Автоматически выделить столбцы данных в текстовом документе и установить соответствия можно с помощью кнопки iconAutoFillColumns Fill.

Если хотите удалить все установленные соответствия, то нажмите кнопку iconCross Clear all.

С помощью счетчика Skip Lines можно указать, сколько первых строк не учитывать при импорте. Таким образом, исключаются заголовки столбцов из импортируемых данных.

Из раскрывающегося списка Charset выберите кодировку.

Следующий шаг

Шаблоны


CSV

Чтобы при импорте данных из файла формата CSV все столбцы данных корректно отображались на втором шаге необходимо на первом шаге правильно указать разделитель столбцов.

В левой части окна располагается список полей таблицы, в которую будут импортироваться данные. В этом же списке отображается соответствие полей таблицы и столбцов документа.

В правой части - фрагмент документа CSV. Все столбцы в нем пронумерованы. Соответствие столбцов устанавливается по номеру столбца документа CSV.

Чтобы установить соответствие поля таблицы, куда импортируют данные, и столбца в документе-источнике данных необходимо выделить поле в списке полей и выделить столбец в макете документа CSV или выбрать нужный номер столбца из списка Col. Если связь установлена, то напротив названия поля появится номер столбца, который поставлен в соответствие с этим полем.

Import Data - Setting fields correspondence - CSV

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами.

Кнопка iconCross Clear all - удаляет все соответствия.

Чтобы в импортируемые данные не попали заголовки столбцов можно указать число первых строк, которые при импорте будут пропущены. Сделайте это с помощью счетчика Row(s). Количество пропущенных столбцов задайте в поле Coll(s).

Из раскрывающегося списка выберите кодировку.

Следующий шаг

Шаблоны


HTML

На этом шаге необходимо установить соответствие между столбцами с данными в таблице HTML файла и полями в таблице базы данных.

Import Data - Setting fields correspondence - HTML

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы импортируемого документа.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

Из раскрывающегося списка Table выберите номер таблицы, из которой хотите импортировать данные. Это сделано на тот случай, если в HTML документе не одна таблица, а несколько.

В счетчике Col укажите номер столбца, который соответствует выбранному полю таблицы базы данных.

В разделе Skip можно указать строки и/или столбцы, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

Следующий шаг

Для того чтобы каждый раз при импортировании не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


XML Document

На этом шаге необходимо установить соответствие между столбцами с данными в документе XML и полями в таблице.

Import Data - Setting fields correspondence - XML Document

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа XML Document.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В счетчике Col(s) укажите порядковый номер того столбца, который соответствует полю таблицы, выделенному в списке Fields.

В счетчике Skip укажите, сколько строк, начиная с первой, следует исключить.

Чтобы заполнить таблицу на форме текстом соответствующих подузлов необходимо в поле XPath указать путь в соответствие со спецификацией XPath (http://www.w3.org/TR/xpath) и нажать на кнопку iconAutoFillColumns Fill Grid.

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

Следующий шаг

Для того чтобы каждый раз при импортировании не задавать эти параметры воспользуйтесь инструментом создания шаблонов.


MS Excel/Word 97-2003, ODF Spreadsheets

На этом шаге необходимо установить соответствие между столбцами с данными документа и полями в таблице базы данных.

Import Data - Setting fields correspondence - MS Excel and Word 2007, ODF

В левой части, в списке Fields, отображается список полей таблицы, в которую импортируют данные. В правой части - фрагмент импортируемого документа.

В списке Ranges показано соответствие, установленное между полями таблицы базы данных и столбцами таблицы Excel.

С помощью кнопок можно автоматически устанавливать это соответствие и удалять его:

Кнопка iconAutoFillColumns Auto Fill - автоматически устанавливает соответствие между полями и столбцами,

Кнопка iconCross Clear - удаляет одно соответствие,

Кнопка iconClearAllRanges Clear All - удаляет все соответствия.

В поле Col укажите название столбца, который соответствует выбранному полю таблицы базы данных.

В разделе Skip можно указать строки, которые не будут импортированы. Применяется для исключения заголовков из импортируемых данных.

В нижней части формы представлена таблица с данными того документа, из которого импортируются данные.

Следующий шаг

Шаблоны


Настройка форматов данных

На этом шаге необходимо указать вид представления данных для импортируемого файла. Этот вид должен соответствовать представлению данных в том файле, куда эти данные импортируются.

Import Data - Adjusting data formats

Date & Time formats в этом разделе задаются форматы для отображения даты и времени.

  • Short date - Дата (кратко),
  • Long date - Дата (расширено),
  • Short time - Время (кратко),
  • Long time - Время (расширено).

В разделе Separators указываются символы, которые будут являться разделителями десятичных разрядов.

  • Decimal - Десятки,
  • Thousand - Тысячи,
  • Date - Дата,
  • Time - Время.

Boolean True - в это поле вводится текст, который отображается, если значение в ячейке "истина" (значение будет "истина" при совпадении данных в документе и в этом поле),

Boolean False в этом поле водится текст, который отображается, если значение в ячейке "ложь",

Null Values в этом поле водится текст, который отображается, если значение в ячейке NULL.

Следующий шаг

Шаблоны


Определение форматов полей

На этом шаге Вы можете выбрать из списка Field name поле и указать в разделе Formats набор свойств, определяющих формат этого поля.

Import Data - Setting advanced field formats

Generator value - генератор значений. Если поле, в которое импортируются данные, имеет тип Identity, то генератор не будет работать. С помощью счетчика Generator step задайте шаг приращения генерируемого значения.

Constant value - в поле вводится значение, которое заменяет все значения в столбце.

Null value - значение, которое задается для ячейки, если значение после импорта в ней остается Null.

В поле Default Value указывается значение по умолчанию.

В поле Left quotation задаете левую кавычку, в поле Right quotation - правую.

Quotation action действие, которое выполняется с кавычками, в которые изначально заключены данные:

  • As Is - кавычки будут оставлены без изменения,
  • Add - будут добавлены кавычки,
  • Remove - будут удалены кавычки, используемые в исходном файле.

Из раскрывающегося списка Character case выберите регистр текстовых данных.

Из раскрывающегося списка Character set выберите кодировку.

На этом шаге мастера есть возможность в процессе импорта данных заменить некоторые значения в поле другими значениями.

Замены задаются в разделе Replacement.

Для столбца можно создать несколько замен. С помощью кнопки iconPlus Add Replacement Вы можете добавить новый параметр замены.

Import Data - Setting advanced field formats - Add Replacement

Все параметры отображаются в списке: искомые значения расположены в столбце Text to find, в столбце Replace With находится текст, на который происходит замена. Если установлен флажок Ignore case, то замена будет произведена без учета регистра. С помощью кнопки [image] Edit Replacement можно редактировать условие замены. Кнопка iconMinus Delete Replacement удаляет условие замены.

Следующий шаг

Шаблоны


Выбор метода импорта

На этом шаге укажите режим импорта.

Import Data - Setting import mode

Переключатель Insert mode позволяет задать те записи, которые будут импортироваться в таблицу.

RadioButton Insert all - вставить все записи,

RadioButton Insert new - вставить только новые записи,

RadioButton Update - обновить записи,

RadioButton Update or insert - обновить существующие и вставить новые записи,

RadioButton Delete - удалить те записи, где совпадает первичный ключ таблицы и значение поля, выбранного в качестве ключевого, импортируемого файла,

Delete or insert - удалить совпадающие записи и вставить новые.

С помощью переключателя Import type укажите тип импорта:

RadioButton Native mode - серверозависимый (собственный) режим (режим вставки, реализуемый с помощью специальных возможностей сервера).

RadioButton Universal mode - универсальный режим,

В разделе Key columns выберите ключевое поле, по которому сравниваются поля таблицы и файла источника данных.

Из списка Available columns выберите доступные поля и с помощью кнопок переместите их в список ключевых полей - Selected columns.

Пример:

Таблица в базе данных | Данные из внешнего файла
Import Data - Setting import mode - Destination Table | Import Data - Setting import mode - Source Table

В качестве ключевого поля выбрано поле ID. Для режима Insert All выбирать ключевое поле не требуется.

Insert mode | Insert all | Insert new | Update | Update or insert | Delete | Delete or insert
Результат | Import Data - Setting import mode - Result - Insert All | Import Data - Setting import mode - Result - Insert new | Import Data - Setting import mode - Result - Update | Import Data - Setting import mode - Result - Update or insert | Import Data - Setting import mode - Result - Delete | Import Data - Setting import mode - Result - Delete or insert

Следующий шаг

Шаблоны


Настройка общих опций

В разделе Commit задайте параметры фиксации транзакции:

RadioButton Commit when done - фиксировать транзакцию после выполнения импорта;

RadioButton Commit after each block - фиксировать транзакцию после каждого блока. Применяется для больших таблиц. Количество записей в блоке указывается в счетчике Block size;

RadioButton Commit changes manually - автоматическая фиксация транзакции не производится (должна быть выполнена вручную).

В разделе Record count Вы можете задать количество импортируемых записей.

RadioButton Выберите пункт Import all records, чтобы импортировать сразу все записи.

RadioButton В счетчике Import only n records задайте их количество.

Import Data - Customizing common options

Следующий шаг

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Finish, для начала выполнения операции.

Import Data - Importing data

В этом окне отображается следующая информация об операции:

  • Inserted - количество импортированных записей,
  • Updated - количество обновленных записей,
  • Deleted - число удаленных записей,
  • Errors - отображает число возникших при импорте ошибок,
  • Commited - число зафиксированных записей,
  • Time - время, затраченное на импортирование записей.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения Вы можете вернуться и задать другие параметры операции.

Шаблоны


Мастер экспорта в виде SQL скрипта

Экспорт в виде SQL скрипта можно осуществлять только из тех инструментов, где есть вкладка Data или Results. Это Редактор таблиц, Редактор представлений, Редактор запросов и Дизайнер запросов .

Этот инструмент открывается с помощью кнопки [image] Export as SQL script, расположенной на навигационной панели Data Management и на панели инструментов.

Кнопка доступна, когда в редакторе открыт просмотрщик данных, то есть на вкладке Data или Results. Также эта команда присутствует в контекстном меню объектов таблицы и представления, в проводнике баз данных и содержится в подменю пункта Data Manipulation.

Задание типа назначенного сервера

Указание имени файла назначения

Выбор метода экспорта полей типа BLOB

Выбор полей для экспорта

Настройка опций экспорта

Редактирование итогового SQL скрипта

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер экспорта данных

Мастер импорта данных

Использование шаблонов


Задание типа назначенного сервера

На первом шаге необходимо выбрать сервер назначения. Скрипт будет генерироваться в формате, совместимом с выбранным типом сервера.

Export as SQL Script - Defining type of destination server

Допустимые типы серверов:

RadioButton DB2,

RadioButton InterBase/Firebird,

RadioButton MS SQL,

RadioButton MySQL,

RadioButton Oracle,

RadioButton PostgreSQL.

CheckBox Если установлен флажок Add CREATE TABLE statement, то в скрипт будет добавлена инструкция CREATE TABLE, которая генерируется в соответствии с синтаксисом выбранного типа сервера.

Следующий шаг


Указание имени файла назначения

На втором шаге необходимо задать имя генерируемого скрипта и место его хранения.

Export as SQL Script - Setting destination file name

Укажите в разделе Script destination, будет ли созданный скрипт открыт в редакторе SQL запросов или сразу сохранен в файл:

  • Automatically load to Script Editor - созданный скрипт открывается в редакторе SQL запросов,
  • при выборе Save to file созданный скрипт сохранится в файл. Имя и адрес файла укажите в поле File name.Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs .

В поле Table name (as it will be represented in the script file) укажите имя таблицы, которая будет создаваться с помощью этого скрипта. Имя схемы, в которой будет создаваться таблица, укажите в поле Schema name (as it will be represented in the script file, if need). Схема указывается для тех серверов, в которых существует такой класс объектов.

Следующий шаг


Выбор метода экспорта полей типа BLOB

На этом шаге Вы можете задать способ экспорта полей типа BLOB.

Export as SQL Script - Setting BLOB options

Если выберите пункт Don't extract BLOB fields, то поля типа BLOB не будут экспортированы.

Extract BLOB fields as strings - при выборе этого пункта поля типа BLOB будут экспортированы в виде строк.

Можно экспортировать поля этих типов в файл, выбрав пункт Extract BLOB fields into file.

Для файла, в который будут экспортированы эти поля, можно задать следующие свойства:

  • имя файла и путь к нему указываются в поле File name. Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs,
  • создаваемый файл можно сжать, для этого устанавливаете флажок Compress file,
  • способ сжатия выбирается из раскрывающегося списка Compression. Способов сжатия предложено четыре: без сжатия - None, быстрое сжатие - Fastest, сжатие по умолчанию - Default и наилучшее сжатие - Best.

Если на первом шаге Вы выбрали формат MySQL или PostgreSQL, то на этом шаге можно будет выбрать:

  • Don't extract BLOB fields - поля типа BLOB не будут экспортированы.
  • Extract BLOB fields as strings - при выборе этого пункта поля типа BLOB будут экспортированы в виде строк.

Важно: В случае сохранения полей типа BLOB в файл, восстановить такие данные можно только с помощью Редактора SQL скриптов.

Следующий шаг


Выбор полей для экспорта

На этом шаге Вам необходимо из списка всех полей таблицы или представления выбрать те, которые Вы хотите экспортировать.

Export as SQL Script - Selecting fields to export

Из списка Available Fields выберите доступные поля и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available переместите их в список экспортируемых полей - Selected fields. Если не выбрать ни одного поля, то по умолчанию будут экспортированы все поля.

Следующий шаг


Редактирование итогового SQL скрипта

На этом шаге Вы можете просмотреть и отредактировать создаваемый SQL скрипт в редакторе запросов.

Этот шаг становится доступным только если на первом шаге установить флажок Add CREATE TABLE statement.

Export as SQL Script - Editing table definition

Следующий шаг


Настройка опций экспорта

На этом шаге настраиваются общие свойства экспорта.

Export as SQL Script - Setting export options

CheckBox Чтобы в тексте скрипта заменить непечатаемые символы пробелами установите флажок Replace non-print characters in strings with spaces.

В разделе Data options укажите параметры фиксации транзакции.

CheckBox Если установлен флажок Insert COMMIT after each block, то после указанного в счетчике Records in a block числа записей транзакция будет фиксироваться.

CheckBox Установите флажок Use multi insert statements, если допустимо использование операторов массовой вставки в тексте скрипта. Данная опция доступна только в случае, если на первом шаге выбран сервер назначения отличный от Oracle (Oracle не поддерживает такие операторы).

Важно: Перед выполнением скрипта убедитесь, что сервер назначения поддерживает операторы массовой вставки.

Следующий шаг


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Finish для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Export as SQL Script - Exporting as SQL Script

В текстовом поле показаны все производимые действия и результат их выполнения.

CheckBox Если хотите сразу открыть полученный скрипт в редакторе SQL скриптов, то установите флажок Load generated script into Script Editor.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.


Инструменты для работы с базой данных

SQL Manager for Oracle располагает набором инструментов, которые позволяют работать с базами данных.

Монитор SQL

Отображает все SQL операции, выполненные в течение одной сессии работы SQL Manager for Oracle.

Редактор выполнения скриптов

Позволяет создавать и выполнять SQL скрипты.

Поиск по метеданным

Позволяет пользователю найти определенный набор символов в метаданных объектов.

Мастер извлечения баз данных

Извлекает метаданные таблиц в SQL скрипт, который потом может быть выполнен на другой машине, чтобы восстановить структуру базы данных.

Мастер сравнения баз данных

С его помощью можно создать SQL скрипт для синхронизации структуры баз данных.

Печать метаданных

Создает отчет по метаданным базы данных.

Мастер создания HTML отчетов

Создает отчет по метаданным базы данных в формате HTML.

Работа с отчетами

Набор инструментов, позволяющий создавать и печатать отчеты.

Дерево зависимостей

Позволяет представить зависимости объектов в виде диаграммы.

Управление экземплярами сервера

Позволяет проверять статус сервиса Oracle сервера и запускать/останавливать сервис.

Назначение прав

С помощью этого инструмента задайте права на объекты базы данных.

Визуальный конструктор баз данных

Позволяет создавать графическое представление базы данных.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Работа с данными

Средства импорта и экспорта данных

Службы

Инструменты работы с сервером

Настройки

Как...


Монитор SQL

SQL монитор позволяет увидеть все запросы, отправленные SQL Manager for Oracle на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Все инструменты для работы с SQL монитором располагаются на панелях инструментов и в контекстном меню.

Чтобы открыть SQL монитор выберите в главном меню программы Tools | btnSQLMonitor SQL Monitor.

Смотрите также:

Настройки SQL Монитор


Панели инструментов

SQL Manager for Oracle
  • В начало
  • « Назад
  • Вперед »

Использование панелей инструментов

На панели навигации находятся следующие инструменты:

SQL Monitor - Using Navigation bar

Clear contents - очистить содержимое окна,

Save to file - сохранить текст в файл,

iconFindText Find - найти в тексте,

iconOptions SQL Monitor option - настройка SQL монитора (эти же настройки есть и в Options | Environment Options | Tools | SQL Monitor),

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Работа с Монитором SQL

SQL монитор позволяет увидеть все запросы, отправленные SQL Manager for Oracle на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Для каждой операции отображается следующая информация:

Executed - дата и время выполнения операции,

Operation - SQL оператор,

Result - результат выполнения.

SQL Monitor - Working with SQL Monitor

Контекстное меню

С помощью этого меню Вы можете:

  • открыть подменю для работы с маркерами - Markers,
  • установить закладку - Toggle Bookmarks,
  • перейти к закладке (активна, если созданы закладки) - Goto Bookmarks,
  • отменить действие- Undo,
  • вернуть отмененное действие- Redo,
  • копировать выделенное- Copy,
  • выделить все - Select All,
  • найти - Find,
  • возобновить поиск - Search Again,
  • поиск по названию ключевого поля - Incremental Search,
  • перейти к строке под номером... - Go To Line By Number...,
  • изменить регистр - Change Case,
  • сохранить текст в файл - Save,
  • предварительный просмотр - Preview,
  • печатать - Print,
  • сохранить как избранный запрос - Save as Favorite Query,
  • просмотреть свойства - Properties.


Редактор выполнения скриптов

Используя редактор Execute Script Вы можете создавать, просматривать, редактировать и выполнять SQL скрипты. Для открытия редактора выполнения скриптов SQL выберите Tools | btnShowSQLScript Execute script в главном меню программы. Структура базы данных скрипта представлена в проводнике редактора выполнения скриптов.

Работать с SQL скриптами позволяют инструменты редактора, располагающиеся на панелях инструментов:

  • навигационная панель,
  • панель инструментов,
  • контекстное меню.

Важно: В редакторе выполнения скриптов не выводятся результаты запросов. Для этого используйте редактор запроса данных.

Если при выполнении скрипта возникнут ошибки, то все они будут показаны в специальном окне, расположенном под областью редактирования. Настройка отображения ошибок происходит с помощью Options | Environment Options | Tools | Execute Script.

Смотрите также:

Редактор запроса данных

Настройки редактора выолнения скрипта

Настройки редакторов


Панели инструментов

Инструменты для работы с SQL-скриптами.

SQL Script Editor - Using Navigation bar

Destination

iconDBGroup выбрать группу баз данных,

iconDB выбрать базу данных.

General

iconExecute выполнить скрипт - Execute script,

iconCompile выполнить скрипт из файла - Execute script from file,

iconNew создать новый скрипт - New script,

iconLoadFromFile открыть скрипт (скрипты сохраняются в виде файлов с расширением ".sql") - Open script,

iconSaveToFile сохранить скрипт - Save script,

iconSaveToFileAs сохранить скрипт как - Save as,

iconDBExplorer скрыть/показать проводник редактора SQL скриптов - Hide/Show explorer,

включить журнал результатов - Enable result log,

iconOptions настройка свойств SQL скрипта - Execute script options,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

На панели iconDBExplorer Explorer расположен проводник редактора SQL скриптов.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Смотрите также:

Работа с областью редактирования SQL Script

Проводник редактора скриптов


Работа с областью редактирования

Область редактирования позволяет работать с текстом SQL-скрипта.

Основные особенности:

  • отображение имен объектов в виде ссылок на эти объекты,
  • возможность нумерации строк,
  • настройка автоматического форматирования текста запроса,
  • настройка полей и номеров строк,
  • возможность сворачивать запросы и подзапросы,

Контекстное меню открывается по нажатию правой кнопки мыши в области редактирования.

SQL Editor - Using the context menu

  • добавить в словарь - Add to Dictionary,
  • редактировать - Correct With,
  • выполнить скрипт - Execute Script,
  • выполнить только выделенное - Execute Selected Only,
  • выполнить ту часть текста, которая находится под курсором - Execute under Cursor,
  • отключить синтаксический анализ - Disable Parsing,
  • работать с маркерами - Markers,
  • установить закладку - Toggle Bookmarks,
  • перейти к строке под номером - Go To Line Number,
  • отменить действие- Undo,
  • вернуть отмененное действие- Redo,
  • вырезать выделенное- Cut,
  • копировать выделенное- Copy,
  • вставить - Paste,
  • выделить все - Select All,
  • найти - Find,
  • найти и заменить - Replace,
  • возобновить поиск - Search Again,
  • поиск по инкрементной последовательности символов - Incremental Search,
  • загрузить текст скрипта - Load,
  • сохранить текст скрипта в файл - Save,
  • сохранить скрипт как избранный запрос - Save as Favorite Query,
  • предварительный просмотр - Preview,
  • печатать - Print,
  • быстрый код - Quick Code,
  • просмотреть свойства - Properties.

Подменю пункта Quick Code:

SQL Editor - Using the context menu - Quick Code

  • Форматировать запрос SQL (при этом применяются изменения, внесенные в Форматтер SQL) - Format SQL,
  • Выбрать символ - Select Character,
  • Преобразовать выделенный текст в комментарии - Toggle Comment,
  • Привести выделенный текст к нижнему регистру - Selection Lower Case,
  • Привести выделенный текст к верхнему регистру - Selection Upper Case,
  • Изменить регистр выделенного текста - Selection Toggle Case,
  • Увеличить отступ текста - Indent,
  • Уменьшить отступ текста - Unindent.

Существует возможность создания и использования макросов.

btnRecordMacro Record - начать запись макроса. Ctrl+Shift+R.

btnStopRecordMacro Stop - остановить запись макроса. Ctrl+Shift+R.

btnPlayMacro Play - выполнить макрос. Ctrl+Shift+P.

Смотрите также:

Панели инструментов

Проводник редактора скриптов

Избранные запросы

Настройки SQL скрипт


Проводник редактора скриптов

На навигационной панели расположен инструмент Проводник, который позволяет отобразить в виде дерева все объекты, содержащиеся в SQL скрипте. С помощью проводника можно быстро перейти к нужному объекту в тексте скрипта.

SQL Script Editor - Using Script Explorer

Проводник можно отключить. Это увеличит производительность.

Смотрите также:

Панели инструментов

Работа с областью редактирования SQL Script

Управление объектами базы данных


Проверка клиента Oracle

Диалоговое окно Oracle Client Checker позволяет вам проверить статус клиента или клиентов Oracle, который используется SQL Manager for Oracle.

Чтобы запустить Oracle Client Checker необходимо нажать кнопку Client Checker, расположенную на шаге Установка параметров соединения Мастера регистрации баз данных или на вкладке Настройки подключения Регистрационной информации баз данных.

Oracle client checker

В верхней части отображается список установленных клиентов. Для каждого клиента в столбце Status указан статус -Valid/Invalid.

Дополнительная информация по выделенному клиенту отображается в нижней части окна:

Oracle Home name

Oracle Home

OCI version

TNS names file

NLS Lang

SQL Bin

Generate report

Вся информация о клиенте и переменная окружения могут быть сохранены во внешний файл, который создается при нажатии на кнопку Generate report.

Смотрите также:

Информация о базе данных

Статистика базы данных


Поиск по метаданным

Диалоговое окно Find in metadata позволяет пользователю найти определенный набор символов в метаданных объектов.

Search in Metadata - Setting search conditions

Чтобы вызвать это диалоговое окно используйте сочетание клавиш CTRL+ALT+F или пункт главного меню программы Tools | iconSearchInMetadata Search in Metadata.

Для поиска необходимо задать следующие параметры:

Text to Find

В этом поле укажите искомое сочетание символов.

Database

Выберите базу данных, в которой будет производиться поиск, из раскрывающегося списка.

CheckBox Case sensitive

При поиске будет учитываться регистр символов, если установлен этот флажок.

CheckBox Whole words only

Поиск слова целиком. Если этот флажок не установлен, то поиск указанного сочетания символов будет производиться и в более длинных словах.

CheckBox Regular Expressions

Вы можете искать регулярное выражение в тексте, установив этот флажок.

Direction

Выберите направление поиска:

RadioButton Forward or - вперед.

RadioButton Backward - назад.

После задания всех необходимых параметров нажмите кнопку OK.

Если искомое сочетание символов найдено, то появится окно результатов, в котором будут отображаться все объекты, в метаданных которых содержится искомый текст.

Search in Metadata - Viewing search results

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных


Мастер извлечения баз данных

Используя Мастер извлечения баз данных Вы можете извлечь структуру объектов базы данных и сами данные в SQL-скрипт. Полученный скрипт можно использовать для копирования и восстановления базы данных. Чтобы открыть мастер выберите пункт главного меню программы Tools | btnExtractDB Extract Database.

Выбор исходной базы данных

Выбор файла назначения

Выбор компонентов базы данных для извлечения

Выбор объектов для извлечения

Выбор таблиц, из которых будут извлечены данные

Задание свойств скрипта

Выполнение операции

Смотрите также:

Редактор выполнения скриптов

Управление объектами базы данных

Использование шаблонов


Выбор исходной базы данных

На первом шаге выберите базу данных, которую необходимо извлечь.

Из раскрывающегося списка Source database выберите необходимую базу данных.

Extract Database - Selecting source database

CheckBox Установите флажок Extract all metadata and data of the database, если хотите извлечь все объекты базы данных и данные, хранящееся в ней.

Следующий шаг

Шаблоны


Выбор файла назначения

На этом шаге Вы можете определить сохранить ли создаваемый скрипт в файл или сразу открыть в редакторе SQL скриптов.

Чтобы автоматически открыть скрипт в редакторе SQL скриптов, нужно выбрать пункт переключателя Automatically load to Script Editor.

Если хотите сохранить скрипт в файл, то выберите пункт Save to file. В этом случае в поле File name необходимо указать имя файла и путь к нему, или выбрать файл, воспользовавшись стандартным диалоговым окном, открывающимся при нажатии на кнопку btnSaveAs .

Из раскрывающегося списка File charset выберите кодировку файла.

Extract Database - Specifying destination file name

Следующий шаг

Шаблоны


Выбор компонентов базы данных для извлечения

Этот шаг неактивен, если на первом шаге Вы указали, что извлекать нужно всю структуру и данные базы данных, установив флажок Extract all metadata and data of database.

Вы можете выбрать один из трех вариантов экспорта:

  • извлечь структуру и данные базы - Extract both of structure and data,
  • извлечь только структуру - Extract structure only,
  • извлечь только данные - Extract data only,

Extract Database - Setting extraction mode

Следующий шаг

Шаблоны


Извлечение данных типа BLOB

Этот шаг появляется, если Вы экспортируете данные, структуру базы вместе с данными или только данные.

Extract Database - Setting BLOB options

На этом шаге Вы можете задать способ экспорта полей типа BLOB.

RadioButton Если выбираете пункт Don't extract BLOB fields, то поля типа BLOB не будут экспортированы.

RadioButton Extract BLOB fields as strings (not recommended) - при выборе этого пункта поля типа BLOB и двоичные файлы будут экспортированы в виде строки.

RadioButton Можно экспортировать поля этих типов в файл, выбрав пункт Extract BLOB fields into file. Полученный скрипт может быть восстановлен только в SQL Manager for Oracle из-за оператора SET BLOBFILE.

Важно: В случае сохранения полей типа BLOB в файл, восстановить такие данные можно только с помощью Редактора SQL скриптов.

Для файла, в который будут экспортированы эти поля, можно задать необходимые настройки.

Имя файла и путь к нему указываются в поле File name. Можно выбрать файл с помощью стандартного диалогового окна, открывающегося по нажатию кнопки btnSaveAs ,

CheckBox Создаваемый файл можно сжать, для этого устанавливаете флажок Compress file.

Способ сжатия выбирается из раскрывающегося списка Compression. Способов сжатия предложено четыре: без сжатия - None, быстрое сжатие - Fastest, сжатие по умолчанию - Default и наилучшее сжатие - Best.

Следующий шаг

Шаблоны


Выбор объектов для извлечения

Этот шаг активен только в том случае, если Вы извлекаете структуру базы данных.

Вы можете выбрать объекты, структуру которых следует извлечь.

Extract Database - Selecting objects for structure extraction

RadioButton Установленный Extract all objects указывает на то, что будет извлечена структура всех без исключения объектов.

RadioButton Вы можете извлечь объекты, принадлежащие одной схеме, установив переключатель в Extract all objects of schema, и выбрав нужную схему из раскрывающегося списка Schema name.

RadioButton Если нужно выбрать некоторые объекты, то установите переключатель на Extract selected objects.

Из раскрывающегося списка Objects to extract выбираете тип объекта (таблица, представление и т.д.). После выбора типа в списке Available появляются все объекты базы данных, соответствующие выбранному типу. С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available переместите объекты из списка доступных - Available в список выбранных - Selected.

Следующий шаг

Шаблоны


Выбор таблиц, из которых будут извлечены данные

На этом шаге Вы можете выбрать таблицы, из которых необходимо извлечь данные.

Extract Database - Selecting objects for data extraction

RadioButton Если выберите Extract all tables, то данные будут извлечены из всех таблиц базы.

RadioButton Пункт переключателя Extract data of tables selected on previous step указывает на то, что данные будут извлекаться только из тех таблиц, которые были выбраны на предыдущем шаге.

RadioButton Если выбран пункт Extract data of the selected tables, то Вы сможете выбрать таблицы из списка доступных - Available, и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available переместить их в список выбранных - Selected.

Следующий шаг

Шаблоны


Задание свойств скрипта

На последнем шаге можно задать некоторые общие опции генерируемого SQL скрипта.

Extract Database - Customizing script options

В разделе Script Options задайте свойства скрипта.

Если установлен флажок CheckBox Calculate dependencies, то перед выполнением операции извлечения базы данных будут проанализированы зависимости для каждого объекта. Сначала будут извлечены объекты, у которых нет зависимых объектов. Затем будут извлечены объекты, которые зависят от уже извлеченных.

Установленный флажок CheckBox Generate DROP statement указывает на то, что при извлечении будут созданы операторы DROP, которые будут удалять объекты, соответствующие создаваемым скриптом базам, перед их созданием.

Если установлен флажок CheckBox Generate object grants statement, то в скрипте будет создан раздел, в который будут помещены операторы, отвечающие за права пользователей.

Если Вы установили флажок CheckBox Insert description, то текстовое описание объекта будет скопировано в создаваемый скрипт.

На вкладке Data Options задайте параметры данных.

Количество записей в одном блоке задается в счетчике Records in a block.

Если установлен флажок CheckBox Insert "COMMIT" statement after each block, то после каждого блока добавляется оператор COMMIT.

Если установлен флажок CheckBox Delete existing records, то данные будут удалены из таблиц после извлечения.

Операция извлечения будет прервана при возникновении ошибки, если установлен флажок CheckBox Abort extraction on error. В противном случае скрипт будет выполняться без прерываний, а все возникшие ошибки отобразятся в специальном окне.

Следующий шаг

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Finish, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Extract Database - Start of extraction process

На этом шаге показаны все производимые действия и результат их выполнения.

CheckBox Если хотите сразу открыть полученный скрипт в редакторе SQL скриптов, то установите флажок Load generated script into Script Editor.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.


Мастер сравнения баз данных

С помощью мастера сравнения баз данных можно создать SQL скрипт для синхронизации структуры баз данных.

Чтобы запустить Мастер сравнения баз данных, выберите пункт Tools | iconCompare Compare Database в главном меню программы.

Мастер состоит из следующих шагов:

Выбор исходной базы данных

Выбор схем

Выбор назначенной базы данных

Выбор типа скрипта синхронизации

Задание параметров скрипта

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Использование шаблонов


Выбор исходной базы данных

На этом шаге необходимо указать исходную базу данных для сравнения

Database Comparer Wizard - Select the source database

DB group name

Из этого раскрывающегося списка нужно выбрать сервер, на котором расположена исходная база данных.

Source database

Из списка зарегистрированных баз данных на выбранном сервере нужно выбрать исходную базу данных.

RadioButton Compare whole database - сравнивать всю базу данных.

RadioButton Compare separate schemas - сравнивать некоторые схемы.

Если был выбран пункт Compare separate schemas, то при нажатии на кнопку Next следующим шагом будет шаг выбора схем.

Если был выбран пункт Compare whole database, то при нажатии на кнопку Next следующим шагом будет шаг выбора назначенной базы данных.

Шаблоны


Выбор схем исходной базы данных

Этот шаг отображается только в том случае, если на первом шаге было выбрано, что будут сравниваться отдельные схемы.

На этом шаге Вы можете выбрать схемы исходной базы данных для которых будет выполнено сравнение.

Database Comparer Wizard - Select source schemas

Для выбора схем можно воспользоваться контекстным меню, открывающимся при нажатии правой кнопкой мыши на списке схем.

С его помощью можно:

  • Select All - выбрать все схемы.
  • Deselect All - отменить выбор всех схем.
  • Invert selection - обратить выделение.

Следующий шаг


Выбор назначенной базы данных

На этом шаге необходимо указать вторую базу данных для сравнения.

Database Comparer Wizard - Specify the target database

DB group name

группа баз данных, в которой находится назначенная база данных.

Target database

Назначенная для сравнения база данных выбирается из этого раскрывающегося списка.

Если на первом шаге был выбран пункт Compare separate schemas, то при нажатии на кнопку Next следующим шагом будет шаг выбора схем назначенной базы данных.

Если был выбран пункт Compare whole database, то при нажатии на кнопку Next следующим шагом будет Выбор типа скрипта синхронизации.

Шаблоны


Выбор схем назначенной базы данных

Этот шаг отображается только в том случае, если на первом шаге было выбрано, что будут сравниваться отдельные схемы.

На этом шаге Вы можете выбрать схемы целевой базы данных для которых будет выполнено сравнение.

Database Comparer Wizard - Select terget schemas

Для выбора схем можно воспользоваться контекстным меню, открывающимся при нажатии правой кнопкой мыши на списке схем.

С его помощью можно:

  • Select All - выбрать все схемы.
  • Deselect All - отменить выбор всех схем.
  • Invert selection - обратить выделение.

Следующий шаг


Выбор типа скрипта синхронизации

На этом шаге необходимо выбрать, в каком направлении будет производиться сравнение баз данных.

Database Comparer Wizard - Select the type of synchronization script

RadioButton Target database into source database

Скрипт, приводящий назначенную базу данных базу в соответствие с исходной.

RadioButton Source database into target database.

Скрипт, приводящий исходную базу (задается на шаге 1) в соответствие с назначенной (задается на шаге 2).

Следующий шаг

Шаблоны


Задание параметров скрипта

На этом шаге задаются дополнительные параметры генерируемого скрипта.

Database Comparer Wizard - Select additional options

RadioButton Automatically load to Script Editor - автоматически открыть созданный скрипт в Редакторе скриптов.

RadioButton Save to file - сохранить созданный скрипт в файл.

File name - имя файла, в который нужно сохранить скрипт. Файл можно выбрать в стандартном диалоговом окне, открывающемся при нажатии кнопки btnSaveAs.

File charset - кодировка скрипта выбирается из этого раскрывающегося списка.

Следующий шаг

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Run, для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

Compare Database Wizard - Comparing database

В текстовом поле показаны все производимые действия и результат их выполнения.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.


Печать метаданных

Инструмент Print Metadata позволяет напечатать метаданные любого объекта базы данных. Чтобы открыть этот инструмент нужно выбрать Tools | btnPrintMetadata Print Metadata.

Настройки печати можно произвести с помощью инструментов, находящихся на панелях инструментов.

Смотрите также:

Управление объектами базы данных

Настройки печати метаданных


Панели инструментов

Основные инструменты располагаются на панелях инструментов.

Панель навигации

Print Metadata - Using Navigation bar

Database

iconDB выбрать базу данных.

General

iconPrint печатать - Print,

iconPreview предварительный просмотр - Preview,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

На панели Show находится список типов объектов:

показать все объекты - Show All.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Выбор объектов

В процессе настройки печати необходимо выбрать те объекты базы данных, метаданные которых необходимо напечатать.

Print Metadata - Selecting objects

На одной из панелей управления выберите тип объекта. После этого в списке Available <тип_объекта> появятся все объекты этого типа, содержащиеся в базе данных. С помощью кнопок Move to Selected Move all to Selected Move to Available Move all to Available или двойного щелчка мыши переместите эти объекты в список выбранных - <тип_объекта> for Printing. Несколько объектов можно выделить с помощью клавиш Ctrl and Shift.

В нижней части списка выбранных объектов Вы можете указать, какую именно информацию об этом объекте следует печатать:

  • Fields/Params - поля/параметры,
  • Foreign Keys - внешние ключи,
  • Checks - ограничения,
  • Indices - индексы,
  • Keys - ключи,
  • Triggers - триггеры,
  • DDL - DDL,
  • Description - описание.

Убрать объект из списка выбранных можно с помощью кнопок или двойного щелчка мыши.


Предварительный просмотр

При нажатии кнопки btnPrintPreview Preview, на одной из панелей инструментов, формируется представление печатного документа.

Print Metadata - Preview

Панель инструментов

  • Начать печать отчета
  • Открыть предыдущий сохраненный отчет
  • Сохранить текущий отчет в файл, с расширением *.fr3
  • btnPreviewExport Экспортировать файл предварительного просмотра в один из доступных форматов (HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF)
  • Искать текст
  • Масштаб
  • Отобразить/скрыть содержание отчета
  • Отобразить/скрыть иконки отчета
  • Задать параметры страницы
  • Редактировать страницу в Конструкторе отчетов
  • Переход по страницам отчета
  • Закрыть предпросмотр

Смотрите также:

Панели инструментов

Настройки печати


Мастер создания HTML отчетов

Мастер создания HTML отчетов позволит создать подробный развернутый отчет о метаданных выбранной базы данных. Открывается с помощью пункта меню Tools | [image] HTML Report.

Выбор базы данных и выходной директории

Выбор типа объекта базы данных

Задание стиля отчета

Задание дополнительных параметров

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных

Использование шаблонов


Выбор базы данных и выходной директории

На первом шаге необходимо выбрать базу данных, по метаданным которой необходимо сгенерировать отчет.

HTML Report - Selecting database and directory

Исходная база выбирается из раскрывающегося списка Source database, в котором содержатся все зарегистрированные и подключенные базы данных.

В поле Output directory, с помощью кнопки ExplorerButton указываете путь к папке, в которой будет создан HTML отчет.

Следующий шаг

Шаблоны


Выбор типа объекта базы данных

На втором шаге Вы можете выбрать тип объектов, информация о которых попадет в отчет. По умолчанию, выбраны все типы объектов.

HTML Report - Selecting object types

С помощью кнопок выберите типы объектов, которые попадут в отчет. Перенесите их из списка доступных типов - Available objects, в список выбранных - Selected objects.

Следующий шаг

Шаблоны


Выбор схемы базы данных

На этом шаге Вы можете выбрать схемы базы данных для которых будет создан отчет.

HTML Report - Selecting schemas

Из списка доступных схем - Available schemas, с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available, переместите нужные схемы в список выбранных - Selected schemas.

Следующий шаг

Шаблоны


Задание стиля отчета

На этом шаге Вы задаете стиль выходного HTML файла.

HTML Report - Specifying CSS

На вкладке CSS Preview из раскрывающегося списка Template выберите готовый шаблон оформления.

Текст описания стиля Вы можете редактировать вручную на вкладке CSS Text.

Следующий шаг

Шаблоны


Задание дополнительных параметров

На последнем шаге задаются параметры, общие для всего отчета. Такие как:

  • верхний колонтитул - Report header,
  • нижний колонтитул - Report footer.

HTML Report - Setting additional report options

С помощью ползунка DDL font size укажите размер шрифта DDL.

Следующий шаг

Шаблоны


Выполнение операции

После того, как на предыдущих шагах Вы задали все необходимые опции, нажмите кнопку Finish для начала выполнения операции.

В строке состояния, расположенной в верхней части, в процентах отображается ход выполнения операции.

HTML Report - Creating HTML report

На этой форме показаны все производимые действия и результат их выполнения.

CheckBox Если хотите сразу открыть полученный отчет, то установите флажок Show report after generating.

CheckBox Если установлен флажок Close the Wizard after successful completion, то при успешном выполнении операции мастер автоматически будет закрыт. Если флажок не установлен, то после выполнения, Вы можете вернуться и задать другие параметры операции.


Работа с отчетами

Создавать отчеты в SQL Manager for Oracle можно с помощью следующих инструментов:

Мастер создания отчетов и Настройщик отчетов - упрощенные способы создания отчетов.

Конструктор отчетов - основной инструмент для создания отчетов.

Просмотрщик отчетов - инструмент для просмотра результатов.

Хранить отчеты можно в директориях, определенных в базе данных при редактировании регистрационной информации базы данных на вкладке Directories.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Монитор SQL

Редактор выполнения скриптов

Мастер извлечения баз данных

Печать метаданных

Мастер создания HTML отчетов

Дерево зависимостей

Визуальный конструктор баз данных

Поиск метаданных


Мастер создания отчетов

Мастер создания отчетов предназначен для быстрого пошагового создания бланка отчета. Для него определен источник данных, отображаемые области и параметры страницы. Для запуска мастера необходимо выполнить одно из действий:

  • создать объект Report в проводнике баз данных,
  • выбрать пункт главного меню программы Database | New Object,
  • выбрать пункт Report из списка, открывающегося при нажатии на кнопку Create на панели инструментов проводника баз данных.

Задание основных свойств отчета

Выбор областей, отображаемых в отчете

Определение стиля отчета

Задание параметров страницы

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Конструктор отчетов

Просмотрщик отчетов


Задание основных свойств отчета

На первом шаге создания отчета Вам необходимо выбрать базу данных, для которой будет сформирован отчет, из списка Database. Список состоит из зарегистрированных и подключенных баз данных.

В разделе Report creation method выберите способ создания отчета:

RadioButton New report - будет создан новый отчет,

RadioButton Import from file - отчет будет импортирован из файла.

В разделе Save options можно задать параметры сохранения файла отчета:

имя файла укажите в поле Report name,

RadioButton отчет будет сохранен в базе данных, если переключатель установить в Save to database,

RadioButton если выбран Save to file, то отчет будет сохранен в файл отчета с расширением *.fr3.

Create Report - Specifying database name and report options

Следующий шаг


Выбор областей отображаемых в отчете

На втором шаге необходимо выбрать области, в которых отображаются дополнительные данные, то есть колонтитулы, суммы, группировки полей и т.д.

Необходимые области выберите из списка доступных областей - Available Bands и с помощью кнопок Move to Selected Move all to Selected Move to Available Move all to Available перенесите в список отображаемых областей - Report Bands.

Для областей Master data, Detail data и Subdetail data можно задать значения, используя кнопку [image] . При нажатии на эту кнопку открывается конструктор запросов, с помощью которого Вы можете задать данные, которые будут отображаться в отчете.

Области, для которых указаны данные, отмечены галочкой.

Важно: Задавать данные для Detail data можно только после того как они заданы для Master data, а для Subdetail data только после Detail data.

Create Report - Selecting report bands

Следующий шаг


Определение стиля отчета

На третьем шаге Вы можете выбрать стиль отчета. На форме расположены макеты оформления страниц. Для выбора макета достаточно щелкнуть на нужном левой кнопкой мыши.

Create Report - Selecting report style

Следующий шаг


Задание параметров страницы

На этом шаге Вам предстоит задать параметры страницы печатного документа отчета. Эти свойства задаются на трех вкладках:

Вкладка Paper

Create Report - Specifying paper settings

В разделе Size указываете размер страницы.

Из раскрывающегося списка выберите один из стандартных размеров. Если стандартные размеры не подходят, то выберите пункт Особая бумага. В этом случае станут доступными для редактирования поля, в которых указывается ширина и высота бумаги в миллиметрах - Width, mm (ширина) и Height, mm (высота).

С помощью переключателя в разделе Orientation Вы выберите ориентацию страницы.

RadioButton Portrait - книжная,

RadioButton Landscape - альбомная.

Вкладка Margins

Create Report - Specifying margins

На вкладке Margins можно указать размеры полей страницы.

CheckBox Если установлен флажок Stretch to print area, то автоматически устанавливается соответствие размеров полей размеру печатной области.

Установить размеры полей страницы вручную можно с помощью следующих полей:

  • Left, mm - левое поле,
  • Top, mm - верхнее поле,
  • Right, mm - правое поле,
  • Bottom, mm - нижнее поле.

Вкладка Others

Create Report - Specifying other page settings

На вкладке Others можно задать некоторые дополнительные характеристики макета отчета.

CheckBox Print to previous page. Эта опция позволит при печати отчета использовать пустое пространство предыдущей страницы. Функция используется, если отчет состоит из нескольких страниц.

CheckBox Если установлен флажок Two-pass report, то формирование отчета будет осуществляться в два этапа. На первом проходе отчет формируется, осуществляется его разбивка на страницы, но результат нигде не сохраняется. На втором проходе происходит обычное формирование отчета с сохранением результата в потоке.

CheckBox Установка флажка Page numbering указывает на то, что страницы отчета будут пронумерованы.

Columns

В счетчике Number задайте количество столбцов в отчете.

В поле Gap, mm указываете расстояние между столбцами.

CheckBox Если установлен флажок Open the report after the wizard has finished, то созданный мастером отчет после создания автоматически откроется в конструкторе отчетов.

Чтобы начать создание отчета нажмите кнопку Finish.


Конструктор отчетов

Конструктор отчетов позволяет создавать и редактировать отчеты. Этот инструмент открывается при выборе пункта Tools | Report Designer или при нажатии кнопки Edit report на одной из панелей инструментов просмотрщика отчетов.

Модуль Report Designer является компонентом программы FastReport (http://www.fast-report.com). Для него существует отдельный файл справки, который открывается при нажатии клавиши F1 в окне дизайнера.

Создание диалоговой формы

Добавление объектов базы данных

Добавление компонентов запроса

Добавление полей

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер создания отчетов

Просмотрщик отчетов


Создание диалоговой формы

Чтобы добавить диалоговую форму, необходимо на панели инструментов нажать кнопку New Dialog Page.

Report Designer - Adding dialog form


Добавление объектов базы данных

Чтобы добавить объектов базы данных в отчет необходимо сделать следующее:

  • выбрать объект [image] OraManagerDatabase на панели инструментов, расположенной слева от основного окна, и поместить его на созданную форму,
  • в окне Object Inspector, на вкладке Properties, задайте для объекта базу данных (DatabaseName),
  • для свойства LoginPrompt установите True,
  • для свойства Connected установите True,
  • введите логин и пароль,
  • для свойства LoginPrompt установите False.

Report Designer - Adding database component

Важно: Object Inspector можно открыть нажав клавишу F11.


Добавление компонентов запроса

Чтобы добавить элементов запроса на форму необходимо:

  • выбрать элемент OraManagerQuery на панели инструментов, расположенной слева от основного окна, и поместить его на созданную форму,
  • выбрать базу данных из списка Database,
  • задайте текст запроса в окне, открывающемся при выборе пункта SQL в окне Object Inspector,
  • установите свойство Active как True.

Report Designer - Adding query component

Важно: Object Inspector можно открыть нажав клавишу F11.


Добавление полей

На странице Page1 разместите поля базы данных, которые должны составлять отчет. Для этого нужно выбрать поля базы данных из списка, находящегося в окне Insert fields.

Report Designer - Adding bands

Report Designer - Adding report data


Просмотрщик отчетов

С помощью этого инструмента Вы можете просматривать, редактировать, сохранять и распечатывать отчеты. Чтобы открыть отчет в просмотрщике достаточно два раза щелкнуть мышкой по отчету, содержащемуся в группе объектов Reports в проводнике баз данных.

Основные инструменты располагаются на панелях инструментов.

Report Editor - Viewing Report

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер создания отчетов

Конструктор отчетов


Панели инструментов

SQL Manager for Oracle
  • В начало
  • « Назад
  • Вперед »

Использование панелей инструментов

Панель навигации

Report Editor - Using Navigation bar

Object

iconDB выбрать базу данных,

выбрать отчет.

General

iconRefresh обновить - Refresh,

редактировать отчет в конструкторе отчетов - Edit report,

iconSaveToFile сохранить отчет - Save report,

iconSaveToFileAs сохранить отчет в файл - Save report as,

iconPrint распечатать отчет - Print,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Дерево зависимостей

Этот инструмент позволяет просматривать зависимости всех объектов в виде диаграммы.

В главном окне этого инструмента отображается зависимость объектов, представленная в виде дерева.

Чтобы открыть Дерево зависимостей, выберите пункт главного меню Tools | btnDependencyTree Dependency Tree. или нажать кнопку btnDependencyTree на панели инструментов.

При первом открытии необходимо будет выбрать объект, для которого хотите просмотреть зависимости.

Объект выбирается в специальном окне.

Dependency Tree - Select object

Все основные инструменты для работы с объектами и диаграммой зависимости располагаются на панелях инструментов:

  • на навигационной панели,
  • на панели инструментов,
  • в контекстном меню.

Чтобы просмотреть зависимость объекта его необходимо выбрать. Сделать это можно одним из этих способов:

  • нажать на кнопку Select object на навигационной панели,
  • перетащить объект из окна проводника баз данных в главное окно дерева зависимостей.

Выбранный объект, являющийся главным, отличается от остальных цветом рамки. У него она синего цвета, у всех остальных - черного. Зависимости между объектами показаны стрелочками. Если на объекте, представленном в диаграмме зависимостей, щелкнуть мышкой, то он становится главным и все зависимости отображаются для него. Чтобы просмотреть информацию по предыдущему объекту нужно на навигационной панели, на панели инструментов или в контекстном меню выбрать пункт Previous object.

В диаграмме зависимостей существует возможность отображать и скрывать зависимые подобъекты.

Делается это с помощью кнопки Hide subobjects на панелях инструментов.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации

Dependency Tree - Using Navigation bar

Database

iconDB выбрать базу данных.

General

iconRefresh обновить редактируемый объект - Refresh,

iconPrint печатать метаданные объекта - Print,

iconPrintSetup настройки печати - Print setup,

iconSaveAsPicture сохранить диаграмму как изображение - Save as image,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Object

просмотреть зависимости предыдущего объекта - Previous object,

просмотреть зависимости следующего объекта - Next object,

показать подобъекты - Show subobjects.

выбрать объект - Select object.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Контекстное меню

Открывается при нажатии правой кнопкой мыши в любой точке диаграммы зависимостей.

iconRefresh обновить - Refresh,

просмотреть зависимости предыдущего объекта - Previous object,

просмотреть зависимости следующего объекта - Next object,

выбрать объект - Select object,

показать подобъекты - Show subobjects.


Управление экземплярами сервера

Позволяет проверять статус сервиса Oracle сервера и запускать/останавливать сервис. Чтобы открыть окно просмотра, выберите в главном меню программы пункт Services | iconInstanceManager Instance Manager.

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Информация о БД

Редактор TNS


Панели инструментов

Основные операции для работы со статистикой вынесены на панели инструментов.

Instance Manager - Using Navigation Bar

Панель навигации располагается слева от основного окна. С ее помощью можно:

Выбрать сервер из раскрывающегося списка Host.

Выбрать сервис - раскрывающийся список Service.

btnExecuteQuery Start service - запустить сервис

btnStopRecordMacro Stop service - остановить сервис

iconRefresh Refresh - обновить статистику

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Статус сервера

Управлять экземпляром сервера можно с помощью инструментов, находящихся на панелях инструментов.

На одной из панелей инструментов выберите нужный локальный сервер.

В разделе Server Status отображен его текущий статус.

С помощью кнопки Stop/Run Service можно остановить или запустить сервер.

В текстовом поле Log Messages отображаются сообщения о процессе выполнения запуска и остановки сервиса.


Настройка сервиса

В этом разделе вы можете изменить настройки сервиса.

CheckBox Launch service on system start

Включите опцию для автоматического старта сервиса Oracle.

InstanceManager - Configure Service

Display name

Имя для отображения в консоли управления.

Service description

Описание сервиса.

Service parameters

Параметры сервиса.


Назначение прав

С помощью инструмента Grant Manager Вы можете предоставлять пользователям права доступа к защищенным объектам: базам данных, таблицам, и т.д.

Чтобы открыть Grant Manager выберите Tools | btnGrantManager Grant Manager в главном меню программы, или пункт Tasks | btnGrantManager Grant Manager в контекстном меню базы данных.

  • Использование панелей инструментов и контекстного меню
  • Управление привилегиями базы данных
  • Управление правами столбцов
  • Отбор объектов
  • Задание системных привилегий
  • Управление ролями

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Пользователи

Роли


Панели инструментов

Основные инструменты для работы с правами располагаются на панелях инструментов и в контекстном меню.

Панель навигации

Grant Manager - Using Navigation bar

Database

iconDB Из раскрывающегося списка выберите базу данных для работы.

General

iconRefresh Refresh - обновить,

iconEditUser Edit user - редактировать пользователя,

iconCompile Compile - компилировать с внесенными изменениями,

iconClearFilter Clear filter - удалить условия фильтрации.

Grantee

btnGroupManager Из списка User/Role можно выбрать пользователя или роль, для которых необходимо задать права.

Legend

В этом разделе предоставлен список условных обозначений, используемых при присвоении прав.

Granted - предоставить,

Grant with GRANT OPTION - предоставить с правами 'GRANT',

Revoke - не установлен,

iconHasGrantedColumn Has grants for column - права заданы для полей этой таблицы.

Контекстное меню

Контекстное меню открывается при нажатии на ячейку области Grant Manager и позволяет присваивать права на действия над объектами.

Grant Manager - Using context menu

  • Grant - предоставить права,
  • Grant with GRANT OPTION - предоставить с правами 'GRANT',
  • Revoke - не установлены права,
  • Grant All - предоставить права на все действия для выделенного объекта,
  • Revoke All - не установлены для всех действий данного объекта,
  • Refresh - обновить.

Смотрите также:

Управление привилегиями базы данных

Управление правами столбцов

Отбор объектов

Задание системных привилегий

Управление ролями


Управление привилегиями базы данных

В основном окне Grant Manager расположена таблица, в которой строки - это объекты базы данных, а столбцы - действия, выполняемые над объектами.

Для задания прав необходимо выбрать базу данных и роль или пользователя с помощью инструментов, располагающихся на панелях инструментов.

Права на выполнение того или иного действия можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Grant->Grant with GRANT OPTION->Revoke).
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

  • Grant - предоставить права на выполнение данного действия [image] ,
  • Revoke - аннулировать права,
  • Grant with GRANT OPTION - предоставить с правами 'GRANT' [image] .

Grant Manager - Managing database-specific privileges

В верхней таблице - Database specific privileges - располагается список объектов базы данных и действий, выполняемых с этими объектами.

В нижней части - Table specific privileges - представлены столбцы активной таблицы, для которых тоже можно задавать права на выполнение действий. Если для пользователя или роли установлено право на выполнение действия с отдельным столбцом, то в соответствующем действии таблицы появится символ iconHasGrantedColumn .

Смотрите также:

Использование панелей инструментов и контекстного меню

Управление правами столбцов

Отбор объектов

Задание системных привилегий

Управление ролями


Управление правами столбцов

В верхней таблице - Database specific privileges - располагается список объектов базы данных и действий, выполняемых с этими объектами.

В нижней части - Table specific privileges - представлены столбцы активной таблицы, для которых тоже можно задавать права на выполнение действий. Если для пользователя или роли установлено право на выполнение действия с отдельным столбцом, то в соответствующем действии таблицы появится символ iconHasGrantedColumn .

Grant Manager - Managing column permissions

Права на выполнение того или иного действия можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку;
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Grant->Grant with GRANT OPTION->Revoke);
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

Смотрите также:

Использование панелей инструментов и контекстного меню

Управление привилегиями базы данных

Отбор объектов

Задание системных привилегий

Управление ролями


Отбор объектов

В больших базах данных со множеством объектов бывает трудно найти нужный объект. Для этого в Grant Manager предусмотрены несколько инструментов, которые располагаются на панели над основной таблицей.

  • Из раскрывающегося списка All Objects можно выбрать один из типов объектов базы данных. С помощью этого списка Вы можете оставить в таблице только таблицы, или только представления и.т.д.
  • Специальный фильтр, который позволяет скрыть объекты, для которых не заданы права. Если установлен флажок Granted only, то видимыми останутся только те объекты базы данных, для которых заданы права.
  • Фильтр, который позволяет находить объект по первым буквам названия - это поле Filter.

Grant Manager - Filtering objects in list

Смотрите также:

Использование панелей инструментов и контекстного меню

Управление привилегиями базы данных

Управление правами столбцов

Задание системных привилегий

Управление ролями


Задание системных привилегий

На вкладке System Privileges задайте системные привилегии для выбранного пользователя или роли.

Выбрать пользователя или роль можно из списка Grantee, расположенного на панели инструментов.

В столбце Privilege обозначены привилегии для выбранной роли или пользователя. В столбце Granted - права для каждой привилегии.

Grant Manager - Managing system privileges

Для задания прав необходимо выбрать базу данных и роль или пользователя с помощью инструментов, располагающихся на панелях инструментов.

Права на выполнение того или иного действия можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку;
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Grant->Grant with GRANT OPTION->Deny->Revoke);
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав;

  • Revoke - аннулировать права;
  • Grant - Предоставить права на выполнение данного действия [image] ;
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT' [image] ;
  • Deny - Запретить выполнение данного действия [image] .

Смотрите также:

Использование панелей инструментов и контекстного меню

Управление привилегиями базы данных

Управление правами столбцов

Отбор объектов

Управление ролями


Управление ролями

На вкладке Roles Вы можете задать роли выбранным пользователям и ролям и назначить роль по умолчанию.

Выбрать пользователя или роль можно из списка Grantee, расположенного на панели инструментов.

В столбце Granted - обозначены привилегии для выбранной роли или пользователя.

В столбце Default отображается является ли роль ролью по умолчанию.

Grant Manager - Managing Roles

Для задания прав необходимо выбрать базу данных и роль или пользователя с помощью инструментов, располагающихся на панелях инструментов.

Права на выполнение того или иного действия и задание роли по умолчанию можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Grant->Grant with GRANT OPTION->Deny->Revoke, а для роли ).
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

  • Revoke - Аннулировать права,
  • Grant - Предоставить права на выполнение данного действия [image] ,
  • Grant with GRANT OPTION - Предоставить с правами 'GRANT' [image] ,
  • Deny - Запретить выполнение данного действия [image] .

Для роли по умолчанию, которая задается в столбце Default Role, порядок действий следующий.

  • Аннулировать
  • Назначить iconCommit
  • Запретить iconCross

Смотрите также:

Использование панелей инструментов и контекстного меню

Управление привилегиями базы данных

Управление правами столбцов

Отбор объектов

Задание системных привилегий


Визуальный конструктор баз данных

Визуальный конструктор баз данных предназначен для визуального представления баз данных, объектов баз данных и связей между ними. Также он позволяет создавать, редактировать и удалять таблицы и поля таблицы и устанавливать отношения между таблицами.

Чтобы открыть конструктор выберите пункт Tools | btnVDBD Visual Database Designer главного меню программы.

Использование панелей инструментов

Перемещение по диаграмме

Добавление объектов

Создание связей

Работа с несколькими страницами

Реконструирование

Печать диаграммы

Сохранить/загрузить диаграмму

Настройка диаграммы

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Управление объектами базы данных


Панели инструментов

Панель навигации

VDBD - Using Navigation bar

Database

iconDB выбрать базу данных.

File

iconNew New diagram - создать новую диаграмму,

iconLoadFromFile Open diagram - открыть существующую диаграмму,

iconSaveToFile Save diagram - сохранить диаграмму,

iconSaveToFileAs Save diagram as - сохранить диаграмму как.

Navigator

В окне навигатора уменьшенный макет диаграммы для удобного перемещения по ней.

General

Undo - отменить действие,

Redo - повторить действие,

iconRefresh Refresh - обновить диаграмму.

iconProperties Print setup - настройки печати,

iconPrint Print - печатать диаграмму,

iconPreview Print Preview - предварительный просмотр,

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна.

iconOptions Diagram options - задать свойства диаграммы.

Pages

New Page - создать новую страницу в диаграмме,

Delete Page - удалить активную страницу диаграммы,

Delete all - удалить все страницы диаграммы.

Database Objects

Список элементов, которые могут быть помещены на диаграмму.

VDBD - Database Objects pane

Нажатие правой кнопкой на списке вызывает контекстное меню. С помощью этого меню Вы можете:

iconFindText найти выбранный объект на диаграмме.

iconPlus добавить новый объект на с помощью обратного проектирования.

Tick Show Tables - отображать на диаграмме таблицы.

Tick Show Views - отображать на диаграмме представления.

Tick As tree / As list - вид отображения объектов: В виде дерева / В виде списка.

Tick Sort by... - порядок сортировки объектов в списке.

iconRefresh Refresh - обновить список объектов

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

С помощью инструментов, расположенных на этой панели можно выполнить следующие действия:

iconDB выбрать базу данных;

iconNew New diagram - создать новую диаграмму;

iconLoadFromFile Open diagram - открыть существующую диаграмму;

iconSaveToFile Save diagram - сохранить диаграмму;

iconSaveAsPicture Save as picture - сохранить диаграмму как изображение;

Incremental search - отобразить панель инкрементного поиска;

iconZoomIn Zoom in - увеличить масштаб;

iconZoomOut Zoom out - уменьшить масштаб;

iconZoomSelectRectangleToFit Select rectangle to fit - выделить участок для увеличения;

iconZoomFitModel Fit model - вписать всю диаграмму в видимую область;

iconPrintSetup Print Setup - настроить параметры печати;

iconPrint Print - печатать диаграмму;

iconPreview Print Preview - предварительный просмотр;

iconAlwaysOnTop Arrange objects - автоматически упорядочить объекты на диаграмме;

btnExtractDB Extract metadata - извлечь метаданные объектов диаграммы и загрузить их в Редактор выполнения скриптов;

btnReverseEngineer Reverse Engineering - выполнить обратное проектирование;

iconOptions Diagram options - задать свойства диаграммы;

iconRefresh Refresh - обновить диаграмму;

  • Задать масштаб диаграммы в процентах;

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна;

Undo - отменить действие;

Redo - повторить действие.

Панель Object Customization

VDBD - Toolbars - Main

  • Font color - цвет шрифта
  • Pen color - рамка объекта
  • Brush color - фон объекта

Панель инструментов диаграммы:

Align left edges - выровнять по левой границе выделенные объекты;

Align right edges - выровнять объекты по правой границе;

Align tops - выровнять по верхней границе;

Align bottom - выровнять по нижней границе;

Align horizontal centers - выровнять по центру по горизонтали;

Align vertical centers - выровнять по центру по вертикали;

Space equally, horizontal - равное пространство по горизонтали;

Space equally, vertical - равное пространство по вертикали;

Select - установить режим выделения объектов;

Create table - если нажата эта кнопка (выбран этот режим), то при нажатии левой кнопкой мыши на свободную область диаграммы будет создана новая таблица;

Create view - если нажата эта кнопка (выбран этот режим), то при нажатии левой кнопкой мыши на свободную область диаграммы будет создано новое представление;

Create relation - если нажата эта кнопка, то между таблицами можно создавать связи;

Create comment - если нажата эта кнопка, то можно создать комментарий;

Смотрите также:

Контекстные меню

Перемещение по диаграмме

Работа с объектами диаграммы

Инкрементный поиск

Создание связей

Работа с вкладками

Обратное проектирование

Печать диаграммы

Сохранить/загрузить диаграмму

Настройка диаграммы


Перемещение по диаграмме

Для быстрого и удобного перемещения по диаграмме существует специальный инструмент - Навигатор, который располагается на навигационной панели.

VDBD - Diagram navigator

Навигатор представляет собой макет окна диаграммы, в котором красным прямоугольником выделена видимая область диаграммы. Он позволяет увидеть всю диаграмму в уменьшенном виде. Работать с объектами - выделять, перемещать, создавать и редактировать - в навигаторе можно так же, как и в самом окне диаграммы.

При нажатии левой кнопкой мыши в окне навигатора, центр видимой области диаграммы перемещается в эту точку. Таким образом, можно перемещаться по диаграмме, не используя полосы прокрутки.

Смотрите также:

Панели инструментов

Работа с объектами диаграммы

Работа с вкладками


Контекстные меню

Контекстное меню области диаграммы.

VDBD - Using context menu

  • Select All - выделить все объекты диаграммы,
  • Select All Headers - выделить все заголовки,
  • Select All Fields - выделить все поля,
  • Zoom - из подменю выбрать масштаб диаграммы,
  • Create - выбрать тип создаваемого объекта,
  • Grid - настроить вид сетки,
  • Style - настроить диаграмму,
  • Reverse Engineer - обратный инжиниринг схемы данных (генерация модели данных на основе анализа существующей БД),
  • Extract Metadata - генерировать скрипт метаданных объектов диаграммы и загрузить этот скрипт в SQL Script Editor,
  • Diagram Options - задать настройки диаграммы.

Контекстное меню заголовка таблицы позволяет работать с таблицей:

VDBD - Using entity context menu

  • Edit Table "имя схемы.Имя_объекта" - открыть таблицу в редакторе;
  • New Table... - создать таблицу;
  • Drop Table "имя схемы.Имя_объекта" - удалить таблицу из базы данных;
  • Select Fields - выбрать все поля таблицы;
  • Hide Subitems - скрыть подъобъекты;
  • Remove Table "имя схемы.Имя_объекта" - удалить таблицу из диаграммы;
  • Reset Style of Selected Objects - сбросить настройки стилей для выбранного объекта.

Контекстное меню поля позволяет редактировать, добавлять и удалять поля таблицы.

Смотрите также:

Панели инструментов

Работа с объектами диаграммы

Создание связей

Инкрементный поиск


Работа с объектами диаграммы

Объектами диаграммы являются таблицы и поля таблиц.

Жирным шрифтом в таблицах выделены обязательные для заполнения поля. Ключевые поля отделены от остальной таблицы и обозначены специальной иконкой. Вид представления таблиц и связей можно настроить.

Добавление объектов в диаграмму

Добавить таблицу в область диаграммы можно двумя способами:

  • перетащить таблицу из окна проводника баз данных,
  • перетащить из списка доступных объектов, который расположен на навигационной панели.

Удаление объектов из диаграммы

Чтобы удалить таблицу из диаграммы (не из базы данных) воспользуйтесь пунктом контекстного меню заголовка таблицы Remove Table "Имя_объекта".

VDBD - Removing objects from diagram

Создание нового объекта

В окне диаграммы можно создавать новые таблицы, используя пункт контекстного меню заголовка таблицы New Table.... Далее в открывшемся редакторе таблиц задаете все поля и свойства новой таблицы и нажимаете OK. Созданная таблица появится на диаграмме.

Важно: До нажатия кнопки Compile объект создается только на поле диаграммы, но не в базе данных.

Редактирование объекта

В окне диаграммы можно редактировать как таблицы, так и поля таблиц.

Чтобы открыть таблицу в редакторе таблиц нужно в контекстного меню заголовка таблицы выбрать пункт Edit Table "Имя_объекта".

Работа с полями осуществляется с помощью Контекстного меню поля.

VDBD - Using field context menu

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Контекстные меню

Создание связей

Инкрементный поиск

Обратное проектирование

Управление объектами базы данных


Инкрементный поиск

Чтобы по названию найти объект на диаграмме необходимо:

  • Нажмите кнопку [image] Incremental Search на одной из панелей инструментов,
  • или используйте сочетание клавиш Ctrl+F.

VDBD - Incremental Search

Искомое сочетание символов укажите в появившемся поле Incremental Search, появившемся в нижней части области диаграммы.

Смотрите также:

Перемещение по диаграмме


Создание связей

SQL Manager for Oracle позволяет создавать связи между таблицами - внешние ключи - в окне диаграммы. Для этого на панели инструментов окна диаграммы надо нажать кнопку [image] Create relation.

Теперь, чтобы установить связь между двумя таблицами нужно нажать мышкой на каждой из них. После этого откроется редактор внешних ключей, в котором Вы сможете задать все свойства создаваемой связи.

VDBD - Creating relations

Связь между таблицами отображается в виде соединительной линии.

Управление связью осуществляется с помощью контекстного меню, которое открывается при нажатии правой кнопкой мыши на связь.

С помощью этого меню Вы можете:

  • открыть связь в редакторе внешних ключей - Edit Foreign Key "имя_объекта",
  • удалить связь Drop Foreign Key "имя_объекта".

При создании связи с помощью кнопки Create relation на панели инструментов диаграммы выбранные поля автоматически заносятся в редактор внешних ключей.

Смотрите также:

Перемещение по диаграмме

Работа с объектами диаграммы

Инкрементный поиск


Работа с вкладками

В одной диаграмме баз данных Вы можете создать несколько вкладок для разделения объектов на группы для удобства просмотра.

VDBD - Working with diagram pages

Работа с вкладками:

New Page - создать новую страницу в диаграмме,

Delete Page - удалить активную страницу диаграммы,

Delete all - удалить все страницы диаграммы.

  • Rename Page - переименовать вкладку.

Все эти команды находятся в контекстном меню страницы и на панели инструментов.

Смотрите также:

Перемещение по диаграмме

Работа с объектами диаграммы


Обратное проектирование

Для того чтобы быстро перенести на диаграмму все таблицы базы данных с отношениями между ними нужно воспользоваться кнопкой btnReverseEngineer Reverse Engineer (реконструировать базу данных) на панели инструментов.

Все таблицы базы выстраиваются на диаграмме, со всеми существующими между ними связями.

VDBD - Reverse engineering

В появившемся окне выберите одну или несколько схем для которых необходимо создать диаграмму.

VDBD - Reverse engineering - Select schema

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Работа с объектами диаграммы


Печать диаграммы

Визуальный конструктор баз данных позволяет открыть диаграмму в окне предпросмотра и распечатать её.

Чтобы распечатать диаграмму, нажмите кнопку btnPrintMetadata Print на панели инструментов.

Инструмент для предпросмотра диаграммы - Print Preview - открывается при нажатии кнопки btnPrintPreview Print Preview, на панели инструментов.

Для настроек печатного документа используйте Print Setup Dialog, который открывается при нажатии на кнопку btnPrintSetup Print setup, на панели инструментов. С помощью этого же инструмента можно распечатать документ.


Предварительный просмотр

Предварительный просмотр - это режим просмотра документа в том виде, в котором он будет напечатан.

VDBD - Printing diagram - Print Preview

С помощью инструмента Print Preview Вы можете просмотреть диаграмму перед печатью.

Действия, которые можно выполнить, используя панель инструментов:

  • указать номер просматриваемой страницы. С помощью кнопок можно открыть следующую или предыдущую страницу, в счетчике укажите номер желаемой страницы,
  • кнопка Print all позволяет напечатать все страницы или только текущую (раскрывающийся список кнопки),
  • настроить параметры печати - кнопка Print options,
  • установить масштаб просмотра - Preview zoom.


Настройки печати

Это диалоговое окно позволяет настроить опции печати:

  • параметры принтера - на вкладке Printer,
  • параметры страницы на вкладке Page options.

Инструменты, располагающиеся на вкладке Printer.

Database tools - VDBD - Print Setup - Printer

Имя принтера - отображается в поле Name.

Выбор активного принтера - кнопка Choose printer.

Сведения о драйвере принтера - поле Driver.

Порт подключения принтера - поле Port.

RadioButton Процент от натуральной величины - Use scale factor.

RadioButton Разместить не более чем на n страницах в ширину и n страницах в высоту - Arrange diagram at n pages horizontally and n pages vertically.

CheckBox Если установлен флажок Skip empty pages, то при печати будут пропущены пустые страницы.

CheckBox Установите флажок Print only selected objects, если хотите? чтобы напечатаны были только выделенные объекты.

CheckBox Установленный флажок Print page borders позволяет печатать границы страниц.

RadioButton All pages указывает на то что печататься будут все страницы.

RadioButton Pages from... to... позволяет задать диапазон печатаемых страниц.

Инструменты, располагающиеся на вкладке Page options.

Database tools - VDBD - Print Setup - Page options

Top margin (mm) - размер верхнего поля в мм.,

Bottom margin (mm) - размер нижнего поля в мм.,

Left margin (mm) - размер левого поля в мм.,

Right margin (mm) - размер правого поля в мм.,

В поле Page Header задайте текст верхнего колонтитула.

RadioButton Left align - выравнивание текста колонтитула по левому краю.

RadioButton Center align - выравнивание текста колонтитула по центру.

RadioButton Right align - выравнивание текста колонтитула по правому краю.

Page Footer - параметры нижнего колонтитула.

RadioButton Left align - выравнивание текста колонтитула по левому краю.

RadioButton Center align - выравнивание текста колонтитула по центру.

RadioButton Right align - выравнивание текста колонтитула по правому краю.


Сохранить/загрузить диаграмму

SQL Manager for Oracle позволяет сохранять и загружать сохраненную диаграмму.

Кнопки сохранить загрузить диаграмму расположены на панели инструментов:

  • открыть диаграмму - Open Diagram,
  • сохранить диаграмму - Save Diagram,
  • сохранить диаграмму как изображение - Save as Picture.

VDBD - Saving and Loading diagram

Чтобы открыть сохраненную ранее диаграмму нажмите на кнопку Open Diagram на панели инструментов.

Если попытаться открыть диаграмму для другой базы, то программа, не найдя соответствующих таблиц, выдаст ошибку.

Смотрите также:

Панели инструментов

Перемещение по диаграмме

Контекстные меню

Работа с объектами диаграммы


Настройка диаграммы

Настроить вид диаграммы можно с помощью инструментов, расположенных на вкладке Options | Environment Options | Tools | Visual Database Designer. Окно настроек можно открыть также с помощью кнопки Diagram options, расположенной на одной из панелей инструментов или соответствующего пункта контекстного меню.

VDBD - Setting diagram options

CheckBox Если после внесения изменений установить флажок Apply changes to all new pages, то все принятые изменения будут назначены свойствами по умолчанию. Все последующие диаграммы будут создаваться с учетом этих свойств.

Смотрите также:

Настройки визуального конструктора баз данных


Службы

В SQL Manager for Oracle существуют специальные службы, для работы с различными сервисами Oracle.

Профилировщик PL/SQL

Этот инструмент позволяет настраивать существующие приложения PL/SQL и идентифицировать критические параметры производительности.

Мастер сбора статистики

С помощью этого инструмента Вы можете собирать различную статистику для улучшения работы программы.

TKProf Wizard

Предназначен для преобразования файла трассировки в более удобочитаемый вид.

Мастер резервного копирования базы данных

С помощью этого мастера Вы можете создавать резервные копии базы данных.

Мастер восстановления базы данных

Этот мастер позволит вам восстановить базу данных из резервной копии.

Мастер восстановления таблиц и данных

Этот мастер позволит вам восстановить таблицы и данные из резервных копий.

Мастер очистки таблиц/кластеров

Этот инструмент позволит вам очистить таблицы и кластеры в выбранной базе данных.

Перекомпиляция поврежденных объектов

Этот инструмент позволяет вам найти поврежденные объекты в указанной схеме и заново их скомпилировать.

Включение/выключение ограничений

Этот инструмент позволяет Вам включать и выключать ограничения, установленные для таблиц.

Редактор заданий

Позволяет вам управлять заданиями. Задание - это задаваемые пользователем операции, выполняющиеся в указанное время.

Для получения более подробной информации об указанных сервисах, смотрите документацию к серверу Oracle.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Работа с данными

Средства импорта и экспорта данных

Инструменты для работы с базой данных

Инструменты работы с сервером

Настройки

Как...


Профилировщик PL/SQL

Этот инструмент позволяет настраивать существующие приложения PL/SQL и идентифицировать критические параметры производительности.

Чтобы запустить этот инструмент необходимо выбрать Services | iconPLSQLProfiler PL/SQL Profiler в главном меню программы.

Использование панелей инструментов

Использование профилировщика PL/SQL

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

PLSQL Profiler - Using Navigation bar

На панели Object:

iconDB выбрать базу данных.

На панели General:

iconRefresh обновить- Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

iconExecute запустить профилировщик - Start profiler,

iconPause / [image] приостановить/остановить профилировщик - Pause/Stop profiler,

iconClear очистить журнал событий - Clear log.

Смотрите также:

Использование профилировщика PL/SQL


Использование профилировщика PL/SQL

Окно профилировщика PL/SQL состоит из следующих частей: Run-specific information, Information about each library unit in a run, Data from all profiler runs.

PLSQL Profiler - Using PLSQL Profiler

Run-specific information

В этом окне отображаются сессии профилировщика и дополнительная информация по каждой сессии. Дополнительная информация отображается в следующих столбцах: Run date, Run owner, Elapsed time (msec).

Information about each library unit in a run

В этом разделе отображается расширенная информация о библиотеках. Столбцы таблицы: Unit type, Unit owner, Unit name, Total time (msec), Total time.

Data from all profiler runs

В этом разделе Вы можете просматривать данные обо всех запусках профилировщика. Данные представлены в виде таблицы, со столбцами: Line, Occurrences, Total time, Min time, Max time, Total time (msec), TOTALTIME.

С этими таблицами Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных, как сортировка, фильтрование данных, изменение порядка столбцов.

При необходимости, Вы можете перейти на вкладку Source, для просмотра информации обо всех запусках профилировщика.

Смотрите также:

Использование панелей инструментов


Мастер сбора статистики

С помощью Advanced Statistics Wizard Вы можете собирать различную статистику для улучшения работы программы.

Вы можете выбрать тип объектов для которых необходимо отобразить статистику.

Чтобы запустить этот инструмент необходимо выбрать Services | iconAdvancedStatisticsWizard Advanced Statistics Wizard в главном меню программы, или пункт Tasks | Gather Statistics / Tasks | Delete Statistics в контекстном меню базы данных.

Шаги мастера:

  • Выбор базы данных и типа объектов
  • Выбор объектов
  • Задание дополнительных опций
  • Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Использование шаблонов


Выбор базы данных и типа объектов

На первом шаге необходимо выбрать базу данных и тип объектов, для которых будет осуществляться сбор статистики.

Advanced Statistics Wizard - Selecting database and stats operation

Database

Из этого раскрывающегося списка выберите одну из подключенных баз данных, содержащую объекты для сбора статистики.

Stats operation

Действие, которое необходимо выполнить, выберите из этого раскрывающегося списка:

  • Gathering - сбор,
  • Delete - удаление,
  • Export - экспорт в файл,
  • Import - импорт из файла.

В разделе Get statistics for укажите, для каких типов объектов будет собрана статистика.

RadioButton System - статистика собирается для всей системы,

RadioButton Database - для одной базы данных,

RadioButton Schema - для одной схемы,

RadioButton Table - для таблицы,

RadioButton Index - для индекса.

Следующий шаг

Шаблоны


Выбор объектов

На этом шаге Вы можете выбрать объекты, для которых будет осуществлен сбор статистики.

Этот шаг доступен только в том случае, если на предыдущем шаге, в качестве объектов для сбора статистики, Вы выбрали один из следующих пунктов:

RadioButton Schema - схему,

RadioButton Table - таблицу,

RadioButton Index - индекс.

Advanced Statistics Wizard - Selecting objects

Если Вы выбрали таблицу или индекс, то из раскрывающегося списка Schema необходимо будет выбрать схему, в которой содержатся нужные объекты.

Доступные объекты (схемы, таблицы или индексы) содержатся в списке Available. С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available Вы можете переносить их из списка доступных в список выбранных - Selected и обратно.

Следующий шаг

Шаблоны


Задание дополнительных опций

На этом шаге Вы можете задать дополнительные опции сбора статистики.

Advanced Statistics Wizard - Specifying additional settings - Schema

Вид этого шага изменяется в зависимости от того, какой тип объектов для сбора статистики Вы выбрали на первом шаге.

Общие для всех типов объектов параметры:

Target Schema

Схему, в которой содержится таблица статистики, выберите из этого раскрывающегося списка.

Target Name

Из этого раскрывающегося списка выберите таблицу статистики. В этот список попадают таблицы определенной структуры, но если в этом поле написать имя несуществующей таблицы, то будет создана таблица с указанным именем и с необходимой структурой

Stat ID

Задайте в этом поле идентификатор статистики, который будет ассоциироваться с таблицей статистики.

Если Вы собираете статистику для всей системы (GATHER_SYSTEM_STATS):

Mode

Из этого раскрывающегося списка выберите спецификацию объекта, для которого будет собрана статистика:

  • NOWORKLOAD - в этом режиме характеристики системы ввода/вывода попадают в статистику. Сбор может занять несколько минут. Это зависит от размеров базы данных.
  • INTERVAL - в этом режиме сбор статистики длится указанный интервал времени. Этот интервал указывается с помощью счетчика Interval. Время указывается в минутах.
  • START | STOP система доступна для сбора статистики только в указанный промежуток времени.

Для схемы (GATHER_SCHEMA_STATS).

Из раскрывающегося списка Granularity выберите степень детализации статистики:

  • ALL - собирается вся информация о системе.
  • AUTO - определяет степень детализации, основанную на секционировании.
  • DEFAULT - собирается общая статистика и статистика секционирования.
  • GLOBAL - собирается общая статистика.
  • GLOBAL AND PARTITION - общая и статистика секционирования (не включена статистика подуровней секционирования).
  • PARTITION - сбор статистики секционирования.
  • SUBPARTITION - сбор статистики подуровней секционирования.

Options

Из этого раскрывающегося списка выберите, для каких объектов необходимо собирать статистику.

GATHER - собирать информацию по всем объектам указанной схемы.

GATHER AUTO - собирает необходимую статистику автоматически. Сервер определяет метод сбора статистики и объекты, для которых необходимо её обновить.

GATHER STALE - собирает статистику для устаревших объектов.

GATHER EMPTY - статистика собирается для объектов, для которых нет статистической информации.

LIST AUTO - возвращает список объектов, которые будут обработаны GATHER AUTO.

LIST STALE - возвращает список устаревших объектов. (Представление *_tab_modifications).

LIST EMPTY - возвращает список объектов, для которых нет статистической информации.

Method opt

Из этого раскрывающегося списка выберите метод сбора статистики: FOR ALL INDEXES COLUMNS, FOR ALL HIDDEN COLUMNS.

Degree

Степень параллелизма укажите в этом поле.

Estimate percent

С помощью этого счетчика задайте процент строк для оценивания.

CheckBox No invalidate

Если этот флажок установлен, то зависимые курсоры не признаются недействительными.

CheckBox Block sample

Эта опция определяет, необходимо ли использовать случайную выборку блока вместо случайной выборки строк.

CheckBox Force

Если этот флажок установлен, то статистика по объекту собирается даже если объект заблокирован.

Для базы данных (GATHER_DATABASE_STATS)

Advanced Statistics Wizard - Specifying additional settings - Database

Из раскрывающегося списка Granularity выберите степень детализации статистики:

  • ALL - собирается вся информация о системе.
  • AUTO - определяет степень детализации, основанную на секционировании.
  • DEFAULT - собирается общая статистика и статистика секционирования.
  • GLOBAL - собирается общая статистика.
  • GLOBAL AND PARTITION - общая и статистика секционирования (не включена статистика подуровней секционирования).
  • PARTITION - сбор статистики секционирования.
  • SUBPARTITION - сбор статистики подуровней секционирования.

Options

Из этого раскрывающегося списка выберите, для каких объектов необходимо собирать статистику.

GATHER - собирать информацию по всем объектам указанной схемы.

GATHER AUTO - собирает необходимую статистику автоматически. Сервер определяет метод сбора статистики и объекты, для которых необходимо её обновить.

GATHER STALE - собирает статистику для устаревших объектов.

GATHER EMPTY - статистика собирается для объектов, для которых нет статистической информации.

LIST AUTO - возвращает список объектов, которые будут обработаны GATHER AUTO.

LIST STALE - возвращает список устаревших объектов. (Представление *_tab_modifications).

LIST EMPTY - возвращает список объектов, для которых нет статистической информации.

CheckBox No invalidate

Если этот флажок установлен, то зависимые курсоры не признаются недействительными.

CheckBox Block sample

Эта опция определяет, необходимо ли использовать случайную выборку блока вместо случайной выборки строк.

CheckBox Gather sys

Установите этот флажок, чтобы собирать статистику по объектам, принадлежащим пользователю SYS.

Для таблицы (GATHER_TABLE_STATS).

Advanced Statistics Wizard - Specifying additional settings - Table

Partition name

Specify the name of the partition on which you want statistics to be gathered.

Из раскрывающегося списка Granularity выберите степень детализации статистики:

  • ALL - собирается вся информация о системе.
  • AUTO - определяет степень детализации, основанную на секционировании.
  • DEFAULT - собирается общая статистика и статистика секционирования.
  • GLOBAL - собирается общая статистика.
  • GLOBAL AND PARTITION - общая и статистика секционирования (не включена статистика подуровней секционирования).
  • PARTITION - сбор статистики секционирования.
  • SUBPARTITION - сбор статистики подуровней секционирования.

Method opt

Из этого раскрывающегося списка выберите метод сбора статистики: FOR ALL INDEXES COLUMNS, FOR ALL HIDDEN COLUMNS.

Degree

Степень параллелизма укажите в этом поле.

Estimate percent

С помощью этого счетчика задайте процент строк для оценивания.

CheckBox No invalidate

Если этот флажок установлен, то зависимые курсоры не признаются недействительными.

CheckBox Block sample

Эта опция определяет, необходимо ли использовать случайную выборку блока вместо случайной выборки строк.

CheckBox Force

Если этот флажок установлен, то статистика по объекту собирается, даже если объект заблокирован.

The following options should be specified for indexes (GATHER_INDEX_STATS):

Advanced Statistics Wizard - Specifying additional settings - Index

Partition name

В этом поле укажите раздел для которого надо собрать статистику.

Из раскрывающегося списка Granularity выберите степень детализации статистики:

  • ALL - собирается вся информация о системе.
  • AUTO - определяет степень детализации, основанную на секционировании.
  • DEFAULT - собирается общая статистика и статистика секционирования.
  • GLOBAL - собирается общая статистика.
  • GLOBAL AND PARTITION - общая и статистика секционирования (не включена статистика подуровней секционирования).
  • PARTITION - сбор статистики секционирования.
  • SUBPARTITION - сбор статистики подуровней секционирования.

Degree

Степень параллелизма укажите в этом поле.

CheckBox No invalidate

Если этот флажок установлен, то зависимые курсоры не признаются недействительными.

CheckBox Force

Если этот флажок установлен, то статистика по объекту собирается, даже если объект заблокирован.

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

Advanced Statistics Wizard - Managing statistics

Если установить флажок Close the Wizard after successful completion, то мастер закроется при нажатии кнопки Finish в этом окне. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Шаблоны


Мастер TKProf

TKProf Wizard предназначен для преобразования файла трассировки в более удобочитаемый вид.

Чтобы начать работать с мастером необходимо выбрать пункт Services | iconTKProfWizard TKProf Wizard в главном меню программы.

Задание основных параметров

Выбор входных файлов

Задание параметров сортировки

Задание плана выполнения

Указание дополнительных настроек

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Использование шаблонов


Задание основных параметров

На этом шаге необходимо задать основные параметры.

TKProf Wizard - Specifying common options

Database

Из раскрывающегося списка выбрать базу данных для которой будет создан файл трассировки.

Trace files directory

В этом поле необходимо указать расположение файла трассировки.

TKProf

Указать расположение файла утилиты TKProf - 'tkprof.exe'.

Следующий шаг

Шаблоны


Выбор входных файлов

На этом шаге необходимо указать файлы трассировки.

TKProf Wizard - Selecting input files

Кнопки позволяют управлять файлами в списке.

btnAddItem Add trace file - добавить файл трассировки. В открывшемся стандартном окне необходимо указать нужный файл.

btnRemoveItem Delete - удалить файл из списка.

btnClearList Clear list - очистить список.

Следующий шаг

Шаблоны


Задание параметров сортировки

На этом шаге можно задать параметры сортировки выходного файла.

Утилита TKProf сортирует SQL операторы трассировки в порядке убывания перед тем, как поместить их в выходной файл.

Если указано больше одной опции, то сортировка в выходном файле производится по убыванию по сумме значений опций сортировки.

TKProf Wizard - Setting sorting options

Параметр, по которому надо сортировать операторы, необходимо отметить флажком.

Если ни один параметр не отмечен, то операторы будут помещены в выходной файл в исходном порядке.

Следующий шаг

Шаблоны


Задание плана выполнения

На этом шаге мастера необходимо указать, должен ли быть создан план выполнения.

TKProf Wizard - Defining explain plan

RadioButton Don't use the EXPLAIN PLAN statement - не генерировать план выполнения.

RadioButton Connect to registered database - подключиться к существующей базе данных.

Из раскрывающегося списка необходимо выбрать зарегистрированную базу данных.

RadioButton Unregistered database - Подключиться к незарегистрированной базе данных.

Для незарегистрированной базы данных необходимо указать следующие параметры подключения:

  • User - имя пользователя.
  • Password - пароль пользователя.
  • Database name - имя базы данных.
  • Connection as - тип подключение.

CheckBox Explain to

Эта опция используется для вставки данных плана выполнения в таблицу. Если флажок не установлен, то план выполнения будет помещен в файл.

Schema

В этом поле необходимо указать схему, в которую будет помещена таблица с планом выполнения.

Name

В этом поле задается имя таблицы плана выполнения.

Следующий шаг

Шаблоны


Указание дополнительных настроек

На этом шаге можно задать дополнительные параметры операции.

TKProf Wizard - Specifying additional options

CheckBox Output directory

Директория, в которую будет помещен выходной файл.

CheckBox List only first N SQL statement(s)

Количество выражений, которые будут включены в файл результата.

CheckBox Aggregate multiple users

Объединить в один список операторы от всех пользователей. По умолчанию, в итоговый файл попадают только операторы текущего пользователя попадают.

CheckBox Do not list SQL statements run as user SYS

Не включать в файл операторы, выполненные пользователем SYS.

CheckBox Generate Insert file

Определите, следует ли генерировать файл, содержащий выражения типа Insert.

CheckBox Generate Record File

Нужно ли включать в файл результаты нерекурсивных запросов.

CheckBox Open folder after creation

Открыть папку, содержащую выходной файл после его создания.

Чтобы запустить выполнение операции, нажмите кнопку Finish.


Мастер резервного копирования базы данных

С помощью мастера резервного копирования Вы можете создавать резервные копии баз данных.

Важно: Вы должны иметь ясное представление о механизме создания резервных копий и восстановления из них. Неправильная комбинация параметров настройки, может повредить вашу базу данных!

Чтобы запустить этот инструмент необходимо выбрать Services | [image] Backup Database в главном меню программы, или пункт Tasks | [image] Backup Database в контекстном меню базы данных.

Все инструменты мастера располагаются на следующих шагах:

  • Выбор базы данных и типа резервной копии
  • Настройка параметров
  • Выбор файлов/Задание параметров
  • Задание дополнительных опций
  • Задание расписания выполнения резервного копирования
  • Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер восстановления базы данных

Использование шаблонов


Выбор базы данных и типа резервной копии

На первом шаге Вам необходимо Выбрать базу данных для резервного копирования и средство резервного копирования.

Backup Database - Setting DB name and backup mode

Database

Из раскрывающегося списка выберите одну из зарегистрированных баз данных.

Script directory

Введите вручную или выберите из раскрывающегося списка путь к скрипту резервной копии.

Backup directory

В этом поле укажите путь к директории, в которую должна быть сохранена резервная копия.

В разделе Backup using выберите одно из средств резервного копирования:

RadioButton User-managed script wizard - управляемый пользователем скрипт,

RadioButton Recovery manager (RMAN).

Следующий шаг

Шаблоны


Настройка параметров

На этом шаге Вы можете просмотреть информацию о текущем состоянии базы данных и выбрать способ резервного копирования.

Backup Database - Checking database and instance settings

В основном списке отображаются следующие параметры базы данных:

Database name - имя базы данных,

Instance name - имя сервера,

Version - версия сервера,

Archivemode - режим архивирования,

Archivelog destination - адрес хранения журнала архива,

Controlfiles - управляющие файлы,

SPFILE,

PFILE,

DB block size - размер блоков базы данных.

В разделе Database information отображается более подробно тот параметр базы данных, который Вы выбрали в основном списке.

CheckBox Online backup

Установите этот флажок, если хотите создать резервную копию подключенной базы данных. Это можно делать только в том случае, если параметр Archivemode имеет значение ARCHIVELOG.

Если этот флажок не установлен, то на время создания резервной копии база данных будет отключена.

Следующий шаг

Шаблоны


Выбор файлов/Задание параметров

Если на первом шаге, в качестве средства резервного копирования, Вы выбрали User-managed script wizard, то на третьем шаге необходимо будет выбрать файлы базы данных, которые необходимо сохранить в резервной копии.

Backup Database - User-managed script - Selecting datafiles

Чтобы добавить файл базы данных в резервную копию, установите флажок напротив его названия в списке.

Если на первом шаге в качестве средства резервного копирования Вы выбрали Recovery manager (RMAN), то на этом шаге необходимо будет задать следующие настройки.

Backup Database - RMAN - Specifying backup type and options

В разделе Backup type выберите тип резервной копии.

RadioButton Full backup

Полное резервное копирование - это резервирование всей базы данных на определенный момент времени.

RadioButton Incremental backup

Инкрементное резервное копирование - резервирование, затрагивающее только те части базы данных, которые изменились с момента полного или инкрементного резервного копирования.

Backup level - уровень инкрементного резервного копирования. Резервная копия уровня n может быть создана, только если в истории резервных копий существует резервная копия уровня n-1 для указанной базы данных. Это не относится к нулевому уровню, так как нулевой уровень является полной копией базы данных.

Уровней может быть 4.

CheckBox Delete expired archivelog

Если этот флажок установлен, то в RMAN скрипт будет добавлена команда, удаляющая устаревшую резервную копию.

CheckBox Autobackup controlfile

Если этот флажок установлен, то разрешено автоматическое резервирование управляющего файла.

В поле Snapshot controlfile name укажите имя файла и путь для моментальной копии управляющего файла.

Следующий шаг

Шаблоны


Задание дополнительных опций

Если на первом шаге в качестве средства резервного копирования Вы выбрали User-managed script wizard, то на четвертом шаге необходимо будет указать некоторые дополнительные параметры резервного копирования.

Backup Database - User-managed script - Setting additional options

Backup logname

В этом поле укажите имя файла журнала. Путь к этому задайте вручную или выберите с помощью кнопки btnSaveAs.

CheckBox Backup controlfile

Если этот флажок установлен, то управляющий файл будет помещен в резервную копию.

CheckBox Recreate PFILE if need

Если установлен этот флажок, то команда, восстанавливающая PFILE, добавляется в скрипт резервной копии.

CheckBox Recreate temporary data files

Установите этот флажок, если необходимо пересоздать временные файлы данных.

В разделе OS specific options выберите операционную систему, команды которой будут использоваться в скрипте резервной копии.

RadioButton Unix

RadioButton Windows

RadioButton Manually - задайте команду вручную, в поле Copy command.

Если на первом шаге в качестве средства резервного копирования Вы выбрали Recovery manager (RMAN), то на этом шаге необходимо будет указать следующие настройки.

Backup Database - RMAN - Setting additional options

Пользователя и пароль пользователя, который создает резервную копию с использованием RMAN, укажите в полях User и Password.

CheckBox Using catalog

Если этот флажок установлен, то при резервном копировании будет использоваться каталог.

Каталог (Catalog) - база данных, выполняющая функции хранилища информации о действиях RMAN. Каталог представляет собой базу данных Oracle, хранящуюся на другом хосте. Для доступа к каталогу необходимо указать пользователя, пароль пользователя и название базы данных в полях Catalog user, Password и Database name соответственно.

RMAN script execution

Выберите операционную систему для которой будет создана резервная копия:

RadioButton Build command file for Unix - для Unix,

RadioButton Build command file for Windows - для Windows,

RadioButton Run script now - будет создана резервная копия без выполнения промежуточных операций.

Следующий шаг

Шаблоны


Задание расписания выполнения резервного копирования

На этом шаге мастера можно задать настройки расписания для автоматического создания резервных копий в нужное время.

Schedule backup

RadioButton Do not schedule

Не использовать расписания.

RadioButton DBMS_SCHEDULER

Создать задание для создания резервной копии базы данных.

Backup Database - Scheduling backup scripts

Database

База данных в которой будет храниться задание.

Job name

Имя создаваемого задания.

Next time

Время следующего запуска задания.

Periodically

Периодичность с которой будет выполняться задание по созданию резервной копии базы данных.

RadioButton Every minute - каждые n минут.

RadioButton Every hour - каждые n часов.

RadioButton Every day - каждые n дней.

Custom interval

При необходимости можно задавать собственный произвольный интервал в этом поле.

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

О ходе выполнения сообщается в текстовом поле.

Backup Database - Running database backup operation

Если установить флажок Close the Wizard after successful completion, то мастер закроется при нажатии кнопки Finish в этом окне. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Шаблоны


Мастер восстановления базы данных

Восстановление — это процесс восстановления базы данных из резервной копии и подготовка её к работе.

Мастер восстановления баз данных позволит вам пошагово настроить операцию восстановления базы данных из резервной копии.

Важно: Вы должны иметь ясное представление о механизме создания резервных копий и восстановления из них. Неправильная комбинация параметров настройки, может повредить вашу базу данных!

Чтобы запустить этот инструмент, необходимо выбрать Services | [image] Restore Database в главном меню программы, или пункт Tasks | [image] Restore Database в контекстном меню базы данных.

Все инструменты мастера располагаются на следующих вкладках:

Мастер восстановления базы данных

Выбор базы данных и типа восстановления

Для управляемых пользователем скриптов

Задание общих настроек

Выбор файлов данных

Задание дополнительных опций

Для RMAN

Задание дополнительных опций

Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер резервного копирования базы данных

Использование шаблонов


Выбор базы данных и типа восстановления

На первом шаге Вам необходимо выбрать базу данных для восстановления из резервной копии и способ восстановления.

Restore Database - Setting DB name and restore mode

Database

Из раскрывающегося списка выберите базу данных, которую требуется восстановить.

Script directory

Введите вручную или выберите из раскрывающегося списка путь к скрипту резервной копии.

Backup directory

Укажите путь к директории, в которой должна храниться резервная копия.

В разделе Restore using выберите одно из средств восстановления:

RadioButton User-managed script wizard - управляемый пользователем скрипт,

RadioButton Recovery manager (RMAN).

Следующий шаг для восстановления при помощи User-managed script wizard.

Следующий шаг для восстановления с помощью Recovery manager (RMAN).

Шаблоны


Задание общих настроек

На этом шаге Вы можете задать общие настройки восстанавливаемой базы данных при восстановлении с помощью управляемого пользователем скрипта.

Restore Database - User-managed script - Verifying current DB options

Backup logname

В этом поле с помощью кнопки ExplorerButton выберите файл журнала.

Database name

Укажите имя восстанавливаемой базы данных.

Instance name

Имя экземпляра сервера Oracle, на котором расположена указанная база данных.

Server version

Версия сервера Oracle, на котором расположена указанная база данных, указывается в этом поле.

Oracle home

Oracle Home задайте в этом поле.

Archivelog destination

Путь к журнальным файлам пропишите в этом поле.

Controlfile name

Имя управляющего файла

Controlfile destination

Путь к управляющему файлу.

CheckBox Restore from online backup

Восстановить из резервной копии подключенной базы данных.

CheckBox Enforce shutdown of the instance

Если этот флажок установлен, то в скрипт будет добавлена команда выключения сервера.

Следующий шаг

Шаблоны


Выбор файлов данных

На этом шаге вы можете выбрать файлы базы данных для восстановления.

Чтобы добавить файл базы данных, установите флажок напротив его названия в списке.

Restore Database - User-managed script - Selecting datafiles

Следующий шаг

Шаблоны


Задание дополнительных опций

На этом шаге Вы можете указать некоторые дополнительные опции восстанавливаемой базы данных.

Restore Database - User-managed script - Setting additional options

Controlfile

В этом разделе выберите действие, которое будет производиться с управляющим файлом:

RadioButton Don't restore controlfile - не восстанавливать управляющий файл,

RadioButton Restore controlfile - восстанавливать управляющий файл,

RadioButton Recreate controlfile - пересоздать управляющий файл,

RadioButton Recreate with set database - пересоздать с установкой базы данных.

В разделе OS specific options выберите операционную систему, команды которой будут использоваться в скрипте резервной копии.

RadioButton Unix

RadioButton Windows

RadioButton Manually - задайте команду вручную, в поле Copy command.

CheckBox Recreate instance

Если этот флажок установлен, то команда для пересоздания экземпляра будет добавлена в итоговый скрипт.

CheckBox Recreate temporary files

Установите этот флажок, если необходимо пересоздать временные файлы данных.

CheckBox Recreate password file

Если этот флажок установлен, то команда пересоздания файла пароля будет добавлена в скрипт.

Следующий шаг

Шаблоны


Задание дополнительных опций

На этом шаге Вы можете указать некоторые дополнительные опции восстанавливаемой базы данных.

Restore Database - RMAN - Setting additional options

Target

Пользователя, который восстанавливает базу данных из резервной копии с использованием RMAN, укажите в поле Target database user.

Название восстанавливаемой базы данных задайте в поле Database name.

В поле Password укажите пароль пользователя.

CheckBox Using catalog

Если этот флажок установлен, то при восстановлении из резервной копии будет использоваться каталог.

Каталог (Catalog) - база данных, выполняющая функции хранилища информации о действиях RMAN. Каталог представляет собой базу данных Oracle, хранящуюся на другом хосте. Для доступа к каталогу необходимо указать пользователя, название базы данных и пароль пользователя в полях Catalog user, Database name и Password соответственно.

RMAN script execution

Выберите операционную систему, для которой будет создан скрипт:

RadioButton Build command file for Unix - для Unix,

RadioButton Build command file for Windows - для Windows,

RadioButton Run script now - скрипт будет запущен без выполнения промежуточных операций.

CheckBox Restore from online backup

Установите этот флажок, если хотите восстановить базу данных из резервной копии, которая была сделана с подключенной базы данных.

CheckBox Restore controlfile from autobackup

Установите этот флажок, чтобы восстановить управляющий файл из резервной копии, сделанной с подключенной базы данных. Дополнительно Вы можете указать моментальный снимок управляющего файла.

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

О ходе выполнения сообщается в текстовом поле.

Restore Database - Running database restore operation

Если установить флажок Close the Wizard after successful completion, то мастер закроется при нажатии кнопки Finish в этом окне. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Шаблоны


Мастер восстановления таблиц и данных

Мастер восстановления таблиц и данных - инструмент, позволяющий восстанавливать удаленные таблицы и возвращать данные к состоянию на указанное время.

Выберите пункт главного меню Services | iconFlashback Flashback, чтобы запустить мастер.

Шаги мастера:

  • Мастер восстановления таблиц и данных
  • Выбор базы данных и типа восстановления
  • Выбор таблицы
  • Задание параметров восстановления
  • Предпросмотр восстанавливаемых данных
  • Выполнение операции

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Мастер резервного копирования базы данных

Мастер восстановления базы данных

Использование шаблонов


Выбор базы данных и типа восстановления

На первом шаге Вы можете выбрать базу данных и тип восстановления.

Flashback Wizard - Specifying the source database and selecting the operation

Database

Выберите базу данных из раскрывающегося списка.

RadioButton Table to before drop state

Восстановить таблицу к состоянию до её удаления.

RadioButton Table data

Восстановить табличные данные к предыдущему состоянию

Важно: Вы не можете привести таблицу к состоянию, которое было до последнего изменения структуры таблицы.

Следующий шаг

Шаблоны


Выбор таблицы

На этом шаге выберите удаленную таблицу, которую необходимо восстановить в базе данных. Этот шаг доступен только в том случае, если на первом шаге Вы выбрали Table Data.

Flashback Wizard - Selecting the dropped table to flashback

В поле Recycle bin отображается имя и схема выбранной в списке удаленной таблицы.

В основном списке представлены удаленные таблицы. Для каждой таблицы показана схема, которой она принадлежала.

Вы можете задать новое имя для восстанавливаемой таблицы в поле Rename to.

Следующий шаг

Шаблоны


Задание параметров восстановления

На этом шаге выберите таблицу, для которой хотите восстановить данные, и контрольную точку восстановления. Этот шаг доступен только в том случае, если на первом шаге Вы выбрали Table to before drop state.

Flashback Wizard - Specifying flashback settings

Current SCN

В этом поле отображается самый последний номер системного изменения (System Change Number).

Schema

Схему, которой принадлежит нужная таблица, выберите из раскрывающегося списка.

Table name

Таблицу, данные которой хотите восстановить, выберите из раскрывающегося списка.

Flashback SCN

В этом поле отображается номер системного изменения выбранной контрольной точки. Вручную заносить значение в это поле можно только в том случае, если Вы абсолютно уверены в его правильности.

В разделе Flashback using выберите, с помощью чего будет осуществляться восстановление.

RadioButton SCN

Для определения времени и состояния таблицы, к которому её нужно будет привести, будет использоваться номер системного изменения. В списке будет отображаться дата и время внесения изменений и номер, им соответствующий.

RadioButton Restore point

Выберите этот пункт, если хотите использовать для восстановления контрольные точки. В этом случае, в списке будет отображаться имя контрольной точки, дата её создания и её SCN.

RadioButton EMS Manager restore point

Выберите точку восстановления из таблицы точек восстановления EMS Manager-а.

RadioButton Timestamp

Выберите данный тип восстановления, если хотите указать конкретную дату и время восстановления. Дату и время установите в поле Timestamp point. Вы можете задать интервал времени, используя Before current timestamp, чтобы найти ближайшую к указанному времени контрольную точку.

Следующий шаг

Шаблоны


Предпросмотр восстанавливаемых данных

На том шаге Вы можете увидеть как будет выглядеть таблицы после восстановления. Этот шаг доступен только в том случае, если на первом шаге Вы выбрали Table to before drop state.

Flashback Wizard - Previewing the data

Используйте такие возможности просмотрщика данных, как фильтрация и группировка для более удобного просмотра данных.

CheckBox Enable triggers

Установите этот флажок, чтобы активировать триггеры таблицы после её восстановления.

Следующий шаг

Шаблоны


Выполнение операции

О процессе выполнения операции сообщается на последнем шаге.

Чтобы начать выполнение операции, нажмите кнопку Finish.

О ходе выполнения сообщается в текстовом поле.

Flashback Wizard - Running flashback

Если установить флажок Close the Wizard after successful completion, то мастер закроется при нажатии кнопки Finish в этом окне. Если же флажок не установлен, то можно изменить свойства мастера, не открывая его заново.

Шаблоны


Мастер очистки таблиц/кластеров

Этот инструмент позволит вам удалить данные из таблицы и кластера в выбранной базе данных.

Чтобы запустить этот инструмент, необходимо выбрать Services | iconTruncate Truncate Table/Cluster в главном меню программы, или пункт Tasks | Truncate Table, Tasks | Truncate Cluster в контекстном меню объекта базы данных в проводнике баз данных.

Все инструменты мастера располагаются на следующих вкладках:

  • Выбор базы данных и типа объектов
  • Выбор объектов
  • Задание параметров очистки

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Использование шаблонов


Выбор базы данных и типа объектов

На первом шаге выберите базу данных и тип объектов.

Truncate Wizard - Selecting database and object type

Базу данных выберите из раскрывающегося списка Database.

Из раскрывающегося списка Object type выберите тип объектов. Это могут быть таблицы или кластеры.

Следующий шаг

Шаблоны


Выбор объектов

На этом шаге Вы можете выбрать объекты, которые необходимо очистить. Для этого необходимо из раскрывающегося списка Schema выбрать схему, в которой содержится нужный объект.

Все таблицы и кластеры выбранной схемы отображаются в списке Available.

Выберите нужные объекты и с помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available перенесите их в список выбранных объектов - Selected.

Truncate Wizard - Selecting objects to truncate

Следующий шаг

Шаблоны


Задание параметров очистки

Дополнительные параметры выполнения операции задайте на этом шаге.

Truncate Wizard - Setting truncate options

В разделе Materialized view log options задайте действие, которое необходимо выполнить с журналом материальных представлений, для данного объекта:

RadioButton None - никакого действия,

RadioButton Preserve - сохранить,

RadioButton Purge - очистить.

Storage

RadioButton Drop

Если выбран этот пункт, то пространство, занимаемое строками, освобождается и возвращается в пул свободного пространства.

RadioButton Reuse

При выборе этого пункта пространство, занимаемое удаленными строками, будет удержано. Это используется при повторной загрузке в таблицу или кластер.

CheckBox Close the wizard after successful completion

Если установлен этот флажок, то мастер будет закрыт после успешного выполнения операции.

Нажмите кнопку Finish, чтобы начать выполнение операции.


Перекомпиляция поврежденных объектов

Инструмент Recompile Invalid Objects позволяет найти поврежденные объекты в указанной схеме и заново их скомпилировать.

Чтобы открыть Recompile Invalid Objects, необходимо выбрать пункт Services | iconRecompile Recompile Invalid Objects в главном меню программы или в проводнике баз данных в контекстном меню базы данных выбрать пункт Tasks | iconRecompile Recompile Invalid Objects.

  • Использование панелей инструментов
  • Перекомпиляция

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Панели инструментов

Основные инструменты располагаются на панелях инструментов.

Панель навигации

Recompile Invalid Objects - Using Navigation bar

Database

iconDB выбрать базу данных.

General

iconFindText Find invalid objects - найти поврежденные объекты.

iconGetInvalidDependencies Get invalid dependencies - получить список поврежденных зависимостей.

iconCompileWithDebugInfo Recompile all invalid objects - перекомпилировать все поврежденные объекты.

iconRecompileDependency Recompile dependency - перекомпилировать выбранные зависимости.

iconRecompileAllDependencies Recompile all dependencies - перекомпилировать все зависимости.

iconClear Clear content - удалить содержимое окна.

iconRestoreDefaultSize Restore default size - восстановить исходный размер окна.

Смотрите также:

Перекомпиляция


Перекомпиляция

Schema

Из раскрывающегося списка выберите схему, содержащую поврежденные объекты.

Object type

Тип объектов выберите из раскрывающегося списка.

CheckBox With debug info

Добавлять код для отладчика PL/SQL.

Recompile Invalid Objects - Working with recompile service

Нажмите кнопку Find invalid objects на навигационной панели, чтобы автоматически найти поврежденные объекты указанного типа.

Чтобы просмотреть поврежденные зависимости, нажмите кнопку Get invalid dependencies на навигационной панели.

Все найденные поврежденные объекты отображаются в виде списка. Объекты разного типа обозначены разными иконками.

Перекомпилировать и исправить поврежденные объекты и зависимости Вы можете выбрав пункт Recompile на навигационной панели.

Чтобы перекомпилировать одну зависимость, выберите ее в списке и нажмите кнопку Recompile dependency на навигационной панели.

Чтобы перекомпилировать все зависимости, нажмите кнопку Recompile all dependencies на навигационной панели.

Смотрите также:

Использование панелей инструментов


Включение/выключение ограничений

Enable/Disable constraints wizard позволяет включать и выключать ограничения, установленные для таблиц.

Чтобы открыть Enable/Disable constraints, необходимо выбрать пункт Services | iconEnableDisableConstraints Enable/Disable constraints в главном меню программы, или в проводнике баз данных в контекстном меню базы данных выбрать пункт Tasks | iconEnableDisableConstraints Enable/Disable constraints.

Шаги мастера:

  • Выбор базы данных
  • Выбор схемы и таблиц
  • Задание дополнительных опций

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.

Смотрите также:

Использование шаблонов


Выбор базы данных

На первом шаге выберите базу данных из раскрывающегося списка Database.

Enable and Disable Constraints - Selecting database

Следующий шаг

Шаблоны


Выбор схемы и таблиц

На этом шаге Вам необходимо указать объекты, для которых будут включены или выключены ограничения.

Из раскрывающегося списка Schema необходимо выбрать схему, в которой содержатся нужные таблицы.

Доступные таблицы содержатся в списке Available. С помощью кнопок Move all to Selected Move to Selected Move to Available Move all to Available Вы можете переносить их из списка доступных в список выбранных - Selected и обратно.

Enable and Disable Constraints - Selecting tables

Следующий шаг

Шаблоны


Задание дополнительных опций

Дополнительные параметры операции укажите на последнем шаге.

Enable and Disable Constraints - Specifying constraint type and operation

В разделе Operation выберите действие, которое нужно произвести с подобъектами выбранных таблиц.

RadioButton Enable constraints - включить ограничения,

RadioButton Disable constraints - выключить ограничения.

В разделе Target выберите те подобъекты таблиц, которые нужно включить или выключить:

CheckBox Check constraints - ограничения,

CheckBox Primary key - первичный ключ,

CheckBox Foreign keys - внешние ключи,

CheckBox Foreign key reference - связи с внешними таблицами.

CheckBox Close the wizard after successful completion

Если установлен этот флажок, то мастер будет закрыт после успешного выполнения операции.

Нажмите кнопку Finish, чтобы начать выполнение операции.


Задания

Задание - это задаваемые пользователем операции, выполняющиеся в указанное время.

Для создания, удаления и редактирования заданий предназначен специальный инструмент - Job Manager. Чтобы открыть это окно, нужно выбрать пункт главного меню программы Services | btnJobManager Job Manager или в проводнике баз данных в контекстном меню базы данных выбрать пункт Tasks | btnJobManager Job Manager.

В основном окне отображается список созданных пользователем заданий. Вы можете открыть этот инструмент, нажав на кнопку btnJobManager Job Manager на панели инструментов программы.

Работать с заданиями можно с помощью кнопок, расположенных на панелях инструментов.

  • Управление заданиями
  • Редактор заданий

Доступность:
Full version (for Windows) | Да
Lite version (for Windows) | Нет
Важно: Посмотреть наличие функций в версиях SQL Manager Full и Lite вы можете в сравнительной таблице характеристик.


Панели инструментов

Основные инструменты, позволяющие работать с заданиями, располагаются на панелях инструментов.

Панель навигации

Jobs - Jobs manager - Navigation bar

Database

iconDB из раскрывающегося списка Вы можете выбрать базу данных.

General

iconRefresh Refresh - обновить содержимое списка,

iconNewjob New job - добавить задание,

iconEditjob Edit job - изменить задание в редакторе заданий,

iconDeletejob Delete job - удалить задание,

iconExecute Start job - начать выполнение задания.

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Управление заданиями

Job Manager позволяет управлять списком заданий - создавать, удалять, редактировать, запускать.

Jobs - Jobs manager

Существующие задания отображаются в виде списка.

О каждом задании в столбцах отображается следующая информация:

Job ID - идентификационный номер объекта,

Owner - владелец,

Status - состояние,

This date - текущая дата выполнения,

Next date - дата следующего выполнения,

Last date - дата последнего выполнения,

What - задание.

Нажатием правой кнопки на задании вызывается контекстное меню задания. С помощью этого меню Вы можете выполнить основные операции.

Контекстное меню:

  • Start job - начать выполнение задания,
  • New job - добавить задание,
  • Edit job - редактировать задание,
  • Delete job - удалить задание,
  • Refresh - обновить содержимое списка.

Важно: Текущий пользователь может запускать только созданные им задания.

Смотрите также:

Редактор заданий


Редактор заданий

Редактор заданий (Job Editor) - позволяет задать параметры задания при создании и редактировании.

Jobs - Job Editor - General

Job ID

Идентификационный номер объекта. Это поле не доступно для редактирования, так как номер присваивается автоматически.

Job owner

В поле отображается имя пользователя, создавшего объект.

На вкладке General задайте основные параметры задания.

В двух полях Next time укажите дату и время следующего запуска задания.

CheckBox Periodically

Если флажок установлен, то задание будет выполняться с некоторой периодичностью, которую Вы можете задать в этом разделе.

RadioButton Every minute

Задание будет выполняться каждые несколько минут. Через сколько минут это будет происходить укажите в поле Every minute.

RadioButton Every hour

Задание будет выполняться каждые несколько часов. Через сколько часов это будет происходить укажите в поле Every hour.

RadioButton Every day

Задание будет выполняться каждые несколько дней. Через сколько дней это будет происходить укажите в поле Every day.

Поле Custom interval Вы можете использовать для задания того же интервала.

В разделе Additional отображаются дополнительные параметры редактируемого объекта.

PL/SQL Code

Jobs - Job Editor - PLSQL code

Object type

Из этого списка выберите тип объекта (процедуру или пакет), содержащего внешнюю C/Java процедуру.

Если в качестве объекта Вы выбрали процедуру, то поле Package становится недоступным для редактирования.

Schema

Схему, в которой содержится нужный объект, выберите из этого раскрывающегося списка.

Package

Пакет, который будет использован в задании, выберите из этого раскрывающегося списка.

Routine

Из этого раскрывающегося списка выберите процедуру, которая будет использоваться в задании.

Если необходимо, задайте PL/SQL текст задания в поле What.

CheckBox Parse

Если флажок установлен, то сервер осуществляет синтаксический анализ процедуры, указанной в задании.

CheckBox Broken

Если флажок установлен, то задание не будет выполняться в автоматическом режиме. Вы можете запустить его вручную.

После задания всех необходимых параметров нажмите кнопку OK, чтобы создать скрипт задания.

Смотрите также:

Управление заданиями


Информация о базе данных

Инструмент Database Information позволяет получить информацию об использовании наборов символов для национальных языков (NLS). С помощью этого инструмента Вы можете просматривать текущие настройки NLS для базы данных, параметры конфигурации экземпляра сервера Oracle и текущей сессии.

Чтобы открыть этот инструмент, выберите в главном меню программы пункт Services | Database Information или пункт контекстного меню базы данных Database Properties или нажмите кнопку Properties btnDBProperties на главной пали управления.

Основные параметры

Параметры экземпляра сервера

Расширенные параметры

Смотрите также:

Проверка клиента Oracle

Статистика базы данных


Основные параметры

На вкладке Common Parameters Вы можете просматривать основные параметры базы данных и настройки NLS.

Database Information - Common Parameters

Важно: Все параметры, отображаемые на этой вкладке, можно только просматривать. Изменять их значения нельзя.

Common parameters

В этом разделе Вы можете увидеть общие свойства и версии базовых компонентов Oracle (PL/SQL, CORE, TNS, NLSRTL).

NLS parameters

В этом разделе отображается список параметров NLS и их значений, разделенный на группы:

  • NLS Instance Parameters - NLS параметры сервера,
  • NLS Database Parameters - NLS параметры базы данных,
  • NLS Session Parameters - NLS параметры сессии.

Вы можете менять порядок столбцов в таблице и сортировать значения в столбце, нажатием на его заголовок.

Смотрите также:

Параметры экземпляра сервера

Расширенные параметры


Параметры экземпляра сервера

На вкладке Instance Parameters Вы можете просматривать и изменять параметры конфигурации сервера.

Database Information - Instance Parameters

Параметры конфигурации сервера отображаются в виде таблицы со столбцами: Name, Value, Default, Session Modifiable, System Modifiable.

С этой таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных, как сортировка и изменение порядка столбцов.

В нижней части Вы можете изменять доступные настройки параметра, выбранного в таблице.

Смотрите также:

Основные параметры

Расширенные параметры


Расширенные параметры

На вкладке Extended Parameters отображается расширенный список параметров и настроек базы данных и сервера, таких как имя и версия сервера, дата запуска базы данных, дата создания, роль базы данных, информация о текущей сессии и т.д.

Важно: Параметры, показанные в списке, доступны только для чтения.

Параметры отображаются в виде таблицы со столбцами: Parameter и Value.

С этой таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных, как сортировка и изменение порядка столбцов.

Database Information - Extended Parameters

Смотрите также:

Common Parameters

Instance Parameters


Статистика базы данных

Инструмент Database Statistics позволяет просматривать всю основную статистику базы данных - - системная статистика, статистика сессии, статистика хранения и т.д.

Чтобы открыть этот инструмент выберите пункт главного меню программы Services | Database Statistics или пункт контекстном меню базы данных Tasks | Database Statistics.

  • Использование панелей инструментов
  • Системная статистика
  • История сбора статистики
  • Сессии
  • Хранение
  • SGA
  • Ожидаемые события
  • Защелки
  • Предупреждения базы данных

Смотрите также:

Проверка клиента Oracle

Информация о базе данных


Панели инструментов

Панель навигации располагается слева от основного окна.

Database Statistics - Using Navigation bar

Object

iconDB из раскрывающегося списка выберите базу данных.

General

iconRefresh обновить содержимое активной вкладки - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size,

Refresh Options

Tick укажите в секундах интервал времени, через который должно производиться автоматическое обновление статистики - Autorefresh every,

CheckBox собирать информацию о Предупреждениях базы данных - Monitor database alerts.

При переходе на некоторые вкладки на Навигационной панели появляются дополнительные инструменты.

Смотрите также:

Системная статистика

История сбора статистики

Сессии

Хранение

SGA

Ожидаемые события

Защелки

Предупреждения базы данных


Системная статистика

На вкладке System Statistics отображается системная статистика. Вся информация разделена на классы - Cache, Debug, Enqueue, RAC (Real Application Clusters), RAC & Cache, Redo, SQL, SQL & Cache, User.

Информация отображается в виде таблицы со столбцами Name (имя параметры) и Value (значение параметра).

С этой таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных, как группировка, сортировка, фильтрование данных, изменение порядка столбцов.

Database Statistics - System Statistics

Смотрите также:

Использование панелей инструментов

История сбора статистики

Сессии

Хранение

SGA

Ожидаемые события

Защелки

Предупреждения базы данных


История сбора статистики

На вкладке Last Analyze Stats отображаются объекты (Таблицы и Индексы) и время, когда эти объекты в последний раз были проанализированы (когда по ним в последний раз собирали статистику с помощью Мастера сбора статистики).

С этой таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных, как группировка, сортировка, фильтрование данных, изменение порядка столбцов.

Database Statistics - Last Analyze Stats

Смотрите также:

Системная статистика

Сессии

Хранение

SGA

Ожидаемые события

Защелки

Предупреждения базы данных


Сессии

На вкладке Sessions отображаются все активные сессии базы данных (наиболее активные сессии ввода-вывода выделены красным).

В нижней части окна располагаются вкладки, на которых отображается дополнительная информация по каждой сессии:

Результативность - Hit Ratios,

Процесс - Process,

Блокировки - Locks.

Информация о каждой сессии содержится в таблице со следующими столбцами: USERNAME, SID, SERIAL#, STATUS, Lock wait, MACHINE, TYPE, COMMAND, CPU_TIME, UGA memory.

С этой таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных как группировка, сортировка, фильтрование данных, изменение порядка столбцов.

При нажатии на таблице правой кнопкой мыши открывается контекстное меню. С его помощью Вы можете:

Refresh - обновить список,

Kill session - прервать сессию,

Disconnect session - отключить сессию,

Set SQL Trace - установить SQL трассировку.

Эти же элементы управления располагаются на дополнительной панели инструментов, появляющейся на навигационной панели при переходе на вкладку Session.

Database Statistics - Sessions

Смотрите также:

Системная статистика

История сбора статистики

Хранение

SGA

Ожидаемые события

Защелки

Предупреждения базы данных


Результативность

На вкладке Hit Ratio отображается информация о результативности сессии. График динамики постоянно обновляется, что позволяет отслеживать текущее состояние системы.

В разделе Hit Ratio Details for the Session показана следующая информация о производительности выбранной сессии: Username, Terminal, Consistent gets, Block gets, Physical reads, Hit ratio.

Hit Ratios

В этом разделе параметры производительности отображаются по группам: Buffer cache, Dictionary cache, Library cache, Sorts, Execute/Parse.

На диаграмме в виде графиков разных цветов отображается значение различных параметров в течение времени.

Database Statistics - Sessions - Hit Ratio

Смотрите также:

Процесс

Блокировки


Процесс

На вкладке Process Вы можете просматривать информацию о процессах и загрузке центрального процессора.

Database Statistics - Sessions - Process

Process detail

В этом разделе в виде таблицы отображается информация о процессах. Столбцы таблицы: Parameter, Value.

Нажав на заголовок столбца Вы можете отсортировать значения в нем по возрастанию или по убыванию.

Список параметров, отображаемых в таблице для текущей сессии: O.S. PID, DB User, O.S. User, Login time, Server type, O.S. Machine, O.S. Terminal, O.S. Program, Latch wait, Elapsed time activity, TAF Type, PGA allocated, PGA used.

В редакторе SQL, расположенном ниже, отображается запрос к системе для получения статистики.

В разделе CPU Usage by Sessions в виде диаграммы отображается загрузка центрального процессора сессиями.

Смотрите также:

Результативность

Блокировки


Блокировки

На вкладке Locks отображаются все блокировки сессии. Выберите сессию в таблице Session, чтобы просмотреть блокировки, заблокированные объекты и дополнительную информацию.

All Lock per Session

В этом разделе блокировки текущей сессии отображаются в виде таблицы со столбцами Object name, Object type, Type, Lock mode, Request, CTime, Lock ID1, Lock ID2, Block.

В списке Locked Objects отображаются заблокированные объекты. Объекты отображаются в виде таблицы со столбцами: Object name, Object type, Lock mode, Undo segment number, Slot number, Sequence number, Program.

Locked Objects of the Library Cache

Заблокированные объекты кэша библиотек отображаются в этом разделе. Объекты сгруппированы по типам.

Database Statistics - Sessions - Locks

Смотрите также:

Результативность

Процесс


Хранение

На вкладке Storage Вы можете просматривать статистику хранения.

  • Tablespace
  • Control Files
  • Data Files
  • RBS Activity

Смотрите также:

Системная статистика

История сбора статистики

Сессии

Хранение

SGA

Ожидаемые события

Защелки

Предупреждения базы данных


Табличные пространства

Вкладка Tablespace состоит из двух частей. В верхней части отображаются табличные пространства, а в нижней - объекты, использующие эти табличные пространства.

Database Statistics - Storage - Tablespace

Tablespaces

Существующие табличные пространства, представлены в виде таблицы. По каждому из них информация отображается в столбцах: Tablespace, Alloc Size (Mb), Free Size (Mb), Used Size (Mb), Pct Used, Max(Mb), Free Space Fragmentation Index.

В таблице Вы можете использовать такую возможность просмотрщика данных, как сортировка.

При нажатии на таблицу правой кнопкой мыши появляется контекстное меню.

С помощью этого меню Вы можете:

Database Statistics - Storage - Tablespace - Menu

iconRefresh обновить таблицу - Refresh,

iconCoalesce объединить экстенты - Coalesce.

Пункт Coalesce появляется на навигационной панели при переходе на вкладку Storage | Tablespace.

Segments for <tablespace_name>

В списке показаны сегменты выбранного табличного пространства. Столбцы таблицы:Owner, Segment name, Segment type, Size (b), Initial Extent, Next Extent, Pct Increase, Extents, Max Extents, Extent Efficacy, Frag Count.

С таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных как сортировка, фильтрование данных, изменение порядка столбцов.

Смотрите также:

Файлы контроля

Файлы данных

Активность сегментов отката


Файлы контроля

На вкладке Control Files отображается информация о контрольный файлах базы данных.

В верхней части окна, в списке Control Files, отображается полный путь к каждому файлу.

В нижней части для каждого файла показана дополнительная информация. Эта информация имеет вид таблицы со столбцами: Type, Record Size, Records Total, Records Used, Pct Used, Free Size.

С таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных как группировка, сортировка, изменение порядка столбцов.

Database Statistics - Storage - Control Files

Смотрите также:

Табличные пространства

Файлы данных

Активность сегментов отката


Файлы данных

На вкладке Data Files Вы можете просматривать информацию о файлах данных.

Информация отображается в виде таблицы со столбцами: File Name, File Type, Status, Used Size (Mb), Free Size (Mb), Pct Used, Tablespace, Next Extent, Initial Extent, Min Extent, Max Extent, Pct Increase.

С таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных как группировка, сортировка, фильтрование данных, изменение порядка столбцов.

Database Statistics - Storage - Data Files

Смотрите также:

Табличные пространства

Файлы контроля

Активность сегментов отката


Активность сегментов отката

На вкладке RBS Activity отображается информация об активности сегментов отката.

Информация отображается в виде таблицы со столбцами: Segment Name, Tablespace, Status, Xacts, Size, Waits, Gets, Writes, Extents, Shrinks, Optimal Size.

С таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных как группировка, сортировка, фильтрование данных, изменение порядка столбцов.

Database Statistics - Storage - RBS Activity

Смотрите также:

Табличные пространства

Файлы контроля

Файлы данных


Частота переключения журнальных файлов

На вкладке Redo Switch Frequency вы можете посмотреть информацию о частоте переключения журнальных файлов.

Также вы можете задать значения Warning level и Critical level, при превышении которых ячейка будет выделяться желтым или красным цветом.

Database Statistics - Storage - Redo Switch Frequency


SGA

SGA (System Global Area) - системная глобальная область, область разделяемой памяти экземпляра. Все процессы экземпляра как системные так и пользовательские совместно обращаются к SGA.

Информация о статистике системной глобальной области располагается на следующих вкладках:

  • Суммарная информация
  • Кэш библиотек
  • Кэш словаря данных

Смотрите также:

Системная статистика

История сбора статистики

Сессии

Хранение

Ожидаемые события

Защелки

Предупреждения базы данных


Суммарная информация

На вкладке Summary SGA Вы можете просмотреть общую статистическую информацию о SGA.

На вкладке три раздела. В левой части раздела отображается список параметров, а в правой диаграмма, построенная на основе значений этих параметров (диаграммы строятся только для SGA Memory и Shared Pool Memory).

Database Statistics - SGA - Summary SGA

SGA Memory

В этом разделе показана информация об использовании памяти SGA.

Параметры:

Buffer_Cache,

Shared Pool,

Java Pool,

Large Pool,

Log_Buffer,

Fixed_Sga.

Shared Pool Memory

В этом списке отображаются параметры использования разделяемого пула.

Параметры:

Free Memory,

Library Cache,

SQL Area.

SGA Summary

Параметры:

Database Buffers,

Fixed Size,

Redo Buffers,

Variable Size.

С таблицами параметров Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных, как сортировка, фильтрование данных, изменение порядка столбцов.

Вы можете вращать диаграммы мышью, нажав на область диаграммы левой кнопкой и удерживая её при перемещении.

Смотрите также:

Кэш библиотек

Кэш словаря данных


Кэш библиотек

На вкладке Library Cache Вы можете просматривать статистическую информацию о кэше библиотек базы данных.

Столбцы таблицы: Namespace, Gets, Get Hits, Get Hit Ratio, Pins, Pin Hits, Pin Hit Ratio, Reloads, Invalidations.

С этой таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных как сортировка, фильтрование данных, изменение порядка столбцов.

Database Statistics - SGA - Library Cache

Смотрите также:

Суммарная информация

Кэш словаря данных


Кэш словаря данных

На вкладке Data Dictionary Cache отображается статистическая информация кэша словаря данных.

Столбцы таблицы: Type, Parameter, Count, Usage, Fixed, Gets, Get Misses, Scans, Scan Misses, Scan Completes, Modifications, Flushes.

С этой таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных как сортировка, фильтрование данных, изменение порядка столбцов.

Database Statistics - SGA - Data Dictionary Cache

Смотрите также:

Суммарная информация

Кэш библиотек


Ожидаемые события

На вкладке Wait Events отображаются ожидаемые события - различные параметры, влияющие на производительность базы данных и показывающие ее текущее состояние.

Ожидаемые события отображаются в виде таблицы. С таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных как группировка, сортировка, фильтрование данных, изменение порядка столбцов.

Database Statistics - Wait Events

Смотрите также:

Системная статистика

История сбора статистики

Сессии

Хранение

SGA

Защелки

Предупреждения базы данных


Защелки

Защелки (Latches) — это блокировки, удерживаемые в течение очень непродолжительного времени, достаточного, например, для изменения структуры данных в памяти. Они используются для защиты определенных структур памяти, например буферного кэша или библиотечного кэша в разделяемом пуле

Статистика по этим объектам отображается в виде таблицы со следующими столбцами: Name, PID, Immediate Gets, Immediate Misses, Gets, Misses, Sleeps.

С этой таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных как группировка, сортировка, фильтрование данных, изменение порядка столбцов.

Database Statistics - Latches

Смотрите также:

Системная статистика

История сбора статистики

Сессии

Хранение

SGA

Ожидаемые события

Предупреждения базы данных


Предупреждения базы данных

На вкладке Database Alerts Вы можете просматривать информацию о предупреждениях базы данных.

Database Statistics - Database Alerts

Важно: чтобы начать отслеживать возникающие предупреждения, необходимо установить флажок Monitor database alerts на навигационной панели.

При переходе на вкладку Alerts на навигационной панели появляется дополнительная панель Database Alerts. С помощью инструментов, расположенных на этой панели, Вы можете управлять списком предупреждений:

Clear log - очистить список предупреждений,

Load alerts - загрузить список из файла,

Save alerts - сохранить список в файл.

Список предупреждений отображается в виде таблицы со следующими столбцами: Timestamp, Significance, Alert.

С таблицей Вы можете работать как с таблицей просмотрщика данных.

Вы можете использовать такие возможности просмотрщика данных как группировка, сортировка, фильтрование данных, изменение порядка столбцов.

Важно: Предупреждения разной степени значимости выделены в списке разными цветами.

Задать настройки предупреждений можно на вкладке Database Alerts Settings в диалоговом окне Environment Options.

Смотрите также:

Системная статистика

История сбора статистики

Сессии

Хранение

SGA

Ожидаемые события

Защелки


Настройки

SQL Manager for Oracle предоставляет Вам возможность персонализировать приложение.

Настройки окружения

Основной инструмент для управления свойствами и внешним видом объектов баз данных.

Настройки редакторов

Параметры редакторов задаются с помощью этого инструмента.

Настройки внешнего вида

Задайте внешний вид элементов управления программы с помощью этого инструмента.

Шаблоны клавиатуры

С помощью этого инструмента Вы можете создавать шаблоны быстрого ввода текста.

Сохранение настроек

Мастер, позволяющий сохранить настройки базы данных в один файл.

Локализация

SQL Manager for Oracle позволяет изменять язык интерфейса программы для удобства пользователей.

Шаблоны клавиатуры

С помощью этого инструмента Вы можете создавать шаблоны быстрого ввода текста.

Шаблоны объектов

Вы можете создавать шаблоны объектов с помощью этого инструмента

Важно: На каждой вкладке настроек опций располагается кнопка Reset to defaults button. С её помощью Вы можете восстановить значения по умолчанию на одной вкладке Reset current category, или на всех вкладках Reset all categories.

Смотрите также:

Начало работы

Проводник баз данных

Управление базами данных

Управление объектами базы данных

Запросы

Работа с данными

Средства импорта и экспорта данных

Инструменты для работы с базой данных

Службы

Инструменты работы с сервером

Персонализация

Как...


Настройки окружения

С помощью этого инструменты Вы можете изменять основные настройки программы SQL Manager for Oracle.

Чтобы открыть настройки окружения необходимо в главном меню программы выбрать пункт Options | btnEnvironmentOptions Environment Options.

Общая для всех вкладок кнопка By default позволяет отменить все изменения, внесенные пользователем в настройки, и вернуться к настройкам, принятым по умолчанию.

Смотрите также:

Настройки редакторов


Предпочтения

На вкладке Preferences Вы можете задать следующие свойства программы:

Environment Options - Preferences

CheckBox Show splash screen at startup - показывать заставку при запуске.

CheckBox Restore desktop on connect - сохранять состояние рабочего стола при отключении. При следующем запуске программы все редакторы, которые были открыты перед выходом из программы, будут открыты заново.

CheckBox Do not restore if 'Refresh objects on connection' database registration option is off - не выполнять сохранение рабочего стола при отключении, если в Регистрационной информации баз данных не выбрана опция "Refresh objects on connection".

CheckBox Disable multiple instances - отключить возможность запуска нескольких копий программы.

CheckBox Show desktop panel - показать панель рабочего стола (активно только для MDI вида, настраиваемого при первом открытии программы).

Нажав на кнопку Reset all toolbars and menus, Вы восстановите настройки по умолчанию для всех панелей инструментов, навигационных панелей, а также проводника баз данных.


Активация режима полной версии

Если у вас установлена Lite версия программы, то на этой вкладке Вы можете установить флажок Show Full Version Features и посмотреть, какими возможностями обладает полная версия. Все возможности полной версии будут доступны для работы в течение тридцати дней.

Сравнительную характеристику Lite и Full версий смотрите в сравнительной таблице характеристик.


Подтверждения

На вкладке Confirmations Вы можете задать следующие свойства программы:

Environment Options - Confirmations

CheckBox Confirm saving the object (or document) upon closing the editor - подтверждать сохранение объекта (или документации) при закрытии или после внесения изменений,

CheckBox Confirm dropping of object - подтверждать удаление объекта,

CheckBox Confirm exit from SQL Manager - подтверждать выход из редактора (если объект изменен),

CheckBox Confirm transaction commit - подтверждать фиксацию транзакции (для просмотрщика данных фиксировать транзакцию нужно при изменении данных),

CheckBox Confirm transaction rollback - подтверждать откат транзакции,

CheckBox Confirm deleting records - подтверждать удаление записей,

CheckBox Confirm metadata changing (Changing Metadata Window) - подтверждать изменение метаданных (для окна изменения метаданных).

CheckBox Confirm transformation of misprint into substitution - подтверждать замену слов с опечатками на правильные (см. Проверка правописания).

CheckBox Confirm addition into spell checking dictionary - подтверждать добавлене новых слов в словарь правописания.


Внешний вид

На этой вкладке можно задать параметры и количество отображаемых окон, а также общий вид всей программы.

Theme

Выберите цветовую схему программы: Light (Светлая), Blue (Голубая) или Dark (Темная).

Environment Options - Windows

В разделе Environment style задайте общий вид программы:

RadioButton MDI environment - программа будет иметь MDI интерфейс. MDI - многодокументный интерфейс, интерфейс составных документов (спецификация, определяющая интерфейс пользователя с Windows-приложениями. Позволяет ему работать одновременно с несколькими документами, каждый из которых выводится на экран в отдельном порожденном (дочернем) окне главного окна приложения). (Приложения MS Office).

RadioButton Floating windows environment - программа будет отображаться в виде плавающих окон (приложения Borland).

CheckBox Number of open editors is restricted

Вы можете ограничить число открытых редакторов.

В разделе Zoom options можно задать настройки масштаба для плавающих окон:

RadioButton Full screen - во весь экран,

RadioButton Restricted by Main form - ограничено главной формой,

RadioButton Restricted by Main form and DB Explorer - ограничено главной формой и проводником баз данных

RadioButton Justified by Main form and DB Explorer - выровнять по главной форме и проводнику баз данных.

В разделе Bar style for child forms укажите те панели инструментов, которые должны отображаться в редакторах:

RadioButton Navigation bar - навигационная панель (располагается слева от основного окна редактора),

RadioButton Toolbar - панель инструментов (находится над основным окном редактора),

RadioButton Both - будут отображаться обе панели.

CheckBox Enable floating toolbars

Активирует плавающие панели инструментов, то есть положение любой панели инструментов можно изменять по желанию.


Инструменты

На этой вкладке можно задать следующие свойства внешнего окружения программы:

Environment Options - Tools

CheckBox Show only connected databases in drop-down menu - показывать только подключенные базы данных в раскрывающемся меню,

CheckBox Allow using parameters in query text - разрешить использование параметров в тексте запросов,

CheckBox Add ROWID to simple SELECT queries to make them updatable - определяет добавлен ли ROWID к запросу SELECT, чтобы сделать его обновляемым. на обновление.

SQL *Plus console path

В этом поле укажите путь к консольному приложению.

New tool form should be opened for

Задайте, какая база будет выбрана в окне открываемого инструмента.

RadioButton Database currently selected in DB Explorer

В окне инструмента будет выбрана база, которая выбрана в Проводнике баз данных.

RadioButton Database selected in currently focused form

В окне инструмента будет выбрана база, которая выбрана в текущем открытом окне инструмента.

SQL*Plus console path

Укажите путь для консольного приложения.


Проводник баз данных

Проводник баз данных можно настроить, используя инструменты, расположенные на вкладке DB Explorer.

Environment Options - Tools - DB Explorer

General options

CheckBox Show database groups - показывать группы баз данных в проводнике. Если флажок установлен, то базы данных будут разделены на группы. Если не установлен, то они будут представлены единым списком.

CheckBox Show table subobjects - показывать подобъекты таблицы.

CheckBox Show view subobjects - показывать подобъекты представления (поля, ключи, и т.д.) в проводнике баз данных.

CheckBox Sort by aliases - упорядочить хосты и базы данных в проводнике баз данных по псевдонимам.

CheckBox Rename objects by editing in place - если установлен этот флажок, то объекты можно переименовывать в проводнике баз данных, нажав на выделенный объект мышкой.

CheckBox Refresh object on showing in SQL Assistant - обновлять информацию о подобъектах, в тот момент, когда они отображаются в SQL Assistant.

CheckBox Search by categories - если этот флажок установлен, то поиск в проводнике баз данных можно будет производить внутри одной группы объектов данных.

CheckBox Use case-sensitive search - если установлен этот флажок, то при поиске будет учитываться регистр символов.

CheckBox Auto expand navigation pane - включите эту опцию, если нужно, чтобы навигационная панель расширялась при запуске программы.

CheckBox Show hints - если этот флажок установлен, то в проводнике баз данных при наведении курсора на объект будут отображаться всплывающие подсказки.

Recent objects count - с помощью счетчика можно задать количество объектов, показанных на вкладке недавно использовавшихся объектов.

В разделе Table Details in SQL Assistant выберите, какие именно подобъекты таблицы следует отображать в окне SQL Assistant:

Fields - Поля,

Primary/unique keys - Ключи,

Foreign keys - Внешние ключи,

Checks - Ограничения,

Indices - Индексы,

Triggers - Триггеры,

Table status - статус таблицы,

Definition - DDL описание,

Description - Текстовое описание.

В разделе View Details in SQL Assistant выберите, какие именно подобъекты представления следует отображать в окне SQL Assistant:

Fields - Поля,

Primary/unique keys - Ключи,

Foreign keys - Внешние ключи,

Triggers - Триггеры,

Definition - DDL описание,

Description - Текстовое описание.

В разделах Procedure / Function укажите, какая информация о процедурах и функциях, выделенных в проводнике, отображается в SQL Assistant.

Для объектов указанного типа можно отображать:

Parameters - параметры,

Definition - текстовое описание.

Для остальных объектов Other objects' details in SQL Assistant отображаются Definition или Description.

Смотрите также:

Проводник баз данных


Поиск

В данном разделе задаются параметры для поиска в дереве объектов:

Environment Options - Tools - DB Explorer - Search - String

CheckBox Search by categories

Если этот флажок установлен, то поиск в проводнике баз данных можно будет производить внутри одной группы объектов данных.

CheckBox Use case-sensitive search

Если установлен этот флажок, то при поиске будет учитываться регистр символов.

Environment Options - Tools - DB Explorer - Search

CheckBox Don't search in collapsed nodes

При включенной опции поиск проивзодится только в раскрытых узлах.

CheckBox Start-with search

Включение данной опции позволяет искать объекты, начинающиеся с искомой комбинации.


Редакторы объектов

На вкладке Object Editors задайте параметры редакторов объектов.

Environment Options - Tools - Object Editors

В разделе All задайте настройки, которые будут выполняться для всех редакторов:

CheckBox Quote low case identifiers - заключать в кавычки идентификаторы с символами в нижнем регистре.

CheckBox Always open the first tab - всегда открывать редактор объектов на первой вкладке,

В разделе Table editor задайте настройки редактора таблиц.

CheckBox Always open the Fields tab - всегда открывать редактор таблиц на вкладке "Fields",

CheckBox Show Object Explorer - отображать проводник объектов в навигационной панели,

CheckBox Do not retrieve record count for a table - не показывать количество записей в таблице. В этом случае количество записей отображается в нижней информационной панели.

В разделе Autocreation options укажите следует ли автоматически создавать синонимы.

CheckBox Create a synonym for the newly created object - если флажок установлен, то для каждого создаваемого объекта будет автоматически создаваться синоним.

CheckBox Create a public synonym for the newly created object - если флажок установлен, то для каждого создаваемого объекта будет автоматически создаваться публичный синоним.

Смотрите также:

Управление объектами базы данных


Редактор получения данных

На вкладке Query data задайте параметры отображения редакторов SQL.

Environment Options - Tools - SQL Editor

CheckBox Explain query - строить план запроса перед выполнением.

CheckBox Show result for each query - если установлен этот флажок, то при выполнении двух и более запросов результаты будут отображаться для каждого запроса. Если не установлен, то только для того, который был выполнен последним.

CheckBox Execute selected text separately - выполнять выделенный текст отдельно.

CheckBox Write only successful executed queries to database SQL log file - записывать в файл журнала только успешно выполненные запросы.

CheckBox Show results on Edit tab - показывать результаты на вкладке редактирования, в противном случае результаты будут отображаться на отдельной вкладке.

CheckBox Don't save queries automatically for the next session - не сохранять запросы автоматически до следующего сеанса.

CheckBox Show DBMS output - отображать DBMS output в журнале редактора SQL.

CheckBox Always save changes in Favorite Queries before closing - в избранных запросах всегда сохранять изменения перед закрытием.

CheckBox Same queries for all databases - Если выбрана эта опция, все запросы будут распределяться между всеми зарегистрированными базами данных, выбранными в редакторе SQL.

CheckBox Refresh DB Explorer upon successful DDL statement execution - обновлять проводник баз данных после успешного выполнения операций.

CheckBox Disable transaction confirmation - отключить подтверждение транзакции. Если этот флажок установлен, то транзакции будут закрываться автоматически при выходе из Редактора запросов и Визуального конструктора запросов.

Действие для транзакции, выполняемое по умолчанию, выбирается в списке Default action on closing the editor:

  • Commit - фиксация транзакции,
  • Rollback - откат.

Смотрите также:

Редактор запросов


Монитор SQL

На вкладке SQL Monitor можно задать некоторые параметры SQL монитора.

Environment Options - Tools - SQL Monitor

CheckBox Если установлен флажок Log SQL Monitor events to file, то вся информация о выполнении запросов, отображаемая в SQL мониторе будет сохраняться в файл. В поле указываете имя файла и путь к нему с помощью кнопки btnSaveAs .

CheckBox Вы можете задать максимальный размер файла журнала, установив флажок Clear log file when it is greater than (очищать журнал регистрации при размере большем, Кб.) и задав c помощью счетчика максимальный размер в Кб.

CheckBox Сообщения не SQL будут отображаться, если установлен флажок Show non-SQL messages.

CheckBox Если необходимо регистрировать не только операцию, но и в какое время она была выполнена - установите флажок Show time of operation.

CheckBox Установленный флажок Show always on top позволяет всегда показывать Монитор SQL поверх остальных окон.

Смотрите также:

Монитор SQL


Предупреждения баз данных

На вкладке Database Alerts Settings выберите типы Предупреждений базы данных, которые будут отслеживаться с помощью инструмента Статистика базы данных.

Environment Options - Tools - Database Alerts Settings

Monitored alerts

Отметьте флажками все типы Предупреждений, которые будут отслеживаться


SQL скрипт

Задайте некоторые особенности выполнения SQL скрипта на вкладке Execute Script.

Environment Options - Tools - SQL Script

CheckBox Abort script on error - прекратить выполнение сценария при ошибке.

CheckBox Show script explorer - отобразить панель iconDBExplorer Explorer.

CheckBox Show message when done - показывать сообщение об окончании выполнения.

CheckBox Execute selected text separately - выполнять выделенный текст отдельно.

CheckBox Don't clear error list on selected text execution - не очищать список ошибок при выполнении фрагмента текста запроса.

CheckBox Skip unknown statements - пропускать неизвестные операторы при парсинге.

CheckBox Show DBMS output - отображать выходные данные DBMS.

CheckBox Disable all code features in SQL Script - отключает все опции кода для максимального быстродействия. Отключаются подсветка кода, блоки кода, автодополнение и другие.

Смотрите также:

Редактор выполнения скриптов


Конструктор запросов

SQL Manager for Oracle
  • В начало
  • « Назад
  • Вперед »

Задайте некоторые свойства конструктора запросов на вкладке Design query.

Environment Options - Tools - Query Builder

General options

CheckBox Allow SELECT queries only - разрешить выполнение только оператора SELECT.

CheckBox Select condition row - выделять другим цветом строку условия.

CheckBox Drag field name - отображать имя поля при перетаскивании.

CheckBox Hide selection when inactive - скрывать выделение полей объектов, когда отсутствует фокус.

CheckBox Show field types - показывать типы полей.

CheckBox Union all by default - связь "UNION ALL" для нескольких запросов по умолчанию.

CheckBox Show DBMS output - отображать выходные данные DBMS.

CheckBox ANSI join - установите этот флажок, если хотите использовать стандарт ANSI-92 в конструкциях join.

В разделе Visible Tabs отметьте те вкладки, которые должны быть видимыми:

CheckBox Criteria - Критерии,

CheckBox Selection - Выбор,

CheckBox Group criteria - Критерии группы,

CheckBox Sorting - Сортировка.

В разделе Script Format можно задать некоторые особенности формата скрипта:

Из раскрывающегося списка Keywords format выбрать формат ключевых слов.

Вид отображения функций выберите из раскрывающегося списка Function format.

Для ключевых слов и функций предлагается четыре типа написания:

  • As is - Как есть,
  • Uppercase - ВСЕ ПРОПИСНЫЕ,
  • Lowercase - все строчные,
  • First upper - Начинать С Прописных.

Смотрите также:

Дизайнер запросов


Стиль и цвет

На этой вкладке Вы имеете возможность задать стили и цвета оформления дизайнера запросов

Environment Options - Tools - Query Builder - Style & Color

в разделе Style задайте стиль отображения элементов управления:

Из раскрывающихся списков Condition button style и Object border kind выберите стиль отображения кнопок и вид границ объектов.

CheckBox Flat object's buttons - плоские кнопки.

CheckBox Flat objects - плоские объекты.

CheckBox XP tables style - стиль таблиц XP.

CheckBox Show icons on tabs - показывать значки на вкладках.

Далее в разделе Color palette Вы можете изменить цвета объектов и элементов управления визуального конструктора запросов. Вызвать палитру для выбора цвета можно, нажав на цветной квадрат рядом с наименованием элемента управления.

Элементы, для которых можно задавать цвета:

  • Active condition row - активная строка в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Active condition row

  • Condition text - текст заголовка условий отбора.

Environment Options - Tools - QB - Style & Color - Condition text

  • Condition item text - текст кнопок, расположенных рядом с условиями отбора.

Environment Options - Tools - QB - Style & Color - Condition item text

  • Table client area - фон объектов, помещенных в окно диаграммы.

Environment Options - Tools - QB - Style & Color - Table client area

  • Active table caption - заголовок активной таблицы.

Environment Options - Tools - QB - Style & Color - Active table caption

  • Inactive table caption - заголовок неактивной таблицы.
  • Field text - текст поля.
  • Selected field text - текст выделенного поля.
  • Work space - основной цвет окна диаграммы.
  • Field - текст в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Field

  • Operation - знак операции в окне задания условий отбора.

Environment Options - Tools - QB - Style & Color - Operation

  • Group - знак группировки в окне задания условий отбора, на вкладке Grouping criteria.

Environment Options - Tools - QB - Style & Color - Group

  • Predicate - предикат, если создан подзапрос.

Environment Options - Tools - QB - Style & Color - Predicate

  • Subquery - текст подзапроса в строке условия.

Environment Options - Tools - QB - Style & Color - Subquery


Визуальный конструктор баз данных

На этой вкладке задайте параметры визуального конструктора баз данных.

Environment Options - Tools - VDBD

Visual settings

Из раскрывающегося списка Model notation выберите стандарт отображения информации в диаграмме (нотацию модели данных) - IDEF1x или IE.

  • Integration DEFinition for Information Modeling (IDEF1X);
  • Information Engineering (IE).

Нотации IDEF1X и IE используют разные наборы символов для отображения связей.

CheckBox Установив флажок Draw PRIMARY KEY fields separately, Вы указываете, что ключевое поле будет отделено горизонтальной линией от всей остальной таблицы.

Environment Options - Tools - VDBD - Draw PRIMARY KEY fields separately

CheckBox Если установлен флажок Draw entities icons, то рядом с заголовками таблиц будут отображаться иконки.

CheckBox Если установлен флажок Draw attributes icon, то рядом с названием каждого поля будет отображаться иконка.

В разделе Grid options задайте параметры сетки просмотрщика данных:

CheckBox Если установлен флажок Show grid, то будет отображаться сетка окна диаграммы.

CheckBox Установить привязку к сетке можно с помощью флажка Snap to grid. В этом случае объекты, расположенные на диаграмме, будут выровнены по линиям сетки.

Задать параметры сетки диаграммы можно с помощью счетчиков Grid size. ширина - X, высота - Y.

В разделе Entity header font задаете параметры шрифта заголовков таблиц:

Name - вид шрифта,

Size - размер шрифта.

В разделе Attributes font задаете параметры шрифта полей таблиц:

Name - вид шрифта,

Size - размер шрифта.

В этом разделе Вы можете задать цвета и шрифт для различных элементов диаграммы.

  • Workspace - рабочая область,

Environment Options - Tools - VDBD - Color Palette - Work area

  • Selected item - выделенный объект,

Environment Options - Tools - VDBD - Color Palette - Selection

  • Table - цвет таблицы,

  • Environment Options - Tools - VDBD - Color Palette - Entity

  • Relation - связь,
  • Field - поле.

Environment Options - Tools - VDBD - Color Palette - Selected attribute text

  • Comment - комментарий.

Смотрите также:

Визуальный конструктор баз данных


Печать метаданных

На этой вкладке из всех параметров печати можно задать только размер бумаги, используемый по умолчанию, при создании отчетов в инструменте Печать метаданных.

Environment Options - Tools - Print Metadata

RadioButton A4 (210 x 297 mm)

RadioButton Letter (8 1/2 x 11 ")

Смотрите также:

Печать метаданных


Экспорт данных

На этой форме Вы задаете, в каком формате по умолчанию будут отображаться данные разных типов.

Environment Options - Tools - Data Export

Форматы отображения Вы можете задать для следующих форматов данных:

  • Integer format - Целое число,
  • Float format - Число с плавающей точкой,
  • Date format - Дата,
  • Time format - Время,
  • DateTime format - Дата и время,
  • Currency format - Денежный,
  • Boolean True - Истина,
  • Boolean False - Ложь,
  • Null string - Строка NULL.

CheckBox Auto save format string - автоматически сохранять все внесенные изменения.

Также можно восстановить в полях значения по умолчанию, нажав на кнопку Set defaults.

Также эти форматы можно задать на третьем шаге мастера экспорта данных.

Подробнее о форматах данных читайте в разделе задание форматов данных.

Смотрите также:

Мастер экспорта данных


Шрифты

На вкладке Fonts можно задать вид и размер шрифта для всей программы SQL Manager for Oracle.

В поле System font name задается тот шрифт, который используется во всех элементах управления программы SQL Manager for Oracle.

В поле System font size укажите размер шрифта.

Environment Options - Fonts

В поле Grid font name задается тот шрифт, который используется в просмотрщике данных.

В поле Grid font size укажите размер шрифта просмотрщика данных.

Для каждого вида объектов отображается образец на котором видны примененные изменения.


Параметры сетки

На этой вкладке можно задать параметры отображения просмотрщика данных.

Environment Options - Grid

Общие настройки задайте в разделе General options:

CheckBox Striped grids - задается другой цвет фона для четных строк,

CheckBox Show editor immediately - переход в режим редактирования при получении фокуса ввода ячейкой,

CheckBox Always show editor - всегда использовать режим редактирования ячеек,

CheckBox Enable auto-search in grid - включить автоинкрементный поиск в таблице по записям,

CheckBox Row multi-selection - разрешить выбор нескольких записей,

CheckBox Invert selection - обращать выделение,

CheckBox Column auto-width - автоподбор ширины таблицы по ширине окна,

CheckBox Cell auto-height - автоподбор высоты ячейки, при этом ещё можно указать максимальное количество строк на странице в поле Cell max line count,

В разделе Grid layout preference задайте некоторые параметры размещения сетки просмотрщика данных:

Autofit column widths - автовыбор ширины столбцов,

Save and restore layout - сохранение расположения и ширины,

CheckBox Restore sorting (except SQL sort) - сохранять сортировку столбцов, выполняемую на уровне клиента.

В разделе Root level options задайте настройки основного уровня:

CheckBox Show "Group by" box - показывать поле группировки,

CheckBox Show indicator - показывать указатель (панель слева от таблицы),

CheckBox Show navigator - показывать навигатор (дополнительная панель перехода по записям внизу таблицы),

CheckBox Show "New item row" - показывать пустую строчку для добавления новой записи.

Далее, в разделе Detail level options задайте параметры отображения для дочернего уровня таблицы.

CheckBox Show "Group by" box - показывать поле группировки,

CheckBox Show indicator - показывать указатель (панель слева от таблицы),

Environment Options - Grid - Show indicator

CheckBox Show navigator - показывать навигатор (дополнительная панель перехода по записям внизу подуровня),

Environment Options - Grid - Show navigator

CheckBox Show "New item row" - показывать пустую строчку для добавления новой записи,

CheckBox Hide tabs for single detail - скрывать вкладки в случае только одного подуровня.

Смотрите также:

Просмотр в виде таблицы


Настройки данных

Параметры отображения данных просмотрщика данных задайте на вкладке Data options.

Environment Options - Grid - Data Options

В разделе Advanced - задайте расширенные свойства таблицы.

CheckBox Shared connection within database (need Auto commit option set) - использовать общее подключение для всех просмотрщиков данных. Для этого необходимо включить опцию автоматической фиксации транзакции на вкладке Редактор SQL.

CheckBox Asynchronous query execution - установите этот флажок, чтобы разрешить выполнение запросов в фоновом режиме.

CheckBox Perform data filtration on client in data view*

Если этот флажок установлен, то данные будут фильтроваться средствами SQL Manager, на клиентском компьютере, в соответствии с параметрами фильтрации SQL.

Load visible rows mode if records more than - перейти в режим "только видимые записи", если их больше чем заданное в поле количество.

В поле String fields width (chars) задайте фиксированную ширину строк полей.

Default Grid Mode - это режим загрузки данных в гриде по умолчанию, который влияет на скорость работы.

  • Load all rows - загрузить все записи в инструмент просмотра. В этом случае в таблицу загружаются все данные из возвращаемого сервером набора данных.
  • Load visible rows - загрузить видимые записи. В таблицу из возвращаемого сервером набора данных загружается только строго определенное количество записей.


Настройки печати

На этой вкладке задайте те настройки печати, которые будут сохранены и применены при последующем открытии диалога:

Environment Options - Grid - Print Data

CheckBox Card view representation - вид карточного представления,

CheckBox Detail view representation - вид представления подуровней,

CheckBox Expanding - расширение,

CheckBox Formatting - форматирование,

CheckBox Level options - настройки уровня,

CheckBox "on every page" options - параметры «На каждой странице»,

CheckBox Pagination - нумерация страниц,

CheckBox Preview options - настройка просмотра,

CheckBox Image options (refinements) - параметры изображения (обработка),

CheckBox Selection options - параметры выбора,

CheckBox Report size options - настройка размера отчета,

CheckBox Showing grid elements - показ элементов сетки,

CheckBox Page number format -формат номера страницы,

CheckBox Page settings - параметры страницы,

CheckBox Report title - заголовок отчета.


Цвета и форматы данных

На этой вкладке задайте настройки отображения данных.

Environment Options - Grid - Color & Formats

В разделе Display formats укажите или выберите формат отображения для следующих типов данных:

Integer fields - целое число,

Float fields - число с плавающей точкой,

Datetime fields - дата и время,

Date fields - дата,

Time fields - время.

В разделе Colors задайте цвета для следующих объектов:

  • Grid - таблица просмотрщика данных,
  • Row - строка,
  • Stripy - выделение четных строк.

Для значений NULL Вы можете задать собственные цвета в разделе Null Values.

  • Text - текст,
  • Font Color - цвет шрифта.


Дополнительные настройки

На вкладке Advanced можно задать следующие параметры просмотрщика данных.

Environment Options - Grid - Advanced

Advanced options

CheckBox Cell hints for clipped text - отображать подсказки для обрезанного текста,

CheckBox Focus cell on cycle - фокусировать ячейки циклически при перемещении маркера,

CheckBox Focus first cell on new record - фокусировать ячейку в новой записи,

CheckBox Next cell on pressing Enter - перейти к следующей ячейке при нажатии на Enter,

CheckBox Show navigation hints - показывать подсказки навигатора,

CheckBox MRU list in column filter - список недавно использовавшихся фильтров,

CheckBox Expand buttons for empty details - отображать кнопки расширения для пустых частей,

Card width - в поле счетчика указывается ширина карточки,

Form view

CheckBox Large Memo Editor - использовать редактор больших записей, если количество строк превышает число, заданное в поле Number of lines,

CheckBox Word wrap in memo editor - переносить текст по словам в редактор больших записей,

CheckBox Word wrap in string editor - переносить текст по словам в редактор строк,

Grid lines - указать, какие линии таблицы будут отображаться ( CheckBox Horizontal - горизонтальные, CheckBox Vertical - вертикальные),

Detail tabs position - расположение вкладок подуровней ( RadioButton Top - вверху, RadioButton Left - слева),

Card layout direction - расположение карточек ( RadioButton Horizontal - по горизонтали, RadioButton Vertical - по вертикали),

Show edit buttons - показывать кнопки редактирования ( RadioButton Never - не показывать, RadioButton For focused record - для активной записи, RadioButton Always - показывать всегда).


Опции столбцов

Environment Options - Grid - Column Options

Common options

CheckBox Auto-select text - Автовыделение текста при переходе в режим редактирования.

CheckBox Hide selection on losing focus - Скрывать выделение при потере фокуса.

Memo editor options (cвойства редактора записи)

CheckBox Inserting Return characters - Возможность вставки символов перехода на новую строку.

CheckBox Inserting Tab characters - Возможность вставки символов табуляции.

CheckBox Word wrap in grid - Перенос по словам в редакторе Memo.

CheckBox Popup memo editors - Всплывающие редакторы полей этого типа.

Spin editor options (настройки "быстрого" редактора)

CheckBox Use Ctrl+Up instead of Up to increase value - использовать сочетание клавиш Ctrl+Up вместо Up для увеличения значения в ячейке.

CheckBox Show large increment buttons - показывать кнопки большого приращения.

В поле Increment задайте приращение, большое приращение - в поле Large increment.

Spin editor buttons' position (Положение кнопок "быстрого редактора")

RadioButton Vertical - вертикально.

RadioButton Horizontal / left and right - горизонтально / слева и справа.

RadioButton Horizontal / right - горизонтально / справа


Локализация

С помощью инструментов, расположенных на этой вкладке Вы можете задавать язык программы.

Environment Options - Localization

Вы можете выбрать один из предложенных языков, или создать свой.

В поле Default directory указан путь к папке, в которой по умолчанию находятся все файлы локализации, имеющие формат *.lng.

Из раскрывающегося списка Choose program language выберите язык программы.

CheckBox Если установлен флажок Auto scan languages on startup, то каждый раз при запуске SQL Manager for Oracle папка Default directory будет проверяться на наличие новых файлов *.lng, которые затем автоматически будут добавлены в список доступных языков программы.

В списке Available languages показан список доступных локализаций, которые можно установить как основной язык программы.

При нажатии на кнопку Add defaults проверяется наличие новых файлов *.lng в папке по умолчанию, которые автоматически добавляются в список доступных языков программы.

Нажав на кнопку Add, Вы можете добавить в список Available languages файл локализации, указав в появившемся окне имя локализации и путь к файлу.

Кнопка Edit позволяет редактировать выбранную локализацию.

Нажав на кнопку Delete, Вы удалите выбранную локализацию из списка доступных.

Смотрите также:

Локализация


Общие сочетания клавиш

На этой вкладке можно просмотреть и при необходимости задать сочетания клавиш для быстрого выполнения операций в SQL Manager.

Environment Options - Global Shortcuts

Для изменения сочетания клавиш необходимо двойным щелчком мышки на нужном пункте вызвать диалоговое окно.

Environment Options - Global Shortcuts - Edit

В этом окне отображаются нажатые в настоящий момент клавиши или сочетания.

Поместив курсор в поле, выберите клавиши, которые следует использовать. В сочетаниях нельзя использовать клавиши TAB и PRINT SCREEN.


Поиск опций

С помощью этого инструмента Вы можете найти опции программы по их названию.

Поиск осуществляется для каждого диалогового окна настроек в котором существует вкладка Find Option. Выбор производится только из опций, относящихся к данному диалоговому окну.

Editor Options - Find Option

Сочетание символов, содержащееся в названии опции введите в поле Option.

Все опции, в названии которых встречается искомое сочетание символов, выводятся в списке.

В поле Available Options отображается название найденных опций. В поле Option Kind отображается раздел к которому относится указанная функция.

Вкладка на которой расположена искомая функция показана в поле Category. Группа элементов управления, к которой относится искомая опция, отображается в столбце Group.

Чтобы перейти к искомой опции, выберите нужную опцию из списка и нажмите кнопку Show Option или два раза нажмите мышкой на нужной опции в общем списке.

После этого будет совершен переход на вкладку где эта опция находится, а сама опция будет обозначена символом iconFindOption


Настройки редакторов

С помощью этого инструмента Вы можете задать настройки для редактора SQL запросов.

Открыть окно настройки можно, выбрав пункт Options | btnEditorOptions Editor Options в главном меню программы.

Вкладки

  • Общие настройки
  • Отображение
  • Цветовая схема
  • Автодополнение кода
  • Форматтер SQL
  • SQL Words
  • Задание сочетаний клавиш
  • Проверка правописания
  • Поиск опций

Смотрите также:

Настройки окружения


Общие настройки

На этой вкладке задайте основные свойства редактора.

CheckBox Auto indent - каждый новый отступ такой же, как в предыдущей строке.

CheckBox Insert mode - включен режим автоматической вставки символов.

CheckBox Find text at cursor - слово, на котором стоит курсор, автоматически попадает в окно поиска при нажатии Ctrl+F.

CheckBox Always show hyperlinks - всегда отображать названия объектов в виде гиперссылок.

CheckBox Double click line - выделять строку двойным щелчком мыши. Если флажок не установлен, то двойным щелчком выделяется слово.

CheckBox Trim trailing spaces - если флажок установлен, то все пробелы после последнего символа строки будут удалены.

CheckBox Fixed line height - фиксированная высота строк.

CheckBox Persistent blocks - не убирать выделение при перемещении курсора с помощью клавиш.

Editor Options - General - Persistent blocks

CheckBox Fixed column move - если установлен этот флажок, то при перемещении курсора в редакторе вверх-вниз он будет сохранять свою горизонтальную позицию, относительно начала строки.

CheckBox Optimal fill - установите этот флажок, если хотите включить автоматическое форматирование текста запроса в редакторе.

CheckBox Unindent keep align - сохранять выравнивание для строк без отступа.

CheckBox Smart caret - при перемещении курсора между строками с помощью клавиш, курсор перемещается на ближайший символ текста.

CheckBox Overwrite blocks - заменять выделенный текст текстом вводимым с клавиатуры. Если флажок не установлен, то новый текст будет вводиться сразу после выделенного, также выделенный текст нельзя будет сразу удалить нажатием клавиш Delete, Enter и пробел.

CheckBox Show caret in read only mode - в режиме "только для чтения" показывать курсор.

CheckBox Copy to clipboard as RTF - текст запроса копировать в буфер обмена как текст формата RTF.

CheckBox Drag and drop text - разрешить перетаскивание текста.

CheckBox Group undo - позволяет отменять несколько операций одного вида.

CheckBox Group redo - позволяет возвращать несколько операций одного вида.

Editor Options - General

CheckBox Cursor beyond EOL - если флажок установлен, то если щелкнуть мышью на пустом месте, после окончания строки, то он будет вставить в конец строки, если не установлен, то курсор будет устанавливаться на том месте, на котором Вы щелкнули мышью.

CheckBox Enable column selection - включить возможность выделения столбца.

CheckBox Hide cursor on type - убирать курсор мыши когда пользователь набирает текст.

CheckBox Hide dynamic (no focus) - убирать подсветку, если окно неактивно.

CheckBox Collapse empty lines - автоматически убирать пустые строки.

CheckBox Scroll last line - при прокрутке перейти к последней строке.

CheckBox Word wrap - перенос по словам.

CheckBox Variable horizontal scrollbar - если нет текста, выходящего за границы видимой области, не отображать полосу прокрутки.

CheckBox Float markers - если установлен, то закладки не перемещаются вместе с текстом, а указывают на строку с определенным номером.

CheckBox Undo after save - не очищать список произведенных операций после сохранения, чтобы иметь возможность отменить действие даже после сохранения.

CheckBox Disable selection - отключить возможность выделения при редактировании.

CheckBox Draw current line focus - выделять редактируемую строку не только цветом, но ещё и пунктирной линией.

CheckBox Hide selection (no focus) - скрывать выделение, когда окно редактора становится неактивным.

CheckBox Greedy selection - если установлен этот флажок, то при выделении нескольких строк/столбцов захватывается дополнительно 1 строка/столбец.

CheckBox Keep selection mode - делает возможным выделение при перемещении курсора в тексте.

CheckBox Select search result - выделять результаты поиска.

CheckBox Smart paste - вставляемый из буфера обмена текст в кодировке Unicode и ANSI преобразовывается к кодировке, принятой в базе данных.

CheckBox Disable all code features - отключить визуальное оформление текста.

С помощью счетчика Collapse level задайте количество сворачиваемых подуровней.

В поле Undo limit задайте число сохраненных операций для отмены действия.

Tab mode - из этого раскрывающегося списка выберите действие, выполняемое при нажатии клавиши Tab: Use tab character - использовать символы табуляции, Insert spaces - использовать пробелы, Dialog behaviour - переключение между окнами, Smart tab - преобразует символы табуляции в пробелы и задает отступ для строки такой же, как отступ предыдущей.

Tab Stops - в этом поле задайте размер отступа при табуляции.

Из раскрывающегося списка Comment symbols выбрать сочетание символов, которое будет означать комментарии.

С помощью счетчика Block indent задайте размер отступа для блоков с установленными закладками.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Отображение

На этой вкладке задайте параметры отображения текста редактора.

Default editor fonts

Font

Задайте шрифт для редактора SQL.

Size

Задайте размер шрифта для редактора SQL.

CheckBox Show only fixed-width fonts - если установлен этот флажок. то в списке выбора шрифтов будут отображаться только те, которые имеют фиксированную ширину символов.

Gutter

В этом разделе вы можете задать параметры левого поля редактора SQL.

CheckBox Show line numbers - отображать номера строк,

CheckBox Gutter auto width - автоматически выравнивать внутренние поля,

CheckBox Display line state - если этот флажок установлен, то в левом поле будет отображаться вертикальная цветная линия, показывающая состояние строк. Состояний у строк существует три: измененная строка показана желтым цветом, новая - зеленым, сохраненная в файл - синим.

CheckBox Use code folding - Вы можете задать иерархическую структуру текста с возможностью скрывать подобъекты.

В счетчике Width задайте ширину левого поля.

Выберите значения Font, Size, Numbering style для задания шрифта и стиля текста в правом поле.

CheckBox Show only fixed-width fonts - если установлен этот флажок. то в списке выбора шрифтов будут отображаться только те, которые имеют фиксированную ширину символов.

Editor Options - Display

Right margin

В этом разделе можно задать свойства правой границы, которая используется при автоматическом форматировании текста запроса. (Задать параметры автоматического форматирования можно на вкладке SQL Formatter).

CheckBox Visible - включает отбражение правой границы

CheckBox Word break - позволяет переносить слова в пределах правого поля.

С помощью счетчика Position задайте отступ от левого края для этой границы.

Из раскрывающегося списка Color выберите цвет границы.

Code staples

Задайте параметры отображения скобок в тексте.

CheckBox Visible - скобки видимы в тексте.

CheckBox Single color - установите этот флажок, если хотите задать единый цвет для всех скобок в тексте.

Offset - задайте значение сдвига для скобок.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.

Нажав на кнопку Set line numbers font, Вы имеете возможность изменить внешний вид номеров строк.

Из раскрывающегося списка Background color выберите цвет фона редактора.

Стиль нумерации строк можно выбрать из раскрывающегося списка Numbering style.

Все изменения отображаются на образце, расположенном в нижней части формы.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Цветовая схема

Scheme

Выберите цветовую схему для всех редакторов:

Default (Light) - Светлая

Dark - Темная

Editor Options - Display - Highlight

В списке Element list вы можете выбрать любой элемент из Редактора SQL и настроить опции его отображения. Все изменения можно посмотреть в области под списком.

CheckBox Bold

Элемент будет отображаться полужирным шрифтом.

CheckBox Italic

Элемент будет отображаться курсивом.

CheckBox Foreground

Выберите цвет шрифта для выбранного элемента.

CheckBox Background

Выберите цвет фона для выбранного элемента.

CheckBox Effects

Задайте дополнительные настройки для выбранного элемента.

Чтобы сохранить принятые изменения нажмите на кнопку Ok.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Быстрый код

На этой вкладке задайте параметры быстрого ввода текста при написании запроса. Быстрый код - это окно подстановки, которое появляется при введении слова в запрос.

Automatic features

В разделе задайте свойства автоматической подстановки.

CheckBox Code Completion - включает/отключает список автодополнения. При вводе первых символов слова, автоматически будет предложен список из слов, начинающихся с этих символов.

CheckBox Parameters completion - включает/отключает автодополнение списка параметров

Sensitivity (char) - задает количество введенных символов, после которых открывается список.

Delay (sec) - задает время ожидания появления подсказки.

CheckBox Group by type

Объекты в списке автодополнения будут сортироваться по типу, иначе они сортируются по имени.

CheckBox Sort column names

Включите опцию для сортировки полей таблицы.

CheckBox Show information hints - отображать всплывающие подсказки для каждого слова из списка автоподстановки.

CheckBox Auto launch keyboard templates

Шаблоны клавиатуры будут применяться автоматически, если Вы установите флажок.

CheckBox Accept by Space key too

Подходящий элемент списка будет подставляться по нажатию клавиши Пробел.

Editor Options - Display - Quick Code

Completion list object

В данной секции вы можете можно задать цвет и стиль выбранного элемента списка автодополнения. Изменения отразятся на списке справа.

С помощью кнопки Reset to defaults можно отменить внесенные изменения и вернуть настройкам первоначальные значения.


Форматтер SQL

Средства задания настроек автоматического форматирования SQL запросов расположены на вкладке SQL Formatter.

SQL Formatter также используется при форматировании SQL скриптов и в редакторах некоторых объектов.

На вкладке Settings задайте, какие части запроса следует форматировать автоматически.

Editor Options - SQL Formatter

Установив флажки CheckBox Format SQL query и CheckBox Format subquery, Вы включаете автоматическое форматирование запросов и подзапросов.

Смотрите также:

Редактор запросов


SQL Words

На вкладке SQL Words задайте параметры форматирования текста запроса.

Editor Options - SQL Formatter - SQL Words

В списке Wrap first element выделите флажками те операторы, после которых необходимо выполнить перенос строки.

Params in line/list - в этом списке флажками отмечаются те операторы, для которых нужно изменить вид отображения параметров. Если при открытии запроса параметры отображались в столбец, то после установки этого флажка они будут отображаться в одну строку и наоборот.

В разделе OR - AND задайте положение операторов OR и AND относительно текста:

RadioButton Left - слева от текста,

RadioButton Separate - операторы выносятся каждый в отдельную строку,

RadioButton Right - справа от текста.

В разделах Keyword case и Identifiers case выберите регистр, в котором будут отображаться ключевые слова и идентификаторы в тексте запроса:

RadioButton Default - оставлять как есть,

RadioButton Upper - ВСЕ ПРОПИСНЫЕ,

RadioButton Lower - все строчные,

RadioButton Capitalize - Начинать С Прописных.

Space before bracket - вставлять пробелы перед скобками.

Space into brackets - автоматическая вставка пробелов между скобками и текстом внутри скобок.

С помощью счетчика Indents in list задайте отступ для элементов списка.

Чтобы отформатировать текст запроса с новыми изменениями нужно в редакторе запросов в контекстном меню выбрать пункт Format SQL.


Задание сочетаний клавиш

На вкладке Key Mapping можно задать сочетания клавиш для быстрого выполнения операций в редакторе SQL запросов.

Editor Options - Key Mapping

Определенный набор сочетания клавиш для различных действий можно сохранить в виде схемы сочетания клавиш. После внесения изменений в существующие сочетания и добавления новых нажмите кнопку Save As, чтобы сохранить эти изменения. Чтобы применить схему достаточно из раскрывающегося списка Scheme name выбрать нужную и нажать кнопку OK. Нажав на кнопку Delete, Вы удалите выбранную схему.

Ниже задаются сочетания клавиш для всех действий, производимых в редакторе.

Из списка Commands, выберите действие, для которого хотите задать сочетание клавиш.

В окне Key combinations отображаются уже добавленные сочетания. Выделив сочетание и нажав кнопку Delete, Вы удалите это сочетание. Если нажать кнопку Clear, то удалятся все сочетания для выбранного действия.

Чтобы добавить новое сочетание нажмите кнопку New и в поле Key укажите нужное сочетание. Если такое уже существует для другого действия, то появится предупреждение, в котором будет название той операции, для которой используется нужное сочетание. Для одного действия допустимо создавать несколько сочетаний клавиш, и даже последовательность сочетаний клавиш. Если задана последовательность, то действие будет выполнено только после того как будут нажаты клавиши в указанной последовательности. Каждая строка в списке Key combinations - это сочетание для выполнения одного действия. С помощью кнопки Add Вы добавляете новое сочетание клавиш в уже существующее. Так создается последовательность сочетаний клавиш.

Схему можно экспортировать в файл, нажав на кнопку Export. При этом откроется диалоговое окно, позволяющее выбрать существующий файл или создать новый.

Смотрите также:

Редактор запросов

Сочетания клавиш


Проверка правописания

На вкладке Spell Checking задайте параметры орфографического контроля.

Editor Options - Spell Checking

В разделе Spell checker mode выберите тип проверки правописания:

RadioButton Highlighting - слова с ошибками будут выделены,

RadioButton Autocorrection - ошибки будут автоматически исправляться,

RadioButton None - никаких действий производиться не будет.

Задать параметры учета разряда букв при проверке можно в разделе Case sensitivity:

CheckBox Support case consistency with substitution - разряд подставляемого во время замены слова совпадает с разрядом слова, в котором была допущена ошибка.

CheckBox Ignore case while spell checking - игнорировать разряд при проверке правописания.

CheckBox Keep the misprint case when replacing - сохранять разряд слова при замене опечатки.

В списке Substitutions находятся ключевые слова словаря проверки правописания. На эти слова будут заменяться те, которые написаны с ошибками, если установлена автоматическая замена. Чтобы добавить слово в этот список нужно нажать кнопку Add. Изменить выбранное слово можно с помощью кнопки Edit. Нажатие на кнопку Delete удалит выбранное слово.

Задать параметры проверки опечаток можно в разделе Misprints.

Для слова из списка Substitutions можно задать некоторое количество слов с опечатками, которые будут автоматически заменяться на нужное слово.

В списке Check содержатся варианты ошибок, которые может допустить пользователь в слове.

Чтобы добавить вариант в список нужно нажать на кнопку Add. С помощью кнопки Edit Вы можете изменить выбранный вариант ошибки. С помощью кнопки Auto Вы можете автоматически создать все варианты ошибок, которые могут быть допущены в этом слове. Нажав на кнопку Delete, Вы удалите выбранный вариант опечатки. Кнопка Clear очищает список опечаток полностью.

В список Ignore помещаются те варианты опечаток, которые при автоматической замене будут игнорироваться.

Кнопка Reset to defaults позволяет вернуть все настройки к принятым по умолчанию.


Панели и меню

Используйте вкладку Bars and menus для настройки внешнего вида панелей инструментов и меню программы SQL Manager for Oracle.

Visual Options - Bars and menus

Из раскрывающегося списка Bar style выберите один из стандартных стилей панели инструментов.

Из списка Menu Animation можно выбрать один из вариантов анимации при открытии меню.

CheckBox Sunken border - утопленная рамка.

CheckBox Use F10 for menu - использовать F10 для меню.

CheckBox Menu shows recent command first - в сокращенном меню показывать недавно использовавшиеся операции.

CheckBox Show full menus after delay - показать всё меню после задержки.

CheckBox Flat close buttons - использовать плоские закрывающие кнопки.

CheckBox Gray-scale disabled images - полутоновые заблокированные изображения.


Деревья и списки

На вкладке Trees and Lists настройте внешний вид списков.

Visual Options - Trees and lists

Из раскрывающегося списка Look & feel выберите один из стандартных стилей оформления списков.

Standard - стандартные,

Flat - плоские с тенью,

Ultraflat - плоские.

CheckBox Hide selection - скрыть выделение,

CheckBox Hide focus rectangle - прятать прямоугольник фокуса,

CheckBox Native style - естественный стиль.


Элементы управления редактирования

На вкладке Edit controls задайте стиль элементов управления и редактирования.

Visual Options - Edit controls

Из раскрывающегося списка Border style выберите стиль рамки:

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

Из списка Button style - стиль кнопок.

3D - трехмерные,

Flat - плоские с тенью,

Simple - простые,

Hotflat - плоские в рамке,

Ultraflat - плоские.

Стиль кнопок, расположенных в пределах поля, можно задать с помощью раскрывающегося списка Button transparency.

None - непрозрачные,

Inactive - прозрачные, когда неактивные,

Always - прозрачные,

Hide inactive - показывать при редактировании,

Hide unselected - показывать при наведении курсора.

CheckBox Hot track - подсветка элементов управления.

CheckBox Shadow - тень.

CheckBox Native style - естественный стиль.

Edges - границы:

CheckBox Left - слева,

CheckBox Right - справа,

CheckBox Top - сверху,

CheckBox Bottom - снизу.


Флажки

На вкладке Check boxes задайте вид флажков и переключателей.

Visual Options - Check boxes

Из раскрывающегося списка Border style выберите стиль рамки:

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

CheckBox Hot track - подсветка элементов управления,

CheckBox Shadow - тень,

CheckBox Native style - естественный стиль.


Кнопки

На этой вкладке настройте внешний вид кнопок.

Visual Options - Buttons

Из списка Button kind выберите вид кнопок.

Standard - стандартные,

Flat - плоские с тенью,

Ultraflat - плоские.

CheckBox Native style - естественный стиль.


Вкладки

В этом окне задайте стиль оформления вкладок.

Visual Options - Page controls

Из списка Tab Style выберите нужный стиль вкладок.

Tabs - в виде вкладок,

Buttons - в виде кнопок,

Flat - плоские.

CheckBox Hot track - подсветка элементов управления.

CheckBox Multiline pages - вкладки в несколько рядов,

CheckBox Native style - естественный стиль,

CheckBox Slants - с наклоном.

В разделе Slants Positions выберите в какую сторону будет наклон:

RadioButton Left - влево,

RadioButton Right - вправо.


Группа кнопок

Задайте стиль отображения групп кнопок на вкладке Group boxes.

Visual Options - Group boxes

Из раскрывающегося списка Border style выберите стиль рамки.

None - без рамки,

Single - одинарная тонкая линия,

Thick - одинарная широкая линия,

Flat - плоская с тенью,

3D - трехмерная,

Ultraflat - плоская.

CheckBox Shadow - тень.

CheckBox Native style - естественный стиль.


Разделители

На вкладке Splitters задайте стиль разделителей (сплиттеров).

Visual Options - Splitters

Из раскрывающегося списка Hot zone style выберите стиль отображения разделителей.

Windows XP task bar - стиль Windows XP,

Media Player 8 - стиль Media Player 8,

Media Player 9 - стиль Media Player 9,

Simple - простой,

None - нет.

CheckBox Если установлен флажок Hot zone drags a splitter, то разделитель можно перемещать, потянув за среднюю рабочую область Splitter. Если не установлен, то по нажатию на эту область окно, ограниченное сплиттером будет сворачиваться и разворачиваться.


Панель навигации

Задайте внешний вид навигационной панели на этой вкладке.

Visual Options - Navigation bar

Из раскрывающегося списка View style выберите стиль представления навигационной панели.

Office 11 - стиль Office,

XP - стиль Windows XP,

Simple - обычный,

Advanced - улучшенный стиль.

CheckBox Если установлен флажок Border, то будет отображаться граница навигационной панели.


Мастер сохранения настроек

Мастер сохранения настроек позволяет экспортировать все настройки программы SQL Manager for Oracle во внешний файл. Файл настроек имеет расширение *.reg (файл системного реестра Windows). Применить сохраненные настройки Вы можете как для этой программы, так и для заново установленного SQL Manager for Oracle. Чтобы открыть Мастер сохранения настроек в главном меню программы выберите пункт Options | iconSaveToFileAs Save Settings.

Чтобы применить настройки, сохраненные в файл *.reg необходимо открыть этот файл двойным щелчком мыши. В появившемся окне нажать кнопку OK. Все настройки автоматически будут применены (добавлены в системный реестр Windows).

Мастер состоит из следующих шагов:

  • Задание файла
  • Выбор настроек для сохранения
  • Выбор баз данных
  • Сохранение настроек


Задание файла

На первом шаге необходимо задать имя файла, в который будут сохранены настройки и путь к нему.

В поле Filename с помощью кнопки btnSaveAs , в открывшемся стандартном диалоговом окне укажите имя и адрес создаваемого файла.

Save Settings - Specifying destination file

Следующий шаг


Выбор настроек для сохранения

Отметьте флажками те настройки, которые необходимо сохранить:

Save Settings - Selecting settings

CheckBox Database Registration Info - Регистрационная информация баз данных,

CheckBox Favorite objects - Избранные объекты базы данных,

CheckBox Tabs - Вкладки,

CheckBox Environment options - настройки окружения,

CheckBox Editor options - настройки редакторов,

CheckBox Visual options - Настройки внешнего вида,

CheckBox Keyboard templates - Шаблоны клавиатуры,

CheckBox Object templates - шаблоны объектов,

CheckBox External tools list - Внешние инструменты,

CheckBox Form placement - расположение открытых окон,

CheckBox MRU lists - Списки недавно использовавшихся объектов,

CheckBox Favorite queries stored in registry - Избранные запросы, хранящиеся в реестре.

Следующий шаг


Выбор баз данных

На этом шаге необходимо выбрать те базы данных, для которых нужно сохранить регистрационную информацию и настройки.

В списке Available Databases находятся доступные базы данных.

Выберите из списка те, для которых необходимо сохранить регистрационную информацию и настройки и переместите их в список Selected Databases с помощью кнопок.

Save Settings - Selecting databases

Следующий шаг


Сохранение настроек

Нажмите кнопку Finish для начала создания файла настройки

Save Settings - Saving settings

С помощью этого окна Вы можете проследить выполнение сохранения, а также увидеть отчет о каждом шаге проделанной операции.

CheckBox Если установлен флажок Close the Wizard after successful completion, то Мастер сохранения настроек закроется после успешного выполнения операции. Если не установлен, то, не закрывая мастера, можно изменить настройки сохранения.


Локализация

SQL Manager for Oracle позволяет изменять язык интерфейса программы для удобства пользователей. Чтобы изменить это свойство необходимо:

Изменение языка программы

  • выбрать Options | Select Program Language в главном меню программы,
  • выбрать нужный язык интерфейса в окне выбора,
  • нажать OK для сохранения изменений.

Редактирование локализации программы

  • откройте любое окно программы, в котором хотите изменить заголовок или название элементов управления,
  • нажмите Shift+Ctrl+L, чтобы открыть окно редактора локализаций,
  • измените текст по своему усмотрению,
  • сохраните изменения, используя кнопку Save в окне редактирования локализации.

Важно: Локализацию можно изменить только в том случае, если она установлена и не является локализацией по умолчанию. Установить локализацию можно с помощью инструмента Environment Options | Localization.

Создание новой локализации

Чтобы создать новую локализацию необходимо:

  • создать новый файл локализации с расширением *.lng и поместить его в папку Languages в директории, в которой установлен SQL Manager for Oracle,
  • выбрать Options | Environment Options в главном меню программы,
  • открыть вкладку Environment Options | Localization,
  • на этой вкладке нажать кнопку Add,
  • в появившемся окне в поле Language name указать название новой локализации, а в поле Language File указать путь до созданного *.lng файла,
  • после нажатия кнопки OK в списке локализаций появится новый язык, который можно редактировать и устанавливать как программный.

Смотрите также:

Локализация


Редактор локализаций

Редактор локализаций позволяет изменять любые заголовки, надписи, названия элементов и подсказки в программе SQL Manager for Oracle, но только в том случае если этот язык не является локализацией по умолчанию.

Файл локализации можно открыть и изменить в любом текстовом редакторе.

Localization - Localization Editor

До знака "=" прописаны названия элементов управления, а после знака "=" - названия этих же элементов, но на языке выбранной локализации. Изменять можно только то, что написано после знака "=".

Для удобства работы с редактором предусмотрено использование стандартного диалогового окна поиска, открывающегося при нажатии клавиш Ctrl+F.

Чтобы сохранить внесенные изменения, нажмите кнопку Save на панели инструментов.

Смотрите также:

Environment Options

Localization


Выбор языка программы

Это диалоговое окно позволит Вам выбрать язык локализации программы SQL Manager for Oracle.

Открыть это окно можно, выбрав Options | Select Program Language в главном меню программы.

В списке представлены все доступные языки программы, установленные с помощью Environment Options | Localization.

Localization - Select Program Language


Шаблоны клавиатуры

С помощью инструмента Keyboard Templates задайте шаблоны для быстрого ввода текста.

Чтобы открыть редактор шаблонов клавиатуры выберите в главном меню пункт Options | Keyboard Templates.

Чтобы создать шаблон нажмите на кнопку Add Template. В появившемся окне укажите последовательность символов, которая должна будет при вводе замениться определенным текстом.

Чтобы изменить уже созданный шаблон выделите его в общем списке и нажмите кнопку Edit Template. Нажав на кнопку Delete Template, Вы удалите выбранный шаблон.

CheckBox Если установлен флажок Old Style, то в тексте шаблона будут использоваться обозначения, использовавшиеся в более ранних версиях SQL Manager for Oracle.

В разделе Expansion укажите тот текст, которым должен быть заменен набор символов шаблона.

С помощью кнопок можно вставить автотекст:

  • Cursor - позиция курсора, при применении курсор будет переведен в указанное место,
  • Author - имя учетной записи,
  • Time - время редактирования,
  • Date - дата редактирования,
  • Clipboard - содержимое буфера обмена,
  • Marker - маркер.

Также, в разделе Case of Templates, можно указать регистр, в котором должно вводиться сочетание символов, являющееся шаблоном.

  • As is - оставлять как есть,
  • Uppercase - ВСЕ ПРОПИСНЫЕ,
  • Lowercase - все строчные,
  • First upper - Начинать С Прописных.

Чтобы применить шаблон необходимо в редакторе набрать сочетание символов, указанное в шаблоне, а затем нажать пробел или сочетание клавиш Ctrl+J.

Восстановить значения шаблонов, принятые по умолчанию, можно, нажав на кнопку By Default.

Смотрите также:

Быстрый код

Сочетания клавиш


Шаблоны объектов

С помощью этого инструмента Вы можете задать некоторые параметры для создаваемых объектов определенного типа.

Чтобы открыть редактор шаблонов объектов выберите пункт главного меню Options | Object Templates...

В дереве объектов выберите нужный тип объекта и задайте его шаблон в области редактора.

При создании, объекты указанных типов уже будут содержать текст, который Вы задали в SQL редакторе.

Шаблоны создаются для следующих типов объектов:

Триггеры

Объектные типы

Тела объектных типов

Пакеты

Тела пакетов

Процедуры

Функции


Окно внешних инструментов

Это окно открывается при выборе пункта Options | External Tools в главном меню программы.

В окне Tools отображается список уже добавленных внешних инструментов.

External tools - External Tools dialog

С помощью кнопки Add можно добавить программу в список.

При нажатии кнопки Edit открывается окно редактирования внешних инструментов, с помощью которого можно изменить свойства подключенной программы.

Нажав на кнопку Delete, Вы удалите программу из списка.

Для изменения порядка программ в списке воспользуйтесь кнопками btnMoveItemUp btnMoveItemDown или сочетанием клавиш Shift+Ctrl+Up / Shift+Ctrl+Down. Можно менять объекты местами, перетаскивая их мышкой.


Редактирование внешних инструментов

С помощью окна Edit External Tool Info можно добавлять и редактировать внешние инструменты программы SQL Manager for Oracle.

Это окно открывается при нажатии кнопок Add и Edit в окне внешних инструментов.

External tools - External Tool Info editor

В поле Title укажите имя, которое для этой программы будет отображаться в списке внешних инструментов.

В поле Hot Key можно задать сочетание клавиш, при нажатии которых будет открываться программа. Это поле не доступно для обычного редактирования.

Укажите полный путь к программе (файлу с расширением *.exe) в поле Program. Или с помощью стандартного диалогового окна, открывающего при нажатии на кнопку ExplorerButton.

Working Dir - в этом поле укажите рабочую директорию для этой программы.

Параметры выполнения программы указываются в поле Parameters.


Как...

В этом разделе содержится краткая информация по основным операциям, которые можно выполнить в программе SQL Manager for Oracle.

Работать с базами данных

Подключиться к базе данных

Изменить параметры подключения к базе данных

Ускорить работу с базой данных

Визуально спроектировать базу данных

Посмотреть ER-диаграмму базы данных

Сделать резервную копию базы данных

Восстановить базу данных из резервной копии

Создать копию базы данных

Задокументировать базу данных

Сохранить отчет о метаданных в файл другого формата

Вести журнал изменений метаданных и запросов

Получить SQL-дамп базы данных

Синхронизировать базы данных

Работать с объектами базы данных

Группировать объекты

Найти объект

Посмотреть зависимости объектов

Просмотреть DDL объекта

Работать с данными

Просматривать таблицы с большим количеством записей

Фильтровать данные

Сортировать и группировать данные

Экспортировать/импортировать данные

Экспортировать в виде SQL-скрипта

Экспортировать отфильтрованные данные

Редактировать данные многоуровневых таблиц

Создать автоинкрементное поле

Добавить изображение в таблицу

Настроить формат отображения данных

Работать с запросами и скриптами

Быстро создать SQL-запрос

Контролировать производительность запроса

Работать с несколькими запросами одновременно

Сохранить часто используемые запросы

Выполнять запросы с параметрами

Экспортировать результаты запроса в файл

Выполнять скрипты (сценарии)

Выполнить большой SQL-скрипт

Ускорить работу SQL-скрипта

Работать с текстом запроса/скрипта

Просмотреть все выполненные запросы и скрипты

Отладить процедуру

Создать простой отчет в Конструкторе отчетов

Перенести настройки программы

Обновить программу

Сообщить об ошибках и предложениях


Подключиться к базе данных

Чтобы подключиться к незарегистрированной базе данных выполните следующую последовательность действий:

  1. Запустите Мастер регистрации баз данных, выбрав пункт Database | btnRegisterDB Register Database... в главном меню программы.
  2. На первом шаге задайте параметры соединения: хранилище Oracle и группу в проводнике баз данных, к которой будет принадлежать регистрируемая база данных. При необходимости настройте SSH туннелирование.

Важно: Если Вы хотите зарегистрировать несколько баз данных сразу, то убедитесь, что не отмечена флажком опция CheckBox Register a single database. В этом случае на следующем шаге выберите базы данных, которые Вы хотите зарегистрировать.

  3. На последнем шаге Мастера задайте имя базы данных и параметры авторизации.
  4. Зарегистрированная база данных отобразится в Проводнике БД. Чтобы подключиться к ней, дважды щелкните по псевдониму БД или выберите пункт btnConnectToDB Connect to Database из контекстного меню.


Изменить параметры подключения к базе данных

Если при создании или регистрирации базы данных была допущена ошибка, или указана неполная информация, то её можно исправить при помощи инструмента Database Registration Info. Регистрационную информацию можно посмотреть как для подключенной, так и для неподключенной базы.

Чтобы посмотреть Регистрационную информацию базы данных, необходимо выбрать базу данных в проводнике баз данных, затем в контекстном меню базы данных или в главном меню программы выбрать пункт btnDBRegistrationInfo Database Registration Info.

На вкладке Connection можно изменить следующие настройки подключения базы данных к серверу: имя сервера (Server name), имя пользователя (User name), пароль (Password), базу данных (Database name), псевдоним базы данных (Database alias) и набор шрифтов (Font charset).


Ускорить работу с базой данных

Если ваша база данных содержит большое количество объектов или, если соединение с сервером слишком медленное, Вы можете усокрить работу с БД отключив опцию CheckBox Refresh objects on connection при регистрации базы данных или при редактировании Регистрационной информации баз данных.

Кроме того, Вы можете отключить опцию CheckBox Restore desktop on connect в Предпочтениях.


Визуально спроектировать базу данных

Чтобы спроектировать БД визуально, можно использовать Визуальный конструктор баз данных. Он позволяет создавать, редактировать и удалять таблицы и поля, устанавливать связи между таблицами и выполнять другие операции. Все новые объекты отображаются на диаграмме.


Посмотреть ER-диаграмму базы данных

Построение диаграммы отношений происходит с помощью операции Обратного проектирования.

Чтобы просмотреть ER-диаграмму выбранной схемы выполните следующую последовательность действий:

  1. Запустите Визуальный конструктор баз данных;
  2. На панели инструментов выберите пункт btnReverseEngineer Reverse Engineer или соответствующий пункт контекстного меню.
  3. Выберите схему для обратного проектирования.


Сделать резервную копию базы данных

Создать резервную копию базы данных можно с помощью Мастера резервного копирования. Чтобы его запустить нужно выбрать Services | [image] Backup Database в главном меню программы.

Существует два способа создания резервной копии базы данных Oracle: с помощью управляемого пользователем скрипта или диспетчера восстановления Recovery Manager (RMAN), который интегрирована в базу данных.

Recovery Manager (RMAN) - утилита Oracle, которая используется для создания резервных копий и восстановления данных.

Управляемый пользователем скрипт состоит из набора команд операционной системы для создания резервной копии.

Важно: Настоятельно рекомендуется использовать утилиту RMAN, так как она более надежна, и значительно упрощает процесс администрирования.

В следующих случаях лучше использовать управляемый пользователем скрипт, чем диспетчер восстановления RMAN:

  • Вы обновляете базу данных более ранней версии до текущей версии, при этом Вы не хотите немедленного обновления legacy backup scripts.
  • Вы поддерживаете сеть, в которой сожержатся базы данных Oracle версии 7 и выше и хотите создать резервную копию всех баз одним способом. RMAN поддерживается только в версии Oracle 8 и выше.

Для создания резервной копии с помощью управляемого пользователем скрипта:

  1. Выберите опцию RadioButton User-managed script wizard в группе Backup using на первом шаге Мастера.
  2. На втором шаге определите способ резервного копирования: создать резервную копию подключенной базы данных (hot backup) или отключить базу данных на время создания резервной копии (cold backup). Горячее резервное копирование выполняется когда база данных открыта и доступна для использования.

Важно: Восстановить базу данных из резервной копии отключенной базы данных будет проще, так как в этом случае осуществляется резервирование файлов неактивной (остановленной) БД, все данные на момент копирования согласованы.

Метод «горячего» резервного копирования удобен потому, что база данных при создании копии остается доступной. Кроме того, есть возможность частичного копирования.

  3. На третьем шаге выберите файлы базы данных, которые необходимо включить в резервную копию.
  4. На следущем шаге задайте дополнительные настройки управляемого пользователем скрипта, в том числе, операционную систему, команды которой будут использоваться в скрипте резервной копии (Unix, Windows или задайте команду вручную (Manually), в поле Copy command).

Для создания резервной копии с помощью утилиты RMAN:

  1. Выберите опцию RadioButton Recovery manager (RMAN) в группе Backup using на первом шаге Мастера.
  2. На втором шаге определите способ резервного копирования: создать резервную копию подключенной базы данных (hot backup) или отключить базу данных на время создания резервной копии (cold backup). Горячее резервное копирование выполняется когда база данных открыта и доступна для использования.

Важно: Восстановить базу данных из резервной копии отключенной базы данных будет проще, так как в этом случае осуществляется резервирование файлов неактивной (остановленной) БД, все данные на момент копирования согласованы.

Метод «горячего» резервного копирования удобен потому, что база данных при создании копии остается доступной. Кроме того, есть возможность частичного копирования.

  3. На третьем шаге определите тип резервного копирования: полное (Full) или инкрементное (Incremental). При инкрементном копировании в резервную копию попадают только те блоки БД, которые с момента последнего полного физического копирования претерпели изменения.
  4. На следующем шаге настройте дополнительные настройки диспетчера резервного копировная, такие как: имя пользователя (Username) и пароль (Password), чтобы определить пользователя, который создает резервную копию; каталог (Catalog) - база данных, выполняющая функции хранилища информации о действиях RMAN; операционную систему для которой будет создана резервная копия (Unix, Windows, или создать резервную копию без выполнения промежуточных операций).


Восстановить базу данных из резервной копии

Восстановить базу данных из резервной копии можно с помощью Мастера восстановления базы данных. Чтобы его запустить нужно выбрать Services | [image] Restore Database в главном меню программы.

Существует два способа восстановления базы данных Oracle: с помощью управляемого пользователем скрипта или диспетчера восстановления Recovery Manager (RMAN), который интегрирована в базу данных.

Recovery Manager (RMAN) - утилита Oracle, которая используется для создания резервных копий и восстановления данных.

Управляемый пользователем скрипт состоит из набора команд операционной системы для восстановления базы данных.

Важно: Настоятельно рекомендуется использовать утилиту RMAN, так как она более надежна, и значительно упрощает процесс администрирования.

В следующих случаях лучше использовать управляемый пользователем скрипт, чем диспетчер восстановления RMAN:

  • Вы обновляете базу данных более ранней версии до текущей версии, при этом Вы не хотите немедленного обновления legacy backup scripts.
  • Вы поддерживаете сеть, в которой сожержатся базы данных Oracle версии 7 и выше и хотите создать резервную копию всех баз одним способом. RMAN поддерживается только в версии Oracle 8 и выше.

Для восстановления базы из резервной копии с помощью управляемого пользователем скрипта:

  1. Выберите опцию RadioButton User-managed script wizard в группе Restore using на первом шаге Мастера.
  2. На втором шаге проверьте и отредактируйте (при необходимости) текущие настройки базы данных.
  3. На третьем шаге Мастера выберите файлы базы данных, которые следует восстановить.
  4. На четвертом шаге задайте дополнительные настройки операции восстановления базы данных, в том числе, действие, которое следует произвести с управляющим файлом и операционную систему, команды которой будут использоваться в скрипте резервной копии.

Для восстановления базы из резервной копии с помощью утилиты RMAN:

  1. Выберите опцию RadioButton Recovery manager (RMAN) в группе Restore using на первом шаге Мастера.
  2. На втором шаге задайте дополнительные настройки операции восстановления базы данных.


Создать копию базы данных

Чтобы создать копию базы данных или отдельных объектов необходимо выполнить одно из следующих действий:

  1. Извлечь структуру объектов базы данных и сами данные в SQL скрипт используя Мастер извлечения баз данных. Полученный скрипт можно использовать для копирования и восстановления базы данных.
  2. Создать резервную копию БД с помощью Мастера резервного копирования.
  3. Создать копии отдельных объектов используя Мастер копирования объекта.


Задокументировать базу данных

Есть несколько способов документации базы данных:

  1. Вы можете сгенерировать подробный HTML отчет о метаданных объектов выбранной базы данных с помощью Мастера создания HTML отчетов.
  2. Вы можете создать и распечатать отчет о метаданных любого объекта БД. Отчет может быть сохранен в любом из следующих форматов:HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF image.
  3. Вы можете сохранить диаграмму, созданную в Визуальном конструкторе баз данных в файл с расширением *.ord. При необходимости диаграмму можно сохранить как рисунок.


Сохранить отчет о метаданных в файл другого формата

Чтобы сохранить отчет о метаданных в файл другого формата, необходимо:

  1. Открыть инструмент Печать метаданных, выбрав пункт главного меню программы Tools | iconPrint Print Metadata.
  2. Нажать кнопку btnPrintPreview Preview на одной из панелей инструментов.
  3. На панели инструментов просмотрщика выбрать пункт btnPreviewExport Export -> из раскрывшегося списка выбрать формат файла, в который будет произведен экспорт.
  4. В появившемся окне выбрать директорию и указать имя файла.


Вести журнал изменений метаданных и запросов

Если Вы хотите вести журнал изменений метаданных и журнал SQL запросов, то:

  1. Установите флажок CheckBox Enable log of metadata changes и укажите, в какой файл следует записывать изменения.
  2. Установите флажок CheckBox Enable log of Query data queries и укажите, в какой файл сохранять эту статистику.

Задание этих опций происходит в окне Регистрационная информация баз данных | Журналы.


Получить SQL-дамп базы данных

Чтобы получить SQL-дамп (файл с расширением *.sql) базы данных используйте Мастер извлечения баз данных. С его помощью можно извлечь структуру объектов базы данных и сами данные в SQL скрипт. Полученный скрипт можно использовать для копирования и восстановления базы данных.


Синхронизировать базы данных

Синхронизация двух баз данных может быть проведена посредством мастера сравнения баз данных. С его помощью Вы можете сравнить базы и создать скрипт, чтобы перенести изменения с одной базы в другую.

Чтобы запустить Мастер сравнения баз данных, выберите пункт Tools | iconCompare Compare Database в главном меню программы.


Группировать объекты

Объекты можно сгруппировать с помощью Избранных объектов и вкладок проводника баз данных.

Группировка с помощью проектов

В проводнике баз данных, в дереве объектов, есть папка Favorite objects. Если в Favorite objects нет вложенных папок, то поместить туда объекты невозможно.

Объединить объекты в проект можно следующими способами:

  1. В проводнике баз данных создать вложенную папку внутри папки Favorite objects, выбрав пункт контекстного меню New Sub Folder.-> в появившемся окне указать имя папки -> в эту папку мышкой перетащить нужные объекты.
  2. В проводнике баз данных создать вложенную папку внутри папки Favorite objects, выбрав пункт контекстного меню New Sub Folder -> в появившемся окне указать имя папки -> в контекстном меню созданной папки выбрать пункт Add Object -> в появившемся окне выбрать нужный объект.

Важно: В контекстном меню объектов нет пункта "Поместить в проект", поэтому объекты в проект перетаскиваются мышью.

Группировка с помощью вкладок

Поместить объект на отдельную вкладку можно выбрав пункт btnNewTabFromHere New Tab from Here в контекстном меню объекта.

Важно: Если объект не является узлом дерева, то эта опция не доступна.


Найти объект

Чтобы найти нужный объект Вы можете:

  1. Пунктом Find Object контекстного меню проводника или сочетанием клавиш Ctrl + F вызывать стандартное окно поиска, в котором указывается искомое слово.
  2. Введите первые символы искомого слова в поле Search. Все объекты, содержащие искомые символы, будут выделены цветом в проводнике баз данных.

Важно: объекты по которым происходит поиск должны быть обновлены и узел объектов раскрыт.

  3. Запустите операцию поиска по метаданным. Для этого выберите пункт Tools | Search in Metadata в главном меню программы или используйте сочетание клавиш Ctrl+Alt+F. На навигационной панели, в разделе Explorer отобразятся все объекты, в метаданных которых встречается искомое слово и словосочетание.


Посмотреть зависимости объектов

Посмотреть зависимости объектов можно одним из способов:

  1. Используя вкладку Dependencies в редакторе таблиц.
  2. Используя Дерево зависимостей.

Эти инструменты могут быть особенно полезны, когда Вы не можете определить, из-за какого объекты не удаляется таблица.


Просмотреть DDL объекта

Просмотреть DDL объекта можно одним из следующих способов:

  1. Дважды щелкните по объекту, чтобы открыть редактор объекта, затем перейдите на вкладку DDL.
  2. Выберите Script to Execute query | Create в контекстном меню объекта.
  3. Выберите Data Manipulation | Export Data as SQL Script в контекстном меню объекта.

Для редактирования DDL объекта можно открыть в редакторе запросов, нажав на панели инструментов btnShowSQLEditor Open DDL in Query data.


Просматривать таблицы с большим количеством записей

Если ваша таблица содержит большой объем данных Вы можете уменьшить время ее загрузки посредством:

  1. Задания количества выбираемых записей;
  2. Установления опции RadioButton Load visible records для загрузки фиксированного числа записей в память.

Эти опции могут быть настроены для определенной БД на странице Свойства данных при редактировании Регистрационной информации баз данных.

Настройки по умолчанию для только что зарегистрированной БД могут быть заданы на странице Параметры сетки | Настройки данных в Настройках окружения.


Фильтровать данные

Быстрая фильтрация (по текущему значению в ячейке)

Вызовите контекстное меню для столбца с данными -> выберите пункт контекстного меню Quick Filter -> выберите из открывшегося дочернего меню условие фильтрации.

Фильтрация по столбцам

HowTo - Grid View - Quick Filter

Нажать раскрывающийся список в заголовке столбца -> выбрать из списка условие фильтрации.

Более сложные условия задайте с помощью пункта списка значений Custom...

При выборе этого пункта открывается специальное окно для задания условий фильтрации.

Подробная фильтрация

Нажать кнопку btnSetFilter на панели инструментов просмотрщика данных -> задать параметры отбора в конструкторе фильтров -> применить условия фильтрации, нажав кнопку Apply.

Если для таблицы установлен фильтр, то в нижней её части появляется специальная панель, на которой отображаются условия фильтра и история модификации фильтра, которая открывается при нажатии на раскрывающийся список.

Data View - Grid View - Filtering records - Filtering panel

Убрать фильтрацию

Вызвать контекстное меню для столбца с данными -> выбрать пункт Disable filter.

Нажать кнопку btnClose на панели инструментов фильтра.


Сортировать и группировать данные

Чтобы отсортировать данные необходимо:

Открыть данные на вкладке Data или Results -> выбрать столбец, по которому хотите отсортировать данные -> нажать на заголовок этого столбца мышкой.

Если столбец не был отсортирован, то одно нажатие отсортирует его по возрастанию, следующее - по убыванию.

Важно: Чтобы отменить сортировку, вызовите контекстное меню правой кнопкой мыши на нужном столбце,а затем выберите пункт Clear Sorting, или нажмите клавишу Ctrl и щелкните по полю, по которому была отсортирована таблица.

Чтобы сгруппировать данные перетащите мышкой заголовок столбца на специальную панель группировки над таблицей.

HowTo - Data View - Grid View - Grouping data by two columns_Small

Важно: Чтобы убрать группировку перетащите заголовок столбца с панели группировки обратно в таблицу.


Экспортировать/импортировать данные

Копировать данные из таблицы базы данных во внешний файл допустимого формата (экспортировать) можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | Export Data -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт Export Data задать параметры экспорта в открывшемся Мастере экспорта данных.
  4. Открыть вкладку Data или Results -> использовать сочетание клавиш Ctrl+E.

Копировать данные из внешних источников в таблицу или представление (импортировать) можно одним из следующих способов:

  1. Открыть вкладку Data -> нажать кнопку Import Data на одной из панелей инструментов просмотрщика данных -> задать параметры импорта в открывшемся Мастере импорта данных.
  2. Открыть вкладку Data -> в контекстном меню сетки данных выбрать пункт Data Manipulation | Import Data -> задать параметры импорта в открывшемся Мастере импорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт Import Data -> задать параметры импорта в открывшемся Мастере импорта данных.
  4. Открыть вкладку Data -> использовать сочетание клавиш Ctrl+I.


Экспортировать в виде SQL скрипта

Копировать данные из таблицы базы данных в виде скрипта, содержащего операторы INSERT INTO, можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data as SQL Script на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | [image] Export Data as SQL Script -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт Data Manipulation | [image] Export Data as SQL Script -> задать параметры экспорта в открывшемся Мастере экспорта данных в виде SQL скрипта.

Важно: Для извлечения DDL таблицы (оператор CREATE TABLE) установите флажок Add CREATE TABLE statement на первом шаге.


Экспортировать отфильтрованные данные

Если Вы установили фильтр в просмотрщике данных и хотите осуществить экспорт только этих данных, тогда отключите опцию CheckBox Perform data filtration on client in data view на вкладке Настройка отображения данных в Регистрационной информации баз данных. В этом случае фильтрация будет осуществляться на Oracle Server посредством задания условия WHERE в SQL-запросе.


Редактировать данные многоуровневых таблиц

Вы можете работать с данными в многоуровневом режиме, то есть Вы можете просматривать и редактировать их в нескольких связанных таблицах одновременно. Чтобы добавить уровень таблицы щелкните правой кнопкой мыши в таблице и выберите пункт Grid Levels из контекстного меню. Далее выберите пункт Add Grid Level, чтобы запустить Мастер создания уровней. После того, как новый уровень будет добавлен, Вы можете редактировать данные в связанных таблицах.


Создать автоинкрементное поле

Чтобы создать автоинкрементное поле, отметьте опцию CheckBox Autoincrement при создании или редактировании поля. Автоинкремент создается с помощью специального триггера и последовательности.


Добавить изображение в таблицу

Это возможно сделать только при наличии в таблице поля типа BLOB.

Открыть таблицу на вкладке Data -> перейти в раздел BLOB View (кнопки перехода расположены в нижней части окна) -> перейти на вкладку Image -> если BLOB поле не одно, то из раскрывающегося списка Select BLOB Column на панели инструментов вкладки Blob View выбрать нужное поле ->

HowTo - Grid View - BLOBView - Select BLOB Column

-> на панели инструментов вкладки Blob View нажать кнопку iconLoadFromFile Load from File -> открывшемся диалоговом окне выбрать файл изображения.


Настроить формат отображения данных

Чтобы настроить формат отображения данных выберите пункт Options | btnEnvironmentOptions Environment Options в главном меню программы -> перейдите на вкладку Color & Formats -> в разделе Display formats укажите или выберите формат отображения для некоторых типов данных.


Быстро создать SQL-запрос

Есть два способа быстрого создания SQL-запроса..

В проводнике баз данных

  1. Щелкните правой кнопкой мыши по имени объекта в проводнике баз данных.
  2. Выберите Script to Query data в контекстном меню объекта.
  3. Определите тип запроса.

В Дизайнере запросов

  1. Откройте Дизайнер запросов .
  2. На вкладке Builder перетащите таблицу или представление из проводника баз данных или из списка на панели Object в рабочую область.
  3. Выберите отображаемые поля, установив флажки напротив нужных. Чтобы добавить в запрос сразу все поля объекта необходимо установить флажок, находящийся перед названием объекта в строке заголовка.
  4. Установите связь между объектами. Чтобы установить связь между таблицами по двум полям необходимо поле из одной таблицы перетащить в другую (поля представлены в виде списка, в котором каждая строчка - поле). После перетаскивания связь будет отображена в виде черной линии, соединяющей желаемые поля.
  5. Задайте свойства связи. Для этого необходимо открыть редактор связи, два раза щелкнув на ней мышкой, или выбрать пункт контекстного меню связи Property. В появившемся окне указываете желаемые свойства редактируемой связи.
  6. На вкладке Edit Вы можете просмотреть и отредактировать свой запрос.


Контролировать производительность запроса

Посмотреть производительность запроса можно на плане запроса. На нем показана последовательность действий, выполняемых сервером базы данных, и объем системных ресурсов, используемых в процессе выполнения запроса.

Чтобы посмотреть план запроса откройте запрос в Редакторе запросов и выберите пункт btnExplainQuery Show estimated execution plan на панели инструментов.


Работать с несколькими запросами одновременно

В btnShowSQLEditor Query data Вы можете одновременно открывать и редактировать несколько запросов.

В нижней части окна редактирования запроса можно создавать вкладки. На каждой вкладке - отдельный запрос.

Создать вкладку можно следующими способами:

  1. Открыть btnShowSQLEditor Query data -> на одной из панелей инструментов выбрать пункт btnNewSQLEditor Add New Query.
  2. Открыть btnShowSQLEditor Query data -> в контекстном меню существующей вкладки выбрать пункт btnNewSQLEditor Add New Query HowTo - WorkWithQueries - AddNewQuery.
  3. Использовать сочетание клавиш Ctrl + N.

Важно: Каждую вкладку можно переименовывать, или для удобства добавлять запросы в Избранные.


Сохранить часто используемые запросы

Используйте инструмент Избранные запросы чтобы хранить часто выполняемые запросы. Чтобы получить доступ к списку избранных запросов используйте узел Favorite Queries проводника БД или создайте для них отдельную вкладку.

С помощью контекстного меню Вы можете создать новый избранный запрос, редактировать уже существующий в редакторе избранных запросов или удалить запрос при необходимости.


Выполнять запросы с параметрами

Если Вы хотите использовать параметризованные запросы, установите флажок CheckBox Allow using of parameters in query text в окне Настройки окружения | Инструменты.

Эта функция позволяет устанавливать различные значения параметров в окне ввода параметров перед выполнением запроса. Используйте двоеточие перед идентификатором, чтобы указать параметр в запросе.


Экспорт результатов запроса в файл

При выполнении запроса таблица результатов может отображаться на вкладке Edit или на вкладке Result в просмотрщике данных.

Копировать данные из таблицы базы данных во внешний файл допустимого формата можно одним из следующих способов:

  1. Открыть вкладку Data или Results -> нажать кнопку [image] Export Data на одной из панелей инструментов просмотрщика данных -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  2. Открыть вкладку Data или Results -> в контекстном меню сетки данных выбрать пункт Data Manipulation | [image] Export Data -> задать параметры экспорта в открывшемся Мастере экспорта данных.
  3. В проводнике баз данных открыть контекстное меню таблицы -> в нем выбрать пункт [image] Export Data задать параметры экспорта в открывшемся Мастере экспорта данных.
  4. Открыть вкладку Data или Results -> использовать сочетание клавиш Ctrl+E.


Выполнять скрипты (сценарии)

Используя Редактор выполнения скриптов Вы можете создавать, просматривать, редактировать и выполнять SQL-скрипты (сценарии). Чтобы открыть Редактор выполнения скриптов выберите Tools | btnShowSQLScript Execute script в главном меню программы. Этот инструмент предназначен для работы с большим количеством команд и работы со скриптами из файлов. Например, Вы можете выполнить скрипт из файла, не загружая его в редактор, что позволит сократить потребление памяти. Однако Execute script позволяет оценить лишь успешность выполнения команд скрипта, но не возвращает результаты запросов.

Важно: Выполнять скрипты необходимо именно в Редакторе выполнения скриптов, а не в Редакторе запросов.

Последний предназначен для создания, редактирования и выполнения запросов. Из его окна можно перейти к редактированию запроса в Design query. Также он предоставляет возможность просмотра результата запроса, проведения различных операций с ним (импорт, экспорт и др.), управления транзакциями.


Выполнить большой SQL-скрипт

Если вам надо выполнить большой SQL-скрипт, необязательно загружать его из файла в окно редактора SQL скриптов, так как это может занять много времени. Вместо этого, Вы можете выполнить этот скрипт напрямую из файла с расширением *.sql, *.zsql или *.txt. Чтобы сделать это, выберите пункт iconCompile Execute script from file на панели инструментов в редакторе SQL скриптов.


Ускорить работу SQL-скрипта

Чтобы ускорить работу скрипта можно отключить некоторые функции:

Парсинг

На одной из панелей инструментов редактора SQL скриптов отключить пункт iconDBExplorer Disable Parsing.

Автоматическое создание иерархической структуры текста

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Display -> убрать флажок CheckBox Use code folding.

Подсветку синтаксиса и быстрый ввод текста для алиасов.

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку General -> убрать флажок CheckBox Resolve aliases - отключить подсветку синтаксиса и быстрый ввод текста для алиасов.


Работать с текстом запроса/скрипта

Перейти по внутренней ссылке

В тексте запроса/скрипта имя объекта, существующего в базе данных, выделено цветом. Открыть объект, на который есть ссылка в тексте, можно щелкнув по нему левой кнопкой мыши, удерживая при этом клавишу Ctrl.

Вставить шаблон текста

Шаблоны используются для быстрого ввода текста. Чтобы применить шаблон клавиатуры необходимо в редакторе набрать сочетание символов, указанное в шаблоне, а затем нажать пробел или сочетание клавиш Ctrl+J.

Автоматическая подстановка (список объектов)

Вызвать список автоматической подстановки можно используя сочетание клавиш Ctrl + пробел.

Настроить параметры автоматической подстановки

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Quick Code -> настроить список и параметры списка автоматической подстановки.

Автоматически форматировать запрос/скрипт

В контекстном меню редактора SQL выбрать пункт Quick Code | Format или использовать сочетание клавиш Shift+Ctrl+F.

Настроить шрифт и формат скрипта на вкладке Display

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Display -> настроить общие параметры формата и шрифта редактора.

Настроить шрифт и формат скрипта на вкладке Highlight

В главном меню программы выбрать пункт Options | Editor options -> перейти на вкладку Highlight -> настроить параметры шрифта для каждого отдельного элемента.

Важно: Если заданы параметры шрифта на вкладке Highlight, то к тексту будут применены именно они, а не те, которые заданы на вкладке Display.


Просмотреть все выполненные запросы и скрипты

btnSQLMonitor Монитор SQL позволяет увидеть все скрипты, отправленные SQL Manager for Oracle на сервер, а также результаты их выполнения. Содержимое окна нельзя редактировать, но можно копировать в буфер обмена, сохранять в файл и распечатывать.

Все инструменты для работы с SQL монитором располагаются на панелях инструментов и в контекстном меню.

Чтобы открыть SQL монитор необходимо:

  1. В главном меню программы выбрать пункт Tools | SQL Monitor,
  2. На основной панели инструментов нажать кнопку SQL Monitor,
  3. В контекстном меню базы данных выбрать пункт Tasks | SQL Monitor.

Важно: В SQL монитор попадают те скрипты и запросы, которые были выполнены в SQL Manager for Oracle, в течение того времени, когда он был запущен.

Важно: Постоянно открытый монитор замедляет работу программы.


Отладить процедуру

Для пошаговой отладки процедур, а также функций, пакетов, триггеров и объектных типов используется PL/SQL Code Debugger.

Чтобы выполнить отладку PL/SQL объекта Вам надо его скомпилировать с отладочной информацией.


Создать простой отчет в Конструкторе отчетов

Чтобы создать отчет в Конструкторе отчетов необходимо выполнить следующую последовательность действий:

  1. В главном меню программы выбрать пункт Tools | [image] Report Designer.
  2. В открывшемся Конструкторе отчетов, в главном меню выбрать пункт File | New Report. или на панели инструментов нажать кнопку [image] New Report. На печатную форму отчета будут помещены автоматически ReportTitle, MasterData и PageFooter.
  3. Подключиться к источнику данных.
  4. Добавить элементы ADOTable или ADOQuery.
  5. Подключить ADOTable или ADOQuery к ADODatabase.
  6. На странице Page1 разместите поля базы данных. Из DataTree перетащить нужные поля в Band MasterData.


Перенести настройки программы

Если Вы хотите применить текущие настройки (частично или полностью) для программы SQL Manager for Oracle установленной на другой машине, Вы можете сохранить их в *.reg файл с помощью Мастера сохранения настроек. Чтобы применить настройки, сохраненные в файл *.reg необходимо открыть этот файл двойным щелчком мыши. В появившемся окне нажать кнопку OK.

Избранные запросы не сохраняются в этом случае. Чтобы получить доступ к запросам с другого устройства необходимо, чтобы они хранились в БД.


Обновить программу

Обновить программу можно одним из следующих способов:

  1. Загрузить установочный файл со страницы загрузки сайта -> полученный файл извлечь из архива в нужную директорию (например, c:\unzipped) -> закрыть программу SQL Manager for Oracle, если она запущена -> откройте файл OraManagerFullSetup.exe и следуйте инструкциям мастера обновления.
  2. В главном меню программы выбрать пункт Help | SQL Manager Direct -> при наличии на сайте новой версии программы появится окно сообщений -> в этом окне нажать Yes. программа обновится автоматически.


Сообщить об ошибках и предложениях

  1. Перед тем как отсылать предложения и отчеты об ошибках, убедитесь, что Вы используете последнюю версию SQL Manager for Oracle.
  2. Свяжитесь с нами через личный кабинет на сайте http://www.sqlmanager.net/ или отправьте нам электронное письмо по адресу support@sqlmanager.net. Также Вы может воспользоваться меню Help | Send bug reports to....
  3. Пожалуйста, не забудьте указать версию Вашей ОС, версию Oracle и версию программы.
  4. Пошагово опишите свои действия перед появлением ошибки и проиллюстрируйте их скриншотами.


Дополнительные настройки подключения

Для подключения к серверу Oracle необходимо, чтобы на компьютере, на котором будет использоваться SQL Manager for Oracle, был установлен клиент Oracle. Версия клиента Oracle должна быть совместима с версией сервера Oracle, к которому необходимо подключиться.

Необходимо добавить параметры подключения баз данных Oracle в ваш TNS names файл (tnsnames.ora файл). Это конфигурационный файл, который содержит описания баз данных.

Если Вы используете Database Client, то файл tnsnames.ora находится в директории %HOME_name\NETWORK\ADMIN.

Если Вы используете Instant Client, то файл tnsnames.ora необходимо будет создать вручную. Файл должен быть создан в той же директории, в которой установлен Oracle клиент (например, C:\OracleInstantClient\). Этот файл можно создать с помощью любого текстового редактора (создать простой текстовый файл, а затем изменить его название и расширение).

Только для Instant Client

После того как файл tnsnames.ora создан, и добавлено описание базы данных, необходимо создать переменную окружения TNS_ADMIN.

Для этого необходимо выполнить следующие действия.

  1. Щелчком правой кнопки мыши на значке My computer/Мой компьютер вызовите контекстное меню.
  2. В этом контекстном меню выберите пункт Properties/Свойства.
  3. Перейдите на вкладку Advanced/Дополнительно и нажмите кнопку Environment Variables/Переменные среды.
  4. В разделе System variables/Системные переменные нажмите кнопку New.../Создать.
  5. В поле Variable name/Имя переменной задайте TNS_ADMIN, а в поле Variable value:/Значение переменной задайте C:\OracleInstantClien\tnsnames.ora.
  6. Нажмите кнопку OK и сохраните переменную.

В этом же диалоговом окне найдите переменную PATH. Двойным щелчком откройте её для редактирования в специальном окне и добавьте путь к клиентским библиотекам клиента Oracle Instant. (Они расположены в каталоге, где установлен клиент C:\OracleInstantClient\). Помните, что записи путей должны быть разделены точкой с запятой (;).

SQL Manager for Oracle подключается к серверу (с помощью клиента) через TCP/IP протокол.

Пример настроек подключения, заданных в TNS файле.

DB_Alias =

(DESCRIPTION =

(ADDRESS_LIST =

(ADDRESS = (PROTOCOL = TCP)(HOST = Host_name)(PORT = 1521))

)

(CONNECT_DATA =

(SERVER = DEDICATED)

(SERVICE_NAME = Database_Name)

)

)

Параметры:

PROTOCOL - конкретный протокол, используемый адаптером. Для этого параметра значение протокола - TCP. Значение может быть введено в верхнем или нижнем регистре.

HOST - имя сервера или IP адрес.

PORT - номер порта TCP/IP.

SERVICE_NAME - имя службы сервера; имя экземпляра базы данных может отличаться от фактического имени базы данных.

DB_Alias - ​​любое имя подключения.

После установки и настройки клиента Oracle можно регистрировать базу данных в SQL Manager for Oracle. Чтобы запустить мастер регистрации баз данных, выберите пункт главного меню Database | Register Database... или нажмите соответствующую кнопку btnRegisterDB на панели инструментов. Вы также можете использовать сочетание клавиш Shift+Alt+R.

На первом шаге из раскрывающегося списка Connect using выберите имя клиента. На шаге Установка параметров регистрации из раскрывающегося списка Database name можно будет выбрать одну из баз данных, указанных в файле tnsnames.ora.

Важно: Если у вас 64-битная OC, то вероятно у вас установлен и 64-битный клиент. Так как программа SQL Manager for Oracle 32-битная, то она не сможет работать с этим клиентом. В этом случае Вам необходимо установить 32-битный клиент.


Интерфейс программы

Общими особенностями интерфейса программы SQL Manager for Oracle являются:

Главное меню

С помощью главного меню Вы можете получить доступ ко всем инструментам программы и выполнить все действия над объектами базы данных.

Appendix - Program interface - MainMenu

Дополнительно смотрите страницу Настройка панелей управления.

Сплиттеры

Сплиттеры - разделительные полосы между окнами, позволяющие быстро свернуть и развернуть окно.

Для того чтобы свернуть окно достаточно одного нажатия на сплиттер левой кнопкой мыши.

Настройка внешнего вида и действий можно изменить на вкладке Splitters в окне настроек внешнего вида.

Навигационные панели

Почти в каждом редакторе и инструменте отображается навигационная панель. На неё вынесены кнопки, позволяющие выполнять все действия с редактируемым объектом.

Appendix - Program interface - NavBar - Expanded

Набор инструментов на панели зависит от того, какая вкладка редактора в настоящий момент активна.

Для большего удобства навигационные панели можно сворачивать.

Чтобы свернуть некоторый раздел навигационной панели нужно нажать на кнопку, находящуюся рядом с названием раздела.

Свернутую панель можно развернуть, нажав на эту же кнопку [image] [image] .

Appendix - Program interface - NavBar - Collapsed

Важно: Изменить настройки навигационных панелей Вы можете на вкладке Navigation bar инструмента Visual Options.

Большая часть инструментов Навигационной панели доступна на Панели инструментов.

Панели инструментов

Панель инструментов - строка или столбец, с вынесенными на него кнопками, позволяющими совершать, практически, все операции с открытым объектом.

Appendix - Program interface - Toolbar

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.

Важно: Вы можете переместить панель инструментов в любое удобное для вас место.

Дополнительно смотрите страницу Настройка панелей управления.

Индикатор прогресса.

Во время длительного выполнения некоторых процессов в нижней части окна программы SQL Manager for Oracle появляется индикатор прогресса, в котором в процентах отображается выполнение операции.

Панель инкрементного поиска

Эта панель доступна на панели статуса некоторых инструментов SQL Manager.

Вы можете вызвать эту панель, используя сочетание клавиш Ctrl+I. В поле поиска введите искомое сочетание символов, и на форме открытого инструмента встречающееся искомое сочетание будет выделено другим цветом.

Сортировка.

Если на форме расположена таблица из одного или нескольких столбцов, то ее можно отсортировать по одному столбцу, нажав на заголовок этого столбца. В этом случае рядом с названием столбца появится треугольник

Data View - Sorting

  • одно нажатие - значения сортируются по возрастанию.
  • нажатие на заголовке столбца, отсортированного по возрастанию, сортирует данные в столбце по убыванию.
  • третье нажатие убирает сортировку.


Настройка панелей управления

Любую панель инструментов можно настроить.

Её можно настраивать, используя функцию Add or Remove Buttons, открывающуюся при нажатии на кнопку More Buttons btnMoreButtons в правом углу панели.

В появившемся окне выбираете те кнопки, которые нужны Вам для работы.

Нажав на любую панель управления правой кнопкой мыши и выбрав пункт Customize.

Если на панели инструментов нажать правой кнопкой мыши, то тоже появится кнопка Customize.

При нажатии на эту кнопку открывается окно редактирования панели инструментов.

Вкладка Toolbars:

Appendix - Customize - Toolbars

На этой вкладке можно создавать, редактировать и удалять панели инструментов.

New - добавить панель инструментов,

Rename - переименовать,

Delete - удалить.

Вкладка Commands:

На этой вкладке выберите кнопки, которые будут отображаться на панели инструментов.

Appendix - Customize - Commands

В списке Categories выберите категорию, а в списке Commands - команду, относящуюся к выбранной категории.

Чтобы поместить нужную кнопку на панель её нужно перетащить из списка Commands на панель инструментов.

Вкладка Customize:

Appendix - Customize - Options

CheckBox Menus show recently used command first - всегда показывать полные меню.

CheckBox Show full menus after a short delay - показывать полные меню после небольшой задержки.

Reset my usage data - сброс.

CheckBox Large icons - крупные значки.

CheckBox Show ToolTips on Toolbars - отображать подсказки для кнопок.

CheckBox Show shortcut keys in ToolTips - включить в подсказки сочетания клавиш.

Menu animations - анимация при выборе меню.


Список окон

Список окон позволяет Вам просматривать список окон, открытых в настоящий момент.

Чтобы открыть Список окон выберите пункт Windows | Window List в главном меню программы или используйте сочетание клавиш Ctrl+0

Appendix - Window List

При необходимости, Вы можете вызвать контекстное меню, нажав правой кнопкой мыши на списке окон.


Шаблоны

В SQL Manager for Oracle для некоторых операций предусмотрена возможность сохранения последовательности действий и параметров в специальных файлах, которые называются шаблоны. Используются шаблоны в мастерах. Например, в мастере экспорта данных или импорта данных и т.п.

Если в мастере в левом нижнем углу расположена кнопка Templates, то все параметры, указанные с помощью мастера можно сохранить в файл соответствующего формата. Для каждого мастера предусмотрен специальный формат шаблона. Это позволяет избежать ошибок при открытии шаблона в другом мастере.

При нажатии на кнопку Templates открывается список действий.

Using templates - menuTemplates

С помощью этого списка можно:

  • загрузить шаблон - Load Template,
  • сохранить шаблон - Save Template,
  • сделать эти настройки настройками по умолчанию - Save Current Settings As Default,
  • сбросить настройки - Reset Saved settings.

Сохранять и загружать шаблон можно на любом шаге мастера.


Маркеры

Маркеры предназначены для навигации по тексту. Необходимо установить курсор в нужное место и нажать клавишу F2, В этом месте появляется маркер. Теперь при нажатии клавиши Esc курсор возвращается на указанную метку. Метки организованы по принципу стека LIFO.


Параметры SSH туннелирования

SSH (Secure Shell Host) протокол используется для повышения компьютерной безопасности при работе c Unix-системами в Internet. SSH использует несколько алгоритмов шифрования разной степени надежности. Распространенность SSH связана еще и с тем, что многие Linux-подобные ОС (например, FreeBSD) включают в стандартную комплектацию SSH сервер. Для получения дополнительной информации Вы можете посетить http://openssh.org. Опция SHH туннель в SQL Manager представляет собой средство организации безопасного доступа к серверу Oracle при работе по небезопасным каналам связи. Также Вы можете использовать SSH туннель для доступа к удаленным Oracle серверам, если по каким-либо причинам прямое соединение не может быть установлено. Соединение через SSH туннель выглядит следующим образом. Сначала устанавливается соединение и производится процедура аутентификации между встроенным в SQL Manager for Oracle SSH клиентом и удаленным SSH сервером, затем вся исходящая и входящая информация между программой и Oracle сервером передается через SSH сервер с использованием коммуникационного порта (обычно 22), а SSH сервер транслирует информацию уже непосредственно Oracle серверу. Чтобы зарегистрировать базу данных, соединение к которой должно выполняться с использованием SSH туннеля, Вы должны задать следующие параметры при регистрации базы данных в Oracle:

SSH Host name - имя машины (IP-адрес), на которой установлен сервер SSH.

SSH Port - порт SSH сервера на удаленном хосте (по умолчанию равен 22).

SSH User Name - имя пользователя на сервере (пользователь SSH сервера, а не сервера Oracle).

SSH Password - пароль пользователя SSH сервера.

Appendix - SSH tunneling options

CheckBox Если установлен флажок Use Private Key for authentication, то в поле SSH key file можно указать ключевой файл для аутентификации.

SSH Key file

В этом поле укажите путь к Private key файлу, находящемуся на локальном компьютере.

Допустимые форматы Private Key файла:

OpenSSH

Putty

SSH.com

SSH Private Key - Passphrase


Окно компиляции

В SQL Manager for Oracle существует специальный инструмент, с помощью которого можно выявить ошибки и проследить выполнение SQL скрипта изменения метаданных.

Окно изменения метаданных по умолчанию появляется всегда, когда производится изменение метаданных. Если Вы хотите, чтобы оно появлялось только тогда, когда при исполнении будут обнаружены ошибки, то отключите флажок Confirm metadata changing на вкладке Confirmations в Options | Environment Options, или установите флажок CheckBox Don't show this window on success в самом окне Changing Metadata.

Appendix - Changing Metadata window

В главном окне - Compile SQL - показан SQL скрипт, который был сгенерирован в результате изменения метаданных. В этом окне Вы можете его редактировать по своему усмотрению. Если скрипт содержит ошибки, то становится видна область Error, в которой показано описание возникших при компиляции ошибок.

Оператор, который отображается в окне, уже выполнен в запущенной транзакции на изменение метаданных.

Применить эту транзакцию можно с помощью кнопки Execute, которая активна только в случае, если скрипт был выполнен успешно (т.е. транзакция может быть применена). Если Вы не хотите применять изменения, то воспользуйтесь кнопкой Cancel, которая откатит текущую транзакцию.

Если в операторе есть ошибки, то их необходимо исправить и нажать кнопку Execute, которая применит внесенные Вами изменения.

Текст операторов и описание ошибок можно полностью скопировать в буфер обмена с помощью кнопки Copy information to clipboard.


Задание форматов данных

Форматы данных определяют вид данных разных типов.

Форматы Float/Integer

0 | Цифра от 0 до 9
# | Символ разряда.
. | символ, отделяющий десятичную часть
, | разделитель групп разрядов
E+ | экспоненциальное представление.

Форматы Date/Time format

с помощью следующих команд Вы указываете какую часть даты и в каком виде нужно отображать.

c | Отображает дату, используя краткий формат даты.
d | День отображается в виде числа от 1 до 31 без нулевого старшего разряда.
dd | День отображается в виде числа от 01 до 31 с нулевым старшим разрядом.
ddd | День отображается в виде аббревиатуры (Sun-Sat).
dddd | Отображается полное название дня недели (Sunday-Saturday).
ddddd | Отображать краткий формат.
dddddd | Использовать полный формат даты.
m | Отображать месяц в виде числа без нулевого старшего разряда (1-12).
mm | Отображать месяц в виде числа с нулевым старшим разрядом (01-12)
mmm | Отображать месяц в виде аббревиатуры (Jan-Dec).
mmmm | Отображать полное название месяца (January-December).
yy | Отображать год в виде последних двух цифр (00-99).
yyyy | Отображать год в четырех цифр (0000-9999).
h | Отображать час в виде числа без нулевого старшего разряда (0-23).
hh | Отображать час в виде числа с нулевым старшим разрядом (00-23).
n | Отображать минуты в виде числа без нулевого старшего разряда (0-59).
nn | Отображать минуты в виде числа с нулевым старшим разрядом (00-59).
s | Отображать секунды в виде числа без нулевого старшего разряда (0-59).
ss | Отображать секунды в виде числа с нулевым старшим разрядом (00-59).
z | Отображать миллисекунды в виде числа без нулевого старшего разряда (0-999).
zzz | Отображать миллисекунды в виде числа с нулевым старшим разрядом (000-999).
t | Отображать время используя Short Time Format.
tt | Отображать время используя Long Time Format.
a/p | Использовать двенадцатичасовой формат даты с префиксом a/p.
am/pm | Использовать двенадцатичасовой формат даты с префиксом am/pm.
/ | Использовать этот разделитель даты (mm/dd/yy).
: | Использовать этот разделитель времени (hh:mm).
'xx'/"xx" | Символы, заключенные в одинарные или двойные кавычки не подлежат форматированию.


Окно поиска

С помощью окна Find Text можно найти сочетание символов в тексте.

В поле Text to Find укажите искомую последовательность символов или выберите одну з предыдущих.

Options

CheckBox Case Sensitive

При поиске учитывать регистр.

CheckBox Whole words only

Учитывать слово целиком.

CheckBox Regular Expressions

Если отмечена эта опция, то введенный текст будет распознаваться как регулярное выражение.

Например, если Вы введете "empl*", то будет произведен поиск по метаданным всех строк, содержащих подстроку "empl". При вводе "^emp" результатом поиска будут объекты, в метаданных которых есть строки, начинающиеся на "emp", а при поиске

"^emp|emp$" - строки, содержащие "emp" в начале или конце строки.

Важно: Синтаксис регулярных выражений, которые могут быть использованы в поле Text to find, соответствует синтаксису регулярных выражений языка Perl. Более подробная информация может быть найдена по ссылке: http://perldoc.perl.org/perlre.html#Regular-Expressions.

В разделе Direction укажите направление поиска:

RadioButton Forward - вниз,

RadioButton Backward - вверх.

Scope

RadioButton Global - искать во всем тексте.

RadioButton Selected text - искать только в выделенном тексте.

Origin

RadioButton From cursor - поиск начинается с того места где стоит курсор.

RadioButton Entire scope - поиск с начала текста.

Find in metadata

На этой вкладке можно задать параметры поиска по метаданным.

Из раскрывающегося списка Database можно выбрать базу данных, в которой будет производиться поиск.


Поддерживаемые форматы файлов

MS Excel 97-2003

Наиболее популярный формат файлов для хранения электронных таблиц, разработанный Microsoft.

(*.xls)

MS Access 97-2003

Файл этого формата представляет собой базу данных Access, с возможностью использования ADO connection.

(*.mdb)

MS Word 97-2003

Наиболее популярный формат текстовых документов, разработанный Microsoft.

(*.doc)

RTF

Межплатформенный формат хранения размеченных текстовых документов, предложенный Microsoft. RTF-документы поддерживаются большинством современных текстовых редакторов.

(*.rtf)

HTML

(от англ. Hypertext Markup Language — «язык разметки гипертекста»)

Формат для отображения web страниц

(*.html, *.htm)

PDF

Межплатформенный формат электронных документов, предназначен для представления в электронном виде полиграфической продукции.

(*.pdf)

Text file

Текстовый файл

(*.txt)

CSV

(от англ. Comma Separated Values — значения, разделенные запятыми)

Текстовый формат, предназначенный для представления табличных данных. Каждая строка файла — это одна строка таблицы. Значения отдельных колонок разделяются разделительным символом (delimiter), например, запятой (,), точкой с запятой(;), символом табуляции. Текстовые значения обрамляются символом двойные кавычки ("); если в значении встречаются кавычки — они представляются в файле в виде двух кавычек подряд.

(*.csv)

DIF

Стандарт для файлов обмена данными

(*.dif)

SYLK

Формат Символической Связи.

(*.slk)

LaTeX

Специфический формат файлов макрорасширений к TeX.

(*.tex)

XML

Расширяемый язык разметки. Предназначен для хранения структурированных данных

(*.xml).

DBF

Формат хранения данных, используемый в качестве одного из стандартных способов хранения и передачи информации системами управления базами данных, электронными таблицами и т.д.

(*.dbf)

MS Excel

Разработанный Microsoft формат файлов для хранения электронных таблиц. Формат представляет собой zip-архив, содержащий текст в виде XML, необходимую графику и другие данные

(*.xlsx)

MS Word

Разработанный Microsoft формат файлов для хранения электронных документов. Формат представляет собой zip-архив, содержащий текст в виде XML, необходимую графику и другие данные

(*.docx)

ODF Spreadsheets

Открытый формат файлов документов для хранения и обмена редактируемыми офисными документами - электронными таблицами.

(*.ods)

ODF text

Открытый формат файлов документов для хранения и обмена редактируемыми текстовыми офисными документами

(*.odt)


Параметры хранения

Вкладка Storage позволяет задать параметры хранения объекта в базе данных.

Appendix - Storage attributes

Physical Attributes

Tablespace (TABLESPACE)

Из этого раскрывающегося списка выберите одно из существующих в базе данных табличных пространств, которому будет принадлежать создаваемая или редактируемая таблица.

Buffer pool (BUFFER_POOL)

Выберите тип буферного пула из этого раскрывающегося списка.

CheckBox Cache (CACHE)

Используйте эту опцию, чтобы указать, как база данных Oracle должна хранить блоки в буферном кэше.

Initial number of transaction (INITRANS)

Размер таблицы транзакций указывается в этом счетчике.

CheckBox Row dependencies (ROWDEPENDENCIES)

Установите этот флажок, если необходимо активировать отслеживание зависимостей уровней строк.

В разделе Extents задайте настройки экстентов.

Initial extent (INITIAL) - в этом поле задайте размер начального экстента, выделяемого таблице при создании.

Next extent (NEXT) - размер последующих экстентов укажите в этом поле.

Percent increase (PCTINCREASE) - процент увеличения для следующих экстентов задайте с помощью этого счетчика.

Minimum extents (MINEXTENTS) - указывает серверу Oracle, сколько экстентов выделять таблице первоначально.

Maximum extents (MAXEXTENTS) - этот параметр задает верхний предел для количества экстентов, которые могут быть выделены объекту.

Space usage

Percent free (PCTFREE) - укажите в этом поле, сколько места должно быть зарезервировано в блоке для будущих изменений. Стандартное значение — 10 процентов.

Percent used (PCTUSED) - если параметр Percent free определяет, когда сервер Oracle убирает блок из списка свободных мест, чтобы в него больше не вставлялись строки, то параметр Percent used определяет, когда сервер Oracle снова вернет блок в список свободных мест.

Free lists (FREELISTS) - в этом поле укажите количество списков свободных мест, которые могут содержаться в каждой группе списков свободных мест. Минимальное значение и значение по умолчанию для данного параметра - 1.

Groups - задайте в этом счетчике количество групп списков свободных мест.

В разделе Parallel выберите степень параллельного доступа к объекту:

RadioButton Default - по умолчанию,

RadioButton No parallel - нет параллельного доступа,

RadioButton Parallel - параллельный доступ.

В разделе Parallel options задайте параметры параллельного доступа к объекту.

В счетчике Degree укажите степень параллелизма, который является количеством параллельных потоков.

Instances

Степень параллелизма равна количеству центральных процессоров, доступных на всех экземплярах. Количество экземпляров укажите в поле Instances.

Data storage options

Этот раздел доступен только для таблиц, содержащих данные.

CheckBox Compress data (COMPRESS). Установите этот флажок, если хотите сжимать данные в столбцах.

CheckBox Enable row movement (ENABLE ROW MOVEMENT) - с помощью этого флажка укажите, может ли база данных перемещать строки таблицы во время выполнения некоторых операций, таких как сжатие, обновление или секционирование данных.

Важно: при перемещении строк rowid меняется.

В разделе Compress for задайте параметры сжатия данных.

RadioButton All operation - база данных пытается сжать данные на протяжении всех DML операций таблицы.

RadioButton Direct load operation - база данных пытается сжать данные во время выполнения оператора INSERT.


Панели инструментов

Панели инструментов располагаются слева от редактора и над редактором.

Панель навигации позволяет:

Tablespace Editor - Using Navigation bar

Object

iconDB Выбрать базу данных

Выбрать объект для редактирования

General

iconCompile компилировать объект с текущими свойствами - Compile, (для некоторых объектов этот пункт доступен только при создании объекта)

iconPrint печатать метаданные объекта - Print,

просматривать дерево зависимостей объекта - Dependency tree,

iconRefresh обновить содержимое редактируемого объекта - Refresh,

iconRestoreDefaultSize восстановить исходный размер окна - Restore default size.

Для вкладки DDL появляется панель DDL, с помощью которой Вы можете:

iconSaveToFile сохранить DDL описание в файл - Save DDL to file,

открыть DDL в Query data - Open DDL in Query data,

Панель инструментов

Все инструменты навигационной панели доступны на панели инструментов. Панель инструментов - ToolBar - расположена в верхней части окна. Чтобы её активировать, необходимо на вкладке Windows в Environment Options выбрать RadioButton Toolbar или RadioButton Both.

RadioButton Toolbar выберите, если хотите, чтобы отображалась только панель инструментов, а RadioButton Both - если хотите, чтобы отображались обе панели.


Сочетания клавиш

SQL Manager for Oracle
  • В начало
  • « Назад
  • Вперед »

Управление базами данных:

Shift+Alt+R | Зарегистрировать базу данных с помощью Мастера регистрации баз данных
Shift+Alt+U | Удалить регистрацию существующей базы данных
Shift+Ctrl+C | Подключиться к базе данных
Shift+Ctrl+D | Отключиться от базы данных

Работа с объектами базы данных:

Ctrl+N | Создать новый объект (тип объекта будет тот же, что и у выделенного в проводнике базы данных объекта)
Ctrl+O | Открыть выделенный объект в соответствующем редакторе
Ctrl+R | Переименовать выделенный объект
Shift+Del | Удалить выделенный объект
Ctrl+Shift+C | Свернуть текущую ветку проводника баз данных.

Работа с редактором запросов:

F11 | Отобразить/Скрыть проводник баз данных
Ctrl+F | Поиск в проводнике баз данных
Shift+Ctrl+T | Открыть окно To-Do List
F12 | Отобразить Редактор запросов
Shift+F12 | Открыть новое окно редактора запросов
Shift+Ctrl+M | Открыть Монитор SQL
Shift+Ctrl+S | Открыть Редактор выполнения скриптов
Shift+Ctrl+L | Открыть Редактор локализаций
Ins | Добавить новый подобъект таблицы. (тип подобъекта определяется активной вкладкой редактора)

Просмотрщик данных:

Ctrl+Shift+0

Установит значение активного столбца NULL.

Редактор SQL:

F9 | Выполнить запрос/скрипт
Alt+F9 | Выполнить только выделенный фрагмент
Ctrl+Alt+F9 | Выполнить под курсором
Ctrl+Alt+F2 | Удалить execution point (только для редактора SQL)
Shift+Ctrl+<digit> | Установить закладку #<digit>
Ctrl+Q | Перейти к следующей закладке
F2 | Поставить маркер на текущую позицию
Ctrl+Z; Alt+BkSp | Отменить
Shift+Ctrl+Z; Shift+Alt+BkSp | Вернуть
Ctrl+F | Открыть окно поиска
Ctrl+R | Заменить текст
F3 | Продолжить поиск
Ctrl+I | Начать инкрементный поиск
Alt+G | Перейти к строке под номером. Номер введите в появившемся диалоговом окне.
Ctrl+L | Загрузить скрипт из файла
Ctrl+S | Сохранить скрипт в файл
Shift+Ctrl+F | Форматировать текст SQL с помощью Форматтера SQL
Alt+<symbol> | Перейти к запросу с указанным символом <&symbol> в названии (только для редактора запросов)
Ctrl+J | Вставить шаблон клавиатуры
Сtrl+D | Переключение режимов отображения результатов запроса (на вкладке Edit или на отдельной вкладке)
Shift+Ctrl+Left | Выделить символы до следующего слова
Shift+Ctrl+Right | Выделить символы до следующего слова
Shift+Home | Выделить текст до начала строки
Shift+End | Выделить текст до конца строки
Shift+PageUp | Выделить текст до начала страницы
Shift+PageDown | Выделить текст до конца страницы
Shift+Ctrl+PageUp | Выделить текст до первой строки на странице
Shift+Ctrl+PageDown | Выделить текст до последней строки на странице
Shift+Ctrl+Home | Выделить текст до начала
Shift+Ctrl+End | Выделить текст до конца
Shift+Alt+Left | Выделить колонку символа слева
Shift+Alt+Right | Выделить колонку символа справа
Shift+Alt+Up | Выделить колонку на строку вверх
Shift+Alt+Down | Выделить колонку на строку вниз
Shift+Ctrl+Alt+Left | Выделить колонку слова слева
Shift+Ctrl+Alt+Right | Выделить колонку слова справа
Shift+Alt+Home | Выделить колонку до начала строки
Shift+Alt+End | Выделить колонку до конца строки
Shift+Alt+PageUp | Выделить колонку на страницу вверх
Shift+Alt+PageDown | Выделить колонку на страницу вниз
Shift+Ctrl+Alt+Home | Выделить колонку до самого начала
Shift+Ctrl+Alt+End | Выделить колонку до самого конца
Ctrl+Up | Прокрутить страницу вверх на строку, не меняя позиции курсора
Ctrl+Down | Прокрутить страницу вниз на строку, не меняя позиции курсора
Alt+Down, Alt+Up | Переключить регистр слова
Ctrl+Alt+Up | Сменить регистр текущего или выделенного символа на верхний
Ctrl+Alt+Down | Сменить регистр текущего или выделенного символа на нижний
Ctrl+G,Ctrl+F | Свернуть блок в текущей строке
Ctrl+G,Ctrl+E | Развернуть блок на текущей строке
Ctrl+G,Ctrl+M | Свернуть все блоки в тексте
Ctrl+G,Ctrl+P | Развернуть все свернутые блоки в тексте
Ctrl+= | Свернуть/развернуть ближайший блок
Esc | Убрать маркер (вернуться назад)
Shift+Esc | Заменить маркер (сохранить позицию, вернуться назад)
Shift+Ctrl+B | Перейти к закрывающей/открывающей скобке
Shift+Ctrl+I | Сместить выделенный блок
Shift+Ctrl+U; Shift+Tab | Убрать отступ выделенного блока
Ctrl+/ | Закомментировать/раскомменитровать выделенные строки
Ctrl+Space | Автозаполнение кода
Shift+Ctrl+Space | Показать параметры кода
Shift+Ctrl+Space | Показывать параметры кода
Ctrl+Alt+Space | Показать таблицу символов
Ctrl+Alt+L | Показать список функций
Ctrl+Alt+3 | Показать список пакетов
Ctrl+Alt+A | Показать список типов массивов
Ctrl+Alt+K | Показать список кластеров
Ctrl+Alt+7 | Показать список контекстов
Ctrl+Alt+X | Показать список индексов
Shift+Alt+P | Вставить параметры процедуры
Ctrl+Alt+J | Показать список java sources
Ctrl+Alt+M | Показать список материализованных представлений
Ctrl+Alt+O | Показать список объектных типов
Ctrl+Alt+Z | Показать список тел объектных типов
Ctrl+Alt+P | Показать список процедур
Ctrl+Alt+5 | Показать список операторов
Ctrl+Alt+B | Показать список пакетов
Ctrl+Alt+9 | Показать список тел пакетов
Ctrl+Alt+G | Показать список SQL функций
Ctrl+Alt+S | Показать список схем
Ctrl+Alt+E | Показать список последовательностей
Ctrl+Alt+T | Показать список таблиц
Ctrl+Alt+C | Показать список полей таблиц
Ctrl+Alt+Y | Показать список синонимов
Ctrl+Alt+Enter | Показать таблицу в SQL ассистенте
Ctrl+Alt+U | Показать список пользователей
Ctrl+Alt+V | Показать список представлений
Ctrl+C; Ctrl+Ins | Скопировать выделенный текст в буфер обмена
Ctrl+X; Shift+Del | Вырезать выделенный текст в буфер обмена
Ctrl+V; Shift+Ins | Вставить текст из буфера обмена в текущую позицию
Ctrl+Del | Удалить все от курсора до следующего слова
Ctrl+BkSp | Удалить все от курсора до начала слова
Ctrl+B | Удалить все от курсора до начала строки
Shift+Ctrl+Y | Удалить все от курсора до конца строки
Ctrl+Y | Удалить текущую строку
Ctrl+M; Enter; Shift+Enter | Разбить строку в текущей позиции, переместить каретку на следующую строку
Ctrl+Alt+I | Вставить символ табуляции Tab
Shift+Ctrl+P | Запустить макро
Shift+Ctrl+R | Начать запись макро
Alt+End | Пропустить опечатку
Ctrl+Alt+End | Пропустить все опечатки

Print Data View:

Ctrl+O | Загрузить отчет из файла
Ctrl+S | Сохранить отчет в файл
Ctrl+P | Открыть диалоговое окно печати
Ctrl+Home | Перейти к первой странице
Ctrl+Up | Перейти к предыдущей странице
Ctrl+Down | Перейти к следующей странице
Ctrl+End | Перейти к последней странице
Ctrl+D | Открыть Настройщик отчетов
Ctrl+\ | Масштаб 100%
Ctrl+0 | Масштаб по ширине
Ctrl+1 | Целая страница
Ctrl+2 | Две страницы
Ctrl+4 | Четыре страницы
Ctrl+W | По ширине текста
Ctrl+M | Отобразить/скрыть поля
Ctrl+K | Задать цвет фона отчета

Работа с окнами, меню и вкладками

Ctrl+Tab | Перейти к следующей вкладке
Ctrl+Alt+0 | Открыть Список окон
Ctrl+Alt+D | Задать установки по умолчанию для всех окон
Ctrl+F6 | Перейти к предыдущему окну
F6 | Перейти к следующему окну
Ctrl+W | Закрыть активное окно
Ctrl+Down | Развернуть свернутое меню


Зависимости объектов

Эта вкладка позволяет просматривать зависимости объектов.

В правой части окна объекты, на которые ссылается редактируемый объект.

В левой - объекты, которые ссылаются на открытый в редакторе объект.

В нижнем окне Вы можете просмотреть DDL выделенного объекта.

Appendix - Browsing object dependencies

Любой объект можно открыть в соответствующем редакторе двойным щелчком мыши.


Описание объекта

Если Вы хотите добавить (изменить) текстовый комментарий к объекту, то Вы можете его создать (изменить) на вкладке Description.

Внесенные изменения вступят в силу только при переходе на другую вкладку, при выборе другого объекта или при нажатии кнопки Save Descriptions на панели инструментов.

Appendix - Editing object description


Просмотр DDL

На вкладке DDL Вы можете просмотреть DDL объекта. Текст на этой вкладке нельзя редактировать. Если хотите внести изменения, то скопируйте текст в буфер обмена и вставьте его в Query data или SQL Script Editor.

Appendix - Viewing DDL structure


Назначение прав

В главном окне расположена таблица, в которой строки - это группы и пользователи базы данных, а столбцы - действия, выполняемые над объектами.

Права на выполнение того или иного действия можно менять тремя способами:

  • с помощью контекстного меню, которое появляется при нажатии правой кнопкой мыши на ячейку.
  • двойным щелчком мыши (при использовании этого метода помните, что смена прав идет в такой последовательности - Grant->Revoke).
  • с помощью одинарного нажатия на активную (выделенную ячейку). При этом появляется раскрывающийся список, из которого можно выбрать один из типов прав.

  • Grant - Предоставить права на выполнение данного действия [image],
  • Revoke - Аннулировать права [image],

Appendix - Setting object permissions

Контекстное меню открывается при нажатии на ячейку области таблицы и позволяет присваивать права на объект.

Grant - предоставить права,

Revoke - аннулировать права,

Grant All - предоставить права на все действия для выделенного объекта,

Revoke All - аннулировать права на все действия для выделенного объекта,

Grant on All - предоставить права на это действие для всех объектов,

Revoke on All - отменить привилегии на это действие для всех объектов,


Задание программных ролей

На вкладке Program Roles Вы можете предоставить или аннулировать права для программных модулей.

Эта вкладка доступна в редакторах функций, процедур и пакетов.

Appendix - Setting program roles

В таблице отображаются роли, доступные для текущего пользователя, на которые можно предоставить права.

Контекстное меню открывается при нажатии на ячейку области таблицы и позволяет присваивать роли программному модулю.

Grant - предоставить права,

Revoke - аннулировать права,

Grant All - предоставить права на все действия для выделенного объекта,

Revoke All - аннулировать права на все действия для выделенного объекта,


Преобразование скрипта

После завершения операции появляется диалоговое окно, в котором можно выбрать кодировку скрипта, загружаемого в Редактор запросов или Редактор выполнения скриптов.

Appendix - Script conversion

RadioButton Windows default - кодировка, используемая в операционной системе по умолчанию.

RadioButton Database default - кодировка, используемая в базе данных по умолчанию.

RadioButton Other encoding - другая кодировка, которая выбирается из общего списка.

Текст в выбранной кодировке Вы можете увидеть в поле Preview.


SQL Manager Direct

SQL Manager Direct позволит Вам получить быстрый доступ к соответствующим ресурсам Интернета и загрузить последнюю версию SQL Manager.

Чтобы открыть SQL Manager Direct выберите пункт Help | SQL Manager Direct в главном меню программы.

При открытии SQL Manager Direct и/или нажатии кнопки Update происходит проверка наличия обновлений SQL Manager на сервере EMS Software Development.

Ссылки на ресурсы sqlmanager.net объединены в несколько групп:

  • SQL Manager for Oracle News - Новости
  • General Information - Основная информация
  • Downloads - Загрузки
  • Related Products - Сопутствующие продукты

Appendix - SQL Manager Direct

SQL Manager for Oracle News

В этом разделе Вы можете открыть страницу новостей по продукту на сайте sqlmanager.net.

General Information

В этом разделе предлагается ряд ссылок на продукт - Новости, Таблица характеристик, Системные требования и т.д.

Downloads

Используя эту ссылку, Вы можете загрузить SQL Manager последней версии и документацию со страницы загрузки.

Related Products

Этот раздел позволяет вам просматривать список связанных продуктов, разработанных EMS Database Management Solutions, Inc.

Используйте кнопки btnBack btnForward для перемещения между страницами так же, как в веб-браузере.

Нажатие на кнопку Update позволит обновить программу.

Если существует более новая версия SQL Manager, то отобразится диалоговое окно, сообщающее о наличии новой версии. С его помощью Вы можете сразу загрузить эту версию с сервера.

Appendix - SQL Manager Direct - Question

После загрузки и установки SQL Manager будет перезапущен.

CheckBox Automatically poll network in interval (in days)

Если установлен этот флажок, то страница будет обновляться автоматически через указанное в соответствующем поле число дней. В Lite версии эту опцию отключить нельзя.

Важно: Корректность отображения данной страницы зависит от настроек подключения к интернету, задаваемых в Панели управления Windows. Если для подключения к интернету используется прокси-сервер, требующий авторизации, то при открытии страницы SQL Manager Direct, или при нажатии кнопки Update появится диалоговое окно, в котором необходимо задать параметры авторизации.